/**
 * (c) 2013 Xilinx Inc.
 * XREGDB v0.79
 * XREGCHDR v0.23
 *
 * Generated on: 2015-11-11
 *
 * @file: gdma_ch0.h
 * @module_name: ZDMA
 *
 *
 * This file contains confidential and proprietary information
 * of Xilinx, Inc. and is protected under U.S. and
 * international copyright and other intellectual property
 * laws.
 *
 * DISCLAIMER
 * This disclaimer is not a license and does not grant any
 * rights to the materials distributed herewith. Except as
 * otherwise provided in a valid license issued to you by
 * Xilinx, and to the maximum extent permitted by applicable
 * law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
 * WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
 * AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
 * BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
 * (2) Xilinx shall not be liable (whether in contract or tort,
 * including negligence, or under any other theory of
 * liability) for any loss or damage of any kind or nature
 * related to, arising under or in connection with these
 * materials, including for any direct, or any indirect,
 * special, incidental, or consequential loss or damage
 * (including loss of data, profits, goodwill, or any type of
 * loss or damage suffered as a result of any action brought
 * by a third party) even if such damage or loss was
 * reasonably foreseeable or Xilinx had been advised of the
 * possibility of the same.
 *
 * CRITICAL APPLICATIONS
 * Xilinx products are not designed or intended to be fail-
 * safe, or for use in any application requiring fail-safe
 * performance, such as life-support or safety devices or
 * systems, Class III medical devices, nuclear facilities,
 * applications related to the deployment of airbags, or any
 * other applications that could lead to death, personal
 * injury, or severe property or environmental damage
 * (individually and collectively, "Critical
 * Applications"). Customer assumes the sole risk and
 * liability of any use of Xilinx products in Critical
 * Applications, subject only to applicable laws and
 * regulations governing limitations on product liability.
 *
 * THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
 * PART OF THIS FILE AT ALL TIMES.
 *
 * Naming Convention: <MODULE>_<REGISTER>[_<FIELD>[_<DESC>]]
 *     <MODULE>       Module name (e.g. can or usb)
 *     <REGISTER>     Register within the current module
 *     [_<FIELD>]     Bit field within a register
 *     [_<DESC>]      Type of bit field define:
 *         SHIFT:     Least significant bit for the field
 *         WIDTH:     Size of field in bites
 *         MASK:      A masking over a range of bits or a bit to
 *                    be used for setting or clearing
 *
 */

#ifndef __GDMA_CH0_H__
#define __GDMA_CH0_H__


#ifdef __cplusplus
extern "C" {
#endif

/**
 * GDMA_CH0 Base Address
 */
#define GDMA_CH0_BASEADDR      0xFD500000

/**
 * Register: GDMA_CH0_ZDMA_ERR_CTRL
 */
#define GDMA_CH0_ZDMA_ERR_CTRL    ( ( GDMA_CH0_BASEADDR ) + 0x00000000 )
#define GDMA_CH0_ZDMA_ERR_CTRL_DEFVAL   0x1

/* access_type: rw  */
#define GDMA_CH0_ZDMA_ERR_CTRL_APB_ERR_RES_SHIFT   0
#define GDMA_CH0_ZDMA_ERR_CTRL_APB_ERR_RES_WIDTH   1
#define GDMA_CH0_ZDMA_ERR_CTRL_APB_ERR_RES_MASK    0x00000001
#define GDMA_CH0_ZDMA_ERR_CTRL_APB_ERR_RES_DEFVAL  0x1

/**
 * Register: GDMA_CH0_ZDMA_CH_ECO
 */
#define GDMA_CH0_ZDMA_CH_ECO    ( ( GDMA_CH0_BASEADDR ) + 0x00000004 )
#define GDMA_CH0_ZDMA_CH_ECO_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_ECO_VAL_SHIFT   0
#define GDMA_CH0_ZDMA_CH_ECO_VAL_WIDTH   32
#define GDMA_CH0_ZDMA_CH_ECO_VAL_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_ECO_VAL_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_ISR
 */
#define GDMA_CH0_ZDMA_CH_ISR    ( ( GDMA_CH0_BASEADDR ) + 0x00000100 )
#define GDMA_CH0_ZDMA_CH_ISR_DEFVAL   0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_DMA_PAUSE_SHIFT   11
#define GDMA_CH0_ZDMA_CH_ISR_DMA_PAUSE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_DMA_PAUSE_MASK    0x00000800
#define GDMA_CH0_ZDMA_CH_ISR_DMA_PAUSE_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_DMA_DONE_SHIFT   10
#define GDMA_CH0_ZDMA_CH_ISR_DMA_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_DMA_DONE_MASK    0x00000400
#define GDMA_CH0_ZDMA_CH_ISR_DMA_DONE_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_AXI_WR_DATA_SHIFT   9
#define GDMA_CH0_ZDMA_CH_ISR_AXI_WR_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_AXI_WR_DATA_MASK    0x00000200
#define GDMA_CH0_ZDMA_CH_ISR_AXI_WR_DATA_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DATA_SHIFT   8
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DATA_MASK    0x00000100
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DATA_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DST_DSCR_SHIFT   7
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DST_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DST_DSCR_MASK    0x00000080
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_DST_DSCR_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_SRC_DSCR_SHIFT   6
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_SRC_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_SRC_DSCR_MASK    0x00000040
#define GDMA_CH0_ZDMA_CH_ISR_AXI_RD_SRC_DSCR_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_DST_ACCT_ERR_SHIFT   5
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_DST_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_DST_ACCT_ERR_MASK    0x00000020
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_DST_ACCT_ERR_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_SRC_ACCT_ERR_SHIFT   4
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_SRC_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_SRC_ACCT_ERR_MASK    0x00000010
#define GDMA_CH0_ZDMA_CH_ISR_IRQ_SRC_ACCT_ERR_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_BYTE_CNT_OVRFL_SHIFT   3
#define GDMA_CH0_ZDMA_CH_ISR_BYTE_CNT_OVRFL_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_BYTE_CNT_OVRFL_MASK    0x00000008
#define GDMA_CH0_ZDMA_CH_ISR_BYTE_CNT_OVRFL_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_DST_DSCR_DONE_SHIFT   2
#define GDMA_CH0_ZDMA_CH_ISR_DST_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_DST_DSCR_DONE_MASK    0x00000004
#define GDMA_CH0_ZDMA_CH_ISR_DST_DSCR_DONE_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_SRC_DSCR_DONE_SHIFT   1
#define GDMA_CH0_ZDMA_CH_ISR_SRC_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_SRC_DSCR_DONE_MASK    0x00000002
#define GDMA_CH0_ZDMA_CH_ISR_SRC_DSCR_DONE_DEFVAL  0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_ISR_INV_APB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_ISR_INV_APB_WIDTH   1
#define GDMA_CH0_ZDMA_CH_ISR_INV_APB_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_ISR_INV_APB_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_IMR
 */
#define GDMA_CH0_ZDMA_CH_IMR    ( ( GDMA_CH0_BASEADDR ) + 0x00000104 )
#define GDMA_CH0_ZDMA_CH_IMR_DEFVAL   0xfff

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_DMA_PAUSE_SHIFT   11
#define GDMA_CH0_ZDMA_CH_IMR_DMA_PAUSE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_DMA_PAUSE_MASK    0x00000800
#define GDMA_CH0_ZDMA_CH_IMR_DMA_PAUSE_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_DMA_DONE_SHIFT   10
#define GDMA_CH0_ZDMA_CH_IMR_DMA_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_DMA_DONE_MASK    0x00000400
#define GDMA_CH0_ZDMA_CH_IMR_DMA_DONE_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_AXI_WR_DATA_SHIFT   9
#define GDMA_CH0_ZDMA_CH_IMR_AXI_WR_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_AXI_WR_DATA_MASK    0x00000200
#define GDMA_CH0_ZDMA_CH_IMR_AXI_WR_DATA_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DATA_SHIFT   8
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DATA_MASK    0x00000100
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DATA_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DST_DSCR_SHIFT   7
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DST_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DST_DSCR_MASK    0x00000080
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_DST_DSCR_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_SRC_DSCR_SHIFT   6
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_SRC_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_SRC_DSCR_MASK    0x00000040
#define GDMA_CH0_ZDMA_CH_IMR_AXI_RD_SRC_DSCR_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_DST_ACCT_ERR_SHIFT   5
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_DST_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_DST_ACCT_ERR_MASK    0x00000020
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_DST_ACCT_ERR_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_SRC_ACCT_ERR_SHIFT   4
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_SRC_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_SRC_ACCT_ERR_MASK    0x00000010
#define GDMA_CH0_ZDMA_CH_IMR_IRQ_SRC_ACCT_ERR_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_BYTE_CNT_OVRFL_SHIFT   3
#define GDMA_CH0_ZDMA_CH_IMR_BYTE_CNT_OVRFL_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_BYTE_CNT_OVRFL_MASK    0x00000008
#define GDMA_CH0_ZDMA_CH_IMR_BYTE_CNT_OVRFL_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_DST_DSCR_DONE_SHIFT   2
#define GDMA_CH0_ZDMA_CH_IMR_DST_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_DST_DSCR_DONE_MASK    0x00000004
#define GDMA_CH0_ZDMA_CH_IMR_DST_DSCR_DONE_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_SRC_DSCR_DONE_SHIFT   1
#define GDMA_CH0_ZDMA_CH_IMR_SRC_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_SRC_DSCR_DONE_MASK    0x00000002
#define GDMA_CH0_ZDMA_CH_IMR_SRC_DSCR_DONE_DEFVAL  0x1

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IMR_INV_APB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_IMR_INV_APB_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IMR_INV_APB_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_IMR_INV_APB_DEFVAL  0x1

/**
 * Register: GDMA_CH0_ZDMA_CH_IEN
 */
#define GDMA_CH0_ZDMA_CH_IEN    ( ( GDMA_CH0_BASEADDR ) + 0x00000108 )
#define GDMA_CH0_ZDMA_CH_IEN_DEFVAL   0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_DMA_PAUSE_SHIFT   11
#define GDMA_CH0_ZDMA_CH_IEN_DMA_PAUSE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_DMA_PAUSE_MASK    0x00000800
#define GDMA_CH0_ZDMA_CH_IEN_DMA_PAUSE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_DMA_DONE_SHIFT   10
#define GDMA_CH0_ZDMA_CH_IEN_DMA_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_DMA_DONE_MASK    0x00000400
#define GDMA_CH0_ZDMA_CH_IEN_DMA_DONE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_AXI_WR_DATA_SHIFT   9
#define GDMA_CH0_ZDMA_CH_IEN_AXI_WR_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_AXI_WR_DATA_MASK    0x00000200
#define GDMA_CH0_ZDMA_CH_IEN_AXI_WR_DATA_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DATA_SHIFT   8
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DATA_MASK    0x00000100
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DATA_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DST_DSCR_SHIFT   7
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DST_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DST_DSCR_MASK    0x00000080
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_DST_DSCR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_SRC_DSCR_SHIFT   6
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_SRC_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_SRC_DSCR_MASK    0x00000040
#define GDMA_CH0_ZDMA_CH_IEN_AXI_RD_SRC_DSCR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_DST_ACCT_ERR_SHIFT   5
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_DST_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_DST_ACCT_ERR_MASK    0x00000020
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_DST_ACCT_ERR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_SRC_ACCT_ERR_SHIFT   4
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_SRC_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_SRC_ACCT_ERR_MASK    0x00000010
#define GDMA_CH0_ZDMA_CH_IEN_IRQ_SRC_ACCT_ERR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_BYTE_CNT_OVRFL_SHIFT   3
#define GDMA_CH0_ZDMA_CH_IEN_BYTE_CNT_OVRFL_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_BYTE_CNT_OVRFL_MASK    0x00000008
#define GDMA_CH0_ZDMA_CH_IEN_BYTE_CNT_OVRFL_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_DST_DSCR_DONE_SHIFT   2
#define GDMA_CH0_ZDMA_CH_IEN_DST_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_DST_DSCR_DONE_MASK    0x00000004
#define GDMA_CH0_ZDMA_CH_IEN_DST_DSCR_DONE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_SRC_DSCR_DONE_SHIFT   1
#define GDMA_CH0_ZDMA_CH_IEN_SRC_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_SRC_DSCR_DONE_MASK    0x00000002
#define GDMA_CH0_ZDMA_CH_IEN_SRC_DSCR_DONE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IEN_INV_APB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_IEN_INV_APB_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IEN_INV_APB_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_IEN_INV_APB_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_IDS
 */
#define GDMA_CH0_ZDMA_CH_IDS    ( ( GDMA_CH0_BASEADDR ) + 0x0000010C )
#define GDMA_CH0_ZDMA_CH_IDS_DEFVAL   0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_DMA_PAUSE_SHIFT   11
#define GDMA_CH0_ZDMA_CH_IDS_DMA_PAUSE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_DMA_PAUSE_MASK    0x00000800
#define GDMA_CH0_ZDMA_CH_IDS_DMA_PAUSE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_DMA_DONE_SHIFT   10
#define GDMA_CH0_ZDMA_CH_IDS_DMA_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_DMA_DONE_MASK    0x00000400
#define GDMA_CH0_ZDMA_CH_IDS_DMA_DONE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_AXI_WR_DATA_SHIFT   9
#define GDMA_CH0_ZDMA_CH_IDS_AXI_WR_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_AXI_WR_DATA_MASK    0x00000200
#define GDMA_CH0_ZDMA_CH_IDS_AXI_WR_DATA_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DATA_SHIFT   8
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DATA_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DATA_MASK    0x00000100
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DATA_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DST_DSCR_SHIFT   7
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DST_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DST_DSCR_MASK    0x00000080
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_DST_DSCR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_SRC_DSCR_SHIFT   6
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_SRC_DSCR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_SRC_DSCR_MASK    0x00000040
#define GDMA_CH0_ZDMA_CH_IDS_AXI_RD_SRC_DSCR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_DST_ACCT_ERR_SHIFT   5
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_DST_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_DST_ACCT_ERR_MASK    0x00000020
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_DST_ACCT_ERR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_SRC_ACCT_ERR_SHIFT   4
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_SRC_ACCT_ERR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_SRC_ACCT_ERR_MASK    0x00000010
#define GDMA_CH0_ZDMA_CH_IDS_IRQ_SRC_ACCT_ERR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_BYTE_CNT_OVRFL_SHIFT   3
#define GDMA_CH0_ZDMA_CH_IDS_BYTE_CNT_OVRFL_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_BYTE_CNT_OVRFL_MASK    0x00000008
#define GDMA_CH0_ZDMA_CH_IDS_BYTE_CNT_OVRFL_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_DST_DSCR_DONE_SHIFT   2
#define GDMA_CH0_ZDMA_CH_IDS_DST_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_DST_DSCR_DONE_MASK    0x00000004
#define GDMA_CH0_ZDMA_CH_IDS_DST_DSCR_DONE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_SRC_DSCR_DONE_SHIFT   1
#define GDMA_CH0_ZDMA_CH_IDS_SRC_DSCR_DONE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_SRC_DSCR_DONE_MASK    0x00000002
#define GDMA_CH0_ZDMA_CH_IDS_SRC_DSCR_DONE_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_IDS_INV_APB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_IDS_INV_APB_WIDTH   1
#define GDMA_CH0_ZDMA_CH_IDS_INV_APB_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_IDS_INV_APB_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_CTRL0
 */
#define GDMA_CH0_ZDMA_CH_CTRL0    ( ( GDMA_CH0_BASEADDR ) + 0x00000110 )
#define GDMA_CH0_ZDMA_CH_CTRL0_DEFVAL   0x80

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL0_OVR_FETCH_SHIFT   7
#define GDMA_CH0_ZDMA_CH_CTRL0_OVR_FETCH_WIDTH   1
#define GDMA_CH0_ZDMA_CH_CTRL0_OVR_FETCH_MASK    0x00000080
#define GDMA_CH0_ZDMA_CH_CTRL0_OVR_FETCH_DEFVAL  0x1

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL0_POINT_TYPE_SHIFT   6
#define GDMA_CH0_ZDMA_CH_CTRL0_POINT_TYPE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_CTRL0_POINT_TYPE_MASK    0x00000040
#define GDMA_CH0_ZDMA_CH_CTRL0_POINT_TYPE_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL0_MODE_SHIFT   4
#define GDMA_CH0_ZDMA_CH_CTRL0_MODE_WIDTH   2
#define GDMA_CH0_ZDMA_CH_CTRL0_MODE_MASK    0x00000030
#define GDMA_CH0_ZDMA_CH_CTRL0_MODE_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL0_RATE_CTRL_SHIFT   3
#define GDMA_CH0_ZDMA_CH_CTRL0_RATE_CTRL_WIDTH   1
#define GDMA_CH0_ZDMA_CH_CTRL0_RATE_CTRL_MASK    0x00000008
#define GDMA_CH0_ZDMA_CH_CTRL0_RATE_CTRL_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_ADDR_SHIFT   2
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_ADDR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_ADDR_MASK    0x00000004
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_ADDR_DEFVAL  0x0

/* access_type: wo  */
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_SHIFT   1
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_WIDTH   1
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_MASK    0x00000002
#define GDMA_CH0_ZDMA_CH_CTRL0_CONT_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_CTRL1
 */
#define GDMA_CH0_ZDMA_CH_CTRL1    ( ( GDMA_CH0_BASEADDR ) + 0x00000114 )
#define GDMA_CH0_ZDMA_CH_CTRL1_DEFVAL   0x3ff

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL1_DST_ISSUE_SHIFT   5
#define GDMA_CH0_ZDMA_CH_CTRL1_DST_ISSUE_WIDTH   5
#define GDMA_CH0_ZDMA_CH_CTRL1_DST_ISSUE_MASK    0x000003e0
#define GDMA_CH0_ZDMA_CH_CTRL1_DST_ISSUE_DEFVAL  0x1f

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL1_SRC_ISSUE_SHIFT   0
#define GDMA_CH0_ZDMA_CH_CTRL1_SRC_ISSUE_WIDTH   5
#define GDMA_CH0_ZDMA_CH_CTRL1_SRC_ISSUE_MASK    0x0000001f
#define GDMA_CH0_ZDMA_CH_CTRL1_SRC_ISSUE_DEFVAL  0x1f

/**
 * Register: GDMA_CH0_ZDMA_CH_FCI
 */
#define GDMA_CH0_ZDMA_CH_FCI    ( ( GDMA_CH0_BASEADDR ) + 0x00000118 )
#define GDMA_CH0_ZDMA_CH_FCI_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_FCI_PROG_CELL_CNT_SHIFT   2
#define GDMA_CH0_ZDMA_CH_FCI_PROG_CELL_CNT_WIDTH   2
#define GDMA_CH0_ZDMA_CH_FCI_PROG_CELL_CNT_MASK    0x0000000c
#define GDMA_CH0_ZDMA_CH_FCI_PROG_CELL_CNT_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_FCI_SIDE_SHIFT   1
#define GDMA_CH0_ZDMA_CH_FCI_SIDE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_FCI_SIDE_MASK    0x00000002
#define GDMA_CH0_ZDMA_CH_FCI_SIDE_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_FCI_EN_SHIFT   0
#define GDMA_CH0_ZDMA_CH_FCI_EN_WIDTH   1
#define GDMA_CH0_ZDMA_CH_FCI_EN_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_FCI_EN_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_STATUS
 */
#define GDMA_CH0_ZDMA_CH_STATUS    ( ( GDMA_CH0_BASEADDR ) + 0x0000011C )
#define GDMA_CH0_ZDMA_CH_STATUS_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_STATUS_STATE_SHIFT   0
#define GDMA_CH0_ZDMA_CH_STATUS_STATE_WIDTH   2
#define GDMA_CH0_ZDMA_CH_STATUS_STATE_MASK    0x00000003
#define GDMA_CH0_ZDMA_CH_STATUS_STATE_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DATA_ATTR
 */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR    ( ( GDMA_CH0_BASEADDR ) + 0x00000120 )
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_DEFVAL   0x483d20f

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARBURST_SHIFT   26
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARBURST_WIDTH   2
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARBURST_MASK    0x0c000000
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARBURST_DEFVAL  0x1

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARCACHE_SHIFT   22
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARCACHE_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARCACHE_MASK    0x03c00000
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARCACHE_DEFVAL  0x2

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARQOS_SHIFT   18
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARQOS_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARQOS_MASK    0x003c0000
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARQOS_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARLEN_SHIFT   14
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARLEN_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARLEN_MASK    0x0003c000
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_ARLEN_DEFVAL  0xf

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWBURST_SHIFT   12
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWBURST_WIDTH   2
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWBURST_MASK    0x00003000
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWBURST_DEFVAL  0x1

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWCACHE_SHIFT   8
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWCACHE_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWCACHE_MASK    0x00000f00
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWCACHE_DEFVAL  0x2

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWQOS_SHIFT   4
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWQOS_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWQOS_MASK    0x000000f0
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWQOS_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWLEN_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWLEN_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWLEN_MASK    0x0000000f
#define GDMA_CH0_ZDMA_CH_DATA_ATTR_AWLEN_DEFVAL  0xf

/**
 * Register: GDMA_CH0_ZDMA_CH_DSCR_ATTR
 */
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR    ( ( GDMA_CH0_BASEADDR ) + 0x00000124 )
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCOHRNT_SHIFT   8
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCOHRNT_WIDTH   1
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCOHRNT_MASK    0x00000100
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCOHRNT_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCACHE_SHIFT   4
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCACHE_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCACHE_MASK    0x000000f0
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXCACHE_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXQOS_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXQOS_WIDTH   4
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXQOS_MASK    0x0000000f
#define GDMA_CH0_ZDMA_CH_DSCR_ATTR_AXQOS_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD0
 */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD0    ( ( GDMA_CH0_BASEADDR ) + 0x00000128 )
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD0_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD0_LSB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD0_LSB_WIDTH   32
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD0_LSB_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD0_LSB_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD1
 */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD1    ( ( GDMA_CH0_BASEADDR ) + 0x0000012C )
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD1_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD1_MSB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD1_MSB_WIDTH   17
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD1_MSB_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD1_MSB_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD2
 */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD2    ( ( GDMA_CH0_BASEADDR ) + 0x00000130 )
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD2_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD2_SIZE_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD2_SIZE_WIDTH   30
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD2_SIZE_MASK    0x3fffffff
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD2_SIZE_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3
 */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3    ( ( GDMA_CH0_BASEADDR ) + 0x00000134 )
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_CMD_SHIFT   3
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_CMD_WIDTH   2
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_CMD_MASK    0x00000018
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_CMD_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_INTR_SHIFT   2
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_INTR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_INTR_MASK    0x00000004
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_INTR_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_TYPE_SHIFT   1
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_TYPE_WIDTH   1
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_TYPE_MASK    0x00000002
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_TYPE_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_COHRNT_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_COHRNT_WIDTH   1
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_COHRNT_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_SRC_DSCR_WORD3_COHRNT_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_DSCR_WORD0
 */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD0    ( ( GDMA_CH0_BASEADDR ) + 0x00000138 )
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD0_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD0_LSB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD0_LSB_WIDTH   32
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD0_LSB_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD0_LSB_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_DSCR_WORD1
 */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD1    ( ( GDMA_CH0_BASEADDR ) + 0x0000013C )
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD1_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD1_MSB_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD1_MSB_WIDTH   17
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD1_MSB_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD1_MSB_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_DSCR_WORD2
 */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD2    ( ( GDMA_CH0_BASEADDR ) + 0x00000140 )
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD2_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD2_SIZE_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD2_SIZE_WIDTH   30
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD2_SIZE_MASK    0x3fffffff
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD2_SIZE_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3
 */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3    ( ( GDMA_CH0_BASEADDR ) + 0x00000144 )
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_INTR_SHIFT   2
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_INTR_WIDTH   1
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_INTR_MASK    0x00000004
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_INTR_DEFVAL  0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_COHRNT_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_COHRNT_WIDTH   1
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_COHRNT_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_DST_DSCR_WORD3_COHRNT_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_WR_ONLY_WORD0
 */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD0    ( ( GDMA_CH0_BASEADDR ) + 0x00000148 )
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD0_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD0_DATA_SHIFT   0
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD0_DATA_WIDTH   32
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD0_DATA_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD0_DATA_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_WR_ONLY_WORD1
 */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD1    ( ( GDMA_CH0_BASEADDR ) + 0x0000014C )
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD1_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD1_DATA_SHIFT   0
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD1_DATA_WIDTH   32
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD1_DATA_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD1_DATA_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_WR_ONLY_WORD2
 */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD2    ( ( GDMA_CH0_BASEADDR ) + 0x00000150 )
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD2_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD2_DATA_SHIFT   0
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD2_DATA_WIDTH   32
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD2_DATA_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD2_DATA_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_WR_ONLY_WORD3
 */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD3    ( ( GDMA_CH0_BASEADDR ) + 0x00000154 )
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD3_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD3_DATA_SHIFT   0
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD3_DATA_WIDTH   32
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD3_DATA_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_WR_ONLY_WORD3_DATA_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_START_LSB
 */
#define GDMA_CH0_ZDMA_CH_SRC_START_LSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000158 )
#define GDMA_CH0_ZDMA_CH_SRC_START_LSB_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_START_LSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_START_LSB_ADDR_WIDTH   32
#define GDMA_CH0_ZDMA_CH_SRC_START_LSB_ADDR_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_SRC_START_LSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_START_MSB
 */
#define GDMA_CH0_ZDMA_CH_SRC_START_MSB    ( ( GDMA_CH0_BASEADDR ) + 0x0000015C )
#define GDMA_CH0_ZDMA_CH_SRC_START_MSB_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_SRC_START_MSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_START_MSB_ADDR_WIDTH   17
#define GDMA_CH0_ZDMA_CH_SRC_START_MSB_ADDR_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_SRC_START_MSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_START_LSB
 */
#define GDMA_CH0_ZDMA_CH_DST_START_LSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000160 )
#define GDMA_CH0_ZDMA_CH_DST_START_LSB_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DST_START_LSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_START_LSB_ADDR_WIDTH   32
#define GDMA_CH0_ZDMA_CH_DST_START_LSB_ADDR_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_DST_START_LSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_START_MSB
 */
#define GDMA_CH0_ZDMA_CH_DST_START_MSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000164 )
#define GDMA_CH0_ZDMA_CH_DST_START_MSB_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_DST_START_MSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_START_MSB_ADDR_WIDTH   17
#define GDMA_CH0_ZDMA_CH_DST_START_MSB_ADDR_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_DST_START_MSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_LSB
 */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_LSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000168 )
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_LSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_LSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_LSB_ADDR_WIDTH   32
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_LSB_ADDR_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_LSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_MSB
 */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_MSB    ( ( GDMA_CH0_BASEADDR ) + 0x0000016C )
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_MSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_MSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_MSB_ADDR_WIDTH   17
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_MSB_ADDR_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_SRC_CUR_PYLD_MSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_LSB
 */
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_LSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000170 )
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_LSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_LSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_LSB_ADDR_WIDTH   32
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_LSB_ADDR_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_LSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_MSB
 */
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_MSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000174 )
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_MSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_MSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_MSB_ADDR_WIDTH   17
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_MSB_ADDR_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_DST_CUR_PYLD_MSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_LSB
 */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_LSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000178 )
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_LSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_LSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_LSB_ADDR_WIDTH   32
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_LSB_ADDR_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_LSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_MSB
 */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_MSB    ( ( GDMA_CH0_BASEADDR ) + 0x0000017C )
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_MSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_MSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_MSB_ADDR_WIDTH   17
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_MSB_ADDR_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_SRC_CUR_DSCR_MSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_LSB
 */
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_LSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000180 )
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_LSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_LSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_LSB_ADDR_WIDTH   32
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_LSB_ADDR_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_LSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_MSB
 */
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_MSB    ( ( GDMA_CH0_BASEADDR ) + 0x00000184 )
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_MSB_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_MSB_ADDR_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_MSB_ADDR_WIDTH   17
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_MSB_ADDR_MASK    0x0001ffff
#define GDMA_CH0_ZDMA_CH_DST_CUR_DSCR_MSB_ADDR_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_TOTAL_BYTE
 */
#define GDMA_CH0_ZDMA_CH_TOTAL_BYTE    ( ( GDMA_CH0_BASEADDR ) + 0x00000188 )
#define GDMA_CH0_ZDMA_CH_TOTAL_BYTE_DEFVAL   0x0

/* access_type: wtc  */
#define GDMA_CH0_ZDMA_CH_TOTAL_BYTE_CNT_SHIFT   0
#define GDMA_CH0_ZDMA_CH_TOTAL_BYTE_CNT_WIDTH   32
#define GDMA_CH0_ZDMA_CH_TOTAL_BYTE_CNT_MASK    0xffffffff
#define GDMA_CH0_ZDMA_CH_TOTAL_BYTE_CNT_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_RATE_CTRL
 */
#define GDMA_CH0_ZDMA_CH_RATE_CTRL    ( ( GDMA_CH0_BASEADDR ) + 0x0000018C )
#define GDMA_CH0_ZDMA_CH_RATE_CTRL_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_RATE_CTRL_CNT_SHIFT   0
#define GDMA_CH0_ZDMA_CH_RATE_CTRL_CNT_WIDTH   12
#define GDMA_CH0_ZDMA_CH_RATE_CTRL_CNT_MASK    0x00000fff
#define GDMA_CH0_ZDMA_CH_RATE_CTRL_CNT_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_IRQ_SRC_ACCT
 */
#define GDMA_CH0_ZDMA_CH_IRQ_SRC_ACCT    ( ( GDMA_CH0_BASEADDR ) + 0x00000190 )
#define GDMA_CH0_ZDMA_CH_IRQ_SRC_ACCT_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IRQ_SRC_ACCT_CNT_SHIFT   0
#define GDMA_CH0_ZDMA_CH_IRQ_SRC_ACCT_CNT_WIDTH   8
#define GDMA_CH0_ZDMA_CH_IRQ_SRC_ACCT_CNT_MASK    0x000000ff
#define GDMA_CH0_ZDMA_CH_IRQ_SRC_ACCT_CNT_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_IRQ_DST_ACCT
 */
#define GDMA_CH0_ZDMA_CH_IRQ_DST_ACCT    ( ( GDMA_CH0_BASEADDR ) + 0x00000194 )
#define GDMA_CH0_ZDMA_CH_IRQ_DST_ACCT_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_IRQ_DST_ACCT_CNT_SHIFT   0
#define GDMA_CH0_ZDMA_CH_IRQ_DST_ACCT_CNT_WIDTH   8
#define GDMA_CH0_ZDMA_CH_IRQ_DST_ACCT_CNT_MASK    0x000000ff
#define GDMA_CH0_ZDMA_CH_IRQ_DST_ACCT_CNT_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DBG0
 */
#define GDMA_CH0_ZDMA_CH_DBG0    ( ( GDMA_CH0_BASEADDR ) + 0x00000198 )
#define GDMA_CH0_ZDMA_CH_DBG0_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_DBG0_CMN_BUF_FREE_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DBG0_CMN_BUF_FREE_WIDTH   9
#define GDMA_CH0_ZDMA_CH_DBG0_CMN_BUF_FREE_MASK    0x000001ff
#define GDMA_CH0_ZDMA_CH_DBG0_CMN_BUF_FREE_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_DBG1
 */
#define GDMA_CH0_ZDMA_CH_DBG1    ( ( GDMA_CH0_BASEADDR ) + 0x0000019C )
#define GDMA_CH0_ZDMA_CH_DBG1_DEFVAL   0x0

/* access_type: ro  */
#define GDMA_CH0_ZDMA_CH_DBG1_CMN_BUF_OCC_SHIFT   0
#define GDMA_CH0_ZDMA_CH_DBG1_CMN_BUF_OCC_WIDTH   9
#define GDMA_CH0_ZDMA_CH_DBG1_CMN_BUF_OCC_MASK    0x000001ff
#define GDMA_CH0_ZDMA_CH_DBG1_CMN_BUF_OCC_DEFVAL  0x0

/**
 * Register: GDMA_CH0_ZDMA_CH_CTRL2
 */
#define GDMA_CH0_ZDMA_CH_CTRL2    ( ( GDMA_CH0_BASEADDR ) + 0x00000200 )
#define GDMA_CH0_ZDMA_CH_CTRL2_DEFVAL   0x0

/* access_type: rw  */
#define GDMA_CH0_ZDMA_CH_CTRL2_EN_SHIFT   0
#define GDMA_CH0_ZDMA_CH_CTRL2_EN_WIDTH   1
#define GDMA_CH0_ZDMA_CH_CTRL2_EN_MASK    0x00000001
#define GDMA_CH0_ZDMA_CH_CTRL2_EN_DEFVAL  0x0


#ifdef __cplusplus
}
#endif

#endif /* __GDMA_CH0_H__ */

