/**
 * (c) 2013 Xilinx Inc.
 * XREGDB v0.79
 * XREGCHDR v0.23
 *
 * Generated on: 2015-11-30
 *
 * @file: ddr_phy.h
 * @module_name: DDR_PHY
 *
 *
 * This file contains confidential and proprietary information
 * of Xilinx, Inc. and is protected under U.S. and
 * international copyright and other intellectual property
 * laws.
 *
 * DISCLAIMER
 * This disclaimer is not a license and does not grant any
 * rights to the materials distributed herewith. Except as
 * otherwise provided in a valid license issued to you by
 * Xilinx, and to the maximum extent permitted by applicable
 * law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
 * WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
 * AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
 * BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
 * (2) Xilinx shall not be liable (whether in contract or tort,
 * including negligence, or under any other theory of
 * liability) for any loss or damage of any kind or nature
 * related to, arising under or in connection with these
 * materials, including for any direct, or any indirect,
 * special, incidental, or consequential loss or damage
 * (including loss of data, profits, goodwill, or any type of
 * loss or damage suffered as a result of any action brought
 * by a third party) even if such damage or loss was
 * reasonably foreseeable or Xilinx had been advised of the
 * possibility of the same.
 *
 * CRITICAL APPLICATIONS
 * Xilinx products are not designed or intended to be fail-
 * safe, or for use in any application requiring fail-safe
 * performance, such as life-support or safety devices or
 * systems, Class III medical devices, nuclear facilities,
 * applications related to the deployment of airbags, or any
 * other applications that could lead to death, personal
 * injury, or severe property or environmental damage
 * (individually and collectively, "Critical
 * Applications"). Customer assumes the sole risk and
 * liability of any use of Xilinx products in Critical
 * Applications, subject only to applicable laws and
 * regulations governing limitations on product liability.
 *
 * THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
 * PART OF THIS FILE AT ALL TIMES.
 *
 * Naming Convention: <MODULE>_<REGISTER>[_<FIELD>[_<DESC>]]
 *     <MODULE>       Module name (e.g. can or usb)
 *     <REGISTER>     Register within the current module
 *     [_<FIELD>]     Bit field within a register
 *     [_<DESC>]      Type of bit field define:
 *         SHIFT:     Least significant bit for the field
 *         WIDTH:     Size of field in bites
 *         MASK:      A masking over a range of bits or a bit to
 *                    be used for setting or clearing
 *
 */

#ifndef __DDR_PHY_H__
#define __DDR_PHY_H__


#ifdef __cplusplus
extern "C" {
#endif

/**
 * DDR_PHY Base Address
 */
#define DDR_PHY_BASEADDR      0xFD080000

/**
 * Register: DDR_PHY_RIDR
 */
#define DDR_PHY_RIDR    ( ( DDR_PHY_BASEADDR ) + 0x00000000 )
#define DDR_PHY_RIDR_DEFVAL   0x116116

/* access_type: ro  */
#define DDR_PHY_RIDR_UDRID_SHIFT   24
#define DDR_PHY_RIDR_UDRID_WIDTH   8
#define DDR_PHY_RIDR_UDRID_MASK    0xff000000
#define DDR_PHY_RIDR_UDRID_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RIDR_PHYMJR_SHIFT   20
#define DDR_PHY_RIDR_PHYMJR_WIDTH   4
#define DDR_PHY_RIDR_PHYMJR_MASK    0x00f00000
#define DDR_PHY_RIDR_PHYMJR_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_RIDR_PHYMDR_SHIFT   16
#define DDR_PHY_RIDR_PHYMDR_WIDTH   4
#define DDR_PHY_RIDR_PHYMDR_MASK    0x000f0000
#define DDR_PHY_RIDR_PHYMDR_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_RIDR_PHYMNR_SHIFT   12
#define DDR_PHY_RIDR_PHYMNR_WIDTH   4
#define DDR_PHY_RIDR_PHYMNR_MASK    0x0000f000
#define DDR_PHY_RIDR_PHYMNR_DEFVAL  0x6

/* access_type: ro  */
#define DDR_PHY_RIDR_PUBMJR_SHIFT   8
#define DDR_PHY_RIDR_PUBMJR_WIDTH   4
#define DDR_PHY_RIDR_PUBMJR_MASK    0x00000f00
#define DDR_PHY_RIDR_PUBMJR_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_RIDR_PUBMDR_SHIFT   4
#define DDR_PHY_RIDR_PUBMDR_WIDTH   4
#define DDR_PHY_RIDR_PUBMDR_MASK    0x000000f0
#define DDR_PHY_RIDR_PUBMDR_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_RIDR_PUBMNR_SHIFT   0
#define DDR_PHY_RIDR_PUBMNR_WIDTH   4
#define DDR_PHY_RIDR_PUBMNR_MASK    0x0000000f
#define DDR_PHY_RIDR_PUBMNR_DEFVAL  0x6

/**
 * Register: DDR_PHY_PIR
 */
#define DDR_PHY_PIR    ( ( DDR_PHY_BASEADDR ) + 0x00000004 )
#define DDR_PHY_PIR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_PIR_RESERVED_31_SHIFT   31
#define DDR_PHY_PIR_RESERVED_31_WIDTH   1
#define DDR_PHY_PIR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_PIR_RESERVED_31_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_PIR_ZCALBYP_SHIFT   30
#define DDR_PHY_PIR_ZCALBYP_WIDTH   1
#define DDR_PHY_PIR_ZCALBYP_MASK    0x40000000
#define DDR_PHY_PIR_ZCALBYP_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_PIR_DCALPSE_SHIFT   29
#define DDR_PHY_PIR_DCALPSE_WIDTH   1
#define DDR_PHY_PIR_DCALPSE_MASK    0x20000000
#define DDR_PHY_PIR_DCALPSE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PIR_RESERVED_28_21_SHIFT   21
#define DDR_PHY_PIR_RESERVED_28_21_WIDTH   8
#define DDR_PHY_PIR_RESERVED_28_21_MASK    0x1fe00000
#define DDR_PHY_PIR_RESERVED_28_21_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_DQS2DQ_SHIFT   20
#define DDR_PHY_PIR_DQS2DQ_WIDTH   1
#define DDR_PHY_PIR_DQS2DQ_MASK    0x00100000
#define DDR_PHY_PIR_DQS2DQ_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_RDIMMINIT_SHIFT   19
#define DDR_PHY_PIR_RDIMMINIT_WIDTH   1
#define DDR_PHY_PIR_RDIMMINIT_MASK    0x00080000
#define DDR_PHY_PIR_RDIMMINIT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_CTLDINIT_SHIFT   18
#define DDR_PHY_PIR_CTLDINIT_WIDTH   1
#define DDR_PHY_PIR_CTLDINIT_MASK    0x00040000
#define DDR_PHY_PIR_CTLDINIT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_VREF_SHIFT   17
#define DDR_PHY_PIR_VREF_WIDTH   1
#define DDR_PHY_PIR_VREF_MASK    0x00020000
#define DDR_PHY_PIR_VREF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_SRD_SHIFT   16
#define DDR_PHY_PIR_SRD_WIDTH   1
#define DDR_PHY_PIR_SRD_MASK    0x00010000
#define DDR_PHY_PIR_SRD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_WREYE_SHIFT   15
#define DDR_PHY_PIR_WREYE_WIDTH   1
#define DDR_PHY_PIR_WREYE_MASK    0x00008000
#define DDR_PHY_PIR_WREYE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_RDEYE_SHIFT   14
#define DDR_PHY_PIR_RDEYE_WIDTH   1
#define DDR_PHY_PIR_RDEYE_MASK    0x00004000
#define DDR_PHY_PIR_RDEYE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_WRDSKW_SHIFT   13
#define DDR_PHY_PIR_WRDSKW_WIDTH   1
#define DDR_PHY_PIR_WRDSKW_MASK    0x00002000
#define DDR_PHY_PIR_WRDSKW_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_RDDSKW_SHIFT   12
#define DDR_PHY_PIR_RDDSKW_WIDTH   1
#define DDR_PHY_PIR_RDDSKW_MASK    0x00001000
#define DDR_PHY_PIR_RDDSKW_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_WLADJ_SHIFT   11
#define DDR_PHY_PIR_WLADJ_WIDTH   1
#define DDR_PHY_PIR_WLADJ_MASK    0x00000800
#define DDR_PHY_PIR_WLADJ_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_QSGATE_SHIFT   10
#define DDR_PHY_PIR_QSGATE_WIDTH   1
#define DDR_PHY_PIR_QSGATE_MASK    0x00000400
#define DDR_PHY_PIR_QSGATE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_WL_SHIFT   9
#define DDR_PHY_PIR_WL_WIDTH   1
#define DDR_PHY_PIR_WL_MASK    0x00000200
#define DDR_PHY_PIR_WL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_DRAMINIT_SHIFT   8
#define DDR_PHY_PIR_DRAMINIT_WIDTH   1
#define DDR_PHY_PIR_DRAMINIT_MASK    0x00000100
#define DDR_PHY_PIR_DRAMINIT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_DRAMRST_SHIFT   7
#define DDR_PHY_PIR_DRAMRST_WIDTH   1
#define DDR_PHY_PIR_DRAMRST_MASK    0x00000080
#define DDR_PHY_PIR_DRAMRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_PHYRST_SHIFT   6
#define DDR_PHY_PIR_PHYRST_WIDTH   1
#define DDR_PHY_PIR_PHYRST_MASK    0x00000040
#define DDR_PHY_PIR_PHYRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_DCAL_SHIFT   5
#define DDR_PHY_PIR_DCAL_WIDTH   1
#define DDR_PHY_PIR_DCAL_MASK    0x00000020
#define DDR_PHY_PIR_DCAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_PLLINIT_SHIFT   4
#define DDR_PHY_PIR_PLLINIT_WIDTH   1
#define DDR_PHY_PIR_PLLINIT_MASK    0x00000010
#define DDR_PHY_PIR_PLLINIT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PIR_RESERVED_3_SHIFT   3
#define DDR_PHY_PIR_RESERVED_3_WIDTH   1
#define DDR_PHY_PIR_RESERVED_3_MASK    0x00000008
#define DDR_PHY_PIR_RESERVED_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_CA_SHIFT   2
#define DDR_PHY_PIR_CA_WIDTH   1
#define DDR_PHY_PIR_CA_MASK    0x00000004
#define DDR_PHY_PIR_CA_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PIR_ZCAL_SHIFT   1
#define DDR_PHY_PIR_ZCAL_WIDTH   1
#define DDR_PHY_PIR_ZCAL_MASK    0x00000002
#define DDR_PHY_PIR_ZCAL_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_PIR_INIT_SHIFT   0
#define DDR_PHY_PIR_INIT_WIDTH   1
#define DDR_PHY_PIR_INIT_MASK    0x00000001
#define DDR_PHY_PIR_INIT_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGCR0
 */
#define DDR_PHY_PGCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000010 )
#define DDR_PHY_PGCR0_DEFVAL   0x7001e00

/* access_type: rw  */
#define DDR_PHY_PGCR0_ADCP_SHIFT   31
#define DDR_PHY_PGCR0_ADCP_WIDTH   1
#define DDR_PHY_PGCR0_ADCP_MASK    0x80000000
#define DDR_PHY_PGCR0_ADCP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR0_RESERVED_30_27_SHIFT   27
#define DDR_PHY_PGCR0_RESERVED_30_27_WIDTH   4
#define DDR_PHY_PGCR0_RESERVED_30_27_MASK    0x78000000
#define DDR_PHY_PGCR0_RESERVED_30_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR0_PHYFRST_SHIFT   26
#define DDR_PHY_PGCR0_PHYFRST_WIDTH   1
#define DDR_PHY_PGCR0_PHYFRST_MASK    0x04000000
#define DDR_PHY_PGCR0_PHYFRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR0_OSCACDL_SHIFT   24
#define DDR_PHY_PGCR0_OSCACDL_WIDTH   2
#define DDR_PHY_PGCR0_OSCACDL_MASK    0x03000000
#define DDR_PHY_PGCR0_OSCACDL_DEFVAL  0x3

/* access_type: ro  */
#define DDR_PHY_PGCR0_RESERVED_23_19_SHIFT   19
#define DDR_PHY_PGCR0_RESERVED_23_19_WIDTH   5
#define DDR_PHY_PGCR0_RESERVED_23_19_MASK    0x00f80000
#define DDR_PHY_PGCR0_RESERVED_23_19_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR0_DTOSEL_SHIFT   14
#define DDR_PHY_PGCR0_DTOSEL_WIDTH   5
#define DDR_PHY_PGCR0_DTOSEL_MASK    0x0007c000
#define DDR_PHY_PGCR0_DTOSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR0_RESERVED_13_SHIFT   13
#define DDR_PHY_PGCR0_RESERVED_13_WIDTH   1
#define DDR_PHY_PGCR0_RESERVED_13_MASK    0x00002000
#define DDR_PHY_PGCR0_RESERVED_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR0_OSCDIV_SHIFT   9
#define DDR_PHY_PGCR0_OSCDIV_WIDTH   4
#define DDR_PHY_PGCR0_OSCDIV_MASK    0x00001e00
#define DDR_PHY_PGCR0_OSCDIV_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_PGCR0_OSCEN_SHIFT   8
#define DDR_PHY_PGCR0_OSCEN_WIDTH   1
#define DDR_PHY_PGCR0_OSCEN_MASK    0x00000100
#define DDR_PHY_PGCR0_OSCEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR0_RESERVED_7_0_SHIFT   0
#define DDR_PHY_PGCR0_RESERVED_7_0_WIDTH   8
#define DDR_PHY_PGCR0_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_PGCR0_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGCR1
 */
#define DDR_PHY_PGCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000014 )
#define DDR_PHY_PGCR1_DEFVAL   0x2004600

/* access_type: rw  */
#define DDR_PHY_PGCR1_LBMODE_SHIFT   31
#define DDR_PHY_PGCR1_LBMODE_WIDTH   1
#define DDR_PHY_PGCR1_LBMODE_MASK    0x80000000
#define DDR_PHY_PGCR1_LBMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR1_RESERVED_30_29_SHIFT   29
#define DDR_PHY_PGCR1_RESERVED_30_29_WIDTH   2
#define DDR_PHY_PGCR1_RESERVED_30_29_MASK    0x60000000
#define DDR_PHY_PGCR1_RESERVED_30_29_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_PGCR1_LBGSDQS_SHIFT   28
#define DDR_PHY_PGCR1_LBGSDQS_WIDTH   1
#define DDR_PHY_PGCR1_LBGSDQS_MASK    0x10000000
#define DDR_PHY_PGCR1_LBGSDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_DLTST_SHIFT   27
#define DDR_PHY_PGCR1_DLTST_WIDTH   1
#define DDR_PHY_PGCR1_DLTST_MASK    0x08000000
#define DDR_PHY_PGCR1_DLTST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_DLTMODE_SHIFT   26
#define DDR_PHY_PGCR1_DLTMODE_WIDTH   1
#define DDR_PHY_PGCR1_DLTMODE_MASK    0x04000000
#define DDR_PHY_PGCR1_DLTMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_PHYHRST_SHIFT   25
#define DDR_PHY_PGCR1_PHYHRST_WIDTH   1
#define DDR_PHY_PGCR1_PHYHRST_MASK    0x02000000
#define DDR_PHY_PGCR1_PHYHRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR1_ACVLDTRN_SHIFT   24
#define DDR_PHY_PGCR1_ACVLDTRN_WIDTH   1
#define DDR_PHY_PGCR1_ACVLDTRN_MASK    0x01000000
#define DDR_PHY_PGCR1_ACVLDTRN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_ACVLDDLY_SHIFT   21
#define DDR_PHY_PGCR1_ACVLDDLY_WIDTH   3
#define DDR_PHY_PGCR1_ACVLDDLY_MASK    0x00e00000
#define DDR_PHY_PGCR1_ACVLDDLY_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_LRDIMMST_SHIFT   20
#define DDR_PHY_PGCR1_LRDIMMST_WIDTH   1
#define DDR_PHY_PGCR1_LRDIMMST_MASK    0x00100000
#define DDR_PHY_PGCR1_LRDIMMST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR1_RESERVED_19_SHIFT   19
#define DDR_PHY_PGCR1_RESERVED_19_WIDTH   1
#define DDR_PHY_PGCR1_RESERVED_19_MASK    0x00080000
#define DDR_PHY_PGCR1_RESERVED_19_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_UPDMSTRC0_SHIFT   18
#define DDR_PHY_PGCR1_UPDMSTRC0_WIDTH   1
#define DDR_PHY_PGCR1_UPDMSTRC0_MASK    0x00040000
#define DDR_PHY_PGCR1_UPDMSTRC0_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_DISDIC_SHIFT   17
#define DDR_PHY_PGCR1_DISDIC_WIDTH   1
#define DDR_PHY_PGCR1_DISDIC_MASK    0x00020000
#define DDR_PHY_PGCR1_DISDIC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_ACPDDC_SHIFT   16
#define DDR_PHY_PGCR1_ACPDDC_WIDTH   1
#define DDR_PHY_PGCR1_ACPDDC_MASK    0x00010000
#define DDR_PHY_PGCR1_ACPDDC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_DUALCHN_SHIFT   15
#define DDR_PHY_PGCR1_DUALCHN_WIDTH   1
#define DDR_PHY_PGCR1_DUALCHN_MASK    0x00008000
#define DDR_PHY_PGCR1_DUALCHN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_FDEPTH_SHIFT   13
#define DDR_PHY_PGCR1_FDEPTH_WIDTH   2
#define DDR_PHY_PGCR1_FDEPTH_MASK    0x00006000
#define DDR_PHY_PGCR1_FDEPTH_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_PGCR1_LPFDEPTH_SHIFT   11
#define DDR_PHY_PGCR1_LPFDEPTH_WIDTH   2
#define DDR_PHY_PGCR1_LPFDEPTH_MASK    0x00001800
#define DDR_PHY_PGCR1_LPFDEPTH_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_LPFEN_SHIFT   10
#define DDR_PHY_PGCR1_LPFEN_WIDTH   1
#define DDR_PHY_PGCR1_LPFEN_MASK    0x00000400
#define DDR_PHY_PGCR1_LPFEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR1_MDLEN_SHIFT   9
#define DDR_PHY_PGCR1_MDLEN_WIDTH   1
#define DDR_PHY_PGCR1_MDLEN_MASK    0x00000200
#define DDR_PHY_PGCR1_MDLEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_PGCR1_RESERVED_8_7_SHIFT   7
#define DDR_PHY_PGCR1_RESERVED_8_7_WIDTH   2
#define DDR_PHY_PGCR1_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_PGCR1_RESERVED_8_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_PUBMODE_SHIFT   6
#define DDR_PHY_PGCR1_PUBMODE_WIDTH   1
#define DDR_PHY_PGCR1_PUBMODE_MASK    0x00000040
#define DDR_PHY_PGCR1_PUBMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_CAST_SHIFT   5
#define DDR_PHY_PGCR1_CAST_WIDTH   1
#define DDR_PHY_PGCR1_CAST_MASK    0x00000020
#define DDR_PHY_PGCR1_CAST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_DX_DQSOUT_DIFF_SHIFT   4
#define DDR_PHY_PGCR1_DX_DQSOUT_DIFF_WIDTH   1
#define DDR_PHY_PGCR1_DX_DQSOUT_DIFF_MASK    0x00000010
#define DDR_PHY_PGCR1_DX_DQSOUT_DIFF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_AC_CKOUT_DIFF_SHIFT   3
#define DDR_PHY_PGCR1_AC_CKOUT_DIFF_WIDTH   1
#define DDR_PHY_PGCR1_AC_CKOUT_DIFF_MASK    0x00000008
#define DDR_PHY_PGCR1_AC_CKOUT_DIFF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_WLSTEP_SHIFT   2
#define DDR_PHY_PGCR1_WLSTEP_WIDTH   1
#define DDR_PHY_PGCR1_WLSTEP_MASK    0x00000004
#define DDR_PHY_PGCR1_WLSTEP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_WLMODE_SHIFT   1
#define DDR_PHY_PGCR1_WLMODE_WIDTH   1
#define DDR_PHY_PGCR1_WLMODE_MASK    0x00000002
#define DDR_PHY_PGCR1_WLMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR1_DTOMODE_SHIFT   0
#define DDR_PHY_PGCR1_DTOMODE_WIDTH   1
#define DDR_PHY_PGCR1_DTOMODE_MASK    0x00000001
#define DDR_PHY_PGCR1_DTOMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGCR2
 */
#define DDR_PHY_PGCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000018 )
#define DDR_PHY_PGCR2_DEFVAL   0xf12480

/* access_type: wtc  */
#define DDR_PHY_PGCR2_CLRTSTAT_SHIFT   31
#define DDR_PHY_PGCR2_CLRTSTAT_WIDTH   1
#define DDR_PHY_PGCR2_CLRTSTAT_MASK    0x80000000
#define DDR_PHY_PGCR2_CLRTSTAT_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_PGCR2_CLRZCAL_SHIFT   30
#define DDR_PHY_PGCR2_CLRZCAL_WIDTH   1
#define DDR_PHY_PGCR2_CLRZCAL_MASK    0x40000000
#define DDR_PHY_PGCR2_CLRZCAL_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_PGCR2_CLRPERR_SHIFT   29
#define DDR_PHY_PGCR2_CLRPERR_WIDTH   1
#define DDR_PHY_PGCR2_CLRPERR_MASK    0x20000000
#define DDR_PHY_PGCR2_CLRPERR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR2_ICPC_SHIFT   28
#define DDR_PHY_PGCR2_ICPC_WIDTH   1
#define DDR_PHY_PGCR2_ICPC_MASK    0x10000000
#define DDR_PHY_PGCR2_ICPC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR2_DTPMXTMR_SHIFT   20
#define DDR_PHY_PGCR2_DTPMXTMR_WIDTH   8
#define DDR_PHY_PGCR2_DTPMXTMR_MASK    0x0ff00000
#define DDR_PHY_PGCR2_DTPMXTMR_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_PGCR2_INITFSMBYP_SHIFT   19
#define DDR_PHY_PGCR2_INITFSMBYP_WIDTH   1
#define DDR_PHY_PGCR2_INITFSMBYP_MASK    0x00080000
#define DDR_PHY_PGCR2_INITFSMBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR2_PLLFSMBYP_SHIFT   18
#define DDR_PHY_PGCR2_PLLFSMBYP_WIDTH   1
#define DDR_PHY_PGCR2_PLLFSMBYP_MASK    0x00040000
#define DDR_PHY_PGCR2_PLLFSMBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR2_TREFPRD_SHIFT   0
#define DDR_PHY_PGCR2_TREFPRD_WIDTH   18
#define DDR_PHY_PGCR2_TREFPRD_MASK    0x0003ffff
#define DDR_PHY_PGCR2_TREFPRD_DEFVAL  0x12480

/**
 * Register: DDR_PHY_PGCR3
 */
#define DDR_PHY_PGCR3    ( ( DDR_PHY_BASEADDR ) + 0x0000001C )
#define DDR_PHY_PGCR3_DEFVAL   0x55aa0080

/* access_type: rw  */
#define DDR_PHY_PGCR3_CKNEN_SHIFT   24
#define DDR_PHY_PGCR3_CKNEN_WIDTH   8
#define DDR_PHY_PGCR3_CKNEN_MASK    0xff000000
#define DDR_PHY_PGCR3_CKNEN_DEFVAL  0x55

/* access_type: rw  */
#define DDR_PHY_PGCR3_CKEN_SHIFT   16
#define DDR_PHY_PGCR3_CKEN_WIDTH   8
#define DDR_PHY_PGCR3_CKEN_MASK    0x00ff0000
#define DDR_PHY_PGCR3_CKEN_DEFVAL  0xaa

/* access_type: ro  */
#define DDR_PHY_PGCR3_RESERVED_15_SHIFT   15
#define DDR_PHY_PGCR3_RESERVED_15_WIDTH   1
#define DDR_PHY_PGCR3_RESERVED_15_MASK    0x00008000
#define DDR_PHY_PGCR3_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR3_GATEACRDCLK_SHIFT   13
#define DDR_PHY_PGCR3_GATEACRDCLK_WIDTH   2
#define DDR_PHY_PGCR3_GATEACRDCLK_MASK    0x00006000
#define DDR_PHY_PGCR3_GATEACRDCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR3_GATEACDDRCLK_SHIFT   11
#define DDR_PHY_PGCR3_GATEACDDRCLK_WIDTH   2
#define DDR_PHY_PGCR3_GATEACDDRCLK_MASK    0x00001800
#define DDR_PHY_PGCR3_GATEACDDRCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR3_GATEACCTLCLK_SHIFT   9
#define DDR_PHY_PGCR3_GATEACCTLCLK_WIDTH   2
#define DDR_PHY_PGCR3_GATEACCTLCLK_MASK    0x00000600
#define DDR_PHY_PGCR3_GATEACCTLCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR3_RESERVED_8_SHIFT   8
#define DDR_PHY_PGCR3_RESERVED_8_WIDTH   1
#define DDR_PHY_PGCR3_RESERVED_8_MASK    0x00000100
#define DDR_PHY_PGCR3_RESERVED_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR3_DDLBYPMODE_SHIFT   6
#define DDR_PHY_PGCR3_DDLBYPMODE_WIDTH   2
#define DDR_PHY_PGCR3_DDLBYPMODE_MASK    0x000000c0
#define DDR_PHY_PGCR3_DDLBYPMODE_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_PGCR3_IOLB_SHIFT   5
#define DDR_PHY_PGCR3_IOLB_WIDTH   1
#define DDR_PHY_PGCR3_IOLB_MASK    0x00000020
#define DDR_PHY_PGCR3_IOLB_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR3_RDMODE_SHIFT   3
#define DDR_PHY_PGCR3_RDMODE_WIDTH   2
#define DDR_PHY_PGCR3_RDMODE_MASK    0x00000018
#define DDR_PHY_PGCR3_RDMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR3_DISRST_SHIFT   2
#define DDR_PHY_PGCR3_DISRST_WIDTH   1
#define DDR_PHY_PGCR3_DISRST_MASK    0x00000004
#define DDR_PHY_PGCR3_DISRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR3_CLKLEVEL_SHIFT   0
#define DDR_PHY_PGCR3_CLKLEVEL_WIDTH   2
#define DDR_PHY_PGCR3_CLKLEVEL_MASK    0x00000003
#define DDR_PHY_PGCR3_CLKLEVEL_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGCR4
 */
#define DDR_PHY_PGCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000020 )
#define DDR_PHY_PGCR4_DEFVAL   0x1800c3

/* access_type: ro  */
#define DDR_PHY_PGCR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_PGCR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_PGCR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_PGCR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_ACDDLLD_SHIFT   29
#define DDR_PHY_PGCR4_ACDDLLD_WIDTH   1
#define DDR_PHY_PGCR4_ACDDLLD_MASK    0x20000000
#define DDR_PHY_PGCR4_ACDDLLD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_ACDDLBYP_SHIFT   24
#define DDR_PHY_PGCR4_ACDDLBYP_WIDTH   5
#define DDR_PHY_PGCR4_ACDDLBYP_MASK    0x1f000000
#define DDR_PHY_PGCR4_ACDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_OEDDLBYP_SHIFT   23
#define DDR_PHY_PGCR4_OEDDLBYP_WIDTH   1
#define DDR_PHY_PGCR4_OEDDLBYP_MASK    0x00800000
#define DDR_PHY_PGCR4_OEDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_TEDDLBYP_SHIFT   22
#define DDR_PHY_PGCR4_TEDDLBYP_WIDTH   1
#define DDR_PHY_PGCR4_TEDDLBYP_MASK    0x00400000
#define DDR_PHY_PGCR4_TEDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_PDRDDLBYP_SHIFT   21
#define DDR_PHY_PGCR4_PDRDDLBYP_WIDTH   1
#define DDR_PHY_PGCR4_PDRDDLBYP_MASK    0x00200000
#define DDR_PHY_PGCR4_PDRDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_RRRMODE_SHIFT   20
#define DDR_PHY_PGCR4_RRRMODE_WIDTH   1
#define DDR_PHY_PGCR4_RRRMODE_MASK    0x00100000
#define DDR_PHY_PGCR4_RRRMODE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR4_WRRMODE_SHIFT   19
#define DDR_PHY_PGCR4_WRRMODE_WIDTH   1
#define DDR_PHY_PGCR4_WRRMODE_MASK    0x00080000
#define DDR_PHY_PGCR4_WRRMODE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_PGCR4_RESERVED_18_8_SHIFT   8
#define DDR_PHY_PGCR4_RESERVED_18_8_WIDTH   11
#define DDR_PHY_PGCR4_RESERVED_18_8_MASK    0x0007ff00
#define DDR_PHY_PGCR4_RESERVED_18_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_LPWAKEUP_THRSH_SHIFT   4
#define DDR_PHY_PGCR4_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_PGCR4_LPWAKEUP_THRSH_MASK    0x000000f0
#define DDR_PHY_PGCR4_LPWAKEUP_THRSH_DEFVAL  0xc

/* access_type: ro  */
#define DDR_PHY_PGCR4_RESERVED_3_2_SHIFT   2
#define DDR_PHY_PGCR4_RESERVED_3_2_WIDTH   2
#define DDR_PHY_PGCR4_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_PGCR4_RESERVED_3_2_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR4_LPPLLPD_SHIFT   1
#define DDR_PHY_PGCR4_LPPLLPD_WIDTH   1
#define DDR_PHY_PGCR4_LPPLLPD_MASK    0x00000002
#define DDR_PHY_PGCR4_LPPLLPD_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR4_LPIOPD_SHIFT   0
#define DDR_PHY_PGCR4_LPIOPD_WIDTH   1
#define DDR_PHY_PGCR4_LPIOPD_MASK    0x00000001
#define DDR_PHY_PGCR4_LPIOPD_DEFVAL  0x1

/**
 * Register: DDR_PHY_PGCR5
 */
#define DDR_PHY_PGCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000024 )
#define DDR_PHY_PGCR5_DEFVAL   0x1010000

/* access_type: rw  */
#define DDR_PHY_PGCR5_FRQBT_SHIFT   24
#define DDR_PHY_PGCR5_FRQBT_WIDTH   8
#define DDR_PHY_PGCR5_FRQBT_MASK    0xff000000
#define DDR_PHY_PGCR5_FRQBT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR5_FRQAT_SHIFT   16
#define DDR_PHY_PGCR5_FRQAT_WIDTH   8
#define DDR_PHY_PGCR5_FRQAT_MASK    0x00ff0000
#define DDR_PHY_PGCR5_FRQAT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR5_DISCNPERIOD_SHIFT   8
#define DDR_PHY_PGCR5_DISCNPERIOD_WIDTH   8
#define DDR_PHY_PGCR5_DISCNPERIOD_MASK    0x0000ff00
#define DDR_PHY_PGCR5_DISCNPERIOD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR5_VREF_RBCTRL_SHIFT   4
#define DDR_PHY_PGCR5_VREF_RBCTRL_WIDTH   4
#define DDR_PHY_PGCR5_VREF_RBCTRL_MASK    0x000000f0
#define DDR_PHY_PGCR5_VREF_RBCTRL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR5_RESERVED_3_SHIFT   3
#define DDR_PHY_PGCR5_RESERVED_3_WIDTH   1
#define DDR_PHY_PGCR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_PGCR5_RESERVED_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR5_DXREFISELRANGE_SHIFT   2
#define DDR_PHY_PGCR5_DXREFISELRANGE_WIDTH   1
#define DDR_PHY_PGCR5_DXREFISELRANGE_MASK    0x00000004
#define DDR_PHY_PGCR5_DXREFISELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR5_DDLPGACT_SHIFT   1
#define DDR_PHY_PGCR5_DDLPGACT_WIDTH   1
#define DDR_PHY_PGCR5_DDLPGACT_MASK    0x00000002
#define DDR_PHY_PGCR5_DDLPGACT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR5_DDLPGRW_SHIFT   0
#define DDR_PHY_PGCR5_DDLPGRW_WIDTH   1
#define DDR_PHY_PGCR5_DDLPGRW_MASK    0x00000001
#define DDR_PHY_PGCR5_DDLPGRW_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGCR6
 */
#define DDR_PHY_PGCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000028 )
#define DDR_PHY_PGCR6_DEFVAL   0x13000

/* access_type: ro  */
#define DDR_PHY_PGCR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_PGCR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_PGCR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_PGCR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR6_DLDLMT_SHIFT   16
#define DDR_PHY_PGCR6_DLDLMT_WIDTH   8
#define DDR_PHY_PGCR6_DLDLMT_MASK    0x00ff0000
#define DDR_PHY_PGCR6_DLDLMT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_PGCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_PGCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_PGCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_PGCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR6_ACDLVT_SHIFT   13
#define DDR_PHY_PGCR6_ACDLVT_WIDTH   1
#define DDR_PHY_PGCR6_ACDLVT_MASK    0x00002000
#define DDR_PHY_PGCR6_ACDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR6_ACBVT_SHIFT   12
#define DDR_PHY_PGCR6_ACBVT_WIDTH   1
#define DDR_PHY_PGCR6_ACBVT_MASK    0x00001000
#define DDR_PHY_PGCR6_ACBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_PGCR6_ODTBVT_SHIFT   11
#define DDR_PHY_PGCR6_ODTBVT_WIDTH   1
#define DDR_PHY_PGCR6_ODTBVT_MASK    0x00000800
#define DDR_PHY_PGCR6_ODTBVT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR6_CKEBVT_SHIFT   10
#define DDR_PHY_PGCR6_CKEBVT_WIDTH   1
#define DDR_PHY_PGCR6_CKEBVT_MASK    0x00000400
#define DDR_PHY_PGCR6_CKEBVT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR6_CSNBVT_SHIFT   9
#define DDR_PHY_PGCR6_CSNBVT_WIDTH   1
#define DDR_PHY_PGCR6_CSNBVT_MASK    0x00000200
#define DDR_PHY_PGCR6_CSNBVT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR6_CKBVT_SHIFT   8
#define DDR_PHY_PGCR6_CKBVT_WIDTH   1
#define DDR_PHY_PGCR6_CKBVT_MASK    0x00000100
#define DDR_PHY_PGCR6_CKBVT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGCR6_RESERVED_7_1_SHIFT   1
#define DDR_PHY_PGCR6_RESERVED_7_1_WIDTH   7
#define DDR_PHY_PGCR6_RESERVED_7_1_MASK    0x000000fe
#define DDR_PHY_PGCR6_RESERVED_7_1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR6_INHVT_SHIFT   0
#define DDR_PHY_PGCR6_INHVT_WIDTH   1
#define DDR_PHY_PGCR6_INHVT_MASK    0x00000001
#define DDR_PHY_PGCR6_INHVT_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGCR7
 */
#define DDR_PHY_PGCR7    ( ( DDR_PHY_BASEADDR ) + 0x0000002C )
#define DDR_PHY_PGCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_PGCR7_RESERVED_31_8_SHIFT   8
#define DDR_PHY_PGCR7_RESERVED_31_8_WIDTH   24
#define DDR_PHY_PGCR7_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_PGCR7_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR7_ACRSVD_7_6_SHIFT   6
#define DDR_PHY_PGCR7_ACRSVD_7_6_WIDTH   2
#define DDR_PHY_PGCR7_ACRSVD_7_6_MASK    0x000000c0
#define DDR_PHY_PGCR7_ACRSVD_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR7_ACCALCLK_SHIFT   5
#define DDR_PHY_PGCR7_ACCALCLK_WIDTH   1
#define DDR_PHY_PGCR7_ACCALCLK_MASK    0x00000020
#define DDR_PHY_PGCR7_ACCALCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR7_ACRCLKMD_SHIFT   4
#define DDR_PHY_PGCR7_ACRCLKMD_WIDTH   1
#define DDR_PHY_PGCR7_ACRCLKMD_MASK    0x00000010
#define DDR_PHY_PGCR7_ACRCLKMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR7_ACDLDT_SHIFT   3
#define DDR_PHY_PGCR7_ACDLDT_WIDTH   1
#define DDR_PHY_PGCR7_ACDLDT_MASK    0x00000008
#define DDR_PHY_PGCR7_ACDLDT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR7_ACRSVD_2_SHIFT   2
#define DDR_PHY_PGCR7_ACRSVD_2_WIDTH   1
#define DDR_PHY_PGCR7_ACRSVD_2_MASK    0x00000004
#define DDR_PHY_PGCR7_ACRSVD_2_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR7_ACDTOSEL_SHIFT   1
#define DDR_PHY_PGCR7_ACDTOSEL_WIDTH   1
#define DDR_PHY_PGCR7_ACDTOSEL_MASK    0x00000002
#define DDR_PHY_PGCR7_ACDTOSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PGCR7_ACTMODE_SHIFT   0
#define DDR_PHY_PGCR7_ACTMODE_WIDTH   1
#define DDR_PHY_PGCR7_ACTMODE_MASK    0x00000001
#define DDR_PHY_PGCR7_ACTMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGSR0
 */
#define DDR_PHY_PGSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000030 )
#define DDR_PHY_PGSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_APLOCK_SHIFT   31
#define DDR_PHY_PGSR0_APLOCK_WIDTH   1
#define DDR_PHY_PGSR0_APLOCK_MASK    0x80000000
#define DDR_PHY_PGSR0_APLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_SRDERR_SHIFT   30
#define DDR_PHY_PGSR0_SRDERR_WIDTH   1
#define DDR_PHY_PGSR0_SRDERR_MASK    0x40000000
#define DDR_PHY_PGSR0_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_CAWRN_SHIFT   29
#define DDR_PHY_PGSR0_CAWRN_WIDTH   1
#define DDR_PHY_PGSR0_CAWRN_MASK    0x20000000
#define DDR_PHY_PGSR0_CAWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_CAERR_SHIFT   28
#define DDR_PHY_PGSR0_CAERR_WIDTH   1
#define DDR_PHY_PGSR0_CAERR_MASK    0x10000000
#define DDR_PHY_PGSR0_CAERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WEERR_SHIFT   27
#define DDR_PHY_PGSR0_WEERR_WIDTH   1
#define DDR_PHY_PGSR0_WEERR_MASK    0x08000000
#define DDR_PHY_PGSR0_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_REERR_SHIFT   26
#define DDR_PHY_PGSR0_REERR_WIDTH   1
#define DDR_PHY_PGSR0_REERR_MASK    0x04000000
#define DDR_PHY_PGSR0_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WDERR_SHIFT   25
#define DDR_PHY_PGSR0_WDERR_WIDTH   1
#define DDR_PHY_PGSR0_WDERR_MASK    0x02000000
#define DDR_PHY_PGSR0_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_RDERR_SHIFT   24
#define DDR_PHY_PGSR0_RDERR_WIDTH   1
#define DDR_PHY_PGSR0_RDERR_MASK    0x01000000
#define DDR_PHY_PGSR0_RDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WLAERR_SHIFT   23
#define DDR_PHY_PGSR0_WLAERR_WIDTH   1
#define DDR_PHY_PGSR0_WLAERR_MASK    0x00800000
#define DDR_PHY_PGSR0_WLAERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_QSGERR_SHIFT   22
#define DDR_PHY_PGSR0_QSGERR_WIDTH   1
#define DDR_PHY_PGSR0_QSGERR_MASK    0x00400000
#define DDR_PHY_PGSR0_QSGERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WLERR_SHIFT   21
#define DDR_PHY_PGSR0_WLERR_WIDTH   1
#define DDR_PHY_PGSR0_WLERR_MASK    0x00200000
#define DDR_PHY_PGSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_ZCERR_SHIFT   20
#define DDR_PHY_PGSR0_ZCERR_WIDTH   1
#define DDR_PHY_PGSR0_ZCERR_MASK    0x00100000
#define DDR_PHY_PGSR0_ZCERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_VERR_SHIFT   19
#define DDR_PHY_PGSR0_VERR_WIDTH   1
#define DDR_PHY_PGSR0_VERR_MASK    0x00080000
#define DDR_PHY_PGSR0_VERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_DQS2DQERR_SHIFT   18
#define DDR_PHY_PGSR0_DQS2DQERR_WIDTH   1
#define DDR_PHY_PGSR0_DQS2DQERR_MASK    0x00040000
#define DDR_PHY_PGSR0_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_RESERVED_17_16_SHIFT   16
#define DDR_PHY_PGSR0_RESERVED_17_16_WIDTH   2
#define DDR_PHY_PGSR0_RESERVED_17_16_MASK    0x00030000
#define DDR_PHY_PGSR0_RESERVED_17_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_DQS2DQDONE_SHIFT   15
#define DDR_PHY_PGSR0_DQS2DQDONE_WIDTH   1
#define DDR_PHY_PGSR0_DQS2DQDONE_MASK    0x00008000
#define DDR_PHY_PGSR0_DQS2DQDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_VDONE_SHIFT   14
#define DDR_PHY_PGSR0_VDONE_WIDTH   1
#define DDR_PHY_PGSR0_VDONE_MASK    0x00004000
#define DDR_PHY_PGSR0_VDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_SRDDONE_SHIFT   13
#define DDR_PHY_PGSR0_SRDDONE_WIDTH   1
#define DDR_PHY_PGSR0_SRDDONE_MASK    0x00002000
#define DDR_PHY_PGSR0_SRDDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_CADONE_SHIFT   12
#define DDR_PHY_PGSR0_CADONE_WIDTH   1
#define DDR_PHY_PGSR0_CADONE_MASK    0x00001000
#define DDR_PHY_PGSR0_CADONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WEDONE_SHIFT   11
#define DDR_PHY_PGSR0_WEDONE_WIDTH   1
#define DDR_PHY_PGSR0_WEDONE_MASK    0x00000800
#define DDR_PHY_PGSR0_WEDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_REDONE_SHIFT   10
#define DDR_PHY_PGSR0_REDONE_WIDTH   1
#define DDR_PHY_PGSR0_REDONE_MASK    0x00000400
#define DDR_PHY_PGSR0_REDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WDDONE_SHIFT   9
#define DDR_PHY_PGSR0_WDDONE_WIDTH   1
#define DDR_PHY_PGSR0_WDDONE_MASK    0x00000200
#define DDR_PHY_PGSR0_WDDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_RDDONE_SHIFT   8
#define DDR_PHY_PGSR0_RDDONE_WIDTH   1
#define DDR_PHY_PGSR0_RDDONE_MASK    0x00000100
#define DDR_PHY_PGSR0_RDDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WLADONE_SHIFT   7
#define DDR_PHY_PGSR0_WLADONE_WIDTH   1
#define DDR_PHY_PGSR0_WLADONE_MASK    0x00000080
#define DDR_PHY_PGSR0_WLADONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_QSGDONE_SHIFT   6
#define DDR_PHY_PGSR0_QSGDONE_WIDTH   1
#define DDR_PHY_PGSR0_QSGDONE_MASK    0x00000040
#define DDR_PHY_PGSR0_QSGDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_WLDONE_SHIFT   5
#define DDR_PHY_PGSR0_WLDONE_WIDTH   1
#define DDR_PHY_PGSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_PGSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_DIDONE_SHIFT   4
#define DDR_PHY_PGSR0_DIDONE_WIDTH   1
#define DDR_PHY_PGSR0_DIDONE_MASK    0x00000010
#define DDR_PHY_PGSR0_DIDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_ZCDONE_SHIFT   3
#define DDR_PHY_PGSR0_ZCDONE_WIDTH   1
#define DDR_PHY_PGSR0_ZCDONE_MASK    0x00000008
#define DDR_PHY_PGSR0_ZCDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_DCDONE_SHIFT   2
#define DDR_PHY_PGSR0_DCDONE_WIDTH   1
#define DDR_PHY_PGSR0_DCDONE_MASK    0x00000004
#define DDR_PHY_PGSR0_DCDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_PLDONE_SHIFT   1
#define DDR_PHY_PGSR0_PLDONE_WIDTH   1
#define DDR_PHY_PGSR0_PLDONE_MASK    0x00000002
#define DDR_PHY_PGSR0_PLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR0_IDONE_SHIFT   0
#define DDR_PHY_PGSR0_IDONE_WIDTH   1
#define DDR_PHY_PGSR0_IDONE_MASK    0x00000001
#define DDR_PHY_PGSR0_IDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGSR1
 */
#define DDR_PHY_PGSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000034 )
#define DDR_PHY_PGSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_PGSR1_PARERR_SHIFT   31
#define DDR_PHY_PGSR1_PARERR_WIDTH   1
#define DDR_PHY_PGSR1_PARERR_MASK    0x80000000
#define DDR_PHY_PGSR1_PARERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR1_VTSTOP_SHIFT   30
#define DDR_PHY_PGSR1_VTSTOP_WIDTH   1
#define DDR_PHY_PGSR1_VTSTOP_MASK    0x40000000
#define DDR_PHY_PGSR1_VTSTOP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR1_RESERVED_29_25_SHIFT   25
#define DDR_PHY_PGSR1_RESERVED_29_25_WIDTH   5
#define DDR_PHY_PGSR1_RESERVED_29_25_MASK    0x3e000000
#define DDR_PHY_PGSR1_RESERVED_29_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR1_DLTCODE_SHIFT   1
#define DDR_PHY_PGSR1_DLTCODE_WIDTH   24
#define DDR_PHY_PGSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_PGSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR1_DLTDONE_SHIFT   0
#define DDR_PHY_PGSR1_DLTDONE_WIDTH   1
#define DDR_PHY_PGSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_PGSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_PGSR2
 */
#define DDR_PHY_PGSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000038 )
#define DDR_PHY_PGSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_PGSR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_PGSR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_PGSR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_PGSR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR2_DLTCODE_SHIFT   1
#define DDR_PHY_PGSR2_DLTCODE_WIDTH   24
#define DDR_PHY_PGSR2_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_PGSR2_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PGSR2_DLTDONE_SHIFT   0
#define DDR_PHY_PGSR2_DLTDONE_WIDTH   1
#define DDR_PHY_PGSR2_DLTDONE_MASK    0x00000001
#define DDR_PHY_PGSR2_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_PTR0
 */
#define DDR_PHY_PTR0    ( ( DDR_PHY_BASEADDR ) + 0x00000040 )
#define DDR_PHY_PTR0_DEFVAL   0x42c21590

/* access_type: rw  */
#define DDR_PHY_PTR0_TPLLPD_SHIFT   21
#define DDR_PHY_PTR0_TPLLPD_WIDTH   11
#define DDR_PHY_PTR0_TPLLPD_MASK    0xffe00000
#define DDR_PHY_PTR0_TPLLPD_DEFVAL  0x216

/* access_type: rw  */
#define DDR_PHY_PTR0_TPLLGS_SHIFT   6
#define DDR_PHY_PTR0_TPLLGS_WIDTH   15
#define DDR_PHY_PTR0_TPLLGS_MASK    0x001fffc0
#define DDR_PHY_PTR0_TPLLGS_DEFVAL  0x856

/* access_type: rw  */
#define DDR_PHY_PTR0_TPHYRST_SHIFT   0
#define DDR_PHY_PTR0_TPHYRST_WIDTH   6
#define DDR_PHY_PTR0_TPHYRST_MASK    0x0000003f
#define DDR_PHY_PTR0_TPHYRST_DEFVAL  0x10

/**
 * Register: DDR_PHY_PTR1
 */
#define DDR_PHY_PTR1    ( ( DDR_PHY_BASEADDR ) + 0x00000044 )
#define DDR_PHY_PTR1_DEFVAL   0xd05612c0

/* access_type: rw  */
#define DDR_PHY_PTR1_TPLLLOCK_SHIFT   16
#define DDR_PHY_PTR1_TPLLLOCK_WIDTH   16
#define DDR_PHY_PTR1_TPLLLOCK_MASK    0xffff0000
#define DDR_PHY_PTR1_TPLLLOCK_DEFVAL  0xd056

/* access_type: ro  */
#define DDR_PHY_PTR1_RESERVED_15_13_SHIFT   13
#define DDR_PHY_PTR1_RESERVED_15_13_WIDTH   3
#define DDR_PHY_PTR1_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_PTR1_RESERVED_15_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PTR1_TPLLRST_SHIFT   0
#define DDR_PHY_PTR1_TPLLRST_WIDTH   13
#define DDR_PHY_PTR1_TPLLRST_MASK    0x00001fff
#define DDR_PHY_PTR1_TPLLRST_DEFVAL  0x12c0

/**
 * Register: DDR_PHY_PTR2
 */
#define DDR_PHY_PTR2    ( ( DDR_PHY_BASEADDR ) + 0x00000048 )
#define DDR_PHY_PTR2_DEFVAL   0x83def

/* access_type: ro  */
#define DDR_PHY_PTR2_RESERVED_31_20_SHIFT   20
#define DDR_PHY_PTR2_RESERVED_31_20_WIDTH   12
#define DDR_PHY_PTR2_RESERVED_31_20_MASK    0xfff00000
#define DDR_PHY_PTR2_RESERVED_31_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PTR2_TWLDLYS_SHIFT   15
#define DDR_PHY_PTR2_TWLDLYS_WIDTH   5
#define DDR_PHY_PTR2_TWLDLYS_MASK    0x000f8000
#define DDR_PHY_PTR2_TWLDLYS_DEFVAL  0x10

/* access_type: rw  */
#define DDR_PHY_PTR2_TCALH_SHIFT   10
#define DDR_PHY_PTR2_TCALH_WIDTH   5
#define DDR_PHY_PTR2_TCALH_MASK    0x00007c00
#define DDR_PHY_PTR2_TCALH_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_PTR2_TCALS_SHIFT   5
#define DDR_PHY_PTR2_TCALS_WIDTH   5
#define DDR_PHY_PTR2_TCALS_MASK    0x000003e0
#define DDR_PHY_PTR2_TCALS_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_PTR2_TCALON_SHIFT   0
#define DDR_PHY_PTR2_TCALON_WIDTH   5
#define DDR_PHY_PTR2_TCALON_MASK    0x0000001f
#define DDR_PHY_PTR2_TCALON_DEFVAL  0xf

/**
 * Register: DDR_PHY_PTR3
 */
#define DDR_PHY_PTR3    ( ( DDR_PHY_BASEADDR ) + 0x0000004C )
#define DDR_PHY_PTR3_DEFVAL   0x411810

/* access_type: ro  */
#define DDR_PHY_PTR3_RESERVED_31_23_SHIFT   23
#define DDR_PHY_PTR3_RESERVED_31_23_WIDTH   9
#define DDR_PHY_PTR3_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_PTR3_RESERVED_31_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PTR3_TDINIT0_SHIFT   0
#define DDR_PHY_PTR3_TDINIT0_WIDTH   23
#define DDR_PHY_PTR3_TDINIT0_MASK    0x007fffff
#define DDR_PHY_PTR3_TDINIT0_DEFVAL  0x411810

/**
 * Register: DDR_PHY_PTR4
 */
#define DDR_PHY_PTR4    ( ( DDR_PHY_BASEADDR ) + 0x00000050 )
#define DDR_PHY_PTR4_DEFVAL   0x10aa

/* access_type: ro  */
#define DDR_PHY_PTR4_RESERVED_31_13_SHIFT   13
#define DDR_PHY_PTR4_RESERVED_31_13_WIDTH   19
#define DDR_PHY_PTR4_RESERVED_31_13_MASK    0xffffe000
#define DDR_PHY_PTR4_RESERVED_31_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PTR4_TDINIT1_SHIFT   0
#define DDR_PHY_PTR4_TDINIT1_WIDTH   13
#define DDR_PHY_PTR4_TDINIT1_MASK    0x00001fff
#define DDR_PHY_PTR4_TDINIT1_DEFVAL  0x10aa

/**
 * Register: DDR_PHY_PTR5
 */
#define DDR_PHY_PTR5    ( ( DDR_PHY_BASEADDR ) + 0x00000054 )
#define DDR_PHY_PTR5_DEFVAL   0x68268

/* access_type: ro  */
#define DDR_PHY_PTR5_RESERVED_31_19_SHIFT   19
#define DDR_PHY_PTR5_RESERVED_31_19_WIDTH   13
#define DDR_PHY_PTR5_RESERVED_31_19_MASK    0xfff80000
#define DDR_PHY_PTR5_RESERVED_31_19_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PTR5_TDINIT2_SHIFT   0
#define DDR_PHY_PTR5_TDINIT2_WIDTH   19
#define DDR_PHY_PTR5_TDINIT2_MASK    0x0007ffff
#define DDR_PHY_PTR5_TDINIT2_DEFVAL  0x68268

/**
 * Register: DDR_PHY_PTR6
 */
#define DDR_PHY_PTR6    ( ( DDR_PHY_BASEADDR ) + 0x00000058 )
#define DDR_PHY_PTR6_DEFVAL   0x4000855

/* access_type: ro  */
#define DDR_PHY_PTR6_RESERVED_31_27_SHIFT   27
#define DDR_PHY_PTR6_RESERVED_31_27_WIDTH   5
#define DDR_PHY_PTR6_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_PTR6_RESERVED_31_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PTR6_TDINIT4_SHIFT   20
#define DDR_PHY_PTR6_TDINIT4_WIDTH   7
#define DDR_PHY_PTR6_TDINIT4_MASK    0x07f00000
#define DDR_PHY_PTR6_TDINIT4_DEFVAL  0x40

/* access_type: ro  */
#define DDR_PHY_PTR6_RESERVED_19_12_SHIFT   12
#define DDR_PHY_PTR6_RESERVED_19_12_WIDTH   8
#define DDR_PHY_PTR6_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_PTR6_RESERVED_19_12_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PTR6_TDINIT3_SHIFT   0
#define DDR_PHY_PTR6_TDINIT3_WIDTH   12
#define DDR_PHY_PTR6_TDINIT3_MASK    0x00000fff
#define DDR_PHY_PTR6_TDINIT3_DEFVAL  0x855

/**
 * Register: DDR_PHY_PLLCR0
 */
#define DDR_PHY_PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000068 )
#define DDR_PHY_PLLCR0_DEFVAL   0x1c0000

/* access_type: rw  */
#define DDR_PHY_PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_PLLCR0_CPPC_DEFVAL  0xe

/* access_type: rw  */
#define DDR_PHY_PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_PLLCR0_CPIC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_ATC_SHIFT   4
#define DDR_PHY_PLLCR0_ATC_WIDTH   4
#define DDR_PHY_PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_PLLCR0_ATC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR0_DTC_SHIFT   0
#define DDR_PHY_PLLCR0_DTC_WIDTH   4
#define DDR_PHY_PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_PLLCR1
 */
#define DDR_PHY_PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x0000006C )
#define DDR_PHY_PLLCR1_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR1_PLLPROG_SHIFT   16
#define DDR_PHY_PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_PLLCR1_PLLPROG_MASK    0xffff0000
#define DDR_PHY_PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_PLLCR1_RESERVED_15_6_SHIFT   6
#define DDR_PHY_PLLCR1_RESERVED_15_6_WIDTH   10
#define DDR_PHY_PLLCR1_RESERVED_15_6_MASK    0x0000ffc0
#define DDR_PHY_PLLCR1_RESERVED_15_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_PLLCR2
 */
#define DDR_PHY_PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000070 )
#define DDR_PHY_PLLCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_PLLCR3
 */
#define DDR_PHY_PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00000074 )
#define DDR_PHY_PLLCR3_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_PLLCR4
 */
#define DDR_PHY_PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000078 )
#define DDR_PHY_PLLCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_PLLCR5
 */
#define DDR_PHY_PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x0000007C )
#define DDR_PHY_PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DXCCR
 */
#define DDR_PHY_DXCCR    ( ( DDR_PHY_BASEADDR ) + 0x00000088 )
#define DDR_PHY_DXCCR_DEFVAL   0x20000038

/* access_type: ro  */
#define DDR_PHY_DXCCR_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DXCCR_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DXCCR_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DXCCR_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DXCCR_RKLOOP_SHIFT   29
#define DDR_PHY_DXCCR_RKLOOP_WIDTH   1
#define DDR_PHY_DXCCR_RKLOOP_MASK    0x20000000
#define DDR_PHY_DXCCR_RKLOOP_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DXCCR_RESERVED_28_7_SHIFT   7
#define DDR_PHY_DXCCR_RESERVED_28_7_WIDTH   22
#define DDR_PHY_DXCCR_RESERVED_28_7_MASK    0x1fffff80
#define DDR_PHY_DXCCR_RESERVED_28_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DXCCR_DQS2DQMPER_SHIFT   3
#define DDR_PHY_DXCCR_DQS2DQMPER_WIDTH   4
#define DDR_PHY_DXCCR_DQS2DQMPER_MASK    0x00000078
#define DDR_PHY_DXCCR_DQS2DQMPER_DEFVAL  0x7

/* access_type: ro  */
#define DDR_PHY_DXCCR_RESERVED_2_0_SHIFT   0
#define DDR_PHY_DXCCR_RESERVED_2_0_WIDTH   3
#define DDR_PHY_DXCCR_RESERVED_2_0_MASK    0x00000007
#define DDR_PHY_DXCCR_RESERVED_2_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DSGCR
 */
#define DDR_PHY_DSGCR    ( ( DDR_PHY_BASEADDR ) + 0x00000090 )
#define DDR_PHY_DSGCR_DEFVAL   0x2a04101

/* access_type: ro  */
#define DDR_PHY_DSGCR_RESERVED_31_28_SHIFT   28
#define DDR_PHY_DSGCR_RESERVED_31_28_WIDTH   4
#define DDR_PHY_DSGCR_RESERVED_31_28_MASK    0xf0000000
#define DDR_PHY_DSGCR_RESERVED_31_28_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_RDBICLSEL_SHIFT   27
#define DDR_PHY_DSGCR_RDBICLSEL_WIDTH   1
#define DDR_PHY_DSGCR_RDBICLSEL_MASK    0x08000000
#define DDR_PHY_DSGCR_RDBICLSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_RDBICL_SHIFT   24
#define DDR_PHY_DSGCR_RDBICL_WIDTH   3
#define DDR_PHY_DSGCR_RDBICL_MASK    0x07000000
#define DDR_PHY_DSGCR_RDBICL_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_DSGCR_PHYZUEN_SHIFT   23
#define DDR_PHY_DSGCR_PHYZUEN_WIDTH   1
#define DDR_PHY_DSGCR_PHYZUEN_MASK    0x00800000
#define DDR_PHY_DSGCR_PHYZUEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DSGCR_RESERVED_22_SHIFT   22
#define DDR_PHY_DSGCR_RESERVED_22_WIDTH   1
#define DDR_PHY_DSGCR_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DSGCR_RESERVED_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_RSTOE_SHIFT   21
#define DDR_PHY_DSGCR_RSTOE_WIDTH   1
#define DDR_PHY_DSGCR_RSTOE_MASK    0x00200000
#define DDR_PHY_DSGCR_RSTOE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DSGCR_SDRMODE_SHIFT   19
#define DDR_PHY_DSGCR_SDRMODE_WIDTH   2
#define DDR_PHY_DSGCR_SDRMODE_MASK    0x00180000
#define DDR_PHY_DSGCR_SDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DSGCR_RESERVED_18_SHIFT   18
#define DDR_PHY_DSGCR_RESERVED_18_WIDTH   1
#define DDR_PHY_DSGCR_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DSGCR_RESERVED_18_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_ATOAE_SHIFT   17
#define DDR_PHY_DSGCR_ATOAE_WIDTH   1
#define DDR_PHY_DSGCR_ATOAE_MASK    0x00020000
#define DDR_PHY_DSGCR_ATOAE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_DTOOE_SHIFT   16
#define DDR_PHY_DSGCR_DTOOE_WIDTH   1
#define DDR_PHY_DSGCR_DTOOE_MASK    0x00010000
#define DDR_PHY_DSGCR_DTOOE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_DTOIOM_SHIFT   15
#define DDR_PHY_DSGCR_DTOIOM_WIDTH   1
#define DDR_PHY_DSGCR_DTOIOM_MASK    0x00008000
#define DDR_PHY_DSGCR_DTOIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_DTOPDR_SHIFT   14
#define DDR_PHY_DSGCR_DTOPDR_WIDTH   1
#define DDR_PHY_DSGCR_DTOPDR_MASK    0x00004000
#define DDR_PHY_DSGCR_DTOPDR_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DSGCR_RESERVED_13_SHIFT   13
#define DDR_PHY_DSGCR_RESERVED_13_WIDTH   1
#define DDR_PHY_DSGCR_RESERVED_13_MASK    0x00002000
#define DDR_PHY_DSGCR_RESERVED_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_DTOODT_SHIFT   12
#define DDR_PHY_DSGCR_DTOODT_WIDTH   1
#define DDR_PHY_DSGCR_DTOODT_MASK    0x00001000
#define DDR_PHY_DSGCR_DTOODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_PUAD_SHIFT   6
#define DDR_PHY_DSGCR_PUAD_WIDTH   6
#define DDR_PHY_DSGCR_PUAD_MASK    0x00000fc0
#define DDR_PHY_DSGCR_PUAD_DEFVAL  0x4

/* access_type: rw  */
#define DDR_PHY_DSGCR_CUAEN_SHIFT   5
#define DDR_PHY_DSGCR_CUAEN_WIDTH   1
#define DDR_PHY_DSGCR_CUAEN_MASK    0x00000020
#define DDR_PHY_DSGCR_CUAEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DSGCR_RESERVED_4_3_SHIFT   3
#define DDR_PHY_DSGCR_RESERVED_4_3_WIDTH   2
#define DDR_PHY_DSGCR_RESERVED_4_3_MASK    0x00000018
#define DDR_PHY_DSGCR_RESERVED_4_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_CTLZUEN_SHIFT   2
#define DDR_PHY_DSGCR_CTLZUEN_WIDTH   1
#define DDR_PHY_DSGCR_CTLZUEN_MASK    0x00000004
#define DDR_PHY_DSGCR_CTLZUEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DSGCR_RESERVED_1_SHIFT   1
#define DDR_PHY_DSGCR_RESERVED_1_WIDTH   1
#define DDR_PHY_DSGCR_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DSGCR_RESERVED_1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DSGCR_PUREN_SHIFT   0
#define DDR_PHY_DSGCR_PUREN_WIDTH   1
#define DDR_PHY_DSGCR_PUREN_MASK    0x00000001
#define DDR_PHY_DSGCR_PUREN_DEFVAL  0x1

/**
 * Register: DDR_PHY_ODTCR
 */
#define DDR_PHY_ODTCR    ( ( DDR_PHY_BASEADDR ) + 0x00000098 )
#define DDR_PHY_ODTCR_DEFVAL   0x10000

/* access_type: ro  */
#define DDR_PHY_ODTCR_RESERVED_31_28_SHIFT   28
#define DDR_PHY_ODTCR_RESERVED_31_28_WIDTH   4
#define DDR_PHY_ODTCR_RESERVED_31_28_MASK    0xf0000000
#define DDR_PHY_ODTCR_RESERVED_31_28_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ODTCR_WRODT_RSVD_SHIFT   18
#define DDR_PHY_ODTCR_WRODT_RSVD_WIDTH   10
#define DDR_PHY_ODTCR_WRODT_RSVD_MASK    0x0ffc0000
#define DDR_PHY_ODTCR_WRODT_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ODTCR_WRODT_SHIFT   16
#define DDR_PHY_ODTCR_WRODT_WIDTH   2
#define DDR_PHY_ODTCR_WRODT_MASK    0x00030000
#define DDR_PHY_ODTCR_WRODT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_ODTCR_RESERVED_15_12_SHIFT   12
#define DDR_PHY_ODTCR_RESERVED_15_12_WIDTH   4
#define DDR_PHY_ODTCR_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_ODTCR_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ODTCR_RDODT_RSVD_SHIFT   2
#define DDR_PHY_ODTCR_RDODT_RSVD_WIDTH   10
#define DDR_PHY_ODTCR_RDODT_RSVD_MASK    0x00000ffc
#define DDR_PHY_ODTCR_RDODT_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ODTCR_RDODT_SHIFT   0
#define DDR_PHY_ODTCR_RDODT_WIDTH   2
#define DDR_PHY_ODTCR_RDODT_MASK    0x00000003
#define DDR_PHY_ODTCR_RDODT_DEFVAL  0x0

/**
 * Register: DDR_PHY_AACR
 */
#define DDR_PHY_AACR    ( ( DDR_PHY_BASEADDR ) + 0x000000A0 )
#define DDR_PHY_AACR_DEFVAL   0xff

/* access_type: rw  */
#define DDR_PHY_AACR_AAOENC_SHIFT   31
#define DDR_PHY_AACR_AAOENC_WIDTH   1
#define DDR_PHY_AACR_AAOENC_MASK    0x80000000
#define DDR_PHY_AACR_AAOENC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_AACR_AAENC_SHIFT   30
#define DDR_PHY_AACR_AAENC_WIDTH   1
#define DDR_PHY_AACR_AAENC_MASK    0x40000000
#define DDR_PHY_AACR_AAENC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_AACR_AATR_SHIFT   0
#define DDR_PHY_AACR_AATR_WIDTH   30
#define DDR_PHY_AACR_AATR_MASK    0x3fffffff
#define DDR_PHY_AACR_AATR_DEFVAL  0xff

/**
 * Register: DDR_PHY_GPR0
 */
#define DDR_PHY_GPR0    ( ( DDR_PHY_BASEADDR ) + 0x000000C0 )
#define DDR_PHY_GPR0_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_GPR0_GPR0_SHIFT   0
#define DDR_PHY_GPR0_GPR0_WIDTH   32
#define DDR_PHY_GPR0_GPR0_MASK    0xffffffff
#define DDR_PHY_GPR0_GPR0_DEFVAL  0x0

/**
 * Register: DDR_PHY_GPR1
 */
#define DDR_PHY_GPR1    ( ( DDR_PHY_BASEADDR ) + 0x000000C4 )
#define DDR_PHY_GPR1_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_GPR1_GPR1_SHIFT   0
#define DDR_PHY_GPR1_GPR1_WIDTH   32
#define DDR_PHY_GPR1_GPR1_MASK    0xffffffff
#define DDR_PHY_GPR1_GPR1_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCR
 */
#define DDR_PHY_DCR    ( ( DDR_PHY_BASEADDR ) + 0x00000100 )
#define DDR_PHY_DCR_DEFVAL   0x40d

/* access_type: rw  */
#define DDR_PHY_DCR_GEARDN_SHIFT   31
#define DDR_PHY_DCR_GEARDN_WIDTH   1
#define DDR_PHY_DCR_GEARDN_MASK    0x80000000
#define DDR_PHY_DCR_GEARDN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_UBG_SHIFT   30
#define DDR_PHY_DCR_UBG_WIDTH   1
#define DDR_PHY_DCR_UBG_MASK    0x40000000
#define DDR_PHY_DCR_UBG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_UDIMM_SHIFT   29
#define DDR_PHY_DCR_UDIMM_WIDTH   1
#define DDR_PHY_DCR_UDIMM_MASK    0x20000000
#define DDR_PHY_DCR_UDIMM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_DDR2T_SHIFT   28
#define DDR_PHY_DCR_DDR2T_WIDTH   1
#define DDR_PHY_DCR_DDR2T_MASK    0x10000000
#define DDR_PHY_DCR_DDR2T_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_NOSRA_SHIFT   27
#define DDR_PHY_DCR_NOSRA_WIDTH   1
#define DDR_PHY_DCR_NOSRA_MASK    0x08000000
#define DDR_PHY_DCR_NOSRA_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DCR_RESERVED_26_18_SHIFT   18
#define DDR_PHY_DCR_RESERVED_26_18_WIDTH   9
#define DDR_PHY_DCR_RESERVED_26_18_MASK    0x07fc0000
#define DDR_PHY_DCR_RESERVED_26_18_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_BYTEMASK_SHIFT   10
#define DDR_PHY_DCR_BYTEMASK_WIDTH   8
#define DDR_PHY_DCR_BYTEMASK_MASK    0x0003fc00
#define DDR_PHY_DCR_BYTEMASK_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DCR_DDRTYPE_SHIFT   8
#define DDR_PHY_DCR_DDRTYPE_WIDTH   2
#define DDR_PHY_DCR_DDRTYPE_MASK    0x00000300
#define DDR_PHY_DCR_DDRTYPE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_MPRDQ_SHIFT   7
#define DDR_PHY_DCR_MPRDQ_WIDTH   1
#define DDR_PHY_DCR_MPRDQ_MASK    0x00000080
#define DDR_PHY_DCR_MPRDQ_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_PDQ_SHIFT   4
#define DDR_PHY_DCR_PDQ_WIDTH   3
#define DDR_PHY_DCR_PDQ_MASK    0x00000070
#define DDR_PHY_DCR_PDQ_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCR_DDR8BNK_SHIFT   3
#define DDR_PHY_DCR_DDR8BNK_WIDTH   1
#define DDR_PHY_DCR_DDR8BNK_MASK    0x00000008
#define DDR_PHY_DCR_DDR8BNK_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DCR_DDRMD_SHIFT   0
#define DDR_PHY_DCR_DDRMD_WIDTH   3
#define DDR_PHY_DCR_DDRMD_MASK    0x00000007
#define DDR_PHY_DCR_DDRMD_DEFVAL  0x5

/**
 * Register: DDR_PHY_DTPR0
 */
#define DDR_PHY_DTPR0    ( ( DDR_PHY_BASEADDR ) + 0x00000110 )
#define DDR_PHY_DTPR0_DEFVAL   0x105a2d08

/* access_type: ro  */
#define DDR_PHY_DTPR0_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DTPR0_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DTPR0_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DTPR0_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR0_TRRD_SHIFT   24
#define DDR_PHY_DTPR0_TRRD_WIDTH   5
#define DDR_PHY_DTPR0_TRRD_MASK    0x1f000000
#define DDR_PHY_DTPR0_TRRD_DEFVAL  0x10

/* access_type: ro  */
#define DDR_PHY_DTPR0_RESERVED_23_SHIFT   23
#define DDR_PHY_DTPR0_RESERVED_23_WIDTH   1
#define DDR_PHY_DTPR0_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DTPR0_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR0_TRAS_SHIFT   16
#define DDR_PHY_DTPR0_TRAS_WIDTH   7
#define DDR_PHY_DTPR0_TRAS_MASK    0x007f0000
#define DDR_PHY_DTPR0_TRAS_DEFVAL  0x5a

/* access_type: ro  */
#define DDR_PHY_DTPR0_RESERVED_15_SHIFT   15
#define DDR_PHY_DTPR0_RESERVED_15_WIDTH   1
#define DDR_PHY_DTPR0_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DTPR0_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR0_TRP_SHIFT   8
#define DDR_PHY_DTPR0_TRP_WIDTH   7
#define DDR_PHY_DTPR0_TRP_MASK    0x00007f00
#define DDR_PHY_DTPR0_TRP_DEFVAL  0x2d

/* access_type: ro  */
#define DDR_PHY_DTPR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DTPR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DTPR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DTPR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR0_TRTP_SHIFT   0
#define DDR_PHY_DTPR0_TRTP_WIDTH   5
#define DDR_PHY_DTPR0_TRTP_MASK    0x0000001f
#define DDR_PHY_DTPR0_TRTP_DEFVAL  0x8

/**
 * Register: DDR_PHY_DTPR1
 */
#define DDR_PHY_DTPR1    ( ( DDR_PHY_BASEADDR ) + 0x00000114 )
#define DDR_PHY_DTPR1_DEFVAL   0x5656041e

/* access_type: ro  */
#define DDR_PHY_DTPR1_RESERVED_31_SHIFT   31
#define DDR_PHY_DTPR1_RESERVED_31_WIDTH   1
#define DDR_PHY_DTPR1_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DTPR1_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR1_TWLMRD_SHIFT   24
#define DDR_PHY_DTPR1_TWLMRD_WIDTH   7
#define DDR_PHY_DTPR1_TWLMRD_MASK    0x7f000000
#define DDR_PHY_DTPR1_TWLMRD_DEFVAL  0x56

/* access_type: ro  */
#define DDR_PHY_DTPR1_RESERVED_23_SHIFT   23
#define DDR_PHY_DTPR1_RESERVED_23_WIDTH   1
#define DDR_PHY_DTPR1_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DTPR1_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR1_TFAW_SHIFT   16
#define DDR_PHY_DTPR1_TFAW_WIDTH   7
#define DDR_PHY_DTPR1_TFAW_MASK    0x007f0000
#define DDR_PHY_DTPR1_TFAW_DEFVAL  0x56

/* access_type: ro  */
#define DDR_PHY_DTPR1_RESERVED_15_11_SHIFT   11
#define DDR_PHY_DTPR1_RESERVED_15_11_WIDTH   5
#define DDR_PHY_DTPR1_RESERVED_15_11_MASK    0x0000f800
#define DDR_PHY_DTPR1_RESERVED_15_11_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR1_TMOD_SHIFT   8
#define DDR_PHY_DTPR1_TMOD_WIDTH   3
#define DDR_PHY_DTPR1_TMOD_MASK    0x00000700
#define DDR_PHY_DTPR1_TMOD_DEFVAL  0x4

/* access_type: ro  */
#define DDR_PHY_DTPR1_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DTPR1_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DTPR1_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DTPR1_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR1_TMRD_SHIFT   0
#define DDR_PHY_DTPR1_TMRD_WIDTH   5
#define DDR_PHY_DTPR1_TMRD_MASK    0x0000001f
#define DDR_PHY_DTPR1_TMRD_DEFVAL  0x1e

/**
 * Register: DDR_PHY_DTPR2
 */
#define DDR_PHY_DTPR2    ( ( DDR_PHY_BASEADDR ) + 0x00000118 )
#define DDR_PHY_DTPR2_DEFVAL   0xb01d0

/* access_type: ro  */
#define DDR_PHY_DTPR2_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DTPR2_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DTPR2_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DTPR2_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR2_TRTW_SHIFT   28
#define DDR_PHY_DTPR2_TRTW_WIDTH   1
#define DDR_PHY_DTPR2_TRTW_MASK    0x10000000
#define DDR_PHY_DTPR2_TRTW_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTPR2_RESERVED_27_25_SHIFT   25
#define DDR_PHY_DTPR2_RESERVED_27_25_WIDTH   3
#define DDR_PHY_DTPR2_RESERVED_27_25_MASK    0x0e000000
#define DDR_PHY_DTPR2_RESERVED_27_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR2_TRTODT_SHIFT   24
#define DDR_PHY_DTPR2_TRTODT_WIDTH   1
#define DDR_PHY_DTPR2_TRTODT_MASK    0x01000000
#define DDR_PHY_DTPR2_TRTODT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTPR2_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DTPR2_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DTPR2_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DTPR2_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR2_TCKE_SHIFT   16
#define DDR_PHY_DTPR2_TCKE_WIDTH   4
#define DDR_PHY_DTPR2_TCKE_MASK    0x000f0000
#define DDR_PHY_DTPR2_TCKE_DEFVAL  0xb

/* access_type: ro  */
#define DDR_PHY_DTPR2_RESERVED_15_10_SHIFT   10
#define DDR_PHY_DTPR2_RESERVED_15_10_WIDTH   6
#define DDR_PHY_DTPR2_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_DTPR2_RESERVED_15_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR2_TXS_SHIFT   0
#define DDR_PHY_DTPR2_TXS_WIDTH   10
#define DDR_PHY_DTPR2_TXS_MASK    0x000003ff
#define DDR_PHY_DTPR2_TXS_DEFVAL  0x1d0

/**
 * Register: DDR_PHY_DTPR3
 */
#define DDR_PHY_DTPR3    ( ( DDR_PHY_BASEADDR ) + 0x0000011C )
#define DDR_PHY_DTPR3_DEFVAL   0x2000804

/* access_type: rw  */
#define DDR_PHY_DTPR3_TOFDX_SHIFT   29
#define DDR_PHY_DTPR3_TOFDX_WIDTH   3
#define DDR_PHY_DTPR3_TOFDX_MASK    0xe0000000
#define DDR_PHY_DTPR3_TOFDX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR3_TCCD_SHIFT   26
#define DDR_PHY_DTPR3_TCCD_WIDTH   3
#define DDR_PHY_DTPR3_TCCD_MASK    0x1c000000
#define DDR_PHY_DTPR3_TCCD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR3_TDLLK_SHIFT   16
#define DDR_PHY_DTPR3_TDLLK_WIDTH   10
#define DDR_PHY_DTPR3_TDLLK_MASK    0x03ff0000
#define DDR_PHY_DTPR3_TDLLK_DEFVAL  0x200

/* access_type: ro  */
#define DDR_PHY_DTPR3_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DTPR3_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DTPR3_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DTPR3_RESERVED_15_12_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR3_TDQSCKMAX_SHIFT   8
#define DDR_PHY_DTPR3_TDQSCKMAX_WIDTH   4
#define DDR_PHY_DTPR3_TDQSCKMAX_MASK    0x00000f00
#define DDR_PHY_DTPR3_TDQSCKMAX_DEFVAL  0x8

/* access_type: ro  */
#define DDR_PHY_DTPR3_RESERVED_7_3_SHIFT   3
#define DDR_PHY_DTPR3_RESERVED_7_3_WIDTH   5
#define DDR_PHY_DTPR3_RESERVED_7_3_MASK    0x000000f8
#define DDR_PHY_DTPR3_RESERVED_7_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR3_TDQSCK_SHIFT   0
#define DDR_PHY_DTPR3_TDQSCK_WIDTH   3
#define DDR_PHY_DTPR3_TDQSCK_MASK    0x00000007
#define DDR_PHY_DTPR3_TDQSCK_DEFVAL  0x4

/**
 * Register: DDR_PHY_DTPR4
 */
#define DDR_PHY_DTPR4    ( ( DDR_PHY_BASEADDR ) + 0x00000120 )
#define DDR_PHY_DTPR4_DEFVAL   0x1c02b10

/* access_type: ro  */
#define DDR_PHY_DTPR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DTPR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DTPR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DTPR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR4_TAOND_TAOFD_SHIFT   28
#define DDR_PHY_DTPR4_TAOND_TAOFD_WIDTH   2
#define DDR_PHY_DTPR4_TAOND_TAOFD_MASK    0x30000000
#define DDR_PHY_DTPR4_TAOND_TAOFD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTPR4_RESERVED_27_26_SHIFT   26
#define DDR_PHY_DTPR4_RESERVED_27_26_WIDTH   2
#define DDR_PHY_DTPR4_RESERVED_27_26_MASK    0x0c000000
#define DDR_PHY_DTPR4_RESERVED_27_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR4_TRFC_SHIFT   16
#define DDR_PHY_DTPR4_TRFC_WIDTH   10
#define DDR_PHY_DTPR4_TRFC_MASK    0x03ff0000
#define DDR_PHY_DTPR4_TRFC_DEFVAL  0x1c0

/* access_type: ro  */
#define DDR_PHY_DTPR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DTPR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DTPR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DTPR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR4_TWLO_SHIFT   8
#define DDR_PHY_DTPR4_TWLO_WIDTH   6
#define DDR_PHY_DTPR4_TWLO_MASK    0x00003f00
#define DDR_PHY_DTPR4_TWLO_DEFVAL  0x2b

/* access_type: ro  */
#define DDR_PHY_DTPR4_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DTPR4_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DTPR4_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DTPR4_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR4_TXP_SHIFT   0
#define DDR_PHY_DTPR4_TXP_WIDTH   5
#define DDR_PHY_DTPR4_TXP_MASK    0x0000001f
#define DDR_PHY_DTPR4_TXP_DEFVAL  0x10

/**
 * Register: DDR_PHY_DTPR5
 */
#define DDR_PHY_DTPR5    ( ( DDR_PHY_BASEADDR ) + 0x00000124 )
#define DDR_PHY_DTPR5_DEFVAL   0x872716

/* access_type: ro  */
#define DDR_PHY_DTPR5_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DTPR5_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DTPR5_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DTPR5_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR5_TRC_SHIFT   16
#define DDR_PHY_DTPR5_TRC_WIDTH   8
#define DDR_PHY_DTPR5_TRC_MASK    0x00ff0000
#define DDR_PHY_DTPR5_TRC_DEFVAL  0x87

/* access_type: ro  */
#define DDR_PHY_DTPR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DTPR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DTPR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DTPR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR5_TRCD_SHIFT   8
#define DDR_PHY_DTPR5_TRCD_WIDTH   7
#define DDR_PHY_DTPR5_TRCD_MASK    0x00007f00
#define DDR_PHY_DTPR5_TRCD_DEFVAL  0x27

/* access_type: ro  */
#define DDR_PHY_DTPR5_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DTPR5_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DTPR5_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DTPR5_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR5_TWTR_SHIFT   0
#define DDR_PHY_DTPR5_TWTR_WIDTH   5
#define DDR_PHY_DTPR5_TWTR_MASK    0x0000001f
#define DDR_PHY_DTPR5_TWTR_DEFVAL  0x16

/**
 * Register: DDR_PHY_DTPR6
 */
#define DDR_PHY_DTPR6    ( ( DDR_PHY_BASEADDR ) + 0x00000128 )
#define DDR_PHY_DTPR6_DEFVAL   0x505

/* access_type: rw  */
#define DDR_PHY_DTPR6_PUBWLEN_SHIFT   31
#define DDR_PHY_DTPR6_PUBWLEN_WIDTH   1
#define DDR_PHY_DTPR6_PUBWLEN_MASK    0x80000000
#define DDR_PHY_DTPR6_PUBWLEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR6_PUBRLEN_SHIFT   30
#define DDR_PHY_DTPR6_PUBRLEN_WIDTH   1
#define DDR_PHY_DTPR6_PUBRLEN_MASK    0x40000000
#define DDR_PHY_DTPR6_PUBRLEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTPR6_RESERVED_29_14_SHIFT   14
#define DDR_PHY_DTPR6_RESERVED_29_14_WIDTH   16
#define DDR_PHY_DTPR6_RESERVED_29_14_MASK    0x3fffc000
#define DDR_PHY_DTPR6_RESERVED_29_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR6_PUBWL_SHIFT   8
#define DDR_PHY_DTPR6_PUBWL_WIDTH   6
#define DDR_PHY_DTPR6_PUBWL_MASK    0x00003f00
#define DDR_PHY_DTPR6_PUBWL_DEFVAL  0x5

/* access_type: ro  */
#define DDR_PHY_DTPR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DTPR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DTPR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DTPR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTPR6_PUBRL_SHIFT   0
#define DDR_PHY_DTPR6_PUBRL_WIDTH   6
#define DDR_PHY_DTPR6_PUBRL_MASK    0x0000003f
#define DDR_PHY_DTPR6_PUBRL_DEFVAL  0x5

/**
 * Register: DDR_PHY_RDIMMGCR0
 */
#define DDR_PHY_RDIMMGCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000140 )
#define DDR_PHY_RDIMMGCR0_DEFVAL   0x8400020

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR0_RESERVED_31_SHIFT   31
#define DDR_PHY_RDIMMGCR0_RESERVED_31_WIDTH   1
#define DDR_PHY_RDIMMGCR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_RDIMMGCR0_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_QCSEN_SHIFT   30
#define DDR_PHY_RDIMMGCR0_QCSEN_WIDTH   1
#define DDR_PHY_RDIMMGCR0_QCSEN_MASK    0x40000000
#define DDR_PHY_RDIMMGCR0_QCSEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR0_RESERVED_29_28_SHIFT   28
#define DDR_PHY_RDIMMGCR0_RESERVED_29_28_WIDTH   2
#define DDR_PHY_RDIMMGCR0_RESERVED_29_28_MASK    0x30000000
#define DDR_PHY_RDIMMGCR0_RESERVED_29_28_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_RDIMMIOM_SHIFT   27
#define DDR_PHY_RDIMMGCR0_RDIMMIOM_WIDTH   1
#define DDR_PHY_RDIMMGCR0_RDIMMIOM_MASK    0x08000000
#define DDR_PHY_RDIMMGCR0_RDIMMIOM_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR0_RESERVED_26_24_SHIFT   24
#define DDR_PHY_RDIMMGCR0_RESERVED_26_24_WIDTH   3
#define DDR_PHY_RDIMMGCR0_RESERVED_26_24_MASK    0x07000000
#define DDR_PHY_RDIMMGCR0_RESERVED_26_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_ERROUTOE_SHIFT   23
#define DDR_PHY_RDIMMGCR0_ERROUTOE_WIDTH   1
#define DDR_PHY_RDIMMGCR0_ERROUTOE_MASK    0x00800000
#define DDR_PHY_RDIMMGCR0_ERROUTOE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_ERROUTIOM_SHIFT   22
#define DDR_PHY_RDIMMGCR0_ERROUTIOM_WIDTH   1
#define DDR_PHY_RDIMMGCR0_ERROUTIOM_MASK    0x00400000
#define DDR_PHY_RDIMMGCR0_ERROUTIOM_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_ERROUTPDR_SHIFT   21
#define DDR_PHY_RDIMMGCR0_ERROUTPDR_WIDTH   1
#define DDR_PHY_RDIMMGCR0_ERROUTPDR_MASK    0x00200000
#define DDR_PHY_RDIMMGCR0_ERROUTPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR0_RESERVED_20_SHIFT   20
#define DDR_PHY_RDIMMGCR0_RESERVED_20_WIDTH   1
#define DDR_PHY_RDIMMGCR0_RESERVED_20_MASK    0x00100000
#define DDR_PHY_RDIMMGCR0_RESERVED_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_ERROUTODT_SHIFT   19
#define DDR_PHY_RDIMMGCR0_ERROUTODT_WIDTH   1
#define DDR_PHY_RDIMMGCR0_ERROUTODT_MASK    0x00080000
#define DDR_PHY_RDIMMGCR0_ERROUTODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_LRDIMM_SHIFT   18
#define DDR_PHY_RDIMMGCR0_LRDIMM_WIDTH   1
#define DDR_PHY_RDIMMGCR0_LRDIMM_MASK    0x00040000
#define DDR_PHY_RDIMMGCR0_LRDIMM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_PARINIOM_SHIFT   17
#define DDR_PHY_RDIMMGCR0_PARINIOM_WIDTH   1
#define DDR_PHY_RDIMMGCR0_PARINIOM_MASK    0x00020000
#define DDR_PHY_RDIMMGCR0_PARINIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR0_RESERVED_16_8_SHIFT   8
#define DDR_PHY_RDIMMGCR0_RESERVED_16_8_WIDTH   9
#define DDR_PHY_RDIMMGCR0_RESERVED_16_8_MASK    0x0001ff00
#define DDR_PHY_RDIMMGCR0_RESERVED_16_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR0_RNKMRREN_RSVD_SHIFT   6
#define DDR_PHY_RDIMMGCR0_RNKMRREN_RSVD_WIDTH   2
#define DDR_PHY_RDIMMGCR0_RNKMRREN_RSVD_MASK    0x000000c0
#define DDR_PHY_RDIMMGCR0_RNKMRREN_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_RNKMRREN_SHIFT   4
#define DDR_PHY_RDIMMGCR0_RNKMRREN_WIDTH   2
#define DDR_PHY_RDIMMGCR0_RNKMRREN_MASK    0x00000030
#define DDR_PHY_RDIMMGCR0_RNKMRREN_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR0_RESERVED_3_SHIFT   3
#define DDR_PHY_RDIMMGCR0_RESERVED_3_WIDTH   1
#define DDR_PHY_RDIMMGCR0_RESERVED_3_MASK    0x00000008
#define DDR_PHY_RDIMMGCR0_RESERVED_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_SOPERR_SHIFT   2
#define DDR_PHY_RDIMMGCR0_SOPERR_WIDTH   1
#define DDR_PHY_RDIMMGCR0_SOPERR_MASK    0x00000004
#define DDR_PHY_RDIMMGCR0_SOPERR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_ERRNOREG_SHIFT   1
#define DDR_PHY_RDIMMGCR0_ERRNOREG_WIDTH   1
#define DDR_PHY_RDIMMGCR0_ERRNOREG_MASK    0x00000002
#define DDR_PHY_RDIMMGCR0_ERRNOREG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR0_RDIMM_SHIFT   0
#define DDR_PHY_RDIMMGCR0_RDIMM_WIDTH   1
#define DDR_PHY_RDIMMGCR0_RDIMM_MASK    0x00000001
#define DDR_PHY_RDIMMGCR0_RDIMM_DEFVAL  0x0

/**
 * Register: DDR_PHY_RDIMMGCR1
 */
#define DDR_PHY_RDIMMGCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000144 )
#define DDR_PHY_RDIMMGCR1_DEFVAL   0xc80

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR1_RESERVED_31_29_SHIFT   29
#define DDR_PHY_RDIMMGCR1_RESERVED_31_29_WIDTH   3
#define DDR_PHY_RDIMMGCR1_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_RDIMMGCR1_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR1_A17BID_SHIFT   28
#define DDR_PHY_RDIMMGCR1_A17BID_WIDTH   1
#define DDR_PHY_RDIMMGCR1_A17BID_MASK    0x10000000
#define DDR_PHY_RDIMMGCR1_A17BID_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR1_RESERVED_27_SHIFT   27
#define DDR_PHY_RDIMMGCR1_RESERVED_27_WIDTH   1
#define DDR_PHY_RDIMMGCR1_RESERVED_27_MASK    0x08000000
#define DDR_PHY_RDIMMGCR1_RESERVED_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR1_TBCMRD_L2_SHIFT   24
#define DDR_PHY_RDIMMGCR1_TBCMRD_L2_WIDTH   3
#define DDR_PHY_RDIMMGCR1_TBCMRD_L2_MASK    0x07000000
#define DDR_PHY_RDIMMGCR1_TBCMRD_L2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR1_RESERVED_23_SHIFT   23
#define DDR_PHY_RDIMMGCR1_RESERVED_23_WIDTH   1
#define DDR_PHY_RDIMMGCR1_RESERVED_23_MASK    0x00800000
#define DDR_PHY_RDIMMGCR1_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR1_TBCMRD_L_SHIFT   20
#define DDR_PHY_RDIMMGCR1_TBCMRD_L_WIDTH   3
#define DDR_PHY_RDIMMGCR1_TBCMRD_L_MASK    0x00700000
#define DDR_PHY_RDIMMGCR1_TBCMRD_L_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR1_RESERVED_19_SHIFT   19
#define DDR_PHY_RDIMMGCR1_RESERVED_19_WIDTH   1
#define DDR_PHY_RDIMMGCR1_RESERVED_19_MASK    0x00080000
#define DDR_PHY_RDIMMGCR1_RESERVED_19_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR1_TBCMRD_SHIFT   16
#define DDR_PHY_RDIMMGCR1_TBCMRD_WIDTH   3
#define DDR_PHY_RDIMMGCR1_TBCMRD_MASK    0x00070000
#define DDR_PHY_RDIMMGCR1_TBCMRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RDIMMGCR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_RDIMMGCR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_RDIMMGCR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_RDIMMGCR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR1_TBCSTAB_SHIFT   0
#define DDR_PHY_RDIMMGCR1_TBCSTAB_WIDTH   14
#define DDR_PHY_RDIMMGCR1_TBCSTAB_MASK    0x00003fff
#define DDR_PHY_RDIMMGCR1_TBCSTAB_DEFVAL  0xc80

/**
 * Register: DDR_PHY_RDIMMGCR2
 */
#define DDR_PHY_RDIMMGCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000148 )
#define DDR_PHY_RDIMMGCR2_DEFVAL   0x3ffffbf

/* access_type: rw  */
#define DDR_PHY_RDIMMGCR2_CRINIT_SHIFT   0
#define DDR_PHY_RDIMMGCR2_CRINIT_WIDTH   32
#define DDR_PHY_RDIMMGCR2_CRINIT_MASK    0xffffffff
#define DDR_PHY_RDIMMGCR2_CRINIT_DEFVAL  0x3ffffbf

/**
 * Register: DDR_PHY_RDIMMCR0
 */
#define DDR_PHY_RDIMMCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000150 )
#define DDR_PHY_RDIMMCR0_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC7_SHIFT   28
#define DDR_PHY_RDIMMCR0_RC7_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC7_MASK    0xf0000000
#define DDR_PHY_RDIMMCR0_RC7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC6_SHIFT   24
#define DDR_PHY_RDIMMCR0_RC6_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC6_MASK    0x0f000000
#define DDR_PHY_RDIMMCR0_RC6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC5_SHIFT   20
#define DDR_PHY_RDIMMCR0_RC5_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC5_MASK    0x00f00000
#define DDR_PHY_RDIMMCR0_RC5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC4_SHIFT   16
#define DDR_PHY_RDIMMCR0_RC4_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC4_MASK    0x000f0000
#define DDR_PHY_RDIMMCR0_RC4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC3_SHIFT   12
#define DDR_PHY_RDIMMCR0_RC3_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC3_MASK    0x0000f000
#define DDR_PHY_RDIMMCR0_RC3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC2_SHIFT   8
#define DDR_PHY_RDIMMCR0_RC2_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC2_MASK    0x00000f00
#define DDR_PHY_RDIMMCR0_RC2_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC1_SHIFT   4
#define DDR_PHY_RDIMMCR0_RC1_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC1_MASK    0x000000f0
#define DDR_PHY_RDIMMCR0_RC1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR0_RC0_SHIFT   0
#define DDR_PHY_RDIMMCR0_RC0_WIDTH   4
#define DDR_PHY_RDIMMCR0_RC0_MASK    0x0000000f
#define DDR_PHY_RDIMMCR0_RC0_DEFVAL  0x0

/**
 * Register: DDR_PHY_RDIMMCR1
 */
#define DDR_PHY_RDIMMCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000154 )
#define DDR_PHY_RDIMMCR1_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC15_SHIFT   28
#define DDR_PHY_RDIMMCR1_RC15_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC15_MASK    0xf0000000
#define DDR_PHY_RDIMMCR1_RC15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC14_SHIFT   24
#define DDR_PHY_RDIMMCR1_RC14_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC14_MASK    0x0f000000
#define DDR_PHY_RDIMMCR1_RC14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC13_SHIFT   20
#define DDR_PHY_RDIMMCR1_RC13_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC13_MASK    0x00f00000
#define DDR_PHY_RDIMMCR1_RC13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC12_SHIFT   16
#define DDR_PHY_RDIMMCR1_RC12_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC12_MASK    0x000f0000
#define DDR_PHY_RDIMMCR1_RC12_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC11_SHIFT   12
#define DDR_PHY_RDIMMCR1_RC11_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC11_MASK    0x0000f000
#define DDR_PHY_RDIMMCR1_RC11_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC10_SHIFT   8
#define DDR_PHY_RDIMMCR1_RC10_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC10_MASK    0x00000f00
#define DDR_PHY_RDIMMCR1_RC10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC9_SHIFT   4
#define DDR_PHY_RDIMMCR1_RC9_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC9_MASK    0x000000f0
#define DDR_PHY_RDIMMCR1_RC9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR1_RC8_SHIFT   0
#define DDR_PHY_RDIMMCR1_RC8_WIDTH   4
#define DDR_PHY_RDIMMCR1_RC8_MASK    0x0000000f
#define DDR_PHY_RDIMMCR1_RC8_DEFVAL  0x0

/**
 * Register: DDR_PHY_RDIMMCR2
 */
#define DDR_PHY_RDIMMCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000158 )
#define DDR_PHY_RDIMMCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR2_RC4X_SHIFT   24
#define DDR_PHY_RDIMMCR2_RC4X_WIDTH   8
#define DDR_PHY_RDIMMCR2_RC4X_MASK    0xff000000
#define DDR_PHY_RDIMMCR2_RC4X_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR2_RC3X_SHIFT   16
#define DDR_PHY_RDIMMCR2_RC3X_WIDTH   8
#define DDR_PHY_RDIMMCR2_RC3X_MASK    0x00ff0000
#define DDR_PHY_RDIMMCR2_RC3X_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR2_RC2X_SHIFT   8
#define DDR_PHY_RDIMMCR2_RC2X_WIDTH   8
#define DDR_PHY_RDIMMCR2_RC2X_MASK    0x0000ff00
#define DDR_PHY_RDIMMCR2_RC2X_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR2_RC1X_SHIFT   0
#define DDR_PHY_RDIMMCR2_RC1X_WIDTH   8
#define DDR_PHY_RDIMMCR2_RC1X_MASK    0x000000ff
#define DDR_PHY_RDIMMCR2_RC1X_DEFVAL  0x0

/**
 * Register: DDR_PHY_RDIMMCR3
 */
#define DDR_PHY_RDIMMCR3    ( ( DDR_PHY_BASEADDR ) + 0x0000015C )
#define DDR_PHY_RDIMMCR3_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR3_RC8X_SHIFT   24
#define DDR_PHY_RDIMMCR3_RC8X_WIDTH   8
#define DDR_PHY_RDIMMCR3_RC8X_MASK    0xff000000
#define DDR_PHY_RDIMMCR3_RC8X_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR3_RC7X_SHIFT   16
#define DDR_PHY_RDIMMCR3_RC7X_WIDTH   8
#define DDR_PHY_RDIMMCR3_RC7X_MASK    0x00ff0000
#define DDR_PHY_RDIMMCR3_RC7X_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR3_RC6X_SHIFT   8
#define DDR_PHY_RDIMMCR3_RC6X_WIDTH   8
#define DDR_PHY_RDIMMCR3_RC6X_MASK    0x0000ff00
#define DDR_PHY_RDIMMCR3_RC6X_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR3_RC5X_SHIFT   0
#define DDR_PHY_RDIMMCR3_RC5X_WIDTH   8
#define DDR_PHY_RDIMMCR3_RC5X_MASK    0x000000ff
#define DDR_PHY_RDIMMCR3_RC5X_DEFVAL  0x0

/**
 * Register: DDR_PHY_RDIMMCR4
 */
#define DDR_PHY_RDIMMCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000160 )
#define DDR_PHY_RDIMMCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR4_RCXX_SHIFT   24
#define DDR_PHY_RDIMMCR4_RCXX_WIDTH   8
#define DDR_PHY_RDIMMCR4_RCXX_MASK    0xff000000
#define DDR_PHY_RDIMMCR4_RCXX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR4_RCBX_SHIFT   16
#define DDR_PHY_RDIMMCR4_RCBX_WIDTH   8
#define DDR_PHY_RDIMMCR4_RCBX_MASK    0x00ff0000
#define DDR_PHY_RDIMMCR4_RCBX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR4_RCAX_SHIFT   8
#define DDR_PHY_RDIMMCR4_RCAX_WIDTH   8
#define DDR_PHY_RDIMMCR4_RCAX_MASK    0x0000ff00
#define DDR_PHY_RDIMMCR4_RCAX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RDIMMCR4_RC9X_SHIFT   0
#define DDR_PHY_RDIMMCR4_RC9X_WIDTH   8
#define DDR_PHY_RDIMMCR4_RC9X_MASK    0x000000ff
#define DDR_PHY_RDIMMCR4_RC9X_DEFVAL  0x0

/**
 * Register: DDR_PHY_SCHCR0
 */
#define DDR_PHY_SCHCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000168 )
#define DDR_PHY_SCHCR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_SCHCR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_SCHCR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_SCHCR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_SCHCR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR0_SCHDQV_SHIFT   16
#define DDR_PHY_SCHCR0_SCHDQV_WIDTH   9
#define DDR_PHY_SCHCR0_SCHDQV_MASK    0x01ff0000
#define DDR_PHY_SCHCR0_SCHDQV_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_SCHCR0_RESERVED_15_12_SHIFT   12
#define DDR_PHY_SCHCR0_RESERVED_15_12_WIDTH   4
#define DDR_PHY_SCHCR0_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_SCHCR0_RESERVED_15_12_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR0_SP_CMD_SHIFT   8
#define DDR_PHY_SCHCR0_SP_CMD_WIDTH   4
#define DDR_PHY_SCHCR0_SP_CMD_MASK    0x00000f00
#define DDR_PHY_SCHCR0_SP_CMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR0_CMD_SHIFT   4
#define DDR_PHY_SCHCR0_CMD_WIDTH   4
#define DDR_PHY_SCHCR0_CMD_MASK    0x000000f0
#define DDR_PHY_SCHCR0_CMD_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_SCHCR0_SCHTRIG_SHIFT   0
#define DDR_PHY_SCHCR0_SCHTRIG_WIDTH   4
#define DDR_PHY_SCHCR0_SCHTRIG_MASK    0x0000000f
#define DDR_PHY_SCHCR0_SCHTRIG_DEFVAL  0x0

/**
 * Register: DDR_PHY_SCHCR1
 */
#define DDR_PHY_SCHCR1    ( ( DDR_PHY_BASEADDR ) + 0x0000016C )
#define DDR_PHY_SCHCR1_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR1_SCRNK_SHIFT   28
#define DDR_PHY_SCHCR1_SCRNK_WIDTH   4
#define DDR_PHY_SCHCR1_SCRNK_MASK    0xf0000000
#define DDR_PHY_SCHCR1_SCRNK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR1_SCADDR_SHIFT   8
#define DDR_PHY_SCHCR1_SCADDR_WIDTH   20
#define DDR_PHY_SCHCR1_SCADDR_MASK    0x0fffff00
#define DDR_PHY_SCHCR1_SCADDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR1_SCBG_SHIFT   6
#define DDR_PHY_SCHCR1_SCBG_WIDTH   2
#define DDR_PHY_SCHCR1_SCBG_MASK    0x000000c0
#define DDR_PHY_SCHCR1_SCBG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR1_SCBK_SHIFT   4
#define DDR_PHY_SCHCR1_SCBK_WIDTH   2
#define DDR_PHY_SCHCR1_SCBK_MASK    0x00000030
#define DDR_PHY_SCHCR1_SCBK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_SCHCR1_RESERVED_3_SHIFT   3
#define DDR_PHY_SCHCR1_RESERVED_3_WIDTH   1
#define DDR_PHY_SCHCR1_RESERVED_3_MASK    0x00000008
#define DDR_PHY_SCHCR1_RESERVED_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_SCHCR1_ALLRANK_SHIFT   2
#define DDR_PHY_SCHCR1_ALLRANK_WIDTH   1
#define DDR_PHY_SCHCR1_ALLRANK_MASK    0x00000004
#define DDR_PHY_SCHCR1_ALLRANK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_SCHCR1_RESERVED_1_0_SHIFT   0
#define DDR_PHY_SCHCR1_RESERVED_1_0_WIDTH   2
#define DDR_PHY_SCHCR1_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_SCHCR1_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR0
 */
#define DDR_PHY_MR0    ( ( DDR_PHY_BASEADDR ) + 0x00000180 )
#define DDR_PHY_MR0_DEFVAL   0x52

/* access_type: ro  */
#define DDR_PHY_MR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_MR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_MR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_MR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_MR0_RSVD_15_8_SHIFT   8
#define DDR_PHY_MR0_RSVD_15_8_WIDTH   8
#define DDR_PHY_MR0_RSVD_15_8_MASK    0x0000ff00
#define DDR_PHY_MR0_RSVD_15_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR0_CATR_SHIFT   7
#define DDR_PHY_MR0_CATR_WIDTH   1
#define DDR_PHY_MR0_CATR_MASK    0x00000080
#define DDR_PHY_MR0_CATR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR0_RSVD_6_5_SHIFT   5
#define DDR_PHY_MR0_RSVD_6_5_WIDTH   2
#define DDR_PHY_MR0_RSVD_6_5_MASK    0x00000060
#define DDR_PHY_MR0_RSVD_6_5_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_MR0_RZQI_SHIFT   3
#define DDR_PHY_MR0_RZQI_WIDTH   2
#define DDR_PHY_MR0_RZQI_MASK    0x00000018
#define DDR_PHY_MR0_RZQI_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_MR0_RSVD_2_0_SHIFT   0
#define DDR_PHY_MR0_RSVD_2_0_WIDTH   3
#define DDR_PHY_MR0_RSVD_2_0_MASK    0x00000007
#define DDR_PHY_MR0_RSVD_2_0_DEFVAL  0x2

/**
 * Register: DDR_PHY_MR1
 */
#define DDR_PHY_MR1    ( ( DDR_PHY_BASEADDR ) + 0x00000184 )
#define DDR_PHY_MR1_DEFVAL   0x4

/* access_type: ro  */
#define DDR_PHY_MR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_MR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_MR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_MR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_MR1_RSVD_SHIFT   8
#define DDR_PHY_MR1_RSVD_WIDTH   8
#define DDR_PHY_MR1_RSVD_MASK    0x0000ff00
#define DDR_PHY_MR1_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR1_RDPST_SHIFT   7
#define DDR_PHY_MR1_RDPST_WIDTH   1
#define DDR_PHY_MR1_RDPST_MASK    0x00000080
#define DDR_PHY_MR1_RDPST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR1_NWR_SHIFT   4
#define DDR_PHY_MR1_NWR_WIDTH   3
#define DDR_PHY_MR1_NWR_MASK    0x00000070
#define DDR_PHY_MR1_NWR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR1_RDPRE_SHIFT   3
#define DDR_PHY_MR1_RDPRE_WIDTH   1
#define DDR_PHY_MR1_RDPRE_MASK    0x00000008
#define DDR_PHY_MR1_RDPRE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR1_WRPRE_SHIFT   2
#define DDR_PHY_MR1_WRPRE_WIDTH   1
#define DDR_PHY_MR1_WRPRE_MASK    0x00000004
#define DDR_PHY_MR1_WRPRE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_MR1_BL_SHIFT   0
#define DDR_PHY_MR1_BL_WIDTH   2
#define DDR_PHY_MR1_BL_MASK    0x00000003
#define DDR_PHY_MR1_BL_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR2
 */
#define DDR_PHY_MR2    ( ( DDR_PHY_BASEADDR ) + 0x00000188 )
#define DDR_PHY_MR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_MR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_MR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_MR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_MR2_RSVD_SHIFT   8
#define DDR_PHY_MR2_RSVD_WIDTH   8
#define DDR_PHY_MR2_RSVD_MASK    0x0000ff00
#define DDR_PHY_MR2_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR2_WRL_SHIFT   7
#define DDR_PHY_MR2_WRL_WIDTH   1
#define DDR_PHY_MR2_WRL_MASK    0x00000080
#define DDR_PHY_MR2_WRL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR2_WLS_SHIFT   6
#define DDR_PHY_MR2_WLS_WIDTH   1
#define DDR_PHY_MR2_WLS_MASK    0x00000040
#define DDR_PHY_MR2_WLS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR2_WL_SHIFT   3
#define DDR_PHY_MR2_WL_WIDTH   3
#define DDR_PHY_MR2_WL_MASK    0x00000038
#define DDR_PHY_MR2_WL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR2_RL_SHIFT   0
#define DDR_PHY_MR2_RL_WIDTH   3
#define DDR_PHY_MR2_RL_MASK    0x00000007
#define DDR_PHY_MR2_RL_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR3
 */
#define DDR_PHY_MR3    ( ( DDR_PHY_BASEADDR ) + 0x0000018C )
#define DDR_PHY_MR3_DEFVAL   0x31

/* access_type: ro  */
#define DDR_PHY_MR3_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR3_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR3_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR3_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR3_DBIWR_SHIFT   7
#define DDR_PHY_MR3_DBIWR_WIDTH   1
#define DDR_PHY_MR3_DBIWR_MASK    0x00000080
#define DDR_PHY_MR3_DBIWR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR3_DBIRD_SHIFT   6
#define DDR_PHY_MR3_DBIRD_WIDTH   1
#define DDR_PHY_MR3_DBIRD_MASK    0x00000040
#define DDR_PHY_MR3_DBIRD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR3_PDDS_SHIFT   3
#define DDR_PHY_MR3_PDDS_WIDTH   3
#define DDR_PHY_MR3_PDDS_MASK    0x00000038
#define DDR_PHY_MR3_PDDS_DEFVAL  0x6

/* access_type: rw  */
#define DDR_PHY_MR3_RSVD_SHIFT   2
#define DDR_PHY_MR3_RSVD_WIDTH   1
#define DDR_PHY_MR3_RSVD_MASK    0x00000004
#define DDR_PHY_MR3_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR3_WRPST_SHIFT   1
#define DDR_PHY_MR3_WRPST_WIDTH   1
#define DDR_PHY_MR3_WRPST_MASK    0x00000002
#define DDR_PHY_MR3_WRPST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR3_PUCAL_SHIFT   0
#define DDR_PHY_MR3_PUCAL_WIDTH   1
#define DDR_PHY_MR3_PUCAL_MASK    0x00000001
#define DDR_PHY_MR3_PUCAL_DEFVAL  0x1

/**
 * Register: DDR_PHY_MR4
 */
#define DDR_PHY_MR4    ( ( DDR_PHY_BASEADDR ) + 0x00000190 )
#define DDR_PHY_MR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR4_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR4_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR4_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR4_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR4_RSVD_SHIFT   0
#define DDR_PHY_MR4_RSVD_WIDTH   8
#define DDR_PHY_MR4_RSVD_MASK    0x000000ff
#define DDR_PHY_MR4_RSVD_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR5
 */
#define DDR_PHY_MR5    ( ( DDR_PHY_BASEADDR ) + 0x00000194 )
#define DDR_PHY_MR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR5_RSVD_SHIFT   0
#define DDR_PHY_MR5_RSVD_WIDTH   8
#define DDR_PHY_MR5_RSVD_MASK    0x000000ff
#define DDR_PHY_MR5_RSVD_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR6
 */
#define DDR_PHY_MR6    ( ( DDR_PHY_BASEADDR ) + 0x00000198 )
#define DDR_PHY_MR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR6_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR6_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR6_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR6_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR6_RSVD_SHIFT   0
#define DDR_PHY_MR6_RSVD_WIDTH   8
#define DDR_PHY_MR6_RSVD_MASK    0x000000ff
#define DDR_PHY_MR6_RSVD_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR7
 */
#define DDR_PHY_MR7    ( ( DDR_PHY_BASEADDR ) + 0x0000019C )
#define DDR_PHY_MR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR7_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR7_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR7_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR7_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR7_RSVD_SHIFT   0
#define DDR_PHY_MR7_RSVD_WIDTH   8
#define DDR_PHY_MR7_RSVD_MASK    0x000000ff
#define DDR_PHY_MR7_RSVD_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR11
 */
#define DDR_PHY_MR11    ( ( DDR_PHY_BASEADDR ) + 0x000001AC )
#define DDR_PHY_MR11_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR11_RESERVED_31_16_SHIFT   16
#define DDR_PHY_MR11_RESERVED_31_16_WIDTH   16
#define DDR_PHY_MR11_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_MR11_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_MR11_RSVD_15_8_SHIFT   8
#define DDR_PHY_MR11_RSVD_15_8_WIDTH   8
#define DDR_PHY_MR11_RSVD_15_8_MASK    0x0000ff00
#define DDR_PHY_MR11_RSVD_15_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR11_RSVD_7_SHIFT   7
#define DDR_PHY_MR11_RSVD_7_WIDTH   1
#define DDR_PHY_MR11_RSVD_7_MASK    0x00000080
#define DDR_PHY_MR11_RSVD_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR11_CAODT_SHIFT   4
#define DDR_PHY_MR11_CAODT_WIDTH   3
#define DDR_PHY_MR11_CAODT_MASK    0x00000070
#define DDR_PHY_MR11_CAODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR11_RSVD_3_SHIFT   3
#define DDR_PHY_MR11_RSVD_3_WIDTH   1
#define DDR_PHY_MR11_RSVD_3_MASK    0x00000008
#define DDR_PHY_MR11_RSVD_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR11_DQODT_SHIFT   0
#define DDR_PHY_MR11_DQODT_WIDTH   3
#define DDR_PHY_MR11_DQODT_MASK    0x00000007
#define DDR_PHY_MR11_DQODT_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR12
 */
#define DDR_PHY_MR12    ( ( DDR_PHY_BASEADDR ) + 0x000001B0 )
#define DDR_PHY_MR12_DEFVAL   0x4d

/* access_type: ro  */
#define DDR_PHY_MR12_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR12_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR12_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR12_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR12_RSVD_SHIFT   7
#define DDR_PHY_MR12_RSVD_WIDTH   1
#define DDR_PHY_MR12_RSVD_MASK    0x00000080
#define DDR_PHY_MR12_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR12_VR_CA_SHIFT   6
#define DDR_PHY_MR12_VR_CA_WIDTH   1
#define DDR_PHY_MR12_VR_CA_MASK    0x00000040
#define DDR_PHY_MR12_VR_CA_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_MR12_VREF_CA_SHIFT   0
#define DDR_PHY_MR12_VREF_CA_WIDTH   6
#define DDR_PHY_MR12_VREF_CA_MASK    0x0000003f
#define DDR_PHY_MR12_VREF_CA_DEFVAL  0xd

/**
 * Register: DDR_PHY_MR13
 */
#define DDR_PHY_MR13    ( ( DDR_PHY_BASEADDR ) + 0x000001B4 )
#define DDR_PHY_MR13_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR13_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR13_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR13_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR13_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_FSPOP_SHIFT   7
#define DDR_PHY_MR13_FSPOP_WIDTH   1
#define DDR_PHY_MR13_FSPOP_MASK    0x00000080
#define DDR_PHY_MR13_FSPOP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_FSPWR_SHIFT   6
#define DDR_PHY_MR13_FSPWR_WIDTH   1
#define DDR_PHY_MR13_FSPWR_MASK    0x00000040
#define DDR_PHY_MR13_FSPWR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_DMD_SHIFT   5
#define DDR_PHY_MR13_DMD_WIDTH   1
#define DDR_PHY_MR13_DMD_MASK    0x00000020
#define DDR_PHY_MR13_DMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_RRO_SHIFT   4
#define DDR_PHY_MR13_RRO_WIDTH   1
#define DDR_PHY_MR13_RRO_MASK    0x00000010
#define DDR_PHY_MR13_RRO_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_VRCG_SHIFT   3
#define DDR_PHY_MR13_VRCG_WIDTH   1
#define DDR_PHY_MR13_VRCG_MASK    0x00000008
#define DDR_PHY_MR13_VRCG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_VRO_SHIFT   2
#define DDR_PHY_MR13_VRO_WIDTH   1
#define DDR_PHY_MR13_VRO_MASK    0x00000004
#define DDR_PHY_MR13_VRO_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_RPT_SHIFT   1
#define DDR_PHY_MR13_RPT_WIDTH   1
#define DDR_PHY_MR13_RPT_MASK    0x00000002
#define DDR_PHY_MR13_RPT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR13_CBT_SHIFT   0
#define DDR_PHY_MR13_CBT_WIDTH   1
#define DDR_PHY_MR13_CBT_MASK    0x00000001
#define DDR_PHY_MR13_CBT_DEFVAL  0x0

/**
 * Register: DDR_PHY_MR14
 */
#define DDR_PHY_MR14    ( ( DDR_PHY_BASEADDR ) + 0x000001B8 )
#define DDR_PHY_MR14_DEFVAL   0x4d

/* access_type: ro  */
#define DDR_PHY_MR14_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR14_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR14_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR14_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR14_RSVD_SHIFT   7
#define DDR_PHY_MR14_RSVD_WIDTH   1
#define DDR_PHY_MR14_RSVD_MASK    0x00000080
#define DDR_PHY_MR14_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR14_VR_DQ_SHIFT   6
#define DDR_PHY_MR14_VR_DQ_WIDTH   1
#define DDR_PHY_MR14_VR_DQ_MASK    0x00000040
#define DDR_PHY_MR14_VR_DQ_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_MR14_VREF_DQ_SHIFT   0
#define DDR_PHY_MR14_VREF_DQ_WIDTH   6
#define DDR_PHY_MR14_VREF_DQ_MASK    0x0000003f
#define DDR_PHY_MR14_VREF_DQ_DEFVAL  0xd

/**
 * Register: DDR_PHY_MR22
 */
#define DDR_PHY_MR22    ( ( DDR_PHY_BASEADDR ) + 0x000001D8 )
#define DDR_PHY_MR22_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_MR22_RESERVED_31_8_SHIFT   8
#define DDR_PHY_MR22_RESERVED_31_8_WIDTH   24
#define DDR_PHY_MR22_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_MR22_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR22_RSVD_SHIFT   6
#define DDR_PHY_MR22_RSVD_WIDTH   2
#define DDR_PHY_MR22_RSVD_MASK    0x000000c0
#define DDR_PHY_MR22_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR22_ODTD_CA_SHIFT   5
#define DDR_PHY_MR22_ODTD_CA_WIDTH   1
#define DDR_PHY_MR22_ODTD_CA_MASK    0x00000020
#define DDR_PHY_MR22_ODTD_CA_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR22_ODTE_CS_SHIFT   4
#define DDR_PHY_MR22_ODTE_CS_WIDTH   1
#define DDR_PHY_MR22_ODTE_CS_MASK    0x00000010
#define DDR_PHY_MR22_ODTE_CS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR22_ODTE_CK_SHIFT   3
#define DDR_PHY_MR22_ODTE_CK_WIDTH   1
#define DDR_PHY_MR22_ODTE_CK_MASK    0x00000008
#define DDR_PHY_MR22_ODTE_CK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_MR22_CODT_SHIFT   0
#define DDR_PHY_MR22_CODT_WIDTH   3
#define DDR_PHY_MR22_CODT_MASK    0x00000007
#define DDR_PHY_MR22_CODT_DEFVAL  0x0

/**
 * Register: DDR_PHY_DTCR0
 */
#define DDR_PHY_DTCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000200 )
#define DDR_PHY_DTCR0_DEFVAL   0x800091c7

/* access_type: rw  */
#define DDR_PHY_DTCR0_RFSHDT_SHIFT   28
#define DDR_PHY_DTCR0_RFSHDT_WIDTH   4
#define DDR_PHY_DTCR0_RFSHDT_MASK    0xf0000000
#define DDR_PHY_DTCR0_RFSHDT_DEFVAL  0x8

/* access_type: ro  */
#define DDR_PHY_DTCR0_RESERVED_27_26_SHIFT   26
#define DDR_PHY_DTCR0_RESERVED_27_26_WIDTH   2
#define DDR_PHY_DTCR0_RESERVED_27_26_MASK    0x0c000000
#define DDR_PHY_DTCR0_RESERVED_27_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTDRS_SHIFT   24
#define DDR_PHY_DTCR0_DTDRS_WIDTH   2
#define DDR_PHY_DTCR0_DTDRS_MASK    0x03000000
#define DDR_PHY_DTCR0_DTDRS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTEXG_SHIFT   23
#define DDR_PHY_DTCR0_DTEXG_WIDTH   1
#define DDR_PHY_DTCR0_DTEXG_MASK    0x00800000
#define DDR_PHY_DTCR0_DTEXG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTEXD_SHIFT   22
#define DDR_PHY_DTCR0_DTEXD_WIDTH   1
#define DDR_PHY_DTCR0_DTEXD_MASK    0x00400000
#define DDR_PHY_DTCR0_DTEXD_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_DTCR0_DTDSTP_SHIFT   21
#define DDR_PHY_DTCR0_DTDSTP_WIDTH   1
#define DDR_PHY_DTCR0_DTDSTP_MASK    0x00200000
#define DDR_PHY_DTCR0_DTDSTP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTDEN_SHIFT   20
#define DDR_PHY_DTCR0_DTDEN_WIDTH   1
#define DDR_PHY_DTCR0_DTDEN_MASK    0x00100000
#define DDR_PHY_DTCR0_DTDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTDBS_SHIFT   16
#define DDR_PHY_DTCR0_DTDBS_WIDTH   4
#define DDR_PHY_DTCR0_DTDBS_MASK    0x000f0000
#define DDR_PHY_DTCR0_DTDBS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTRDBITR_SHIFT   14
#define DDR_PHY_DTCR0_DTRDBITR_WIDTH   2
#define DDR_PHY_DTCR0_DTRDBITR_MASK    0x0000c000
#define DDR_PHY_DTCR0_DTRDBITR_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DTCR0_RESERVED_13_SHIFT   13
#define DDR_PHY_DTCR0_RESERVED_13_WIDTH   1
#define DDR_PHY_DTCR0_RESERVED_13_MASK    0x00002000
#define DDR_PHY_DTCR0_RESERVED_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTWBDDM_SHIFT   12
#define DDR_PHY_DTCR0_DTWBDDM_WIDTH   1
#define DDR_PHY_DTCR0_DTWBDDM_MASK    0x00001000
#define DDR_PHY_DTCR0_DTWBDDM_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DTCR0_RFSHEN_SHIFT   8
#define DDR_PHY_DTCR0_RFSHEN_WIDTH   4
#define DDR_PHY_DTCR0_RFSHEN_MASK    0x00000f00
#define DDR_PHY_DTCR0_RFSHEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTCMPD_SHIFT   7
#define DDR_PHY_DTCR0_DTCMPD_WIDTH   1
#define DDR_PHY_DTCR0_DTCMPD_MASK    0x00000080
#define DDR_PHY_DTCR0_DTCMPD_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTMPR_SHIFT   6
#define DDR_PHY_DTCR0_DTMPR_WIDTH   1
#define DDR_PHY_DTCR0_DTMPR_MASK    0x00000040
#define DDR_PHY_DTCR0_DTMPR_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DTCR0_RESERVED_5_SHIFT   5
#define DDR_PHY_DTCR0_RESERVED_5_WIDTH   1
#define DDR_PHY_DTCR0_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DTCR0_RESERVED_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_INCWEYE_SHIFT   4
#define DDR_PHY_DTCR0_INCWEYE_WIDTH   1
#define DDR_PHY_DTCR0_INCWEYE_MASK    0x00000010
#define DDR_PHY_DTCR0_INCWEYE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR0_DTRPTN_SHIFT   0
#define DDR_PHY_DTCR0_DTRPTN_WIDTH   4
#define DDR_PHY_DTCR0_DTRPTN_MASK    0x0000000f
#define DDR_PHY_DTCR0_DTRPTN_DEFVAL  0x7

/**
 * Register: DDR_PHY_DTCR1
 */
#define DDR_PHY_DTCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000204 )
#define DDR_PHY_DTCR1_DEFVAL   0x30237

/* access_type: ro  */
#define DDR_PHY_DTCR1_RANKEN_RSVD_SHIFT   18
#define DDR_PHY_DTCR1_RANKEN_RSVD_WIDTH   14
#define DDR_PHY_DTCR1_RANKEN_RSVD_MASK    0xfffc0000
#define DDR_PHY_DTCR1_RANKEN_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR1_RANKEN_SHIFT   16
#define DDR_PHY_DTCR1_RANKEN_WIDTH   2
#define DDR_PHY_DTCR1_RANKEN_MASK    0x00030000
#define DDR_PHY_DTCR1_RANKEN_DEFVAL  0x3

/* access_type: ro  */
#define DDR_PHY_DTCR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DTCR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DTCR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DTCR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR1_DTRANK_SHIFT   12
#define DDR_PHY_DTCR1_DTRANK_WIDTH   2
#define DDR_PHY_DTCR1_DTRANK_MASK    0x00003000
#define DDR_PHY_DTCR1_DTRANK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTCR1_RESERVED_11_SHIFT   11
#define DDR_PHY_DTCR1_RESERVED_11_WIDTH   1
#define DDR_PHY_DTCR1_RESERVED_11_MASK    0x00000800
#define DDR_PHY_DTCR1_RESERVED_11_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR1_RDLVLGDIFF_SHIFT   8
#define DDR_PHY_DTCR1_RDLVLGDIFF_WIDTH   3
#define DDR_PHY_DTCR1_RDLVLGDIFF_MASK    0x00000700
#define DDR_PHY_DTCR1_RDLVLGDIFF_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DTCR1_RESERVED_7_SHIFT   7
#define DDR_PHY_DTCR1_RESERVED_7_WIDTH   1
#define DDR_PHY_DTCR1_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DTCR1_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR1_RDLVLGS_SHIFT   4
#define DDR_PHY_DTCR1_RDLVLGS_WIDTH   3
#define DDR_PHY_DTCR1_RDLVLGS_MASK    0x00000070
#define DDR_PHY_DTCR1_RDLVLGS_DEFVAL  0x3

/* access_type: ro  */
#define DDR_PHY_DTCR1_RESERVED_3_SHIFT   3
#define DDR_PHY_DTCR1_RESERVED_3_WIDTH   1
#define DDR_PHY_DTCR1_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DTCR1_RESERVED_3_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTCR1_RDPRMVL_TRN_SHIFT   2
#define DDR_PHY_DTCR1_RDPRMVL_TRN_WIDTH   1
#define DDR_PHY_DTCR1_RDPRMVL_TRN_MASK    0x00000004
#define DDR_PHY_DTCR1_RDPRMVL_TRN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DTCR1_RDLVLEN_SHIFT   1
#define DDR_PHY_DTCR1_RDLVLEN_WIDTH   1
#define DDR_PHY_DTCR1_RDLVLEN_MASK    0x00000002
#define DDR_PHY_DTCR1_RDLVLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DTCR1_BSTEN_SHIFT   0
#define DDR_PHY_DTCR1_BSTEN_WIDTH   1
#define DDR_PHY_DTCR1_BSTEN_MASK    0x00000001
#define DDR_PHY_DTCR1_BSTEN_DEFVAL  0x1

/**
 * Register: DDR_PHY_DTAR0
 */
#define DDR_PHY_DTAR0    ( ( DDR_PHY_BASEADDR ) + 0x00000208 )
#define DDR_PHY_DTAR0_DEFVAL   0x4000000

/* access_type: ro  */
#define DDR_PHY_DTAR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DTAR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DTAR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DTAR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTAR0_MPRLOC_SHIFT   28
#define DDR_PHY_DTAR0_MPRLOC_WIDTH   2
#define DDR_PHY_DTAR0_MPRLOC_MASK    0x30000000
#define DDR_PHY_DTAR0_MPRLOC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTAR0_DTBGBK1_SHIFT   24
#define DDR_PHY_DTAR0_DTBGBK1_WIDTH   4
#define DDR_PHY_DTAR0_DTBGBK1_MASK    0x0f000000
#define DDR_PHY_DTAR0_DTBGBK1_DEFVAL  0x4

/* access_type: rw  */
#define DDR_PHY_DTAR0_DTBGBK0_SHIFT   20
#define DDR_PHY_DTAR0_DTBGBK0_WIDTH   4
#define DDR_PHY_DTAR0_DTBGBK0_MASK    0x00f00000
#define DDR_PHY_DTAR0_DTBGBK0_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTAR0_RESERVED_19_18_SHIFT   18
#define DDR_PHY_DTAR0_RESERVED_19_18_WIDTH   2
#define DDR_PHY_DTAR0_RESERVED_19_18_MASK    0x000c0000
#define DDR_PHY_DTAR0_RESERVED_19_18_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTAR0_DTROW_SHIFT   0
#define DDR_PHY_DTAR0_DTROW_WIDTH   18
#define DDR_PHY_DTAR0_DTROW_MASK    0x0003ffff
#define DDR_PHY_DTAR0_DTROW_DEFVAL  0x0

/**
 * Register: DDR_PHY_DTAR1
 */
#define DDR_PHY_DTAR1    ( ( DDR_PHY_BASEADDR ) + 0x0000020C )
#define DDR_PHY_DTAR1_DEFVAL   0x10000

/* access_type: ro  */
#define DDR_PHY_DTAR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DTAR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DTAR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DTAR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTAR1_DTCOL1_SHIFT   16
#define DDR_PHY_DTAR1_DTCOL1_WIDTH   9
#define DDR_PHY_DTAR1_DTCOL1_MASK    0x01ff0000
#define DDR_PHY_DTAR1_DTCOL1_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DTAR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DTAR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DTAR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DTAR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTAR1_DTCOL0_SHIFT   0
#define DDR_PHY_DTAR1_DTCOL0_WIDTH   9
#define DDR_PHY_DTAR1_DTCOL0_MASK    0x000001ff
#define DDR_PHY_DTAR1_DTCOL0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DTAR2
 */
#define DDR_PHY_DTAR2    ( ( DDR_PHY_BASEADDR ) + 0x00000210 )
#define DDR_PHY_DTAR2_DEFVAL   0x30002

/* access_type: ro  */
#define DDR_PHY_DTAR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DTAR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DTAR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DTAR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTAR2_DTCOL3_SHIFT   16
#define DDR_PHY_DTAR2_DTCOL3_WIDTH   9
#define DDR_PHY_DTAR2_DTCOL3_MASK    0x01ff0000
#define DDR_PHY_DTAR2_DTCOL3_DEFVAL  0x3

/* access_type: ro  */
#define DDR_PHY_DTAR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DTAR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DTAR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DTAR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DTAR2_DTCOL2_SHIFT   0
#define DDR_PHY_DTAR2_DTCOL2_WIDTH   9
#define DDR_PHY_DTAR2_DTCOL2_MASK    0x000001ff
#define DDR_PHY_DTAR2_DTCOL2_DEFVAL  0x2

/**
 * Register: DDR_PHY_DTDR0
 */
#define DDR_PHY_DTDR0    ( ( DDR_PHY_BASEADDR ) + 0x00000218 )
#define DDR_PHY_DTDR0_DEFVAL   0xdd22ee11

/* access_type: rw  */
#define DDR_PHY_DTDR0_DTBYTE3_SHIFT   24
#define DDR_PHY_DTDR0_DTBYTE3_WIDTH   8
#define DDR_PHY_DTDR0_DTBYTE3_MASK    0xff000000
#define DDR_PHY_DTDR0_DTBYTE3_DEFVAL  0xdd

/* access_type: rw  */
#define DDR_PHY_DTDR0_DTBYTE2_SHIFT   16
#define DDR_PHY_DTDR0_DTBYTE2_WIDTH   8
#define DDR_PHY_DTDR0_DTBYTE2_MASK    0x00ff0000
#define DDR_PHY_DTDR0_DTBYTE2_DEFVAL  0x22

/* access_type: rw  */
#define DDR_PHY_DTDR0_DTBYTE1_SHIFT   8
#define DDR_PHY_DTDR0_DTBYTE1_WIDTH   8
#define DDR_PHY_DTDR0_DTBYTE1_MASK    0x0000ff00
#define DDR_PHY_DTDR0_DTBYTE1_DEFVAL  0xee

/* access_type: rw  */
#define DDR_PHY_DTDR0_DTBYTE0_SHIFT   0
#define DDR_PHY_DTDR0_DTBYTE0_WIDTH   8
#define DDR_PHY_DTDR0_DTBYTE0_MASK    0x000000ff
#define DDR_PHY_DTDR0_DTBYTE0_DEFVAL  0x11

/**
 * Register: DDR_PHY_DTDR1
 */
#define DDR_PHY_DTDR1    ( ( DDR_PHY_BASEADDR ) + 0x0000021C )
#define DDR_PHY_DTDR1_DEFVAL   0x7788bb44

/* access_type: rw  */
#define DDR_PHY_DTDR1_DTBYTE7_SHIFT   24
#define DDR_PHY_DTDR1_DTBYTE7_WIDTH   8
#define DDR_PHY_DTDR1_DTBYTE7_MASK    0xff000000
#define DDR_PHY_DTDR1_DTBYTE7_DEFVAL  0x77

/* access_type: rw  */
#define DDR_PHY_DTDR1_DTBYTE6_SHIFT   16
#define DDR_PHY_DTDR1_DTBYTE6_WIDTH   8
#define DDR_PHY_DTDR1_DTBYTE6_MASK    0x00ff0000
#define DDR_PHY_DTDR1_DTBYTE6_DEFVAL  0x88

/* access_type: rw  */
#define DDR_PHY_DTDR1_DTBYTE5_SHIFT   8
#define DDR_PHY_DTDR1_DTBYTE5_WIDTH   8
#define DDR_PHY_DTDR1_DTBYTE5_MASK    0x0000ff00
#define DDR_PHY_DTDR1_DTBYTE5_DEFVAL  0xbb

/* access_type: rw  */
#define DDR_PHY_DTDR1_DTBYTE4_SHIFT   0
#define DDR_PHY_DTDR1_DTBYTE4_WIDTH   8
#define DDR_PHY_DTDR1_DTBYTE4_MASK    0x000000ff
#define DDR_PHY_DTDR1_DTBYTE4_DEFVAL  0x44

/**
 * Register: DDR_PHY_DTEDR0
 */
#define DDR_PHY_DTEDR0    ( ( DDR_PHY_BASEADDR ) + 0x00000230 )
#define DDR_PHY_DTEDR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR0_WDQBMX_SHIFT   24
#define DDR_PHY_DTEDR0_WDQBMX_WIDTH   8
#define DDR_PHY_DTEDR0_WDQBMX_MASK    0xff000000
#define DDR_PHY_DTEDR0_WDQBMX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR0_WDQBMN_SHIFT   18
#define DDR_PHY_DTEDR0_WDQBMN_WIDTH   6
#define DDR_PHY_DTEDR0_WDQBMN_MASK    0x00fc0000
#define DDR_PHY_DTEDR0_WDQBMN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR0_RESERVED_17_9_SHIFT   9
#define DDR_PHY_DTEDR0_RESERVED_17_9_WIDTH   9
#define DDR_PHY_DTEDR0_RESERVED_17_9_MASK    0x0003fe00
#define DDR_PHY_DTEDR0_RESERVED_17_9_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR0_RESERVED_8_0_SHIFT   0
#define DDR_PHY_DTEDR0_RESERVED_8_0_WIDTH   9
#define DDR_PHY_DTEDR0_RESERVED_8_0_MASK    0x000001ff
#define DDR_PHY_DTEDR0_RESERVED_8_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DTEDR1
 */
#define DDR_PHY_DTEDR1    ( ( DDR_PHY_BASEADDR ) + 0x00000234 )
#define DDR_PHY_DTEDR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR1_RDQSBMX_SHIFT   24
#define DDR_PHY_DTEDR1_RDQSBMX_WIDTH   8
#define DDR_PHY_DTEDR1_RDQSBMX_MASK    0xff000000
#define DDR_PHY_DTEDR1_RDQSBMX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR1_RDQSBMN_SHIFT   18
#define DDR_PHY_DTEDR1_RDQSBMN_WIDTH   6
#define DDR_PHY_DTEDR1_RDQSBMN_MASK    0x00fc0000
#define DDR_PHY_DTEDR1_RDQSBMN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR1_RDQSLMX_SHIFT   9
#define DDR_PHY_DTEDR1_RDQSLMX_WIDTH   9
#define DDR_PHY_DTEDR1_RDQSLMX_MASK    0x0003fe00
#define DDR_PHY_DTEDR1_RDQSLMX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR1_RDQSLMN_SHIFT   0
#define DDR_PHY_DTEDR1_RDQSLMN_WIDTH   9
#define DDR_PHY_DTEDR1_RDQSLMN_MASK    0x000001ff
#define DDR_PHY_DTEDR1_RDQSLMN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DTEDR2
 */
#define DDR_PHY_DTEDR2    ( ( DDR_PHY_BASEADDR ) + 0x00000238 )
#define DDR_PHY_DTEDR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR2_RDQSNBMX_SHIFT   24
#define DDR_PHY_DTEDR2_RDQSNBMX_WIDTH   8
#define DDR_PHY_DTEDR2_RDQSNBMX_MASK    0xff000000
#define DDR_PHY_DTEDR2_RDQSNBMX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR2_RDQSNBMN_SHIFT   18
#define DDR_PHY_DTEDR2_RDQSNBMN_WIDTH   6
#define DDR_PHY_DTEDR2_RDQSNBMN_MASK    0x00fc0000
#define DDR_PHY_DTEDR2_RDQSNBMN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR2_RDQSNLMX_SHIFT   9
#define DDR_PHY_DTEDR2_RDQSNLMX_WIDTH   9
#define DDR_PHY_DTEDR2_RDQSNLMX_MASK    0x0003fe00
#define DDR_PHY_DTEDR2_RDQSNLMX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR2_RDQSNLMN_SHIFT   0
#define DDR_PHY_DTEDR2_RDQSNLMN_WIDTH   9
#define DDR_PHY_DTEDR2_RDQSNLMN_MASK    0x000001ff
#define DDR_PHY_DTEDR2_RDQSNLMN_DEFVAL  0x0

/**
 * Register: DDR_PHY_VTDR
 */
#define DDR_PHY_VTDR    ( ( DDR_PHY_BASEADDR ) + 0x0000023C )
#define DDR_PHY_VTDR_DEFVAL   0x7f003f00

/* access_type: ro  */
#define DDR_PHY_VTDR_RESERVED_31_SHIFT   31
#define DDR_PHY_VTDR_RESERVED_31_WIDTH   1
#define DDR_PHY_VTDR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_VTDR_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTDR_HVREFMX_SHIFT   24
#define DDR_PHY_VTDR_HVREFMX_WIDTH   7
#define DDR_PHY_VTDR_HVREFMX_MASK    0x7f000000
#define DDR_PHY_VTDR_HVREFMX_DEFVAL  0x7f

/* access_type: ro  */
#define DDR_PHY_VTDR_RESERVED_23_SHIFT   23
#define DDR_PHY_VTDR_RESERVED_23_WIDTH   1
#define DDR_PHY_VTDR_RESERVED_23_MASK    0x00800000
#define DDR_PHY_VTDR_RESERVED_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTDR_HVREFMN_SHIFT   16
#define DDR_PHY_VTDR_HVREFMN_WIDTH   7
#define DDR_PHY_VTDR_HVREFMN_MASK    0x007f0000
#define DDR_PHY_VTDR_HVREFMN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTDR_RESERVED_15_14_SHIFT   14
#define DDR_PHY_VTDR_RESERVED_15_14_WIDTH   2
#define DDR_PHY_VTDR_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_VTDR_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTDR_DVREFMX_SHIFT   8
#define DDR_PHY_VTDR_DVREFMX_WIDTH   6
#define DDR_PHY_VTDR_DVREFMX_MASK    0x00003f00
#define DDR_PHY_VTDR_DVREFMX_DEFVAL  0x3f

/* access_type: ro  */
#define DDR_PHY_VTDR_RESERVED_7_6_SHIFT   6
#define DDR_PHY_VTDR_RESERVED_7_6_WIDTH   2
#define DDR_PHY_VTDR_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_VTDR_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTDR_DVREFMN_SHIFT   0
#define DDR_PHY_VTDR_DVREFMN_WIDTH   6
#define DDR_PHY_VTDR_DVREFMN_MASK    0x0000003f
#define DDR_PHY_VTDR_DVREFMN_DEFVAL  0x0

/**
 * Register: DDR_PHY_CATR0
 */
#define DDR_PHY_CATR0    ( ( DDR_PHY_BASEADDR ) + 0x00000240 )
#define DDR_PHY_CATR0_DEFVAL   0x141054

/* access_type: ro  */
#define DDR_PHY_CATR0_RESERVED_31_21_SHIFT   21
#define DDR_PHY_CATR0_RESERVED_31_21_WIDTH   11
#define DDR_PHY_CATR0_RESERVED_31_21_MASK    0xffe00000
#define DDR_PHY_CATR0_RESERVED_31_21_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_CATR0_CACD_SHIFT   16
#define DDR_PHY_CATR0_CACD_WIDTH   5
#define DDR_PHY_CATR0_CACD_MASK    0x001f0000
#define DDR_PHY_CATR0_CACD_DEFVAL  0x14

/* access_type: ro  */
#define DDR_PHY_CATR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_CATR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_CATR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_CATR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_CATR0_CAADR_SHIFT   8
#define DDR_PHY_CATR0_CAADR_WIDTH   5
#define DDR_PHY_CATR0_CAADR_MASK    0x00001f00
#define DDR_PHY_CATR0_CAADR_DEFVAL  0x10

/* access_type: rw  */
#define DDR_PHY_CATR0_CA1BYTE1_SHIFT   4
#define DDR_PHY_CATR0_CA1BYTE1_WIDTH   4
#define DDR_PHY_CATR0_CA1BYTE1_MASK    0x000000f0
#define DDR_PHY_CATR0_CA1BYTE1_DEFVAL  0x5

/* access_type: rw  */
#define DDR_PHY_CATR0_CA1BYTE0_SHIFT   0
#define DDR_PHY_CATR0_CA1BYTE0_WIDTH   4
#define DDR_PHY_CATR0_CA1BYTE0_MASK    0x0000000f
#define DDR_PHY_CATR0_CA1BYTE0_DEFVAL  0x4

/**
 * Register: DDR_PHY_CATR1
 */
#define DDR_PHY_CATR1    ( ( DDR_PHY_BASEADDR ) + 0x00000244 )
#define DDR_PHY_CATR1_DEFVAL   0x103aaaa

/* access_type: ro  */
#define DDR_PHY_CATR1_RESERVED_31_28_SHIFT   28
#define DDR_PHY_CATR1_RESERVED_31_28_WIDTH   4
#define DDR_PHY_CATR1_RESERVED_31_28_MASK    0xf0000000
#define DDR_PHY_CATR1_RESERVED_31_28_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_CATR1_CA0BYTE1_SHIFT   24
#define DDR_PHY_CATR1_CA0BYTE1_WIDTH   4
#define DDR_PHY_CATR1_CA0BYTE1_MASK    0x0f000000
#define DDR_PHY_CATR1_CA0BYTE1_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_CATR1_CA0BYTE0_SHIFT   20
#define DDR_PHY_CATR1_CA0BYTE0_WIDTH   4
#define DDR_PHY_CATR1_CA0BYTE0_MASK    0x00f00000
#define DDR_PHY_CATR1_CA0BYTE0_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_CATR1_CAMRZ_SHIFT   16
#define DDR_PHY_CATR1_CAMRZ_WIDTH   4
#define DDR_PHY_CATR1_CAMRZ_MASK    0x000f0000
#define DDR_PHY_CATR1_CAMRZ_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_CATR1_CACKEH_SHIFT   12
#define DDR_PHY_CATR1_CACKEH_WIDTH   4
#define DDR_PHY_CATR1_CACKEH_MASK    0x0000f000
#define DDR_PHY_CATR1_CACKEH_DEFVAL  0xa

/* access_type: rw  */
#define DDR_PHY_CATR1_CACKEL_SHIFT   8
#define DDR_PHY_CATR1_CACKEL_WIDTH   4
#define DDR_PHY_CATR1_CACKEL_MASK    0x00000f00
#define DDR_PHY_CATR1_CACKEL_DEFVAL  0xa

/* access_type: rw  */
#define DDR_PHY_CATR1_CAEXT_SHIFT   4
#define DDR_PHY_CATR1_CAEXT_WIDTH   4
#define DDR_PHY_CATR1_CAEXT_MASK    0x000000f0
#define DDR_PHY_CATR1_CAEXT_DEFVAL  0xa

/* access_type: rw  */
#define DDR_PHY_CATR1_CAENT_SHIFT   0
#define DDR_PHY_CATR1_CAENT_WIDTH   4
#define DDR_PHY_CATR1_CAENT_MASK    0x0000000f
#define DDR_PHY_CATR1_CAENT_DEFVAL  0xa

/**
 * Register: DDR_PHY_DQSDR0
 */
#define DDR_PHY_DQSDR0    ( ( DDR_PHY_BASEADDR ) + 0x00000250 )
#define DDR_PHY_DQSDR0_DEFVAL   0x88000

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTDLY_SHIFT   28
#define DDR_PHY_DQSDR0_DFTDLY_WIDTH   4
#define DDR_PHY_DQSDR0_DFTDLY_MASK    0xf0000000
#define DDR_PHY_DQSDR0_DFTDLY_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTZQUP_SHIFT   27
#define DDR_PHY_DQSDR0_DFTZQUP_WIDTH   1
#define DDR_PHY_DQSDR0_DFTZQUP_MASK    0x08000000
#define DDR_PHY_DQSDR0_DFTZQUP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTDDLUP_SHIFT   26
#define DDR_PHY_DQSDR0_DFTDDLUP_WIDTH   1
#define DDR_PHY_DQSDR0_DFTDDLUP_MASK    0x04000000
#define DDR_PHY_DQSDR0_DFTDDLUP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DQSDR0_RESERVED_25_22_SHIFT   22
#define DDR_PHY_DQSDR0_RESERVED_25_22_WIDTH   4
#define DDR_PHY_DQSDR0_RESERVED_25_22_MASK    0x03c00000
#define DDR_PHY_DQSDR0_RESERVED_25_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTRDSPC_SHIFT   20
#define DDR_PHY_DQSDR0_DFTRDSPC_WIDTH   2
#define DDR_PHY_DQSDR0_DFTRDSPC_MASK    0x00300000
#define DDR_PHY_DQSDR0_DFTRDSPC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTB2BRD_SHIFT   16
#define DDR_PHY_DQSDR0_DFTB2BRD_WIDTH   4
#define DDR_PHY_DQSDR0_DFTB2BRD_MASK    0x000f0000
#define DDR_PHY_DQSDR0_DFTB2BRD_DEFVAL  0x8

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTIDLRD_SHIFT   12
#define DDR_PHY_DQSDR0_DFTIDLRD_WIDTH   4
#define DDR_PHY_DQSDR0_DFTIDLRD_MASK    0x0000f000
#define DDR_PHY_DQSDR0_DFTIDLRD_DEFVAL  0x8

/* access_type: ro  */
#define DDR_PHY_DQSDR0_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DQSDR0_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DQSDR0_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DQSDR0_RESERVED_11_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTGPULSE_SHIFT   4
#define DDR_PHY_DQSDR0_DFTGPULSE_WIDTH   4
#define DDR_PHY_DQSDR0_DFTGPULSE_MASK    0x000000f0
#define DDR_PHY_DQSDR0_DFTGPULSE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTUPMODE_SHIFT   2
#define DDR_PHY_DQSDR0_DFTUPMODE_WIDTH   2
#define DDR_PHY_DQSDR0_DFTUPMODE_MASK    0x0000000c
#define DDR_PHY_DQSDR0_DFTUPMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTDTMODE_SHIFT   1
#define DDR_PHY_DQSDR0_DFTDTMODE_WIDTH   1
#define DDR_PHY_DQSDR0_DFTDTMODE_MASK    0x00000002
#define DDR_PHY_DQSDR0_DFTDTMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR0_DFTDTEN_SHIFT   0
#define DDR_PHY_DQSDR0_DFTDTEN_WIDTH   1
#define DDR_PHY_DQSDR0_DFTDTEN_MASK    0x00000001
#define DDR_PHY_DQSDR0_DFTDTEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DQSDR1
 */
#define DDR_PHY_DQSDR1    ( ( DDR_PHY_BASEADDR ) + 0x00000254 )
#define DDR_PHY_DQSDR1_DEFVAL   0xa8000000

/* access_type: rw  */
#define DDR_PHY_DQSDR1_DFTUPDACKF_SHIFT   29
#define DDR_PHY_DQSDR1_DFTUPDACKF_WIDTH   3
#define DDR_PHY_DQSDR1_DFTUPDACKF_MASK    0xe0000000
#define DDR_PHY_DQSDR1_DFTUPDACKF_DEFVAL  0x5

/* access_type: rw  */
#define DDR_PHY_DQSDR1_DFTUPDACKC_SHIFT   24
#define DDR_PHY_DQSDR1_DFTUPDACKC_WIDTH   5
#define DDR_PHY_DQSDR1_DFTUPDACKC_MASK    0x1f000000
#define DDR_PHY_DQSDR1_DFTUPDACKC_DEFVAL  0x8

/* access_type: rw  */
#define DDR_PHY_DQSDR1_DFTRDB2BF_SHIFT   20
#define DDR_PHY_DQSDR1_DFTRDB2BF_WIDTH   4
#define DDR_PHY_DQSDR1_DFTRDB2BF_MASK    0x00f00000
#define DDR_PHY_DQSDR1_DFTRDB2BF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR1_DFTRDIDLF_SHIFT   16
#define DDR_PHY_DQSDR1_DFTRDIDLF_WIDTH   4
#define DDR_PHY_DQSDR1_DFTRDIDLF_MASK    0x000f0000
#define DDR_PHY_DQSDR1_DFTRDIDLF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR1_DFTRDB2BC_SHIFT   8
#define DDR_PHY_DQSDR1_DFTRDB2BC_WIDTH   8
#define DDR_PHY_DQSDR1_DFTRDB2BC_MASK    0x0000ff00
#define DDR_PHY_DQSDR1_DFTRDB2BC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR1_DFTRDIDLC_SHIFT   0
#define DDR_PHY_DQSDR1_DFTRDIDLC_WIDTH   8
#define DDR_PHY_DQSDR1_DFTRDIDLC_MASK    0x000000ff
#define DDR_PHY_DQSDR1_DFTRDIDLC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DQSDR2
 */
#define DDR_PHY_DQSDR2    ( ( DDR_PHY_BASEADDR ) + 0x00000258 )
#define DDR_PHY_DQSDR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DQSDR2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DQSDR2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DQSDR2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DQSDR2_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR2_DFTTHRSH_SHIFT   16
#define DDR_PHY_DQSDR2_DFTTHRSH_WIDTH   8
#define DDR_PHY_DQSDR2_DFTTHRSH_MASK    0x00ff0000
#define DDR_PHY_DQSDR2_DFTTHRSH_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DQSDR2_DFTMNTPRD_SHIFT   0
#define DDR_PHY_DQSDR2_DFTMNTPRD_WIDTH   16
#define DDR_PHY_DQSDR2_DFTMNTPRD_MASK    0x0000ffff
#define DDR_PHY_DQSDR2_DFTMNTPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DTEDR3
 */
#define DDR_PHY_DTEDR3    ( ( DDR_PHY_BASEADDR ) + 0x0000025C )
#define DDR_PHY_DTEDR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR3_RESERVED_31_27_SHIFT   24
#define DDR_PHY_DTEDR3_RESERVED_31_27_WIDTH   8
#define DDR_PHY_DTEDR3_RESERVED_31_27_MASK    0xff000000
#define DDR_PHY_DTEDR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR3_WDQLMX_SHIFT   18
#define DDR_PHY_DTEDR3_WDQLMX_WIDTH   6
#define DDR_PHY_DTEDR3_WDQLMX_MASK    0x00fc0000
#define DDR_PHY_DTEDR3_WDQLMX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR3_RESERVED_15_11_SHIFT   9
#define DDR_PHY_DTEDR3_RESERVED_15_11_WIDTH   9
#define DDR_PHY_DTEDR3_RESERVED_15_11_MASK    0x0003fe00
#define DDR_PHY_DTEDR3_RESERVED_15_11_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DTEDR3_WDQLMN_SHIFT   0
#define DDR_PHY_DTEDR3_WDQLMN_WIDTH   9
#define DDR_PHY_DTEDR3_WDQLMN_MASK    0x000001ff
#define DDR_PHY_DTEDR3_WDQLMN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCUAR
 */
#define DDR_PHY_DCUAR    ( ( DDR_PHY_BASEADDR ) + 0x00000300 )
#define DDR_PHY_DCUAR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DCUAR_RESERVED_31_20_SHIFT   20
#define DDR_PHY_DCUAR_RESERVED_31_20_WIDTH   12
#define DDR_PHY_DCUAR_RESERVED_31_20_MASK    0xfff00000
#define DDR_PHY_DCUAR_RESERVED_31_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUAR_CSADDR_R_SHIFT   16
#define DDR_PHY_DCUAR_CSADDR_R_WIDTH   4
#define DDR_PHY_DCUAR_CSADDR_R_MASK    0x000f0000
#define DDR_PHY_DCUAR_CSADDR_R_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUAR_CWADDR_R_SHIFT   12
#define DDR_PHY_DCUAR_CWADDR_R_WIDTH   4
#define DDR_PHY_DCUAR_CWADDR_R_MASK    0x0000f000
#define DDR_PHY_DCUAR_CWADDR_R_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUAR_ATYPE_SHIFT   11
#define DDR_PHY_DCUAR_ATYPE_WIDTH   1
#define DDR_PHY_DCUAR_ATYPE_MASK    0x00000800
#define DDR_PHY_DCUAR_ATYPE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUAR_INCA_SHIFT   10
#define DDR_PHY_DCUAR_INCA_WIDTH   1
#define DDR_PHY_DCUAR_INCA_MASK    0x00000400
#define DDR_PHY_DCUAR_INCA_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUAR_CSEL_SHIFT   8
#define DDR_PHY_DCUAR_CSEL_WIDTH   2
#define DDR_PHY_DCUAR_CSEL_MASK    0x00000300
#define DDR_PHY_DCUAR_CSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUAR_CSADDR_W_SHIFT   4
#define DDR_PHY_DCUAR_CSADDR_W_WIDTH   4
#define DDR_PHY_DCUAR_CSADDR_W_MASK    0x000000f0
#define DDR_PHY_DCUAR_CSADDR_W_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUAR_CWADDR_W_SHIFT   0
#define DDR_PHY_DCUAR_CWADDR_W_WIDTH   4
#define DDR_PHY_DCUAR_CWADDR_W_MASK    0x0000000f
#define DDR_PHY_DCUAR_CWADDR_W_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCUDR
 */
#define DDR_PHY_DCUDR    ( ( DDR_PHY_BASEADDR ) + 0x00000304 )
#define DDR_PHY_DCUDR_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DCUDR_CDATA_SHIFT   0
#define DDR_PHY_DCUDR_CDATA_WIDTH   32
#define DDR_PHY_DCUDR_CDATA_MASK    0xffffffff
#define DDR_PHY_DCUDR_CDATA_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCURR
 */
#define DDR_PHY_DCURR    ( ( DDR_PHY_BASEADDR ) + 0x00000308 )
#define DDR_PHY_DCURR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DCURR_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DCURR_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DCURR_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DCURR_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_XCEN_SHIFT   23
#define DDR_PHY_DCURR_XCEN_WIDTH   1
#define DDR_PHY_DCURR_XCEN_MASK    0x00800000
#define DDR_PHY_DCURR_XCEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_RCEN_SHIFT   22
#define DDR_PHY_DCURR_RCEN_WIDTH   1
#define DDR_PHY_DCURR_RCEN_MASK    0x00400000
#define DDR_PHY_DCURR_RCEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_SCOF_SHIFT   21
#define DDR_PHY_DCURR_SCOF_WIDTH   1
#define DDR_PHY_DCURR_SCOF_MASK    0x00200000
#define DDR_PHY_DCURR_SCOF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_SONF_SHIFT   20
#define DDR_PHY_DCURR_SONF_WIDTH   1
#define DDR_PHY_DCURR_SONF_MASK    0x00100000
#define DDR_PHY_DCURR_SONF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_NFAIL_SHIFT   12
#define DDR_PHY_DCURR_NFAIL_WIDTH   8
#define DDR_PHY_DCURR_NFAIL_MASK    0x000ff000
#define DDR_PHY_DCURR_NFAIL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_EADDR_SHIFT   8
#define DDR_PHY_DCURR_EADDR_WIDTH   4
#define DDR_PHY_DCURR_EADDR_MASK    0x00000f00
#define DDR_PHY_DCURR_EADDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_SADDR_SHIFT   4
#define DDR_PHY_DCURR_SADDR_WIDTH   4
#define DDR_PHY_DCURR_SADDR_MASK    0x000000f0
#define DDR_PHY_DCURR_SADDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCURR_DINST_SHIFT   0
#define DDR_PHY_DCURR_DINST_WIDTH   4
#define DDR_PHY_DCURR_DINST_MASK    0x0000000f
#define DDR_PHY_DCURR_DINST_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCULR
 */
#define DDR_PHY_DCULR    ( ( DDR_PHY_BASEADDR ) + 0x0000030C )
#define DDR_PHY_DCULR_DEFVAL   0xf0000000

/* access_type: rw  */
#define DDR_PHY_DCULR_XLEADDR_SHIFT   28
#define DDR_PHY_DCULR_XLEADDR_WIDTH   4
#define DDR_PHY_DCULR_XLEADDR_MASK    0xf0000000
#define DDR_PHY_DCULR_XLEADDR_DEFVAL  0xf

/* access_type: ro  */
#define DDR_PHY_DCULR_RESERVED_27_18_SHIFT   18
#define DDR_PHY_DCULR_RESERVED_27_18_WIDTH   10
#define DDR_PHY_DCULR_RESERVED_27_18_MASK    0x0ffc0000
#define DDR_PHY_DCULR_RESERVED_27_18_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCULR_IDA_SHIFT   17
#define DDR_PHY_DCULR_IDA_WIDTH   1
#define DDR_PHY_DCULR_IDA_MASK    0x00020000
#define DDR_PHY_DCULR_IDA_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCULR_LINF_SHIFT   16
#define DDR_PHY_DCULR_LINF_WIDTH   1
#define DDR_PHY_DCULR_LINF_MASK    0x00010000
#define DDR_PHY_DCULR_LINF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCULR_LCNT_SHIFT   8
#define DDR_PHY_DCULR_LCNT_WIDTH   8
#define DDR_PHY_DCULR_LCNT_MASK    0x0000ff00
#define DDR_PHY_DCULR_LCNT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCULR_LEADDR_SHIFT   4
#define DDR_PHY_DCULR_LEADDR_WIDTH   4
#define DDR_PHY_DCULR_LEADDR_MASK    0x000000f0
#define DDR_PHY_DCULR_LEADDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCULR_LSADDR_SHIFT   0
#define DDR_PHY_DCULR_LSADDR_WIDTH   4
#define DDR_PHY_DCULR_LSADDR_MASK    0x0000000f
#define DDR_PHY_DCULR_LSADDR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCUGCR
 */
#define DDR_PHY_DCUGCR    ( ( DDR_PHY_BASEADDR ) + 0x00000310 )
#define DDR_PHY_DCUGCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DCUGCR_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DCUGCR_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DCUGCR_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DCUGCR_RESERVED_31_16_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUGCR_RCSW_SHIFT   0
#define DDR_PHY_DCUGCR_RCSW_WIDTH   16
#define DDR_PHY_DCUGCR_RCSW_MASK    0x0000ffff
#define DDR_PHY_DCUGCR_RCSW_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCUTPR
 */
#define DDR_PHY_DCUTPR    ( ( DDR_PHY_BASEADDR ) + 0x00000314 )
#define DDR_PHY_DCUTPR_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DCUTPR_TDCUT2_SHIFT   16
#define DDR_PHY_DCUTPR_TDCUT2_WIDTH   16
#define DDR_PHY_DCUTPR_TDCUT2_MASK    0xffff0000
#define DDR_PHY_DCUTPR_TDCUT2_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUTPR_TDCUT1_SHIFT   8
#define DDR_PHY_DCUTPR_TDCUT1_WIDTH   8
#define DDR_PHY_DCUTPR_TDCUT1_MASK    0x0000ff00
#define DDR_PHY_DCUTPR_TDCUT1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DCUTPR_TDCUT0_SHIFT   0
#define DDR_PHY_DCUTPR_TDCUT0_WIDTH   8
#define DDR_PHY_DCUTPR_TDCUT0_MASK    0x000000ff
#define DDR_PHY_DCUTPR_TDCUT0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCUSR0
 */
#define DDR_PHY_DCUSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000318 )
#define DDR_PHY_DCUSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DCUSR0_RESERVED_31_3_SHIFT   3
#define DDR_PHY_DCUSR0_RESERVED_31_3_WIDTH   29
#define DDR_PHY_DCUSR0_RESERVED_31_3_MASK    0xfffffff8
#define DDR_PHY_DCUSR0_RESERVED_31_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DCUSR0_CFULL_SHIFT   2
#define DDR_PHY_DCUSR0_CFULL_WIDTH   1
#define DDR_PHY_DCUSR0_CFULL_MASK    0x00000004
#define DDR_PHY_DCUSR0_CFULL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DCUSR0_CFAIL_SHIFT   1
#define DDR_PHY_DCUSR0_CFAIL_WIDTH   1
#define DDR_PHY_DCUSR0_CFAIL_MASK    0x00000002
#define DDR_PHY_DCUSR0_CFAIL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DCUSR0_RDONE_SHIFT   0
#define DDR_PHY_DCUSR0_RDONE_WIDTH   1
#define DDR_PHY_DCUSR0_RDONE_MASK    0x00000001
#define DDR_PHY_DCUSR0_RDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DCUSR1
 */
#define DDR_PHY_DCUSR1    ( ( DDR_PHY_BASEADDR ) + 0x0000031C )
#define DDR_PHY_DCUSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DCUSR1_LPCNT_SHIFT   24
#define DDR_PHY_DCUSR1_LPCNT_WIDTH   8
#define DDR_PHY_DCUSR1_LPCNT_MASK    0xff000000
#define DDR_PHY_DCUSR1_LPCNT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DCUSR1_FLCNT_SHIFT   16
#define DDR_PHY_DCUSR1_FLCNT_WIDTH   8
#define DDR_PHY_DCUSR1_FLCNT_MASK    0x00ff0000
#define DDR_PHY_DCUSR1_FLCNT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DCUSR1_RDCNT_SHIFT   0
#define DDR_PHY_DCUSR1_RDCNT_WIDTH   16
#define DDR_PHY_DCUSR1_RDCNT_MASK    0x0000ffff
#define DDR_PHY_DCUSR1_RDCNT_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTRR
 */
#define DDR_PHY_BISTRR    ( ( DDR_PHY_BASEADDR ) + 0x00000400 )
#define DDR_PHY_BISTRR_DEFVAL   0x780000

/* access_type: ro  */
#define DDR_PHY_BISTRR_RESERVED_31_30_SHIFT   30
#define DDR_PHY_BISTRR_RESERVED_31_30_WIDTH   2
#define DDR_PHY_BISTRR_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_BISTRR_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BPRBST_SHIFT   29
#define DDR_PHY_BISTRR_BPRBST_WIDTH   1
#define DDR_PHY_BISTRR_BPRBST_MASK    0x20000000
#define DDR_PHY_BISTRR_BPRBST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BSOMA_SHIFT   28
#define DDR_PHY_BISTRR_BSOMA_WIDTH   1
#define DDR_PHY_BISTRR_BSOMA_MASK    0x10000000
#define DDR_PHY_BISTRR_BSOMA_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BACDPAT_SHIFT   26
#define DDR_PHY_BISTRR_BACDPAT_WIDTH   2
#define DDR_PHY_BISTRR_BACDPAT_MASK    0x0c000000
#define DDR_PHY_BISTRR_BACDPAT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BCCSEL_SHIFT   25
#define DDR_PHY_BISTRR_BCCSEL_WIDTH   1
#define DDR_PHY_BISTRR_BCCSEL_MASK    0x02000000
#define DDR_PHY_BISTRR_BCCSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BCKSEL_SHIFT   23
#define DDR_PHY_BISTRR_BCKSEL_WIDTH   2
#define DDR_PHY_BISTRR_BCKSEL_MASK    0x01800000
#define DDR_PHY_BISTRR_BCKSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BDXSEL_SHIFT   19
#define DDR_PHY_BISTRR_BDXSEL_WIDTH   4
#define DDR_PHY_BISTRR_BDXSEL_MASK    0x00780000
#define DDR_PHY_BISTRR_BDXSEL_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_BISTRR_BDXDPAT_SHIFT   17
#define DDR_PHY_BISTRR_BDXDPAT_WIDTH   2
#define DDR_PHY_BISTRR_BDXDPAT_MASK    0x00060000
#define DDR_PHY_BISTRR_BDXDPAT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BDMEN_SHIFT   16
#define DDR_PHY_BISTRR_BDMEN_WIDTH   1
#define DDR_PHY_BISTRR_BDMEN_MASK    0x00010000
#define DDR_PHY_BISTRR_BDMEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BACEN_SHIFT   15
#define DDR_PHY_BISTRR_BACEN_WIDTH   1
#define DDR_PHY_BISTRR_BACEN_MASK    0x00008000
#define DDR_PHY_BISTRR_BACEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BDXEN_SHIFT   14
#define DDR_PHY_BISTRR_BDXEN_WIDTH   1
#define DDR_PHY_BISTRR_BDXEN_MASK    0x00004000
#define DDR_PHY_BISTRR_BDXEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BSONF_SHIFT   13
#define DDR_PHY_BISTRR_BSONF_WIDTH   1
#define DDR_PHY_BISTRR_BSONF_MASK    0x00002000
#define DDR_PHY_BISTRR_BSONF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_NFAIL_SHIFT   5
#define DDR_PHY_BISTRR_NFAIL_WIDTH   8
#define DDR_PHY_BISTRR_NFAIL_MASK    0x00001fe0
#define DDR_PHY_BISTRR_NFAIL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BINF_SHIFT   4
#define DDR_PHY_BISTRR_BINF_WIDTH   1
#define DDR_PHY_BISTRR_BINF_MASK    0x00000010
#define DDR_PHY_BISTRR_BINF_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BMODE_SHIFT   3
#define DDR_PHY_BISTRR_BMODE_WIDTH   1
#define DDR_PHY_BISTRR_BMODE_MASK    0x00000008
#define DDR_PHY_BISTRR_BMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTRR_BINST_SHIFT   0
#define DDR_PHY_BISTRR_BINST_WIDTH   3
#define DDR_PHY_BISTRR_BINST_MASK    0x00000007
#define DDR_PHY_BISTRR_BINST_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTWCR
 */
#define DDR_PHY_BISTWCR    ( ( DDR_PHY_BASEADDR ) + 0x00000404 )
#define DDR_PHY_BISTWCR_DEFVAL   0x200020

/* access_type: rw  */
#define DDR_PHY_BISTWCR_BACWCNT_SHIFT   16
#define DDR_PHY_BISTWCR_BACWCNT_WIDTH   16
#define DDR_PHY_BISTWCR_BACWCNT_MASK    0xffff0000
#define DDR_PHY_BISTWCR_BACWCNT_DEFVAL  0x20

/* access_type: rw  */
#define DDR_PHY_BISTWCR_BDXWCNT_SHIFT   0
#define DDR_PHY_BISTWCR_BDXWCNT_WIDTH   16
#define DDR_PHY_BISTWCR_BDXWCNT_MASK    0x0000ffff
#define DDR_PHY_BISTWCR_BDXWCNT_DEFVAL  0x20

/**
 * Register: DDR_PHY_BISTMSKR0
 */
#define DDR_PHY_BISTMSKR0    ( ( DDR_PHY_BASEADDR ) + 0x00000408 )
#define DDR_PHY_BISTMSKR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTMSKR0_CSMSK_RSVD_SHIFT   22
#define DDR_PHY_BISTMSKR0_CSMSK_RSVD_WIDTH   10
#define DDR_PHY_BISTMSKR0_CSMSK_RSVD_MASK    0xffc00000
#define DDR_PHY_BISTMSKR0_CSMSK_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR0_CSMSK_SHIFT   20
#define DDR_PHY_BISTMSKR0_CSMSK_WIDTH   2
#define DDR_PHY_BISTMSKR0_CSMSK_MASK    0x00300000
#define DDR_PHY_BISTMSKR0_CSMSK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR0_ACTMSK_SHIFT   19
#define DDR_PHY_BISTMSKR0_ACTMSK_WIDTH   1
#define DDR_PHY_BISTMSKR0_ACTMSK_MASK    0x00080000
#define DDR_PHY_BISTMSKR0_ACTMSK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTMSKR0_RESERVED_18_SHIFT   18
#define DDR_PHY_BISTMSKR0_RESERVED_18_WIDTH   1
#define DDR_PHY_BISTMSKR0_RESERVED_18_MASK    0x00040000
#define DDR_PHY_BISTMSKR0_RESERVED_18_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR0_AMSK_SHIFT   0
#define DDR_PHY_BISTMSKR0_AMSK_WIDTH   18
#define DDR_PHY_BISTMSKR0_AMSK_MASK    0x0003ffff
#define DDR_PHY_BISTMSKR0_AMSK_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTMSKR1
 */
#define DDR_PHY_BISTMSKR1    ( ( DDR_PHY_BASEADDR ) + 0x0000040C )
#define DDR_PHY_BISTMSKR1_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR1_DMMSK_SHIFT   28
#define DDR_PHY_BISTMSKR1_DMMSK_WIDTH   4
#define DDR_PHY_BISTMSKR1_DMMSK_MASK    0xf0000000
#define DDR_PHY_BISTMSKR1_DMMSK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR1_PARINMSK_SHIFT   27
#define DDR_PHY_BISTMSKR1_PARINMSK_WIDTH   1
#define DDR_PHY_BISTMSKR1_PARINMSK_MASK    0x08000000
#define DDR_PHY_BISTMSKR1_PARINMSK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTMSKR1_CIDMSK_RSVD_SHIFT   25
#define DDR_PHY_BISTMSKR1_CIDMSK_RSVD_WIDTH   2
#define DDR_PHY_BISTMSKR1_CIDMSK_RSVD_MASK    0x06000000
#define DDR_PHY_BISTMSKR1_CIDMSK_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR1_CIDMSK_SHIFT   24
#define DDR_PHY_BISTMSKR1_CIDMSK_WIDTH   1
#define DDR_PHY_BISTMSKR1_CIDMSK_MASK    0x01000000
#define DDR_PHY_BISTMSKR1_CIDMSK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTMSKR1_ODTMSK_RSVD_SHIFT   18
#define DDR_PHY_BISTMSKR1_ODTMSK_RSVD_WIDTH   6
#define DDR_PHY_BISTMSKR1_ODTMSK_RSVD_MASK    0x00fc0000
#define DDR_PHY_BISTMSKR1_ODTMSK_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR1_ODTMSK_SHIFT   16
#define DDR_PHY_BISTMSKR1_ODTMSK_WIDTH   2
#define DDR_PHY_BISTMSKR1_ODTMSK_MASK    0x00030000
#define DDR_PHY_BISTMSKR1_ODTMSK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTMSKR1_CKEMSK_RSVD_SHIFT   10
#define DDR_PHY_BISTMSKR1_CKEMSK_RSVD_WIDTH   6
#define DDR_PHY_BISTMSKR1_CKEMSK_RSVD_MASK    0x0000fc00
#define DDR_PHY_BISTMSKR1_CKEMSK_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR1_CKEMSK_SHIFT   8
#define DDR_PHY_BISTMSKR1_CKEMSK_WIDTH   2
#define DDR_PHY_BISTMSKR1_CKEMSK_MASK    0x00000300
#define DDR_PHY_BISTMSKR1_CKEMSK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR1_BAMSK_SHIFT   4
#define DDR_PHY_BISTMSKR1_BAMSK_WIDTH   4
#define DDR_PHY_BISTMSKR1_BAMSK_MASK    0x000000f0
#define DDR_PHY_BISTMSKR1_BAMSK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTMSKR1_RESERVED_3_0_SHIFT   0
#define DDR_PHY_BISTMSKR1_RESERVED_3_0_WIDTH   4
#define DDR_PHY_BISTMSKR1_RESERVED_3_0_MASK    0x0000000f
#define DDR_PHY_BISTMSKR1_RESERVED_3_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTMSKR2
 */
#define DDR_PHY_BISTMSKR2    ( ( DDR_PHY_BASEADDR ) + 0x00000410 )
#define DDR_PHY_BISTMSKR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_BISTMSKR2_DQMSK_SHIFT   0
#define DDR_PHY_BISTMSKR2_DQMSK_WIDTH   32
#define DDR_PHY_BISTMSKR2_DQMSK_MASK    0xffffffff
#define DDR_PHY_BISTMSKR2_DQMSK_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTLSR
 */
#define DDR_PHY_BISTLSR    ( ( DDR_PHY_BASEADDR ) + 0x00000414 )
#define DDR_PHY_BISTLSR_DEFVAL   0x1234abcd

/* access_type: rw  */
#define DDR_PHY_BISTLSR_SEED_SHIFT   0
#define DDR_PHY_BISTLSR_SEED_WIDTH   32
#define DDR_PHY_BISTLSR_SEED_MASK    0xffffffff
#define DDR_PHY_BISTLSR_SEED_DEFVAL  0x1234abcd

/**
 * Register: DDR_PHY_BISTAR0
 */
#define DDR_PHY_BISTAR0    ( ( DDR_PHY_BASEADDR ) + 0x00000418 )
#define DDR_PHY_BISTAR0_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_BISTAR0_BBANK_SHIFT   28
#define DDR_PHY_BISTAR0_BBANK_WIDTH   4
#define DDR_PHY_BISTAR0_BBANK_MASK    0xf0000000
#define DDR_PHY_BISTAR0_BBANK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTAR0_RESERVED_27_12_SHIFT   12
#define DDR_PHY_BISTAR0_RESERVED_27_12_WIDTH   16
#define DDR_PHY_BISTAR0_RESERVED_27_12_MASK    0x0ffff000
#define DDR_PHY_BISTAR0_RESERVED_27_12_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTAR0_BCOL_SHIFT   0
#define DDR_PHY_BISTAR0_BCOL_WIDTH   12
#define DDR_PHY_BISTAR0_BCOL_MASK    0x00000fff
#define DDR_PHY_BISTAR0_BCOL_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTAR1
 */
#define DDR_PHY_BISTAR1    ( ( DDR_PHY_BASEADDR ) + 0x0000041C )
#define DDR_PHY_BISTAR1_DEFVAL   0xf0000

/* access_type: ro  */
#define DDR_PHY_BISTAR1_RESERVED_31_20_SHIFT   20
#define DDR_PHY_BISTAR1_RESERVED_31_20_WIDTH   12
#define DDR_PHY_BISTAR1_RESERVED_31_20_MASK    0xfff00000
#define DDR_PHY_BISTAR1_RESERVED_31_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTAR1_BMRANK_SHIFT   16
#define DDR_PHY_BISTAR1_BMRANK_WIDTH   4
#define DDR_PHY_BISTAR1_BMRANK_MASK    0x000f0000
#define DDR_PHY_BISTAR1_BMRANK_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_BISTAR1_BAINC_SHIFT   4
#define DDR_PHY_BISTAR1_BAINC_WIDTH   12
#define DDR_PHY_BISTAR1_BAINC_MASK    0x0000fff0
#define DDR_PHY_BISTAR1_BAINC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTAR1_BRANK_SHIFT   0
#define DDR_PHY_BISTAR1_BRANK_WIDTH   4
#define DDR_PHY_BISTAR1_BRANK_MASK    0x0000000f
#define DDR_PHY_BISTAR1_BRANK_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTAR2
 */
#define DDR_PHY_BISTAR2    ( ( DDR_PHY_BASEADDR ) + 0x00000420 )
#define DDR_PHY_BISTAR2_DEFVAL   0xf0000fff

/* access_type: rw  */
#define DDR_PHY_BISTAR2_BMBANK_SHIFT   28
#define DDR_PHY_BISTAR2_BMBANK_WIDTH   4
#define DDR_PHY_BISTAR2_BMBANK_MASK    0xf0000000
#define DDR_PHY_BISTAR2_BMBANK_DEFVAL  0xf

/* access_type: ro  */
#define DDR_PHY_BISTAR2_RESERVED_27_12_SHIFT   12
#define DDR_PHY_BISTAR2_RESERVED_27_12_WIDTH   16
#define DDR_PHY_BISTAR2_RESERVED_27_12_MASK    0x0ffff000
#define DDR_PHY_BISTAR2_RESERVED_27_12_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTAR2_BMCOL_SHIFT   0
#define DDR_PHY_BISTAR2_BMCOL_WIDTH   12
#define DDR_PHY_BISTAR2_BMCOL_MASK    0x00000fff
#define DDR_PHY_BISTAR2_BMCOL_DEFVAL  0xfff

/**
 * Register: DDR_PHY_BISTAR3
 */
#define DDR_PHY_BISTAR3    ( ( DDR_PHY_BASEADDR ) + 0x00000424 )
#define DDR_PHY_BISTAR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTAR3_RESERVED_31_18_SHIFT   18
#define DDR_PHY_BISTAR3_RESERVED_31_18_WIDTH   14
#define DDR_PHY_BISTAR3_RESERVED_31_18_MASK    0xfffc0000
#define DDR_PHY_BISTAR3_RESERVED_31_18_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTAR3_BROW_SHIFT   0
#define DDR_PHY_BISTAR3_BROW_WIDTH   18
#define DDR_PHY_BISTAR3_BROW_MASK    0x0003ffff
#define DDR_PHY_BISTAR3_BROW_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTAR4
 */
#define DDR_PHY_BISTAR4    ( ( DDR_PHY_BASEADDR ) + 0x00000428 )
#define DDR_PHY_BISTAR4_DEFVAL   0x3ffff

/* access_type: ro  */
#define DDR_PHY_BISTAR4_RESERVED_31_18_SHIFT   18
#define DDR_PHY_BISTAR4_RESERVED_31_18_WIDTH   14
#define DDR_PHY_BISTAR4_RESERVED_31_18_MASK    0xfffc0000
#define DDR_PHY_BISTAR4_RESERVED_31_18_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_BISTAR4_BMROW_SHIFT   0
#define DDR_PHY_BISTAR4_BMROW_WIDTH   18
#define DDR_PHY_BISTAR4_BMROW_MASK    0x0003ffff
#define DDR_PHY_BISTAR4_BMROW_DEFVAL  0x3ffff

/**
 * Register: DDR_PHY_BISTUDPR
 */
#define DDR_PHY_BISTUDPR    ( ( DDR_PHY_BASEADDR ) + 0x0000042C )
#define DDR_PHY_BISTUDPR_DEFVAL   0xffff0000

/* access_type: rw  */
#define DDR_PHY_BISTUDPR_BUDP1_SHIFT   16
#define DDR_PHY_BISTUDPR_BUDP1_WIDTH   16
#define DDR_PHY_BISTUDPR_BUDP1_MASK    0xffff0000
#define DDR_PHY_BISTUDPR_BUDP1_DEFVAL  0xffff

/* access_type: rw  */
#define DDR_PHY_BISTUDPR_BUDP0_SHIFT   0
#define DDR_PHY_BISTUDPR_BUDP0_WIDTH   16
#define DDR_PHY_BISTUDPR_BUDP0_MASK    0x0000ffff
#define DDR_PHY_BISTUDPR_BUDP0_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTGSR
 */
#define DDR_PHY_BISTGSR    ( ( DDR_PHY_BASEADDR ) + 0x00000430 )
#define DDR_PHY_BISTGSR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_RESERVED_31_30_SHIFT   30
#define DDR_PHY_BISTGSR_RESERVED_31_30_WIDTH   2
#define DDR_PHY_BISTGSR_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_BISTGSR_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_RASBER_SHIFT   28
#define DDR_PHY_BISTGSR_RASBER_WIDTH   2
#define DDR_PHY_BISTGSR_RASBER_MASK    0x30000000
#define DDR_PHY_BISTGSR_RASBER_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_DMBER_SHIFT   20
#define DDR_PHY_BISTGSR_DMBER_WIDTH   8
#define DDR_PHY_BISTGSR_DMBER_MASK    0x0ff00000
#define DDR_PHY_BISTGSR_DMBER_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_RESERVED_19_12_SHIFT   12
#define DDR_PHY_BISTGSR_RESERVED_19_12_WIDTH   8
#define DDR_PHY_BISTGSR_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_BISTGSR_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_RESERVED_11_SHIFT   11
#define DDR_PHY_BISTGSR_RESERVED_11_WIDTH   1
#define DDR_PHY_BISTGSR_RESERVED_11_MASK    0x00000800
#define DDR_PHY_BISTGSR_RESERVED_11_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_BDXERR_SHIFT   2
#define DDR_PHY_BISTGSR_BDXERR_WIDTH   9
#define DDR_PHY_BISTGSR_BDXERR_MASK    0x000007fc
#define DDR_PHY_BISTGSR_BDXERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_BACERR_SHIFT   1
#define DDR_PHY_BISTGSR_BACERR_WIDTH   1
#define DDR_PHY_BISTGSR_BACERR_MASK    0x00000002
#define DDR_PHY_BISTGSR_BACERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTGSR_BDONE_SHIFT   0
#define DDR_PHY_BISTGSR_BDONE_WIDTH   1
#define DDR_PHY_BISTGSR_BDONE_MASK    0x00000001
#define DDR_PHY_BISTGSR_BDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTWER0
 */
#define DDR_PHY_BISTWER0    ( ( DDR_PHY_BASEADDR ) + 0x00000434 )
#define DDR_PHY_BISTWER0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTWER0_RESERVED_31_18_SHIFT   18
#define DDR_PHY_BISTWER0_RESERVED_31_18_WIDTH   14
#define DDR_PHY_BISTWER0_RESERVED_31_18_MASK    0xfffc0000
#define DDR_PHY_BISTWER0_RESERVED_31_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTWER0_ACWER_SHIFT   0
#define DDR_PHY_BISTWER0_ACWER_WIDTH   18
#define DDR_PHY_BISTWER0_ACWER_MASK    0x0003ffff
#define DDR_PHY_BISTWER0_ACWER_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTWER1
 */
#define DDR_PHY_BISTWER1    ( ( DDR_PHY_BASEADDR ) + 0x00000438 )
#define DDR_PHY_BISTWER1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTWER1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_BISTWER1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_BISTWER1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_BISTWER1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTWER1_DXWER_SHIFT   0
#define DDR_PHY_BISTWER1_DXWER_WIDTH   16
#define DDR_PHY_BISTWER1_DXWER_MASK    0x0000ffff
#define DDR_PHY_BISTWER1_DXWER_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTBER0
 */
#define DDR_PHY_BISTBER0    ( ( DDR_PHY_BASEADDR ) + 0x0000043C )
#define DDR_PHY_BISTBER0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER0_ABER_SHIFT   0
#define DDR_PHY_BISTBER0_ABER_WIDTH   32
#define DDR_PHY_BISTBER0_ABER_MASK    0xffffffff
#define DDR_PHY_BISTBER0_ABER_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTBER1
 */
#define DDR_PHY_BISTBER1    ( ( DDR_PHY_BASEADDR ) + 0x00000440 )
#define DDR_PHY_BISTBER1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER1_CSBER_RSVD_SHIFT   12
#define DDR_PHY_BISTBER1_CSBER_RSVD_WIDTH   20
#define DDR_PHY_BISTBER1_CSBER_RSVD_MASK    0xfffff000
#define DDR_PHY_BISTBER1_CSBER_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER1_CSBER_SHIFT   8
#define DDR_PHY_BISTBER1_CSBER_WIDTH   4
#define DDR_PHY_BISTBER1_CSBER_MASK    0x00000f00
#define DDR_PHY_BISTBER1_CSBER_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER1_BABER_SHIFT   0
#define DDR_PHY_BISTBER1_BABER_WIDTH   8
#define DDR_PHY_BISTBER1_BABER_MASK    0x000000ff
#define DDR_PHY_BISTBER1_BABER_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTBER2
 */
#define DDR_PHY_BISTBER2    ( ( DDR_PHY_BASEADDR ) + 0x00000444 )
#define DDR_PHY_BISTBER2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER2_DQBER0_SHIFT   0
#define DDR_PHY_BISTBER2_DQBER0_WIDTH   32
#define DDR_PHY_BISTBER2_DQBER0_MASK    0xffffffff
#define DDR_PHY_BISTBER2_DQBER0_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTBER3
 */
#define DDR_PHY_BISTBER3    ( ( DDR_PHY_BASEADDR ) + 0x00000448 )
#define DDR_PHY_BISTBER3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER3_DQBER1_SHIFT   0
#define DDR_PHY_BISTBER3_DQBER1_WIDTH   32
#define DDR_PHY_BISTBER3_DQBER1_MASK    0xffffffff
#define DDR_PHY_BISTBER3_DQBER1_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTBER4
 */
#define DDR_PHY_BISTBER4    ( ( DDR_PHY_BASEADDR ) + 0x0000044C )
#define DDR_PHY_BISTBER4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER4_RESERVED_31_14_SHIFT   14
#define DDR_PHY_BISTBER4_RESERVED_31_14_WIDTH   18
#define DDR_PHY_BISTBER4_RESERVED_31_14_MASK    0xffffc000
#define DDR_PHY_BISTBER4_RESERVED_31_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER4_CIDBER_RSVD_SHIFT   10
#define DDR_PHY_BISTBER4_CIDBER_RSVD_WIDTH   4
#define DDR_PHY_BISTBER4_CIDBER_RSVD_MASK    0x00003c00
#define DDR_PHY_BISTBER4_CIDBER_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER4_CIDBER_SHIFT   8
#define DDR_PHY_BISTBER4_CIDBER_WIDTH   2
#define DDR_PHY_BISTBER4_CIDBER_MASK    0x00000300
#define DDR_PHY_BISTBER4_CIDBER_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER4_RESERVED_7_4_SHIFT   4
#define DDR_PHY_BISTBER4_RESERVED_7_4_WIDTH   4
#define DDR_PHY_BISTBER4_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_BISTBER4_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER4_ABER_SHIFT   0
#define DDR_PHY_BISTBER4_ABER_WIDTH   4
#define DDR_PHY_BISTBER4_ABER_MASK    0x0000000f
#define DDR_PHY_BISTBER4_ABER_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTWCSR
 */
#define DDR_PHY_BISTWCSR    ( ( DDR_PHY_BASEADDR ) + 0x00000450 )
#define DDR_PHY_BISTWCSR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTWCSR_DXWCNT_SHIFT   16
#define DDR_PHY_BISTWCSR_DXWCNT_WIDTH   16
#define DDR_PHY_BISTWCSR_DXWCNT_MASK    0xffff0000
#define DDR_PHY_BISTWCSR_DXWCNT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTWCSR_ACWCNT_SHIFT   0
#define DDR_PHY_BISTWCSR_ACWCNT_WIDTH   16
#define DDR_PHY_BISTWCSR_ACWCNT_MASK    0x0000ffff
#define DDR_PHY_BISTWCSR_ACWCNT_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTFWR0
 */
#define DDR_PHY_BISTFWR0    ( ( DDR_PHY_BASEADDR ) + 0x00000454 )
#define DDR_PHY_BISTFWR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR0_CSWEBS_RSVD_SHIFT   22
#define DDR_PHY_BISTFWR0_CSWEBS_RSVD_WIDTH   10
#define DDR_PHY_BISTFWR0_CSWEBS_RSVD_MASK    0xffc00000
#define DDR_PHY_BISTFWR0_CSWEBS_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR0_CSWEBS_SHIFT   20
#define DDR_PHY_BISTFWR0_CSWEBS_WIDTH   2
#define DDR_PHY_BISTFWR0_CSWEBS_MASK    0x00300000
#define DDR_PHY_BISTFWR0_CSWEBS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR0_RESERVED_19_SHIFT   19
#define DDR_PHY_BISTFWR0_RESERVED_19_WIDTH   1
#define DDR_PHY_BISTFWR0_RESERVED_19_MASK    0x00080000
#define DDR_PHY_BISTFWR0_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR0_ACTWEBS_SHIFT   18
#define DDR_PHY_BISTFWR0_ACTWEBS_WIDTH   1
#define DDR_PHY_BISTFWR0_ACTWEBS_MASK    0x00040000
#define DDR_PHY_BISTFWR0_ACTWEBS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR0_AWEBS_SHIFT   0
#define DDR_PHY_BISTFWR0_AWEBS_WIDTH   18
#define DDR_PHY_BISTFWR0_AWEBS_MASK    0x0003ffff
#define DDR_PHY_BISTFWR0_AWEBS_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTFWR1
 */
#define DDR_PHY_BISTFWR1    ( ( DDR_PHY_BASEADDR ) + 0x00000458 )
#define DDR_PHY_BISTFWR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_DMWEBS_SHIFT   28
#define DDR_PHY_BISTFWR1_DMWEBS_WIDTH   4
#define DDR_PHY_BISTFWR1_DMWEBS_MASK    0xf0000000
#define DDR_PHY_BISTFWR1_DMWEBS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_RESERVED_27_24_SHIFT   24
#define DDR_PHY_BISTFWR1_RESERVED_27_24_WIDTH   4
#define DDR_PHY_BISTFWR1_RESERVED_27_24_MASK    0x0f000000
#define DDR_PHY_BISTFWR1_RESERVED_27_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_RESERVED_23_22_SHIFT   23
#define DDR_PHY_BISTFWR1_RESERVED_23_22_WIDTH   1
#define DDR_PHY_BISTFWR1_RESERVED_23_22_MASK    0x00800000
#define DDR_PHY_BISTFWR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_CIDWEBS_RSVD_SHIFT   21
#define DDR_PHY_BISTFWR1_CIDWEBS_RSVD_WIDTH   2
#define DDR_PHY_BISTFWR1_CIDWEBS_RSVD_MASK    0x00600000
#define DDR_PHY_BISTFWR1_CIDWEBS_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_CIDWEBS_SHIFT   20
#define DDR_PHY_BISTFWR1_CIDWEBS_WIDTH   1
#define DDR_PHY_BISTFWR1_CIDWEBS_MASK    0x00100000
#define DDR_PHY_BISTFWR1_CIDWEBS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_BAWEBS_SHIFT   16
#define DDR_PHY_BISTFWR1_BAWEBS_WIDTH   4
#define DDR_PHY_BISTFWR1_BAWEBS_MASK    0x000f0000
#define DDR_PHY_BISTFWR1_BAWEBS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_ODTWEBS_RSVD_SHIFT   10
#define DDR_PHY_BISTFWR1_ODTWEBS_RSVD_WIDTH   6
#define DDR_PHY_BISTFWR1_ODTWEBS_RSVD_MASK    0x0000fc00
#define DDR_PHY_BISTFWR1_ODTWEBS_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_ODTWEBS_SHIFT   8
#define DDR_PHY_BISTFWR1_ODTWEBS_WIDTH   2
#define DDR_PHY_BISTFWR1_ODTWEBS_MASK    0x00000300
#define DDR_PHY_BISTFWR1_ODTWEBS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_CKEWEBS_RSVD_SHIFT   2
#define DDR_PHY_BISTFWR1_CKEWEBS_RSVD_WIDTH   6
#define DDR_PHY_BISTFWR1_CKEWEBS_RSVD_MASK    0x000000fc
#define DDR_PHY_BISTFWR1_CKEWEBS_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR1_CKEWEBS_SHIFT   0
#define DDR_PHY_BISTFWR1_CKEWEBS_WIDTH   2
#define DDR_PHY_BISTFWR1_CKEWEBS_MASK    0x00000003
#define DDR_PHY_BISTFWR1_CKEWEBS_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTFWR2
 */
#define DDR_PHY_BISTFWR2    ( ( DDR_PHY_BASEADDR ) + 0x0000045C )
#define DDR_PHY_BISTFWR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTFWR2_DQWEBS_SHIFT   0
#define DDR_PHY_BISTFWR2_DQWEBS_WIDTH   32
#define DDR_PHY_BISTFWR2_DQWEBS_MASK    0xffffffff
#define DDR_PHY_BISTFWR2_DQWEBS_DEFVAL  0x0

/**
 * Register: DDR_PHY_BISTBER5
 */
#define DDR_PHY_BISTBER5    ( ( DDR_PHY_BASEADDR ) + 0x00000460 )
#define DDR_PHY_BISTBER5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER5_ODTBER_RSVD_SHIFT   20
#define DDR_PHY_BISTBER5_ODTBER_RSVD_WIDTH   12
#define DDR_PHY_BISTBER5_ODTBER_RSVD_MASK    0xfff00000
#define DDR_PHY_BISTBER5_ODTBER_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER5_ODTBER_SHIFT   16
#define DDR_PHY_BISTBER5_ODTBER_WIDTH   4
#define DDR_PHY_BISTBER5_ODTBER_MASK    0x000f0000
#define DDR_PHY_BISTBER5_ODTBER_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER5_CKEBER_RSVD_SHIFT   4
#define DDR_PHY_BISTBER5_CKEBER_RSVD_WIDTH   12
#define DDR_PHY_BISTBER5_CKEBER_RSVD_MASK    0x0000fff0
#define DDR_PHY_BISTBER5_CKEBER_RSVD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_BISTBER5_CKEBER_SHIFT   0
#define DDR_PHY_BISTBER5_CKEBER_WIDTH   4
#define DDR_PHY_BISTBER5_CKEBER_MASK    0x0000000f
#define DDR_PHY_BISTBER5_CKEBER_DEFVAL  0x0

/**
 * Register: DDR_PHY_RANKIDR
 */
#define DDR_PHY_RANKIDR    ( ( DDR_PHY_BASEADDR ) + 0x000004DC )
#define DDR_PHY_RANKIDR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_RANKIDR_RESERVED_31_20_SHIFT   20
#define DDR_PHY_RANKIDR_RESERVED_31_20_WIDTH   12
#define DDR_PHY_RANKIDR_RESERVED_31_20_MASK    0xfff00000
#define DDR_PHY_RANKIDR_RESERVED_31_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RANKIDR_RANKRID_SHIFT   16
#define DDR_PHY_RANKIDR_RANKRID_WIDTH   4
#define DDR_PHY_RANKIDR_RANKRID_MASK    0x000f0000
#define DDR_PHY_RANKIDR_RANKRID_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RANKIDR_RESERVED_15_4_SHIFT   4
#define DDR_PHY_RANKIDR_RESERVED_15_4_WIDTH   12
#define DDR_PHY_RANKIDR_RESERVED_15_4_MASK    0x0000fff0
#define DDR_PHY_RANKIDR_RESERVED_15_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RANKIDR_RANKWID_SHIFT   0
#define DDR_PHY_RANKIDR_RANKWID_WIDTH   4
#define DDR_PHY_RANKIDR_RANKWID_MASK    0x0000000f
#define DDR_PHY_RANKIDR_RANKWID_DEFVAL  0x0

/**
 * Register: DDR_PHY_RIOCR0
 */
#define DDR_PHY_RIOCR0    ( ( DDR_PHY_BASEADDR ) + 0x000004E0 )
#define DDR_PHY_RIOCR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR0_RESERVED_31_0_SHIFT   0
#define DDR_PHY_RIOCR0_RESERVED_31_0_WIDTH   32
#define DDR_PHY_RIOCR0_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_RIOCR0_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_RIOCR1
 */
#define DDR_PHY_RIOCR1    ( ( DDR_PHY_BASEADDR ) + 0x000004E4 )
#define DDR_PHY_RIOCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR1_RESERVED_31_0_SHIFT   0
#define DDR_PHY_RIOCR1_RESERVED_31_0_WIDTH   32
#define DDR_PHY_RIOCR1_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_RIOCR1_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_RIOCR2
 */
#define DDR_PHY_RIOCR2    ( ( DDR_PHY_BASEADDR ) + 0x000004E8 )
#define DDR_PHY_RIOCR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_RIOCR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_RIOCR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_RIOCR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR2_COEMODE_RSVD_SHIFT   26
#define DDR_PHY_RIOCR2_COEMODE_RSVD_WIDTH   4
#define DDR_PHY_RIOCR2_COEMODE_RSVD_MASK    0x3c000000
#define DDR_PHY_RIOCR2_COEMODE_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RIOCR2_COEMODE_SHIFT   24
#define DDR_PHY_RIOCR2_COEMODE_WIDTH   2
#define DDR_PHY_RIOCR2_COEMODE_MASK    0x03000000
#define DDR_PHY_RIOCR2_COEMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR2_CSOEMODE_RSVD_SHIFT   4
#define DDR_PHY_RIOCR2_CSOEMODE_RSVD_WIDTH   20
#define DDR_PHY_RIOCR2_CSOEMODE_RSVD_MASK    0x00fffff0
#define DDR_PHY_RIOCR2_CSOEMODE_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RIOCR2_CSOEMODE_SHIFT   0
#define DDR_PHY_RIOCR2_CSOEMODE_WIDTH   4
#define DDR_PHY_RIOCR2_CSOEMODE_MASK    0x0000000f
#define DDR_PHY_RIOCR2_CSOEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_RIOCR3
 */
#define DDR_PHY_RIOCR3    ( ( DDR_PHY_BASEADDR ) + 0x000004EC )
#define DDR_PHY_RIOCR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR3_RESERVED_31_0_SHIFT   0
#define DDR_PHY_RIOCR3_RESERVED_31_0_WIDTH   32
#define DDR_PHY_RIOCR3_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_RIOCR3_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_RIOCR4
 */
#define DDR_PHY_RIOCR4    ( ( DDR_PHY_BASEADDR ) + 0x000004F0 )
#define DDR_PHY_RIOCR4_DEFVAL   0x5

/* access_type: ro  */
#define DDR_PHY_RIOCR4_RESERVED_31_16_SHIFT   16
#define DDR_PHY_RIOCR4_RESERVED_31_16_WIDTH   16
#define DDR_PHY_RIOCR4_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_RIOCR4_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR4_CKEOEMODE_RSVD_SHIFT   4
#define DDR_PHY_RIOCR4_CKEOEMODE_RSVD_WIDTH   12
#define DDR_PHY_RIOCR4_CKEOEMODE_RSVD_MASK    0x0000fff0
#define DDR_PHY_RIOCR4_CKEOEMODE_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RIOCR4_CKEOEMODE_SHIFT   0
#define DDR_PHY_RIOCR4_CKEOEMODE_WIDTH   4
#define DDR_PHY_RIOCR4_CKEOEMODE_MASK    0x0000000f
#define DDR_PHY_RIOCR4_CKEOEMODE_DEFVAL  0x5

/**
 * Register: DDR_PHY_RIOCR5
 */
#define DDR_PHY_RIOCR5    ( ( DDR_PHY_BASEADDR ) + 0x000004F4 )
#define DDR_PHY_RIOCR5_DEFVAL   0x5

/* access_type: ro  */
#define DDR_PHY_RIOCR5_RESERVED_31_16_SHIFT   16
#define DDR_PHY_RIOCR5_RESERVED_31_16_WIDTH   16
#define DDR_PHY_RIOCR5_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_RIOCR5_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_RIOCR5_ODTOEMODE_RSVD_SHIFT   4
#define DDR_PHY_RIOCR5_ODTOEMODE_RSVD_WIDTH   12
#define DDR_PHY_RIOCR5_ODTOEMODE_RSVD_MASK    0x0000fff0
#define DDR_PHY_RIOCR5_ODTOEMODE_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_RIOCR5_ODTOEMODE_SHIFT   0
#define DDR_PHY_RIOCR5_ODTOEMODE_WIDTH   4
#define DDR_PHY_RIOCR5_ODTOEMODE_MASK    0x0000000f
#define DDR_PHY_RIOCR5_ODTOEMODE_DEFVAL  0x5

/**
 * Register: DDR_PHY_ACIOCR0
 */
#define DDR_PHY_ACIOCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000500 )
#define DDR_PHY_ACIOCR0_DEFVAL   0x30000000

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_ACSR_SHIFT   30
#define DDR_PHY_ACIOCR0_ACSR_WIDTH   2
#define DDR_PHY_ACIOCR0_ACSR_MASK    0xc0000000
#define DDR_PHY_ACIOCR0_ACSR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_RSTIOM_SHIFT   29
#define DDR_PHY_ACIOCR0_RSTIOM_WIDTH   1
#define DDR_PHY_ACIOCR0_RSTIOM_MASK    0x20000000
#define DDR_PHY_ACIOCR0_RSTIOM_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_RSTPDR_SHIFT   28
#define DDR_PHY_ACIOCR0_RSTPDR_WIDTH   1
#define DDR_PHY_ACIOCR0_RSTPDR_MASK    0x10000000
#define DDR_PHY_ACIOCR0_RSTPDR_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_ACIOCR0_RESERVED_27_SHIFT   27
#define DDR_PHY_ACIOCR0_RESERVED_27_WIDTH   1
#define DDR_PHY_ACIOCR0_RESERVED_27_MASK    0x08000000
#define DDR_PHY_ACIOCR0_RESERVED_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_RSTODT_SHIFT   26
#define DDR_PHY_ACIOCR0_RSTODT_WIDTH   1
#define DDR_PHY_ACIOCR0_RSTODT_MASK    0x04000000
#define DDR_PHY_ACIOCR0_RSTODT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACIOCR0_RESERVED_25_10_SHIFT   10
#define DDR_PHY_ACIOCR0_RESERVED_25_10_WIDTH   16
#define DDR_PHY_ACIOCR0_RESERVED_25_10_MASK    0x03fffc00
#define DDR_PHY_ACIOCR0_RESERVED_25_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_CKDCC_SHIFT   6
#define DDR_PHY_ACIOCR0_CKDCC_WIDTH   4
#define DDR_PHY_ACIOCR0_CKDCC_MASK    0x000003c0
#define DDR_PHY_ACIOCR0_CKDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_ACPDRMODE_SHIFT   4
#define DDR_PHY_ACIOCR0_ACPDRMODE_WIDTH   2
#define DDR_PHY_ACIOCR0_ACPDRMODE_MASK    0x00000030
#define DDR_PHY_ACIOCR0_ACPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_ACODTMODE_SHIFT   2
#define DDR_PHY_ACIOCR0_ACODTMODE_WIDTH   2
#define DDR_PHY_ACIOCR0_ACODTMODE_MASK    0x0000000c
#define DDR_PHY_ACIOCR0_ACODTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACIOCR0_RESERVED_1_SHIFT   1
#define DDR_PHY_ACIOCR0_RESERVED_1_WIDTH   1
#define DDR_PHY_ACIOCR0_RESERVED_1_MASK    0x00000002
#define DDR_PHY_ACIOCR0_RESERVED_1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR0_ACRANKCLKSEL_SHIFT   0
#define DDR_PHY_ACIOCR0_ACRANKCLKSEL_WIDTH   1
#define DDR_PHY_ACIOCR0_ACRANKCLKSEL_MASK    0x00000001
#define DDR_PHY_ACIOCR0_ACRANKCLKSEL_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACIOCR1
 */
#define DDR_PHY_ACIOCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000504 )
#define DDR_PHY_ACIOCR1_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR1_AOEMODE_SHIFT   0
#define DDR_PHY_ACIOCR1_AOEMODE_WIDTH   32
#define DDR_PHY_ACIOCR1_AOEMODE_MASK    0xffffffff
#define DDR_PHY_ACIOCR1_AOEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACIOCR2
 */
#define DDR_PHY_ACIOCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000508 )
#define DDR_PHY_ACIOCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR2_CLKGENCLKGATE_SHIFT   31
#define DDR_PHY_ACIOCR2_CLKGENCLKGATE_WIDTH   1
#define DDR_PHY_ACIOCR2_CLKGENCLKGATE_MASK    0x80000000
#define DDR_PHY_ACIOCR2_CLKGENCLKGATE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR2_ACOECLKGATE0_SHIFT   30
#define DDR_PHY_ACIOCR2_ACOECLKGATE0_WIDTH   1
#define DDR_PHY_ACIOCR2_ACOECLKGATE0_MASK    0x40000000
#define DDR_PHY_ACIOCR2_ACOECLKGATE0_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR2_ACPDRCLKGATE0_SHIFT   29
#define DDR_PHY_ACIOCR2_ACPDRCLKGATE0_WIDTH   1
#define DDR_PHY_ACIOCR2_ACPDRCLKGATE0_MASK    0x20000000
#define DDR_PHY_ACIOCR2_ACPDRCLKGATE0_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR2_ACTECLKGATE0_SHIFT   28
#define DDR_PHY_ACIOCR2_ACTECLKGATE0_WIDTH   1
#define DDR_PHY_ACIOCR2_ACTECLKGATE0_MASK    0x10000000
#define DDR_PHY_ACIOCR2_ACTECLKGATE0_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR2_CKNCLKGATE0_SHIFT   26
#define DDR_PHY_ACIOCR2_CKNCLKGATE0_WIDTH   2
#define DDR_PHY_ACIOCR2_CKNCLKGATE0_MASK    0x0c000000
#define DDR_PHY_ACIOCR2_CKNCLKGATE0_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR2_CKCLKGATE0_SHIFT   24
#define DDR_PHY_ACIOCR2_CKCLKGATE0_WIDTH   2
#define DDR_PHY_ACIOCR2_CKCLKGATE0_MASK    0x03000000
#define DDR_PHY_ACIOCR2_CKCLKGATE0_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR2_ACCLKGATE0_SHIFT   0
#define DDR_PHY_ACIOCR2_ACCLKGATE0_WIDTH   24
#define DDR_PHY_ACIOCR2_ACCLKGATE0_MASK    0x00ffffff
#define DDR_PHY_ACIOCR2_ACCLKGATE0_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACIOCR3
 */
#define DDR_PHY_ACIOCR3    ( ( DDR_PHY_BASEADDR ) + 0x0000050C )
#define DDR_PHY_ACIOCR3_DEFVAL   0x5

/* access_type: rw  */
#define DDR_PHY_ACIOCR3_PAROEMODE_SHIFT   30
#define DDR_PHY_ACIOCR3_PAROEMODE_WIDTH   2
#define DDR_PHY_ACIOCR3_PAROEMODE_MASK    0xc0000000
#define DDR_PHY_ACIOCR3_PAROEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR3_BGOEMODE_SHIFT   26
#define DDR_PHY_ACIOCR3_BGOEMODE_WIDTH   4
#define DDR_PHY_ACIOCR3_BGOEMODE_MASK    0x3c000000
#define DDR_PHY_ACIOCR3_BGOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR3_BAOEMODE_SHIFT   22
#define DDR_PHY_ACIOCR3_BAOEMODE_WIDTH   4
#define DDR_PHY_ACIOCR3_BAOEMODE_MASK    0x03c00000
#define DDR_PHY_ACIOCR3_BAOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR3_A17OEMODE_SHIFT   20
#define DDR_PHY_ACIOCR3_A17OEMODE_WIDTH   2
#define DDR_PHY_ACIOCR3_A17OEMODE_MASK    0x00300000
#define DDR_PHY_ACIOCR3_A17OEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR3_A16OEMODE_SHIFT   18
#define DDR_PHY_ACIOCR3_A16OEMODE_WIDTH   2
#define DDR_PHY_ACIOCR3_A16OEMODE_MASK    0x000c0000
#define DDR_PHY_ACIOCR3_A16OEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR3_ACTOEMODE_SHIFT   16
#define DDR_PHY_ACIOCR3_ACTOEMODE_WIDTH   2
#define DDR_PHY_ACIOCR3_ACTOEMODE_MASK    0x00030000
#define DDR_PHY_ACIOCR3_ACTOEMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACIOCR3_RESERVED_15_8_SHIFT   8
#define DDR_PHY_ACIOCR3_RESERVED_15_8_WIDTH   8
#define DDR_PHY_ACIOCR3_RESERVED_15_8_MASK    0x0000ff00
#define DDR_PHY_ACIOCR3_RESERVED_15_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACIOCR3_CKOEMODE_RSVD_SHIFT   4
#define DDR_PHY_ACIOCR3_CKOEMODE_RSVD_WIDTH   4
#define DDR_PHY_ACIOCR3_CKOEMODE_RSVD_MASK    0x000000f0
#define DDR_PHY_ACIOCR3_CKOEMODE_RSVD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR3_CKOEMODE_SHIFT   0
#define DDR_PHY_ACIOCR3_CKOEMODE_WIDTH   4
#define DDR_PHY_ACIOCR3_CKOEMODE_MASK    0x0000000f
#define DDR_PHY_ACIOCR3_CKOEMODE_DEFVAL  0x5

/**
 * Register: DDR_PHY_ACIOCR4
 */
#define DDR_PHY_ACIOCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000510 )
#define DDR_PHY_ACIOCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR4_LBCLKGATE_SHIFT   31
#define DDR_PHY_ACIOCR4_LBCLKGATE_WIDTH   1
#define DDR_PHY_ACIOCR4_LBCLKGATE_MASK    0x80000000
#define DDR_PHY_ACIOCR4_LBCLKGATE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR4_ACOECLKGATE1_SHIFT   30
#define DDR_PHY_ACIOCR4_ACOECLKGATE1_WIDTH   1
#define DDR_PHY_ACIOCR4_ACOECLKGATE1_MASK    0x40000000
#define DDR_PHY_ACIOCR4_ACOECLKGATE1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR4_ACPDRCLKGATE1_SHIFT   29
#define DDR_PHY_ACIOCR4_ACPDRCLKGATE1_WIDTH   1
#define DDR_PHY_ACIOCR4_ACPDRCLKGATE1_MASK    0x20000000
#define DDR_PHY_ACIOCR4_ACPDRCLKGATE1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR4_ACTECLKGATE1_SHIFT   28
#define DDR_PHY_ACIOCR4_ACTECLKGATE1_WIDTH   1
#define DDR_PHY_ACIOCR4_ACTECLKGATE1_MASK    0x10000000
#define DDR_PHY_ACIOCR4_ACTECLKGATE1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR4_CKNCLKGATE1_SHIFT   26
#define DDR_PHY_ACIOCR4_CKNCLKGATE1_WIDTH   2
#define DDR_PHY_ACIOCR4_CKNCLKGATE1_MASK    0x0c000000
#define DDR_PHY_ACIOCR4_CKNCLKGATE1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR4_CKCLKGATE1_SHIFT   24
#define DDR_PHY_ACIOCR4_CKCLKGATE1_WIDTH   2
#define DDR_PHY_ACIOCR4_CKCLKGATE1_MASK    0x03000000
#define DDR_PHY_ACIOCR4_CKCLKGATE1_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR4_ACCLKGATE1_SHIFT   0
#define DDR_PHY_ACIOCR4_ACCLKGATE1_WIDTH   24
#define DDR_PHY_ACIOCR4_ACCLKGATE1_MASK    0x00ffffff
#define DDR_PHY_ACIOCR4_ACCLKGATE1_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACIOCR5
 */
#define DDR_PHY_ACIOCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000514 )
#define DDR_PHY_ACIOCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACIOCR5_RESERVED_31_28_SHIFT   28
#define DDR_PHY_ACIOCR5_RESERVED_31_28_WIDTH   4
#define DDR_PHY_ACIOCR5_RESERVED_31_28_MASK    0xf0000000
#define DDR_PHY_ACIOCR5_RESERVED_31_28_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR5_ACVREFIOM_SHIFT   25
#define DDR_PHY_ACIOCR5_ACVREFIOM_WIDTH   3
#define DDR_PHY_ACIOCR5_ACVREFIOM_MASK    0x0e000000
#define DDR_PHY_ACIOCR5_ACVREFIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR5_ACXIOM_SHIFT   22
#define DDR_PHY_ACIOCR5_ACXIOM_WIDTH   3
#define DDR_PHY_ACIOCR5_ACXIOM_MASK    0x01c00000
#define DDR_PHY_ACIOCR5_ACXIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR5_ACTXM_SHIFT   11
#define DDR_PHY_ACIOCR5_ACTXM_WIDTH   11
#define DDR_PHY_ACIOCR5_ACTXM_MASK    0x003ff800
#define DDR_PHY_ACIOCR5_ACTXM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACIOCR5_ACRXM_SHIFT   0
#define DDR_PHY_ACIOCR5_ACRXM_WIDTH   11
#define DDR_PHY_ACIOCR5_ACRXM_MASK    0x000007ff
#define DDR_PHY_ACIOCR5_ACRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_IOVCR0
 */
#define DDR_PHY_IOVCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000520 )
#define DDR_PHY_IOVCR0_DEFVAL   0xf000000

/* access_type: ro  */
#define DDR_PHY_IOVCR0_RESERVED_31_29_SHIFT   29
#define DDR_PHY_IOVCR0_RESERVED_31_29_WIDTH   3
#define DDR_PHY_IOVCR0_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_IOVCR0_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFPEN_SHIFT   28
#define DDR_PHY_IOVCR0_ACREFPEN_WIDTH   1
#define DDR_PHY_IOVCR0_ACREFPEN_MASK    0x10000000
#define DDR_PHY_IOVCR0_ACREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFEEN_SHIFT   26
#define DDR_PHY_IOVCR0_ACREFEEN_WIDTH   2
#define DDR_PHY_IOVCR0_ACREFEEN_MASK    0x0c000000
#define DDR_PHY_IOVCR0_ACREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFSEN_SHIFT   25
#define DDR_PHY_IOVCR0_ACREFSEN_WIDTH   1
#define DDR_PHY_IOVCR0_ACREFSEN_MASK    0x02000000
#define DDR_PHY_IOVCR0_ACREFSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFIEN_SHIFT   24
#define DDR_PHY_IOVCR0_ACREFIEN_WIDTH   1
#define DDR_PHY_IOVCR0_ACREFIEN_MASK    0x01000000
#define DDR_PHY_IOVCR0_ACREFIEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFESELRANGE_SHIFT   23
#define DDR_PHY_IOVCR0_ACREFESELRANGE_WIDTH   1
#define DDR_PHY_IOVCR0_ACREFESELRANGE_MASK    0x00800000
#define DDR_PHY_IOVCR0_ACREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFESEL_SHIFT   16
#define DDR_PHY_IOVCR0_ACREFESEL_WIDTH   7
#define DDR_PHY_IOVCR0_ACREFESEL_MASK    0x007f0000
#define DDR_PHY_IOVCR0_ACREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFSSELRANGE_SHIFT   15
#define DDR_PHY_IOVCR0_ACREFSSELRANGE_WIDTH   1
#define DDR_PHY_IOVCR0_ACREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_IOVCR0_ACREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACREFSSEL_SHIFT   8
#define DDR_PHY_IOVCR0_ACREFSSEL_WIDTH   7
#define DDR_PHY_IOVCR0_ACREFSSEL_MASK    0x00007f00
#define DDR_PHY_IOVCR0_ACREFSSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACVREFISELRANGE_SHIFT   7
#define DDR_PHY_IOVCR0_ACVREFISELRANGE_WIDTH   1
#define DDR_PHY_IOVCR0_ACVREFISELRANGE_MASK    0x00000080
#define DDR_PHY_IOVCR0_ACVREFISELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_IOVCR0_ACVREFISEL_SHIFT   0
#define DDR_PHY_IOVCR0_ACVREFISEL_WIDTH   7
#define DDR_PHY_IOVCR0_ACVREFISEL_MASK    0x0000007f
#define DDR_PHY_IOVCR0_ACVREFISEL_DEFVAL  0x0

/**
 * Register: DDR_PHY_IOVCR1
 */
#define DDR_PHY_IOVCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000524 )
#define DDR_PHY_IOVCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_IOVCR1_RESERVED_31_0_SHIFT   0
#define DDR_PHY_IOVCR1_RESERVED_31_0_WIDTH   32
#define DDR_PHY_IOVCR1_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_IOVCR1_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_VTCR0
 */
#define DDR_PHY_VTCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000528 )
#define DDR_PHY_VTCR0_DEFVAL   0x70032019

/* access_type: rw  */
#define DDR_PHY_VTCR0_TVREF_SHIFT   29
#define DDR_PHY_VTCR0_TVREF_WIDTH   3
#define DDR_PHY_VTCR0_TVREF_MASK    0xe0000000
#define DDR_PHY_VTCR0_TVREF_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_VTCR0_DVEN_SHIFT   28
#define DDR_PHY_VTCR0_DVEN_WIDTH   1
#define DDR_PHY_VTCR0_DVEN_MASK    0x10000000
#define DDR_PHY_VTCR0_DVEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_VTCR0_PDAEN_SHIFT   27
#define DDR_PHY_VTCR0_PDAEN_WIDTH   1
#define DDR_PHY_VTCR0_PDAEN_MASK    0x08000000
#define DDR_PHY_VTCR0_PDAEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTCR0_RESERVED_26_SHIFT   26
#define DDR_PHY_VTCR0_RESERVED_26_WIDTH   1
#define DDR_PHY_VTCR0_RESERVED_26_MASK    0x04000000
#define DDR_PHY_VTCR0_RESERVED_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR0_VWCR_SHIFT   22
#define DDR_PHY_VTCR0_VWCR_WIDTH   4
#define DDR_PHY_VTCR0_VWCR_MASK    0x03c00000
#define DDR_PHY_VTCR0_VWCR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR0_DVSS_SHIFT   18
#define DDR_PHY_VTCR0_DVSS_WIDTH   4
#define DDR_PHY_VTCR0_DVSS_MASK    0x003c0000
#define DDR_PHY_VTCR0_DVSS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR0_DVMAX_SHIFT   12
#define DDR_PHY_VTCR0_DVMAX_WIDTH   6
#define DDR_PHY_VTCR0_DVMAX_MASK    0x0003f000
#define DDR_PHY_VTCR0_DVMAX_DEFVAL  0x32

/* access_type: rw  */
#define DDR_PHY_VTCR0_DVMIN_SHIFT   6
#define DDR_PHY_VTCR0_DVMIN_WIDTH   6
#define DDR_PHY_VTCR0_DVMIN_MASK    0x00000fc0
#define DDR_PHY_VTCR0_DVMIN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR0_DVINIT_SHIFT   0
#define DDR_PHY_VTCR0_DVINIT_WIDTH   6
#define DDR_PHY_VTCR0_DVINIT_MASK    0x0000003f
#define DDR_PHY_VTCR0_DVINIT_DEFVAL  0x19

/**
 * Register: DDR_PHY_VTCR1
 */
#define DDR_PHY_VTCR1    ( ( DDR_PHY_BASEADDR ) + 0x0000052C )
#define DDR_PHY_VTCR1_DEFVAL   0x7f00072

/* access_type: rw  */
#define DDR_PHY_VTCR1_HVSS_SHIFT   28
#define DDR_PHY_VTCR1_HVSS_WIDTH   4
#define DDR_PHY_VTCR1_HVSS_MASK    0xf0000000
#define DDR_PHY_VTCR1_HVSS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTCR1_RESERVED_27_SHIFT   27
#define DDR_PHY_VTCR1_RESERVED_27_WIDTH   1
#define DDR_PHY_VTCR1_RESERVED_27_MASK    0x08000000
#define DDR_PHY_VTCR1_RESERVED_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR1_HVMAX_SHIFT   20
#define DDR_PHY_VTCR1_HVMAX_WIDTH   7
#define DDR_PHY_VTCR1_HVMAX_MASK    0x07f00000
#define DDR_PHY_VTCR1_HVMAX_DEFVAL  0x7f

/* access_type: ro  */
#define DDR_PHY_VTCR1_RESERVED_19_SHIFT   19
#define DDR_PHY_VTCR1_RESERVED_19_WIDTH   1
#define DDR_PHY_VTCR1_RESERVED_19_MASK    0x00080000
#define DDR_PHY_VTCR1_RESERVED_19_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR1_HVMIN_SHIFT   12
#define DDR_PHY_VTCR1_HVMIN_WIDTH   7
#define DDR_PHY_VTCR1_HVMIN_MASK    0x0007f000
#define DDR_PHY_VTCR1_HVMIN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_VTCR1_RESERVED_11_SHIFT   11
#define DDR_PHY_VTCR1_RESERVED_11_WIDTH   1
#define DDR_PHY_VTCR1_RESERVED_11_MASK    0x00000800
#define DDR_PHY_VTCR1_RESERVED_11_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR1_SHRNK_SHIFT   9
#define DDR_PHY_VTCR1_SHRNK_WIDTH   2
#define DDR_PHY_VTCR1_SHRNK_MASK    0x00000600
#define DDR_PHY_VTCR1_SHRNK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR1_SHREN_SHIFT   8
#define DDR_PHY_VTCR1_SHREN_WIDTH   1
#define DDR_PHY_VTCR1_SHREN_MASK    0x00000100
#define DDR_PHY_VTCR1_SHREN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR1_TVREFIO_SHIFT   5
#define DDR_PHY_VTCR1_TVREFIO_WIDTH   3
#define DDR_PHY_VTCR1_TVREFIO_MASK    0x000000e0
#define DDR_PHY_VTCR1_TVREFIO_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_VTCR1_EOFF_SHIFT   3
#define DDR_PHY_VTCR1_EOFF_WIDTH   2
#define DDR_PHY_VTCR1_EOFF_MASK    0x00000018
#define DDR_PHY_VTCR1_EOFF_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_VTCR1_ENUM_SHIFT   2
#define DDR_PHY_VTCR1_ENUM_WIDTH   1
#define DDR_PHY_VTCR1_ENUM_MASK    0x00000004
#define DDR_PHY_VTCR1_ENUM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_VTCR1_HVEN_SHIFT   1
#define DDR_PHY_VTCR1_HVEN_WIDTH   1
#define DDR_PHY_VTCR1_HVEN_MASK    0x00000002
#define DDR_PHY_VTCR1_HVEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_VTCR1_HVIO_SHIFT   0
#define DDR_PHY_VTCR1_HVIO_WIDTH   1
#define DDR_PHY_VTCR1_HVIO_MASK    0x00000001
#define DDR_PHY_VTCR1_HVIO_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR0
 */
#define DDR_PHY_ACBDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000540 )
#define DDR_PHY_ACBDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR0_CK3BD_SHIFT   24
#define DDR_PHY_ACBDLR0_CK3BD_WIDTH   6
#define DDR_PHY_ACBDLR0_CK3BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR0_CK3BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR0_CK2BD_SHIFT   16
#define DDR_PHY_ACBDLR0_CK2BD_WIDTH   6
#define DDR_PHY_ACBDLR0_CK2BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR0_CK2BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR0_CK1BD_SHIFT   8
#define DDR_PHY_ACBDLR0_CK1BD_WIDTH   6
#define DDR_PHY_ACBDLR0_CK1BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR0_CK1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR0_CK0BD_SHIFT   0
#define DDR_PHY_ACBDLR0_CK0BD_WIDTH   6
#define DDR_PHY_ACBDLR0_CK0BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR0_CK0BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR1
 */
#define DDR_PHY_ACBDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000544 )
#define DDR_PHY_ACBDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR1_PARBD_SHIFT   24
#define DDR_PHY_ACBDLR1_PARBD_WIDTH   6
#define DDR_PHY_ACBDLR1_PARBD_MASK    0x3f000000
#define DDR_PHY_ACBDLR1_PARBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR1_A16BD_SHIFT   16
#define DDR_PHY_ACBDLR1_A16BD_WIDTH   6
#define DDR_PHY_ACBDLR1_A16BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR1_A16BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR1_A17BD_SHIFT   8
#define DDR_PHY_ACBDLR1_A17BD_WIDTH   6
#define DDR_PHY_ACBDLR1_A17BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR1_A17BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR1_ACTBD_SHIFT   0
#define DDR_PHY_ACBDLR1_ACTBD_WIDTH   6
#define DDR_PHY_ACBDLR1_ACTBD_MASK    0x0000003f
#define DDR_PHY_ACBDLR1_ACTBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR2
 */
#define DDR_PHY_ACBDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000548 )
#define DDR_PHY_ACBDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR2_BG1BD_SHIFT   24
#define DDR_PHY_ACBDLR2_BG1BD_WIDTH   6
#define DDR_PHY_ACBDLR2_BG1BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR2_BG1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR2_BG0BD_SHIFT   16
#define DDR_PHY_ACBDLR2_BG0BD_WIDTH   6
#define DDR_PHY_ACBDLR2_BG0BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR2_BG0BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR2_BA1BD_SHIFT   8
#define DDR_PHY_ACBDLR2_BA1BD_WIDTH   6
#define DDR_PHY_ACBDLR2_BA1BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR2_BA1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR2_BA0BD_SHIFT   0
#define DDR_PHY_ACBDLR2_BA0BD_WIDTH   6
#define DDR_PHY_ACBDLR2_BA0BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR2_BA0BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR3
 */
#define DDR_PHY_ACBDLR3    ( ( DDR_PHY_BASEADDR ) + 0x0000054C )
#define DDR_PHY_ACBDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR3_CS3BD_SHIFT   24
#define DDR_PHY_ACBDLR3_CS3BD_WIDTH   6
#define DDR_PHY_ACBDLR3_CS3BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR3_CS3BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR3_CS2BD_SHIFT   16
#define DDR_PHY_ACBDLR3_CS2BD_WIDTH   6
#define DDR_PHY_ACBDLR3_CS2BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR3_CS2BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR3_CS1BD_SHIFT   8
#define DDR_PHY_ACBDLR3_CS1BD_WIDTH   6
#define DDR_PHY_ACBDLR3_CS1BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR3_CS1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR3_CS0BD_SHIFT   0
#define DDR_PHY_ACBDLR3_CS0BD_WIDTH   6
#define DDR_PHY_ACBDLR3_CS0BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR3_CS0BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR4
 */
#define DDR_PHY_ACBDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000550 )
#define DDR_PHY_ACBDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR4_ODT3BD_SHIFT   24
#define DDR_PHY_ACBDLR4_ODT3BD_WIDTH   6
#define DDR_PHY_ACBDLR4_ODT3BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR4_ODT3BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR4_ODT2BD_SHIFT   16
#define DDR_PHY_ACBDLR4_ODT2BD_WIDTH   6
#define DDR_PHY_ACBDLR4_ODT2BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR4_ODT2BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR4_ODT1BD_SHIFT   8
#define DDR_PHY_ACBDLR4_ODT1BD_WIDTH   6
#define DDR_PHY_ACBDLR4_ODT1BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR4_ODT1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR4_ODT0BD_SHIFT   0
#define DDR_PHY_ACBDLR4_ODT0BD_WIDTH   6
#define DDR_PHY_ACBDLR4_ODT0BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR4_ODT0BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR5
 */
#define DDR_PHY_ACBDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000554 )
#define DDR_PHY_ACBDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR5_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR5_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR5_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR5_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR5_CKE3BD_SHIFT   24
#define DDR_PHY_ACBDLR5_CKE3BD_WIDTH   6
#define DDR_PHY_ACBDLR5_CKE3BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR5_CKE3BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR5_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR5_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR5_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR5_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR5_CKE2BD_SHIFT   16
#define DDR_PHY_ACBDLR5_CKE2BD_WIDTH   6
#define DDR_PHY_ACBDLR5_CKE2BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR5_CKE2BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR5_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR5_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR5_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR5_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR5_CKE1BD_SHIFT   8
#define DDR_PHY_ACBDLR5_CKE1BD_WIDTH   6
#define DDR_PHY_ACBDLR5_CKE1BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR5_CKE1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR5_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR5_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR5_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR5_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR5_CKE0BD_SHIFT   0
#define DDR_PHY_ACBDLR5_CKE0BD_WIDTH   6
#define DDR_PHY_ACBDLR5_CKE0BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR5_CKE0BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR6
 */
#define DDR_PHY_ACBDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000558 )
#define DDR_PHY_ACBDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR6_A03BD_SHIFT   24
#define DDR_PHY_ACBDLR6_A03BD_WIDTH   6
#define DDR_PHY_ACBDLR6_A03BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR6_A03BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR6_A02BD_SHIFT   16
#define DDR_PHY_ACBDLR6_A02BD_WIDTH   6
#define DDR_PHY_ACBDLR6_A02BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR6_A02BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR6_A01BD_SHIFT   8
#define DDR_PHY_ACBDLR6_A01BD_WIDTH   6
#define DDR_PHY_ACBDLR6_A01BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR6_A01BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR6_A00BD_SHIFT   0
#define DDR_PHY_ACBDLR6_A00BD_WIDTH   6
#define DDR_PHY_ACBDLR6_A00BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR6_A00BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR7
 */
#define DDR_PHY_ACBDLR7    ( ( DDR_PHY_BASEADDR ) + 0x0000055C )
#define DDR_PHY_ACBDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR7_A07BD_SHIFT   24
#define DDR_PHY_ACBDLR7_A07BD_WIDTH   6
#define DDR_PHY_ACBDLR7_A07BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR7_A07BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR7_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR7_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR7_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR7_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR7_A06BD_SHIFT   16
#define DDR_PHY_ACBDLR7_A06BD_WIDTH   6
#define DDR_PHY_ACBDLR7_A06BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR7_A06BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR7_A05BD_SHIFT   8
#define DDR_PHY_ACBDLR7_A05BD_WIDTH   6
#define DDR_PHY_ACBDLR7_A05BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR7_A05BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR7_A04BD_SHIFT   0
#define DDR_PHY_ACBDLR7_A04BD_WIDTH   6
#define DDR_PHY_ACBDLR7_A04BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR7_A04BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR8
 */
#define DDR_PHY_ACBDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000560 )
#define DDR_PHY_ACBDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR8_A11BD_SHIFT   24
#define DDR_PHY_ACBDLR8_A11BD_WIDTH   6
#define DDR_PHY_ACBDLR8_A11BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR8_A11BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR8_A10BD_SHIFT   16
#define DDR_PHY_ACBDLR8_A10BD_WIDTH   6
#define DDR_PHY_ACBDLR8_A10BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR8_A10BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR8_A09BD_SHIFT   8
#define DDR_PHY_ACBDLR8_A09BD_WIDTH   6
#define DDR_PHY_ACBDLR8_A09BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR8_A09BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR8_A08BD_SHIFT   0
#define DDR_PHY_ACBDLR8_A08BD_WIDTH   6
#define DDR_PHY_ACBDLR8_A08BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR8_A08BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR9
 */
#define DDR_PHY_ACBDLR9    ( ( DDR_PHY_BASEADDR ) + 0x00000564 )
#define DDR_PHY_ACBDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR9_A15BD_SHIFT   24
#define DDR_PHY_ACBDLR9_A15BD_WIDTH   6
#define DDR_PHY_ACBDLR9_A15BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR9_A15BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR9_A14BD_SHIFT   16
#define DDR_PHY_ACBDLR9_A14BD_WIDTH   6
#define DDR_PHY_ACBDLR9_A14BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR9_A14BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR9_A13BD_SHIFT   8
#define DDR_PHY_ACBDLR9_A13BD_WIDTH   6
#define DDR_PHY_ACBDLR9_A13BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR9_A13BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR9_A12BD_SHIFT   0
#define DDR_PHY_ACBDLR9_A12BD_WIDTH   6
#define DDR_PHY_ACBDLR9_A12BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR9_A12BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR10
 */
#define DDR_PHY_ACBDLR10    ( ( DDR_PHY_BASEADDR ) + 0x00000568 )
#define DDR_PHY_ACBDLR10_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR10_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR10_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR10_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR10_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR10_CID2BD_SHIFT   24
#define DDR_PHY_ACBDLR10_CID2BD_WIDTH   6
#define DDR_PHY_ACBDLR10_CID2BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR10_CID2BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR10_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR10_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR10_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR10_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR10_CID1BD_SHIFT   16
#define DDR_PHY_ACBDLR10_CID1BD_WIDTH   6
#define DDR_PHY_ACBDLR10_CID1BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR10_CID1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR10_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR10_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR10_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR10_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR10_CID0BD_SHIFT   8
#define DDR_PHY_ACBDLR10_CID0BD_WIDTH   6
#define DDR_PHY_ACBDLR10_CID0BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR10_CID0BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR10_RESERVED_7_0_SHIFT   0
#define DDR_PHY_ACBDLR10_RESERVED_7_0_WIDTH   8
#define DDR_PHY_ACBDLR10_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_ACBDLR10_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR11
 */
#define DDR_PHY_ACBDLR11    ( ( DDR_PHY_BASEADDR ) + 0x0000056C )
#define DDR_PHY_ACBDLR11_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR11_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR11_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR11_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_CS7BD_SHIFT   24
#define DDR_PHY_ACBDLR11_CS7BD_WIDTH   6
#define DDR_PHY_ACBDLR11_CS7BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR11_CS7BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR11_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR11_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR11_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_CS6BD_SHIFT   16
#define DDR_PHY_ACBDLR11_CS6BD_WIDTH   6
#define DDR_PHY_ACBDLR11_CS6BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR11_CS6BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR11_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR11_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR11_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_CS5BD_SHIFT   8
#define DDR_PHY_ACBDLR11_CS5BD_WIDTH   6
#define DDR_PHY_ACBDLR11_CS5BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR11_CS5BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR11_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR11_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR11_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR11_CS4BD_SHIFT   0
#define DDR_PHY_ACBDLR11_CS4BD_WIDTH   6
#define DDR_PHY_ACBDLR11_CS4BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR11_CS4BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR12
 */
#define DDR_PHY_ACBDLR12    ( ( DDR_PHY_BASEADDR ) + 0x00000570 )
#define DDR_PHY_ACBDLR12_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR12_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR12_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR12_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_CS11BD_SHIFT   24
#define DDR_PHY_ACBDLR12_CS11BD_WIDTH   6
#define DDR_PHY_ACBDLR12_CS11BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR12_CS11BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR12_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR12_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR12_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_CS10BD_SHIFT   16
#define DDR_PHY_ACBDLR12_CS10BD_WIDTH   6
#define DDR_PHY_ACBDLR12_CS10BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR12_CS10BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR12_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR12_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR12_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_CS9BD_SHIFT   8
#define DDR_PHY_ACBDLR12_CS9BD_WIDTH   6
#define DDR_PHY_ACBDLR12_CS9BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR12_CS9BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR12_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR12_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR12_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR12_CS8BD_SHIFT   0
#define DDR_PHY_ACBDLR12_CS8BD_WIDTH   6
#define DDR_PHY_ACBDLR12_CS8BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR12_CS8BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR13
 */
#define DDR_PHY_ACBDLR13    ( ( DDR_PHY_BASEADDR ) + 0x00000574 )
#define DDR_PHY_ACBDLR13_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR13_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR13_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR13_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_ODT7BD_SHIFT   24
#define DDR_PHY_ACBDLR13_ODT7BD_WIDTH   6
#define DDR_PHY_ACBDLR13_ODT7BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR13_ODT7BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR13_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR13_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR13_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_ODT6BD_SHIFT   16
#define DDR_PHY_ACBDLR13_ODT6BD_WIDTH   6
#define DDR_PHY_ACBDLR13_ODT6BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR13_ODT6BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR13_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR13_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR13_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_ODT5BD_SHIFT   8
#define DDR_PHY_ACBDLR13_ODT5BD_WIDTH   6
#define DDR_PHY_ACBDLR13_ODT5BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR13_ODT5BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR13_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR13_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR13_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR13_ODT4BD_SHIFT   0
#define DDR_PHY_ACBDLR13_ODT4BD_WIDTH   6
#define DDR_PHY_ACBDLR13_ODT4BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR13_ODT4BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR14
 */
#define DDR_PHY_ACBDLR14    ( ( DDR_PHY_BASEADDR ) + 0x00000578 )
#define DDR_PHY_ACBDLR14_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR14_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR14_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR14_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_CKE7BD_SHIFT   24
#define DDR_PHY_ACBDLR14_CKE7BD_WIDTH   6
#define DDR_PHY_ACBDLR14_CKE7BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR14_CKE7BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR14_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR14_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR14_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_CKE6BD_SHIFT   16
#define DDR_PHY_ACBDLR14_CKE6BD_WIDTH   6
#define DDR_PHY_ACBDLR14_CKE6BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR14_CKE6BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR14_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR14_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR14_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_CKE5BD_SHIFT   8
#define DDR_PHY_ACBDLR14_CKE5BD_WIDTH   6
#define DDR_PHY_ACBDLR14_CKE5BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR14_CKE5BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR14_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR14_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR14_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR14_CKE4BD_SHIFT   0
#define DDR_PHY_ACBDLR14_CKE4BD_WIDTH   6
#define DDR_PHY_ACBDLR14_CKE4BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR14_CKE4BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR15
 */
#define DDR_PHY_ACBDLR15    ( ( DDR_PHY_BASEADDR ) + 0x0000057C )
#define DDR_PHY_ACBDLR15_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR15_RESERVED_31_22_SHIFT   22
#define DDR_PHY_ACBDLR15_RESERVED_31_22_WIDTH   10
#define DDR_PHY_ACBDLR15_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_ACBDLR15_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR15_OEBD_SHIFT   16
#define DDR_PHY_ACBDLR15_OEBD_WIDTH   6
#define DDR_PHY_ACBDLR15_OEBD_MASK    0x003f0000
#define DDR_PHY_ACBDLR15_OEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR15_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR15_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR15_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR15_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR15_TEBD_SHIFT   8
#define DDR_PHY_ACBDLR15_TEBD_WIDTH   6
#define DDR_PHY_ACBDLR15_TEBD_MASK    0x00003f00
#define DDR_PHY_ACBDLR15_TEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR15_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR15_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR15_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR15_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR15_PDRBD_SHIFT   0
#define DDR_PHY_ACBDLR15_PDRBD_WIDTH   6
#define DDR_PHY_ACBDLR15_PDRBD_MASK    0x0000003f
#define DDR_PHY_ACBDLR15_PDRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACBDLR16
 */
#define DDR_PHY_ACBDLR16    ( ( DDR_PHY_BASEADDR ) + 0x00000580 )
#define DDR_PHY_ACBDLR16_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR16_RESERVED_31_30_SHIFT   30
#define DDR_PHY_ACBDLR16_RESERVED_31_30_WIDTH   2
#define DDR_PHY_ACBDLR16_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_ACBDLR16_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR16_CKN3BD_SHIFT   24
#define DDR_PHY_ACBDLR16_CKN3BD_WIDTH   6
#define DDR_PHY_ACBDLR16_CKN3BD_MASK    0x3f000000
#define DDR_PHY_ACBDLR16_CKN3BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR16_RESERVED_23_22_SHIFT   22
#define DDR_PHY_ACBDLR16_RESERVED_23_22_WIDTH   2
#define DDR_PHY_ACBDLR16_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_ACBDLR16_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR16_CKN2BD_SHIFT   16
#define DDR_PHY_ACBDLR16_CKN2BD_WIDTH   6
#define DDR_PHY_ACBDLR16_CKN2BD_MASK    0x003f0000
#define DDR_PHY_ACBDLR16_CKN2BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR16_RESERVED_15_14_SHIFT   14
#define DDR_PHY_ACBDLR16_RESERVED_15_14_WIDTH   2
#define DDR_PHY_ACBDLR16_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_ACBDLR16_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR16_CKN1BD_SHIFT   8
#define DDR_PHY_ACBDLR16_CKN1BD_WIDTH   6
#define DDR_PHY_ACBDLR16_CKN1BD_MASK    0x00003f00
#define DDR_PHY_ACBDLR16_CKN1BD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACBDLR16_RESERVED_7_6_SHIFT   6
#define DDR_PHY_ACBDLR16_RESERVED_7_6_WIDTH   2
#define DDR_PHY_ACBDLR16_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_ACBDLR16_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACBDLR16_CKN0BD_SHIFT   0
#define DDR_PHY_ACBDLR16_CKN0BD_WIDTH   6
#define DDR_PHY_ACBDLR16_CKN0BD_MASK    0x0000003f
#define DDR_PHY_ACBDLR16_CKN0BD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACLCDLR
 */
#define DDR_PHY_ACLCDLR    ( ( DDR_PHY_BASEADDR ) + 0x00000584 )
#define DDR_PHY_ACLCDLR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACLCDLR_RESERVED_31_25_SHIFT   25
#define DDR_PHY_ACLCDLR_RESERVED_31_25_WIDTH   7
#define DDR_PHY_ACLCDLR_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_ACLCDLR_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACLCDLR_ACD1_SHIFT   16
#define DDR_PHY_ACLCDLR_ACD1_WIDTH   9
#define DDR_PHY_ACLCDLR_ACD1_MASK    0x01ff0000
#define DDR_PHY_ACLCDLR_ACD1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACLCDLR_RESERVED_15_9_SHIFT   9
#define DDR_PHY_ACLCDLR_RESERVED_15_9_WIDTH   7
#define DDR_PHY_ACLCDLR_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_ACLCDLR_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACLCDLR_ACD_SHIFT   0
#define DDR_PHY_ACLCDLR_ACD_WIDTH   9
#define DDR_PHY_ACLCDLR_ACD_MASK    0x000001ff
#define DDR_PHY_ACLCDLR_ACD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACMDLR0
 */
#define DDR_PHY_ACMDLR0    ( ( DDR_PHY_BASEADDR ) + 0x000005A0 )
#define DDR_PHY_ACMDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACMDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_ACMDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_ACMDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_ACMDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACMDLR0_TPRD_SHIFT   16
#define DDR_PHY_ACMDLR0_TPRD_WIDTH   9
#define DDR_PHY_ACMDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_ACMDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACMDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_ACMDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_ACMDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_ACMDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACMDLR0_IPRD_SHIFT   0
#define DDR_PHY_ACMDLR0_IPRD_WIDTH   9
#define DDR_PHY_ACMDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_ACMDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ACMDLR1
 */
#define DDR_PHY_ACMDLR1    ( ( DDR_PHY_BASEADDR ) + 0x000005A4 )
#define DDR_PHY_ACMDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ACMDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_ACMDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_ACMDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_ACMDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACMDLR1_MDLD1_SHIFT   16
#define DDR_PHY_ACMDLR1_MDLD1_WIDTH   9
#define DDR_PHY_ACMDLR1_MDLD1_MASK    0x01ff0000
#define DDR_PHY_ACMDLR1_MDLD1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ACMDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_ACMDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_ACMDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_ACMDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ACMDLR1_MDLD_SHIFT   0
#define DDR_PHY_ACMDLR1_MDLD_WIDTH   9
#define DDR_PHY_ACMDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_ACMDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQCR
 */
#define DDR_PHY_ZQCR    ( ( DDR_PHY_BASEADDR ) + 0x00000680 )
#define DDR_PHY_ZQCR_DEFVAL   0x8a2858

/* access_type: ro  */
#define DDR_PHY_ZQCR_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQCR_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQCR_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQCR_RESERVED_31_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQCR_ZQREFISELRANGE_SHIFT   25
#define DDR_PHY_ZQCR_ZQREFISELRANGE_WIDTH   1
#define DDR_PHY_ZQCR_ZQREFISELRANGE_MASK    0x02000000
#define DDR_PHY_ZQCR_ZQREFISELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQCR_PGWAIT_FRQB_SHIFT   19
#define DDR_PHY_ZQCR_PGWAIT_FRQB_WIDTH   6
#define DDR_PHY_ZQCR_PGWAIT_FRQB_MASK    0x01f80000
#define DDR_PHY_ZQCR_PGWAIT_FRQB_DEFVAL  0x11

/* access_type: rw  */
#define DDR_PHY_ZQCR_PGWAIT_FRQA_SHIFT   13
#define DDR_PHY_ZQCR_PGWAIT_FRQA_WIDTH   6
#define DDR_PHY_ZQCR_PGWAIT_FRQA_MASK    0x0007e000
#define DDR_PHY_ZQCR_PGWAIT_FRQA_DEFVAL  0x11

/* access_type: rw  */
#define DDR_PHY_ZQCR_ZQREFPEN_SHIFT   12
#define DDR_PHY_ZQCR_ZQREFPEN_WIDTH   1
#define DDR_PHY_ZQCR_ZQREFPEN_MASK    0x00001000
#define DDR_PHY_ZQCR_ZQREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQCR_ZQREFIEN_SHIFT   11
#define DDR_PHY_ZQCR_ZQREFIEN_WIDTH   1
#define DDR_PHY_ZQCR_ZQREFIEN_MASK    0x00000800
#define DDR_PHY_ZQCR_ZQREFIEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_ZQCR_ODT_MODE_SHIFT   9
#define DDR_PHY_ZQCR_ODT_MODE_WIDTH   2
#define DDR_PHY_ZQCR_ODT_MODE_MASK    0x00000600
#define DDR_PHY_ZQCR_ODT_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQCR_FORCE_ZCAL_VT_UPDATE_SHIFT   8
#define DDR_PHY_ZQCR_FORCE_ZCAL_VT_UPDATE_WIDTH   1
#define DDR_PHY_ZQCR_FORCE_ZCAL_VT_UPDATE_MASK    0x00000100
#define DDR_PHY_ZQCR_FORCE_ZCAL_VT_UPDATE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQCR_IODLMT_SHIFT   5
#define DDR_PHY_ZQCR_IODLMT_WIDTH   3
#define DDR_PHY_ZQCR_IODLMT_MASK    0x000000e0
#define DDR_PHY_ZQCR_IODLMT_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_ZQCR_AVGEN_SHIFT   4
#define DDR_PHY_ZQCR_AVGEN_WIDTH   1
#define DDR_PHY_ZQCR_AVGEN_MASK    0x00000010
#define DDR_PHY_ZQCR_AVGEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_ZQCR_AVGMAX_SHIFT   2
#define DDR_PHY_ZQCR_AVGMAX_WIDTH   2
#define DDR_PHY_ZQCR_AVGMAX_MASK    0x0000000c
#define DDR_PHY_ZQCR_AVGMAX_DEFVAL  0x2

/* access_type: rw  */
#define DDR_PHY_ZQCR_ZCALT_SHIFT   1
#define DDR_PHY_ZQCR_ZCALT_WIDTH   1
#define DDR_PHY_ZQCR_ZCALT_MASK    0x00000002
#define DDR_PHY_ZQCR_ZCALT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQCR_ZQPD_SHIFT   0
#define DDR_PHY_ZQCR_ZQPD_WIDTH   1
#define DDR_PHY_ZQCR_ZQPD_MASK    0x00000001
#define DDR_PHY_ZQCR_ZQPD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ0PR0
 */
#define DDR_PHY_ZQ0PR0    ( ( DDR_PHY_BASEADDR ) + 0x00000684 )
#define DDR_PHY_ZQ0PR0_DEFVAL   0x77bb

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_PD_DRV_ZDEN_SHIFT   31
#define DDR_PHY_ZQ0PR0_PD_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ0PR0_PD_DRV_ZDEN_MASK    0x80000000
#define DDR_PHY_ZQ0PR0_PD_DRV_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_PU_DRV_ZDEN_SHIFT   30
#define DDR_PHY_ZQ0PR0_PU_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ0PR0_PU_DRV_ZDEN_MASK    0x40000000
#define DDR_PHY_ZQ0PR0_PU_DRV_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_PD_ODT_ZDEN_SHIFT   29
#define DDR_PHY_ZQ0PR0_PD_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ0PR0_PD_ODT_ZDEN_MASK    0x20000000
#define DDR_PHY_ZQ0PR0_PD_ODT_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_PU_ODT_ZDEN_SHIFT   28
#define DDR_PHY_ZQ0PR0_PU_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ0PR0_PU_ODT_ZDEN_MASK    0x10000000
#define DDR_PHY_ZQ0PR0_PU_ODT_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_ZSEGBYP_SHIFT   27
#define DDR_PHY_ZQ0PR0_ZSEGBYP_WIDTH   1
#define DDR_PHY_ZQ0PR0_ZSEGBYP_MASK    0x08000000
#define DDR_PHY_ZQ0PR0_ZSEGBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_ZLE_MODE_SHIFT   25
#define DDR_PHY_ZQ0PR0_ZLE_MODE_WIDTH   2
#define DDR_PHY_ZQ0PR0_ZLE_MODE_MASK    0x06000000
#define DDR_PHY_ZQ0PR0_ZLE_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_ODT_ADJUST_SHIFT   22
#define DDR_PHY_ZQ0PR0_ODT_ADJUST_WIDTH   3
#define DDR_PHY_ZQ0PR0_ODT_ADJUST_MASK    0x01c00000
#define DDR_PHY_ZQ0PR0_ODT_ADJUST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_PD_DRV_ADJUST_SHIFT   19
#define DDR_PHY_ZQ0PR0_PD_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ0PR0_PD_DRV_ADJUST_MASK    0x00380000
#define DDR_PHY_ZQ0PR0_PD_DRV_ADJUST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_PU_DRV_ADJUST_SHIFT   16
#define DDR_PHY_ZQ0PR0_PU_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ0PR0_PU_DRV_ADJUST_MASK    0x00070000
#define DDR_PHY_ZQ0PR0_PU_DRV_ADJUST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_ZPROG_DRAM_ODT_SHIFT   12
#define DDR_PHY_ZQ0PR0_ZPROG_DRAM_ODT_WIDTH   4
#define DDR_PHY_ZQ0PR0_ZPROG_DRAM_ODT_MASK    0x0000f000
#define DDR_PHY_ZQ0PR0_ZPROG_DRAM_ODT_DEFVAL  0x7

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_ZPROG_HOST_ODT_SHIFT   8
#define DDR_PHY_ZQ0PR0_ZPROG_HOST_ODT_WIDTH   4
#define DDR_PHY_ZQ0PR0_ZPROG_HOST_ODT_MASK    0x00000f00
#define DDR_PHY_ZQ0PR0_ZPROG_HOST_ODT_DEFVAL  0x7

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PD_SHIFT   4
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PD_WIDTH   4
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PD_MASK    0x000000f0
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PD_DEFVAL  0xb

/* access_type: rw  */
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PU_SHIFT   0
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PU_WIDTH   4
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PU_MASK    0x0000000f
#define DDR_PHY_ZQ0PR0_ZPROG_ASYM_DRV_PU_DEFVAL  0xb

/**
 * Register: DDR_PHY_ZQ0PR1
 */
#define DDR_PHY_ZQ0PR1    ( ( DDR_PHY_BASEADDR ) + 0x00000688 )
#define DDR_PHY_ZQ0PR1_DEFVAL   0xb0b

/* access_type: ro  */
#define DDR_PHY_ZQ0PR1_RESERVED_31_15_SHIFT   15
#define DDR_PHY_ZQ0PR1_RESERVED_31_15_WIDTH   17
#define DDR_PHY_ZQ0PR1_RESERVED_31_15_MASK    0xffff8000
#define DDR_PHY_ZQ0PR1_RESERVED_31_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR1_PU_REFSEL_SHIFT   8
#define DDR_PHY_ZQ0PR1_PU_REFSEL_WIDTH   7
#define DDR_PHY_ZQ0PR1_PU_REFSEL_MASK    0x00007f00
#define DDR_PHY_ZQ0PR1_PU_REFSEL_DEFVAL  0xb

/* access_type: ro  */
#define DDR_PHY_ZQ0PR1_RESERVED_7_SHIFT   7
#define DDR_PHY_ZQ0PR1_RESERVED_7_WIDTH   1
#define DDR_PHY_ZQ0PR1_RESERVED_7_MASK    0x00000080
#define DDR_PHY_ZQ0PR1_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0PR1_PD_REFSEL_SHIFT   0
#define DDR_PHY_ZQ0PR1_PD_REFSEL_WIDTH   7
#define DDR_PHY_ZQ0PR1_PD_REFSEL_MASK    0x0000007f
#define DDR_PHY_ZQ0PR1_PD_REFSEL_DEFVAL  0xb

/**
 * Register: DDR_PHY_ZQ0DR0
 */
#define DDR_PHY_ZQ0DR0    ( ( DDR_PHY_BASEADDR ) + 0x0000068C )
#define DDR_PHY_ZQ0DR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ0DR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ0DR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ0DR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR0_ZDATA_PU_DRV_RESULT_SHIFT   16
#define DDR_PHY_ZQ0DR0_ZDATA_PU_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ0DR0_ZDATA_PU_DRV_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ0DR0_ZDATA_PU_DRV_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ0DR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ0DR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ0DR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR0_ZDATA_PD_DRV_RESULT_SHIFT   0
#define DDR_PHY_ZQ0DR0_ZDATA_PD_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ0DR0_ZDATA_PD_DRV_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ0DR0_ZDATA_PD_DRV_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ0DR1
 */
#define DDR_PHY_ZQ0DR1    ( ( DDR_PHY_BASEADDR ) + 0x00000690 )
#define DDR_PHY_ZQ0DR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ0DR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ0DR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ0DR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR1_ZDATA_PU_ODT_RESULT_SHIFT   16
#define DDR_PHY_ZQ0DR1_ZDATA_PU_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ0DR1_ZDATA_PU_ODT_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ0DR1_ZDATA_PU_ODT_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ0DR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ0DR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ0DR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0DR1_ZDATA_PD_ODT_RESULT_SHIFT   0
#define DDR_PHY_ZQ0DR1_ZDATA_PD_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ0DR1_ZDATA_PD_ODT_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ0DR1_ZDATA_PD_ODT_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ0OR0
 */
#define DDR_PHY_ZQ0OR0    ( ( DDR_PHY_BASEADDR ) + 0x00000694 )
#define DDR_PHY_ZQ0OR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0OR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ0OR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ0OR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ0OR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0OR0_ZDATA_PU_DRV_OVRD_SHIFT   16
#define DDR_PHY_ZQ0OR0_ZDATA_PU_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ0OR0_ZDATA_PU_DRV_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ0OR0_ZDATA_PU_DRV_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0OR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ0OR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ0OR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ0OR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0OR0_ZDATA_PD_DRV_OVRD_SHIFT   0
#define DDR_PHY_ZQ0OR0_ZDATA_PD_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ0OR0_ZDATA_PD_DRV_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ0OR0_ZDATA_PD_DRV_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ0OR1
 */
#define DDR_PHY_ZQ0OR1    ( ( DDR_PHY_BASEADDR ) + 0x00000698 )
#define DDR_PHY_ZQ0OR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0OR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ0OR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ0OR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ0OR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0OR1_ZDATA_PU_ODT_OVRD_SHIFT   16
#define DDR_PHY_ZQ0OR1_ZDATA_PU_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ0OR1_ZDATA_PU_ODT_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ0OR1_ZDATA_PU_ODT_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0OR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ0OR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ0OR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ0OR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ0OR1_ZDATA_PD_ODT_OVRD_SHIFT   0
#define DDR_PHY_ZQ0OR1_ZDATA_PD_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ0OR1_ZDATA_PD_ODT_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ0OR1_ZDATA_PD_ODT_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ0SR
 */
#define DDR_PHY_ZQ0SR    ( ( DDR_PHY_BASEADDR ) + 0x0000069C )
#define DDR_PHY_ZQ0SR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_RESERVED_31_14_SHIFT   14
#define DDR_PHY_ZQ0SR_RESERVED_31_14_WIDTH   18
#define DDR_PHY_ZQ0SR_RESERVED_31_14_MASK    0xffffc000
#define DDR_PHY_ZQ0SR_RESERVED_31_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_PD_ODT_SAT_SHIFT   13
#define DDR_PHY_ZQ0SR_PD_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ0SR_PD_ODT_SAT_MASK    0x00002000
#define DDR_PHY_ZQ0SR_PD_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_PU_ODT_SAT_SHIFT   12
#define DDR_PHY_ZQ0SR_PU_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ0SR_PU_ODT_SAT_MASK    0x00001000
#define DDR_PHY_ZQ0SR_PU_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_PD_DRV_SAT_SHIFT   11
#define DDR_PHY_ZQ0SR_PD_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ0SR_PD_DRV_SAT_MASK    0x00000800
#define DDR_PHY_ZQ0SR_PD_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_PU_DRV_SAT_SHIFT   10
#define DDR_PHY_ZQ0SR_PU_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ0SR_PU_DRV_SAT_MASK    0x00000400
#define DDR_PHY_ZQ0SR_PU_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_ZDONE_SHIFT   9
#define DDR_PHY_ZQ0SR_ZDONE_WIDTH   1
#define DDR_PHY_ZQ0SR_ZDONE_MASK    0x00000200
#define DDR_PHY_ZQ0SR_ZDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_ZERR_SHIFT   8
#define DDR_PHY_ZQ0SR_ZERR_WIDTH   1
#define DDR_PHY_ZQ0SR_ZERR_MASK    0x00000100
#define DDR_PHY_ZQ0SR_ZERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_OPU_SHIFT   6
#define DDR_PHY_ZQ0SR_OPU_WIDTH   2
#define DDR_PHY_ZQ0SR_OPU_MASK    0x000000c0
#define DDR_PHY_ZQ0SR_OPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_OPD_SHIFT   4
#define DDR_PHY_ZQ0SR_OPD_WIDTH   2
#define DDR_PHY_ZQ0SR_OPD_MASK    0x00000030
#define DDR_PHY_ZQ0SR_OPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_ZPU_SHIFT   2
#define DDR_PHY_ZQ0SR_ZPU_WIDTH   2
#define DDR_PHY_ZQ0SR_ZPU_MASK    0x0000000c
#define DDR_PHY_ZQ0SR_ZPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ0SR_ZPD_SHIFT   0
#define DDR_PHY_ZQ0SR_ZPD_WIDTH   2
#define DDR_PHY_ZQ0SR_ZPD_MASK    0x00000003
#define DDR_PHY_ZQ0SR_ZPD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ1PR0
 */
#define DDR_PHY_ZQ1PR0    ( ( DDR_PHY_BASEADDR ) + 0x000006A4 )
#define DDR_PHY_ZQ1PR0_DEFVAL   0x77bb

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_PD_DRV_ZDEN_SHIFT   31
#define DDR_PHY_ZQ1PR0_PD_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ1PR0_PD_DRV_ZDEN_MASK    0x80000000
#define DDR_PHY_ZQ1PR0_PD_DRV_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_PU_DRV_ZDEN_SHIFT   30
#define DDR_PHY_ZQ1PR0_PU_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ1PR0_PU_DRV_ZDEN_MASK    0x40000000
#define DDR_PHY_ZQ1PR0_PU_DRV_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_PD_ODT_ZDEN_SHIFT   29
#define DDR_PHY_ZQ1PR0_PD_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ1PR0_PD_ODT_ZDEN_MASK    0x20000000
#define DDR_PHY_ZQ1PR0_PD_ODT_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_PU_ODT_ZDEN_SHIFT   28
#define DDR_PHY_ZQ1PR0_PU_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ1PR0_PU_ODT_ZDEN_MASK    0x10000000
#define DDR_PHY_ZQ1PR0_PU_ODT_ZDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_ZSEGBYP_SHIFT   27
#define DDR_PHY_ZQ1PR0_ZSEGBYP_WIDTH   1
#define DDR_PHY_ZQ1PR0_ZSEGBYP_MASK    0x08000000
#define DDR_PHY_ZQ1PR0_ZSEGBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_ZLE_MODE_SHIFT   25
#define DDR_PHY_ZQ1PR0_ZLE_MODE_WIDTH   2
#define DDR_PHY_ZQ1PR0_ZLE_MODE_MASK    0x06000000
#define DDR_PHY_ZQ1PR0_ZLE_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_ODT_ADJUST_SHIFT   22
#define DDR_PHY_ZQ1PR0_ODT_ADJUST_WIDTH   3
#define DDR_PHY_ZQ1PR0_ODT_ADJUST_MASK    0x01c00000
#define DDR_PHY_ZQ1PR0_ODT_ADJUST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_PD_DRV_ADJUST_SHIFT   19
#define DDR_PHY_ZQ1PR0_PD_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ1PR0_PD_DRV_ADJUST_MASK    0x00380000
#define DDR_PHY_ZQ1PR0_PD_DRV_ADJUST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_PU_DRV_ADJUST_SHIFT   16
#define DDR_PHY_ZQ1PR0_PU_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ1PR0_PU_DRV_ADJUST_MASK    0x00070000
#define DDR_PHY_ZQ1PR0_PU_DRV_ADJUST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_ZPROG_DRAM_ODT_SHIFT   12
#define DDR_PHY_ZQ1PR0_ZPROG_DRAM_ODT_WIDTH   4
#define DDR_PHY_ZQ1PR0_ZPROG_DRAM_ODT_MASK    0x0000f000
#define DDR_PHY_ZQ1PR0_ZPROG_DRAM_ODT_DEFVAL  0x7

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_ZPROG_HOST_ODT_SHIFT   8
#define DDR_PHY_ZQ1PR0_ZPROG_HOST_ODT_WIDTH   4
#define DDR_PHY_ZQ1PR0_ZPROG_HOST_ODT_MASK    0x00000f00
#define DDR_PHY_ZQ1PR0_ZPROG_HOST_ODT_DEFVAL  0x7

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PD_SHIFT   4
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PD_WIDTH   4
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PD_MASK    0x000000f0
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PD_DEFVAL  0xb

/* access_type: rw  */
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PU_SHIFT   0
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PU_WIDTH   4
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PU_MASK    0x0000000f
#define DDR_PHY_ZQ1PR0_ZPROG_ASYM_DRV_PU_DEFVAL  0xb

/**
 * Register: DDR_PHY_ZQ1PR1
 */
#define DDR_PHY_ZQ1PR1    ( ( DDR_PHY_BASEADDR ) + 0x000006A8 )
#define DDR_PHY_ZQ1PR1_DEFVAL   0xb0b

/* access_type: ro  */
#define DDR_PHY_ZQ1PR1_RESERVED_31_15_SHIFT   15
#define DDR_PHY_ZQ1PR1_RESERVED_31_15_WIDTH   17
#define DDR_PHY_ZQ1PR1_RESERVED_31_15_MASK    0xffff8000
#define DDR_PHY_ZQ1PR1_RESERVED_31_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR1_PU_REFSEL_SHIFT   8
#define DDR_PHY_ZQ1PR1_PU_REFSEL_WIDTH   7
#define DDR_PHY_ZQ1PR1_PU_REFSEL_MASK    0x00007f00
#define DDR_PHY_ZQ1PR1_PU_REFSEL_DEFVAL  0xb

/* access_type: ro  */
#define DDR_PHY_ZQ1PR1_RESERVED_7_SHIFT   7
#define DDR_PHY_ZQ1PR1_RESERVED_7_WIDTH   1
#define DDR_PHY_ZQ1PR1_RESERVED_7_MASK    0x00000080
#define DDR_PHY_ZQ1PR1_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1PR1_PD_REFSEL_SHIFT   0
#define DDR_PHY_ZQ1PR1_PD_REFSEL_WIDTH   7
#define DDR_PHY_ZQ1PR1_PD_REFSEL_MASK    0x0000007f
#define DDR_PHY_ZQ1PR1_PD_REFSEL_DEFVAL  0xb

/**
 * Register: DDR_PHY_ZQ1DR0
 */
#define DDR_PHY_ZQ1DR0    ( ( DDR_PHY_BASEADDR ) + 0x000006AC )
#define DDR_PHY_ZQ1DR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ1DR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ1DR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ1DR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR0_ZDATA_PU_DRV_RESULT_SHIFT   16
#define DDR_PHY_ZQ1DR0_ZDATA_PU_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ1DR0_ZDATA_PU_DRV_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ1DR0_ZDATA_PU_DRV_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ1DR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ1DR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ1DR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR0_ZDATA_PD_DRV_RESULT_SHIFT   0
#define DDR_PHY_ZQ1DR0_ZDATA_PD_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ1DR0_ZDATA_PD_DRV_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ1DR0_ZDATA_PD_DRV_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ1DR1
 */
#define DDR_PHY_ZQ1DR1    ( ( DDR_PHY_BASEADDR ) + 0x000006B0 )
#define DDR_PHY_ZQ1DR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ1DR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ1DR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ1DR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR1_ZDATA_PU_ODT_RESULT_SHIFT   16
#define DDR_PHY_ZQ1DR1_ZDATA_PU_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ1DR1_ZDATA_PU_ODT_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ1DR1_ZDATA_PU_ODT_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ1DR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ1DR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ1DR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1DR1_ZDATA_PD_ODT_RESULT_SHIFT   0
#define DDR_PHY_ZQ1DR1_ZDATA_PD_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ1DR1_ZDATA_PD_ODT_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ1DR1_ZDATA_PD_ODT_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ1OR0
 */
#define DDR_PHY_ZQ1OR0    ( ( DDR_PHY_BASEADDR ) + 0x000006B4 )
#define DDR_PHY_ZQ1OR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1OR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ1OR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ1OR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ1OR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1OR0_ZDATA_PU_DRV_OVRD_SHIFT   16
#define DDR_PHY_ZQ1OR0_ZDATA_PU_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ1OR0_ZDATA_PU_DRV_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ1OR0_ZDATA_PU_DRV_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1OR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ1OR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ1OR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ1OR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1OR0_ZDATA_PD_DRV_OVRD_SHIFT   0
#define DDR_PHY_ZQ1OR0_ZDATA_PD_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ1OR0_ZDATA_PD_DRV_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ1OR0_ZDATA_PD_DRV_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ1OR1
 */
#define DDR_PHY_ZQ1OR1    ( ( DDR_PHY_BASEADDR ) + 0x000006B8 )
#define DDR_PHY_ZQ1OR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1OR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ1OR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ1OR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ1OR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1OR1_ZDATA_PU_ODT_OVRD_SHIFT   16
#define DDR_PHY_ZQ1OR1_ZDATA_PU_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ1OR1_ZDATA_PU_ODT_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ1OR1_ZDATA_PU_ODT_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1OR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ1OR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ1OR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ1OR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_ZQ1OR1_ZDATA_PD_ODT_OVRD_SHIFT   0
#define DDR_PHY_ZQ1OR1_ZDATA_PD_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ1OR1_ZDATA_PD_ODT_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ1OR1_ZDATA_PD_ODT_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ1SR
 */
#define DDR_PHY_ZQ1SR    ( ( DDR_PHY_BASEADDR ) + 0x000006BC )
#define DDR_PHY_ZQ1SR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_RESERVED_31_14_SHIFT   14
#define DDR_PHY_ZQ1SR_RESERVED_31_14_WIDTH   18
#define DDR_PHY_ZQ1SR_RESERVED_31_14_MASK    0xffffc000
#define DDR_PHY_ZQ1SR_RESERVED_31_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_PD_ODT_SAT_SHIFT   13
#define DDR_PHY_ZQ1SR_PD_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ1SR_PD_ODT_SAT_MASK    0x00002000
#define DDR_PHY_ZQ1SR_PD_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_PU_ODT_SAT_SHIFT   12
#define DDR_PHY_ZQ1SR_PU_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ1SR_PU_ODT_SAT_MASK    0x00001000
#define DDR_PHY_ZQ1SR_PU_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_PD_DRV_SAT_SHIFT   11
#define DDR_PHY_ZQ1SR_PD_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ1SR_PD_DRV_SAT_MASK    0x00000800
#define DDR_PHY_ZQ1SR_PD_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_PU_DRV_SAT_SHIFT   10
#define DDR_PHY_ZQ1SR_PU_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ1SR_PU_DRV_SAT_MASK    0x00000400
#define DDR_PHY_ZQ1SR_PU_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_ZDONE_SHIFT   9
#define DDR_PHY_ZQ1SR_ZDONE_WIDTH   1
#define DDR_PHY_ZQ1SR_ZDONE_MASK    0x00000200
#define DDR_PHY_ZQ1SR_ZDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_ZERR_SHIFT   8
#define DDR_PHY_ZQ1SR_ZERR_WIDTH   1
#define DDR_PHY_ZQ1SR_ZERR_MASK    0x00000100
#define DDR_PHY_ZQ1SR_ZERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_OPU_SHIFT   6
#define DDR_PHY_ZQ1SR_OPU_WIDTH   2
#define DDR_PHY_ZQ1SR_OPU_MASK    0x000000c0
#define DDR_PHY_ZQ1SR_OPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_OPD_SHIFT   4
#define DDR_PHY_ZQ1SR_OPD_WIDTH   2
#define DDR_PHY_ZQ1SR_OPD_MASK    0x00000030
#define DDR_PHY_ZQ1SR_OPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_ZPU_SHIFT   2
#define DDR_PHY_ZQ1SR_ZPU_WIDTH   2
#define DDR_PHY_ZQ1SR_ZPU_MASK    0x0000000c
#define DDR_PHY_ZQ1SR_ZPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ1SR_ZPD_SHIFT   0
#define DDR_PHY_ZQ1SR_ZPD_WIDTH   2
#define DDR_PHY_ZQ1SR_ZPD_MASK    0x00000003
#define DDR_PHY_ZQ1SR_ZPD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ2PR0
 */
#define DDR_PHY_ZQ2PR0    ( ( DDR_PHY_BASEADDR ) + 0x000006C4 )
#define DDR_PHY_ZQ2PR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_PD_DRV_ZDEN_SHIFT   31
#define DDR_PHY_ZQ2PR0_PD_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ2PR0_PD_DRV_ZDEN_MASK    0x80000000
#define DDR_PHY_ZQ2PR0_PD_DRV_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_PU_DRV_ZDEN_SHIFT   30
#define DDR_PHY_ZQ2PR0_PU_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ2PR0_PU_DRV_ZDEN_MASK    0x40000000
#define DDR_PHY_ZQ2PR0_PU_DRV_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_PD_ODT_ZDEN_SHIFT   29
#define DDR_PHY_ZQ2PR0_PD_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ2PR0_PD_ODT_ZDEN_MASK    0x20000000
#define DDR_PHY_ZQ2PR0_PD_ODT_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_PU_ODT_ZDEN_SHIFT   28
#define DDR_PHY_ZQ2PR0_PU_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ2PR0_PU_ODT_ZDEN_MASK    0x10000000
#define DDR_PHY_ZQ2PR0_PU_ODT_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_ZSEGBYP_SHIFT   27
#define DDR_PHY_ZQ2PR0_ZSEGBYP_WIDTH   1
#define DDR_PHY_ZQ2PR0_ZSEGBYP_MASK    0x08000000
#define DDR_PHY_ZQ2PR0_ZSEGBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_ZLE_MODE_SHIFT   25
#define DDR_PHY_ZQ2PR0_ZLE_MODE_WIDTH   2
#define DDR_PHY_ZQ2PR0_ZLE_MODE_MASK    0x06000000
#define DDR_PHY_ZQ2PR0_ZLE_MODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_ODT_ADJUST_SHIFT   22
#define DDR_PHY_ZQ2PR0_ODT_ADJUST_WIDTH   3
#define DDR_PHY_ZQ2PR0_ODT_ADJUST_MASK    0x01c00000
#define DDR_PHY_ZQ2PR0_ODT_ADJUST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_PD_DRV_ADJUST_SHIFT   19
#define DDR_PHY_ZQ2PR0_PD_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ2PR0_PD_DRV_ADJUST_MASK    0x00380000
#define DDR_PHY_ZQ2PR0_PD_DRV_ADJUST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_PU_DRV_ADJUST_SHIFT   16
#define DDR_PHY_ZQ2PR0_PU_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ2PR0_PU_DRV_ADJUST_MASK    0x00070000
#define DDR_PHY_ZQ2PR0_PU_DRV_ADJUST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_ZPROG_DRAM_ODT_SHIFT   12
#define DDR_PHY_ZQ2PR0_ZPROG_DRAM_ODT_WIDTH   4
#define DDR_PHY_ZQ2PR0_ZPROG_DRAM_ODT_MASK    0x0000f000
#define DDR_PHY_ZQ2PR0_ZPROG_DRAM_ODT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_ZPROG_HOST_ODT_SHIFT   8
#define DDR_PHY_ZQ2PR0_ZPROG_HOST_ODT_WIDTH   4
#define DDR_PHY_ZQ2PR0_ZPROG_HOST_ODT_MASK    0x00000f00
#define DDR_PHY_ZQ2PR0_ZPROG_HOST_ODT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PD_SHIFT   4
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PD_WIDTH   4
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PD_MASK    0x000000f0
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PU_SHIFT   0
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PU_WIDTH   4
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PU_MASK    0x0000000f
#define DDR_PHY_ZQ2PR0_ZPROG_ASYM_DRV_PU_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ2PR1
 */
#define DDR_PHY_ZQ2PR1    ( ( DDR_PHY_BASEADDR ) + 0x000006C8 )
#define DDR_PHY_ZQ2PR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR1_RESERVED_31_15_SHIFT   15
#define DDR_PHY_ZQ2PR1_RESERVED_31_15_WIDTH   17
#define DDR_PHY_ZQ2PR1_RESERVED_31_15_MASK    0xffff8000
#define DDR_PHY_ZQ2PR1_RESERVED_31_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR1_PU_REFSEL_SHIFT   8
#define DDR_PHY_ZQ2PR1_PU_REFSEL_WIDTH   7
#define DDR_PHY_ZQ2PR1_PU_REFSEL_MASK    0x00007f00
#define DDR_PHY_ZQ2PR1_PU_REFSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR1_RESERVED_7_SHIFT   7
#define DDR_PHY_ZQ2PR1_RESERVED_7_WIDTH   1
#define DDR_PHY_ZQ2PR1_RESERVED_7_MASK    0x00000080
#define DDR_PHY_ZQ2PR1_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2PR1_PD_REFSEL_SHIFT   0
#define DDR_PHY_ZQ2PR1_PD_REFSEL_WIDTH   7
#define DDR_PHY_ZQ2PR1_PD_REFSEL_MASK    0x0000007f
#define DDR_PHY_ZQ2PR1_PD_REFSEL_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ2DR0
 */
#define DDR_PHY_ZQ2DR0    ( ( DDR_PHY_BASEADDR ) + 0x000006CC )
#define DDR_PHY_ZQ2DR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ2DR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ2DR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ2DR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR0_ZDATA_PU_DRV_RESULT_SHIFT   16
#define DDR_PHY_ZQ2DR0_ZDATA_PU_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ2DR0_ZDATA_PU_DRV_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ2DR0_ZDATA_PU_DRV_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ2DR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ2DR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ2DR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR0_ZDATA_PD_DRV_RESULT_SHIFT   0
#define DDR_PHY_ZQ2DR0_ZDATA_PD_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ2DR0_ZDATA_PD_DRV_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ2DR0_ZDATA_PD_DRV_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ2DR1
 */
#define DDR_PHY_ZQ2DR1    ( ( DDR_PHY_BASEADDR ) + 0x000006D0 )
#define DDR_PHY_ZQ2DR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ2DR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ2DR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ2DR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR1_ZDATA_PU_ODT_RESULT_SHIFT   16
#define DDR_PHY_ZQ2DR1_ZDATA_PU_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ2DR1_ZDATA_PU_ODT_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ2DR1_ZDATA_PU_ODT_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ2DR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ2DR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ2DR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2DR1_ZDATA_PD_ODT_RESULT_SHIFT   0
#define DDR_PHY_ZQ2DR1_ZDATA_PD_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ2DR1_ZDATA_PD_ODT_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ2DR1_ZDATA_PD_ODT_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ2OR0
 */
#define DDR_PHY_ZQ2OR0    ( ( DDR_PHY_BASEADDR ) + 0x000006D4 )
#define DDR_PHY_ZQ2OR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ2OR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ2OR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ2OR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR0_ZDATA_PU_DRV_OVRD_SHIFT   16
#define DDR_PHY_ZQ2OR0_ZDATA_PU_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ2OR0_ZDATA_PU_DRV_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ2OR0_ZDATA_PU_DRV_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ2OR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ2OR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ2OR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR0_ZDATA_PD_DRV_OVRD_SHIFT   0
#define DDR_PHY_ZQ2OR0_ZDATA_PD_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ2OR0_ZDATA_PD_DRV_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ2OR0_ZDATA_PD_DRV_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ2OR1
 */
#define DDR_PHY_ZQ2OR1    ( ( DDR_PHY_BASEADDR ) + 0x000006D8 )
#define DDR_PHY_ZQ2OR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ2OR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ2OR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ2OR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR1_ZDATA_PU_ODT_OVRD_SHIFT   16
#define DDR_PHY_ZQ2OR1_ZDATA_PU_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ2OR1_ZDATA_PU_ODT_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ2OR1_ZDATA_PU_ODT_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ2OR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ2OR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ2OR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2OR1_ZDATA_PD_ODT_OVRD_SHIFT   0
#define DDR_PHY_ZQ2OR1_ZDATA_PD_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ2OR1_ZDATA_PD_ODT_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ2OR1_ZDATA_PD_ODT_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ2SR
 */
#define DDR_PHY_ZQ2SR    ( ( DDR_PHY_BASEADDR ) + 0x000006DC )
#define DDR_PHY_ZQ2SR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_RESERVED_31_14_SHIFT   14
#define DDR_PHY_ZQ2SR_RESERVED_31_14_WIDTH   18
#define DDR_PHY_ZQ2SR_RESERVED_31_14_MASK    0xffffc000
#define DDR_PHY_ZQ2SR_RESERVED_31_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_PD_ODT_SAT_SHIFT   13
#define DDR_PHY_ZQ2SR_PD_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ2SR_PD_ODT_SAT_MASK    0x00002000
#define DDR_PHY_ZQ2SR_PD_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_PU_ODT_SAT_SHIFT   12
#define DDR_PHY_ZQ2SR_PU_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ2SR_PU_ODT_SAT_MASK    0x00001000
#define DDR_PHY_ZQ2SR_PU_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_PD_DRV_SAT_SHIFT   11
#define DDR_PHY_ZQ2SR_PD_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ2SR_PD_DRV_SAT_MASK    0x00000800
#define DDR_PHY_ZQ2SR_PD_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_PU_DRV_SAT_SHIFT   10
#define DDR_PHY_ZQ2SR_PU_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ2SR_PU_DRV_SAT_MASK    0x00000400
#define DDR_PHY_ZQ2SR_PU_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_ZDONE_SHIFT   9
#define DDR_PHY_ZQ2SR_ZDONE_WIDTH   1
#define DDR_PHY_ZQ2SR_ZDONE_MASK    0x00000200
#define DDR_PHY_ZQ2SR_ZDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_ZERR_SHIFT   8
#define DDR_PHY_ZQ2SR_ZERR_WIDTH   1
#define DDR_PHY_ZQ2SR_ZERR_MASK    0x00000100
#define DDR_PHY_ZQ2SR_ZERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_OPU_SHIFT   6
#define DDR_PHY_ZQ2SR_OPU_WIDTH   2
#define DDR_PHY_ZQ2SR_OPU_MASK    0x000000c0
#define DDR_PHY_ZQ2SR_OPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_OPD_SHIFT   4
#define DDR_PHY_ZQ2SR_OPD_WIDTH   2
#define DDR_PHY_ZQ2SR_OPD_MASK    0x00000030
#define DDR_PHY_ZQ2SR_OPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_ZPU_SHIFT   2
#define DDR_PHY_ZQ2SR_ZPU_WIDTH   2
#define DDR_PHY_ZQ2SR_ZPU_MASK    0x0000000c
#define DDR_PHY_ZQ2SR_ZPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ2SR_ZPD_SHIFT   0
#define DDR_PHY_ZQ2SR_ZPD_WIDTH   2
#define DDR_PHY_ZQ2SR_ZPD_MASK    0x00000003
#define DDR_PHY_ZQ2SR_ZPD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ3PR0
 */
#define DDR_PHY_ZQ3PR0    ( ( DDR_PHY_BASEADDR ) + 0x000006E4 )
#define DDR_PHY_ZQ3PR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_PD_DRV_ZDEN_SHIFT   31
#define DDR_PHY_ZQ3PR0_PD_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ3PR0_PD_DRV_ZDEN_MASK    0x80000000
#define DDR_PHY_ZQ3PR0_PD_DRV_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_PU_DRV_ZDEN_SHIFT   30
#define DDR_PHY_ZQ3PR0_PU_DRV_ZDEN_WIDTH   1
#define DDR_PHY_ZQ3PR0_PU_DRV_ZDEN_MASK    0x40000000
#define DDR_PHY_ZQ3PR0_PU_DRV_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_PD_ODT_ZDEN_SHIFT   29
#define DDR_PHY_ZQ3PR0_PD_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ3PR0_PD_ODT_ZDEN_MASK    0x20000000
#define DDR_PHY_ZQ3PR0_PD_ODT_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_PU_ODT_ZDEN_SHIFT   28
#define DDR_PHY_ZQ3PR0_PU_ODT_ZDEN_WIDTH   1
#define DDR_PHY_ZQ3PR0_PU_ODT_ZDEN_MASK    0x10000000
#define DDR_PHY_ZQ3PR0_PU_ODT_ZDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_ZSEGBYP_SHIFT   27
#define DDR_PHY_ZQ3PR0_ZSEGBYP_WIDTH   1
#define DDR_PHY_ZQ3PR0_ZSEGBYP_MASK    0x08000000
#define DDR_PHY_ZQ3PR0_ZSEGBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_ZLE_MODE_SHIFT   25
#define DDR_PHY_ZQ3PR0_ZLE_MODE_WIDTH   2
#define DDR_PHY_ZQ3PR0_ZLE_MODE_MASK    0x06000000
#define DDR_PHY_ZQ3PR0_ZLE_MODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_ODT_ADJUST_SHIFT   22
#define DDR_PHY_ZQ3PR0_ODT_ADJUST_WIDTH   3
#define DDR_PHY_ZQ3PR0_ODT_ADJUST_MASK    0x01c00000
#define DDR_PHY_ZQ3PR0_ODT_ADJUST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_PD_DRV_ADJUST_SHIFT   19
#define DDR_PHY_ZQ3PR0_PD_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ3PR0_PD_DRV_ADJUST_MASK    0x00380000
#define DDR_PHY_ZQ3PR0_PD_DRV_ADJUST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_PU_DRV_ADJUST_SHIFT   16
#define DDR_PHY_ZQ3PR0_PU_DRV_ADJUST_WIDTH   3
#define DDR_PHY_ZQ3PR0_PU_DRV_ADJUST_MASK    0x00070000
#define DDR_PHY_ZQ3PR0_PU_DRV_ADJUST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_ZPROG_DRAM_ODT_SHIFT   12
#define DDR_PHY_ZQ3PR0_ZPROG_DRAM_ODT_WIDTH   4
#define DDR_PHY_ZQ3PR0_ZPROG_DRAM_ODT_MASK    0x0000f000
#define DDR_PHY_ZQ3PR0_ZPROG_DRAM_ODT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_ZPROG_HOST_ODT_SHIFT   8
#define DDR_PHY_ZQ3PR0_ZPROG_HOST_ODT_WIDTH   4
#define DDR_PHY_ZQ3PR0_ZPROG_HOST_ODT_MASK    0x00000f00
#define DDR_PHY_ZQ3PR0_ZPROG_HOST_ODT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PD_SHIFT   4
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PD_WIDTH   4
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PD_MASK    0x000000f0
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PU_SHIFT   0
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PU_WIDTH   4
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PU_MASK    0x0000000f
#define DDR_PHY_ZQ3PR0_ZPROG_ASYM_DRV_PU_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ3PR1
 */
#define DDR_PHY_ZQ3PR1    ( ( DDR_PHY_BASEADDR ) + 0x000006E8 )
#define DDR_PHY_ZQ3PR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR1_RESERVED_31_15_SHIFT   15
#define DDR_PHY_ZQ3PR1_RESERVED_31_15_WIDTH   17
#define DDR_PHY_ZQ3PR1_RESERVED_31_15_MASK    0xffff8000
#define DDR_PHY_ZQ3PR1_RESERVED_31_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR1_PU_REFSEL_SHIFT   8
#define DDR_PHY_ZQ3PR1_PU_REFSEL_WIDTH   7
#define DDR_PHY_ZQ3PR1_PU_REFSEL_MASK    0x00007f00
#define DDR_PHY_ZQ3PR1_PU_REFSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR1_RESERVED_7_SHIFT   7
#define DDR_PHY_ZQ3PR1_RESERVED_7_WIDTH   1
#define DDR_PHY_ZQ3PR1_RESERVED_7_MASK    0x00000080
#define DDR_PHY_ZQ3PR1_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3PR1_PD_REFSEL_SHIFT   0
#define DDR_PHY_ZQ3PR1_PD_REFSEL_WIDTH   7
#define DDR_PHY_ZQ3PR1_PD_REFSEL_MASK    0x0000007f
#define DDR_PHY_ZQ3PR1_PD_REFSEL_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ3DR0
 */
#define DDR_PHY_ZQ3DR0    ( ( DDR_PHY_BASEADDR ) + 0x000006EC )
#define DDR_PHY_ZQ3DR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ3DR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ3DR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ3DR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR0_ZDATA_PU_DRV_RESULT_SHIFT   16
#define DDR_PHY_ZQ3DR0_ZDATA_PU_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ3DR0_ZDATA_PU_DRV_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ3DR0_ZDATA_PU_DRV_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ3DR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ3DR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ3DR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR0_ZDATA_PD_DRV_RESULT_SHIFT   0
#define DDR_PHY_ZQ3DR0_ZDATA_PD_DRV_RESULT_WIDTH   10
#define DDR_PHY_ZQ3DR0_ZDATA_PD_DRV_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ3DR0_ZDATA_PD_DRV_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ3DR1
 */
#define DDR_PHY_ZQ3DR1    ( ( DDR_PHY_BASEADDR ) + 0x000006F0 )
#define DDR_PHY_ZQ3DR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ3DR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ3DR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ3DR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR1_ZDATA_PU_ODT_RESULT_SHIFT   16
#define DDR_PHY_ZQ3DR1_ZDATA_PU_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ3DR1_ZDATA_PU_ODT_RESULT_MASK    0x03ff0000
#define DDR_PHY_ZQ3DR1_ZDATA_PU_ODT_RESULT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ3DR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ3DR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ3DR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3DR1_ZDATA_PD_ODT_RESULT_SHIFT   0
#define DDR_PHY_ZQ3DR1_ZDATA_PD_ODT_RESULT_WIDTH   10
#define DDR_PHY_ZQ3DR1_ZDATA_PD_ODT_RESULT_MASK    0x000003ff
#define DDR_PHY_ZQ3DR1_ZDATA_PD_ODT_RESULT_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ3OR0
 */
#define DDR_PHY_ZQ3OR0    ( ( DDR_PHY_BASEADDR ) + 0x000006F4 )
#define DDR_PHY_ZQ3OR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR0_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ3OR0_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ3OR0_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ3OR0_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR0_ZDATA_PU_DRV_OVRD_SHIFT   16
#define DDR_PHY_ZQ3OR0_ZDATA_PU_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ3OR0_ZDATA_PU_DRV_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ3OR0_ZDATA_PU_DRV_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR0_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ3OR0_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ3OR0_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ3OR0_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR0_ZDATA_PD_DRV_OVRD_SHIFT   0
#define DDR_PHY_ZQ3OR0_ZDATA_PD_DRV_OVRD_WIDTH   10
#define DDR_PHY_ZQ3OR0_ZDATA_PD_DRV_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ3OR0_ZDATA_PD_DRV_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ3OR1
 */
#define DDR_PHY_ZQ3OR1    ( ( DDR_PHY_BASEADDR ) + 0x000006F8 )
#define DDR_PHY_ZQ3OR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR1_RESERVED_31_26_SHIFT   26
#define DDR_PHY_ZQ3OR1_RESERVED_31_26_WIDTH   6
#define DDR_PHY_ZQ3OR1_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_ZQ3OR1_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR1_ZDATA_PU_ODT_OVRD_SHIFT   16
#define DDR_PHY_ZQ3OR1_ZDATA_PU_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ3OR1_ZDATA_PU_ODT_OVRD_MASK    0x03ff0000
#define DDR_PHY_ZQ3OR1_ZDATA_PU_ODT_OVRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR1_RESERVED_15_10_SHIFT   10
#define DDR_PHY_ZQ3OR1_RESERVED_15_10_WIDTH   6
#define DDR_PHY_ZQ3OR1_RESERVED_15_10_MASK    0x0000fc00
#define DDR_PHY_ZQ3OR1_RESERVED_15_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3OR1_ZDATA_PD_ODT_OVRD_SHIFT   0
#define DDR_PHY_ZQ3OR1_ZDATA_PD_ODT_OVRD_WIDTH   10
#define DDR_PHY_ZQ3OR1_ZDATA_PD_ODT_OVRD_MASK    0x000003ff
#define DDR_PHY_ZQ3OR1_ZDATA_PD_ODT_OVRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_ZQ3SR
 */
#define DDR_PHY_ZQ3SR    ( ( DDR_PHY_BASEADDR ) + 0x000006FC )
#define DDR_PHY_ZQ3SR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_RESERVED_31_14_SHIFT   14
#define DDR_PHY_ZQ3SR_RESERVED_31_14_WIDTH   18
#define DDR_PHY_ZQ3SR_RESERVED_31_14_MASK    0xffffc000
#define DDR_PHY_ZQ3SR_RESERVED_31_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_PD_ODT_SAT_SHIFT   13
#define DDR_PHY_ZQ3SR_PD_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ3SR_PD_ODT_SAT_MASK    0x00002000
#define DDR_PHY_ZQ3SR_PD_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_PU_ODT_SAT_SHIFT   12
#define DDR_PHY_ZQ3SR_PU_ODT_SAT_WIDTH   1
#define DDR_PHY_ZQ3SR_PU_ODT_SAT_MASK    0x00001000
#define DDR_PHY_ZQ3SR_PU_ODT_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_PD_DRV_SAT_SHIFT   11
#define DDR_PHY_ZQ3SR_PD_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ3SR_PD_DRV_SAT_MASK    0x00000800
#define DDR_PHY_ZQ3SR_PD_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_PU_DRV_SAT_SHIFT   10
#define DDR_PHY_ZQ3SR_PU_DRV_SAT_WIDTH   1
#define DDR_PHY_ZQ3SR_PU_DRV_SAT_MASK    0x00000400
#define DDR_PHY_ZQ3SR_PU_DRV_SAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_ZDONE_SHIFT   9
#define DDR_PHY_ZQ3SR_ZDONE_WIDTH   1
#define DDR_PHY_ZQ3SR_ZDONE_MASK    0x00000200
#define DDR_PHY_ZQ3SR_ZDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_ZERR_SHIFT   8
#define DDR_PHY_ZQ3SR_ZERR_WIDTH   1
#define DDR_PHY_ZQ3SR_ZERR_MASK    0x00000100
#define DDR_PHY_ZQ3SR_ZERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_OPU_SHIFT   6
#define DDR_PHY_ZQ3SR_OPU_WIDTH   2
#define DDR_PHY_ZQ3SR_OPU_MASK    0x000000c0
#define DDR_PHY_ZQ3SR_OPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_OPD_SHIFT   4
#define DDR_PHY_ZQ3SR_OPD_WIDTH   2
#define DDR_PHY_ZQ3SR_OPD_MASK    0x00000030
#define DDR_PHY_ZQ3SR_OPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_ZPU_SHIFT   2
#define DDR_PHY_ZQ3SR_ZPU_WIDTH   2
#define DDR_PHY_ZQ3SR_ZPU_MASK    0x0000000c
#define DDR_PHY_ZQ3SR_ZPU_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_ZQ3SR_ZPD_SHIFT   0
#define DDR_PHY_ZQ3SR_ZPD_WIDTH   2
#define DDR_PHY_ZQ3SR_ZPD_MASK    0x00000003
#define DDR_PHY_ZQ3SR_ZPD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GCR0
 */
#define DDR_PHY_DX0GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000700 )
#define DDR_PHY_DX0GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX0GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX0GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX0GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX0GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX0GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX0GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX0GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX0GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX0GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX0GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX0GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX0GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX0GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX0GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX0GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX0GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX0GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX0GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX0GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX0GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX0GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX0GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX0GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX0GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX0GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX0GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX0GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX0GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX0GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX0GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX0GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX0GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX0GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX0GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX0GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX0GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX0GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX0GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX0GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX0GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX0GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX0GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX0GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX0GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX0GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX0GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX0GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX0GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX0GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX0GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX0GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX0GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX0GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GCR1
 */
#define DDR_PHY_DX0GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000704 )
#define DDR_PHY_DX0GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX0GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX0GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX0GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX0GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX0GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX0GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX0GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX0GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX0GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX0GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX0GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX0GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX0GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX0GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX0GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX0GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX0GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX0GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX0GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX0GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX0GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX0GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX0GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX0GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX0GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX0GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX0GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX0GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX0GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX0GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX0GCR2
 */
#define DDR_PHY_DX0GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000708 )
#define DDR_PHY_DX0GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX0GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX0GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX0GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX0GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX0GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX0GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GCR3
 */
#define DDR_PHY_DX0GCR3    ( ( DDR_PHY_BASEADDR ) + 0x0000070C )
#define DDR_PHY_DX0GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX0GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX0GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX0GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX0GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX0GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX0GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX0GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX0GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX0GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX0GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX0GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX0GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX0GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX0GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX0GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX0GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX0GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX0GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX0GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX0GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX0GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX0GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX0GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX0GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX0GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX0GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX0GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX0GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX0GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX0GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX0GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX0GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX0GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX0GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX0GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX0GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX0GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX0GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX0GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX0GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX0GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX0GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX0GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX0GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX0GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX0GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GCR4
 */
#define DDR_PHY_DX0GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000710 )
#define DDR_PHY_DX0GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX0GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX0GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX0GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX0GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX0GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX0GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX0GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX0GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX0GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX0GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX0GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX0GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX0GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX0GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX0GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX0GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX0GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX0GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX0GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX0GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX0GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX0GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX0GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX0GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX0GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX0GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX0GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX0GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX0GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX0GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX0GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX0GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX0GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX0GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX0GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX0GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GCR5
 */
#define DDR_PHY_DX0GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000714 )
#define DDR_PHY_DX0GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX0GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX0GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX0GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX0GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX0GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX0GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX0GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX0GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX0GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX0GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX0GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX0GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX0GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX0GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX0GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX0GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX0GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX0GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX0GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX0GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX0GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX0GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX0GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX0GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX0GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX0GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX0GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX0GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX0GCR6
 */
#define DDR_PHY_DX0GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000718 )
#define DDR_PHY_DX0GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX0GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX0GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX0GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX0GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX0GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX0GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX0GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX0GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX0GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX0GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX0GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX0GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX0GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX0GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX0GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX0GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX0GCR7
 */
#define DDR_PHY_DX0GCR7    ( ( DDR_PHY_BASEADDR ) + 0x0000071C )
#define DDR_PHY_DX0GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX0GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX0GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX0GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX0GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX0GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX0GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX0GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX0GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX0GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX0GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX0GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX0GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX0GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX0GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX0GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX0GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX0GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX0GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX0GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX0GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX0GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX0GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX0GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX0GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX0GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX0GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX0GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX0GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX0GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX0GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX0GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX0GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX0GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX0GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX0GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GCR8
 */
#define DDR_PHY_DX0GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000720 )
#define DDR_PHY_DX0GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX0GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX0GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX0GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX0GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX0GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX0GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX0GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX0GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX0GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX0GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX0GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX0GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GCR9
 */
#define DDR_PHY_DX0GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000724 )
#define DDR_PHY_DX0GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX0GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX0GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX0GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX0GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX0GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX0GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX0GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX0GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX0GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX0GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX0GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX0GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR0
 */
#define DDR_PHY_DX0BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000740 )
#define DDR_PHY_DX0BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX0BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX0BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX0BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX0BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX0BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX0BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX0BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX0BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX0BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX0BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX0BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX0BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR1
 */
#define DDR_PHY_DX0BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000744 )
#define DDR_PHY_DX0BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX0BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX0BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX0BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX0BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX0BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX0BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX0BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX0BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX0BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX0BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX0BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX0BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR2
 */
#define DDR_PHY_DX0BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000748 )
#define DDR_PHY_DX0BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX0BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX0BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX0BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX0BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX0BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX0BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX0BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX0BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX0BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX0BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX0BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX0BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR3
 */
#define DDR_PHY_DX0BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000750 )
#define DDR_PHY_DX0BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX0BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX0BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX0BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX0BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX0BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX0BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX0BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX0BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX0BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX0BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX0BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX0BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR4
 */
#define DDR_PHY_DX0BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000754 )
#define DDR_PHY_DX0BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX0BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX0BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX0BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX0BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX0BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX0BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX0BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX0BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX0BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX0BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX0BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX0BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX0BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX0BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX0BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX0BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX0BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX0BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR5
 */
#define DDR_PHY_DX0BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000758 )
#define DDR_PHY_DX0BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX0BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX0BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX0BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX0BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX0BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX0BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR6
 */
#define DDR_PHY_DX0BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000760 )
#define DDR_PHY_DX0BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX0BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX0BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX0BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX0BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX0BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX0BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX0BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX0BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX0BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX0BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX0BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX0BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR7
 */
#define DDR_PHY_DX0BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000764 )
#define DDR_PHY_DX0BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX0BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX0BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX0BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX0BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX0BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX0BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX0BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX0BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX0BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX0BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX0BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX0BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR8
 */
#define DDR_PHY_DX0BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000768 )
#define DDR_PHY_DX0BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX0BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX0BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX0BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX0BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX0BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX0BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX0BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX0BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX0BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX0BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX0BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX0BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0BDLR9
 */
#define DDR_PHY_DX0BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x0000076C )
#define DDR_PHY_DX0BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX0BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX0BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX0BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX0BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX0BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX0BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX0BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX0BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX0BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX0BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX0BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX0BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX0BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX0BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX0BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX0BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX0BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX0BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0LCDLR0
 */
#define DDR_PHY_DX0LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000780 )
#define DDR_PHY_DX0LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX0LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX0LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX0LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX0LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX0LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX0LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX0LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX0LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX0LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0LCDLR1
 */
#define DDR_PHY_DX0LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000784 )
#define DDR_PHY_DX0LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX0LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX0LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX0LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX0LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX0LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX0LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX0LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX0LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX0LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0LCDLR2
 */
#define DDR_PHY_DX0LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000788 )
#define DDR_PHY_DX0LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX0LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX0LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX0LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX0LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX0LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX0LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX0LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX0LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX0LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0LCDLR3
 */
#define DDR_PHY_DX0LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x0000078C )
#define DDR_PHY_DX0LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX0LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX0LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX0LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX0LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX0LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX0LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX0LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX0LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX0LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0LCDLR4
 */
#define DDR_PHY_DX0LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000790 )
#define DDR_PHY_DX0LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX0LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX0LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX0LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX0LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX0LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX0LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX0LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX0LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX0LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0LCDLR5
 */
#define DDR_PHY_DX0LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000794 )
#define DDR_PHY_DX0LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX0LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX0LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX0LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX0LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX0LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX0LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX0LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX0LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX0LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0MDLR0
 */
#define DDR_PHY_DX0MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x000007A0 )
#define DDR_PHY_DX0MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX0MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX0MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX0MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX0MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX0MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX0MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX0MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX0MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX0MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0MDLR1
 */
#define DDR_PHY_DX0MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x000007A4 )
#define DDR_PHY_DX0MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX0MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX0MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX0MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX0MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX0MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX0MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GTR0
 */
#define DDR_PHY_DX0GTR0    ( ( DDR_PHY_BASEADDR ) + 0x000007C0 )
#define DDR_PHY_DX0GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX0GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX0GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX0GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX0GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX0GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX0GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX0GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX0GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX0GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX0GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX0GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX0GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX0GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX0GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX0GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX0GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX0GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX0GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX0GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX0GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX0GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX0GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX0GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX0GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX0GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX0GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX0GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0RSR0
 */
#define DDR_PHY_DX0RSR0    ( ( DDR_PHY_BASEADDR ) + 0x000007D0 )
#define DDR_PHY_DX0RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX0RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX0RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX0RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX0RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX0RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX0RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0RSR1
 */
#define DDR_PHY_DX0RSR1    ( ( DDR_PHY_BASEADDR ) + 0x000007D4 )
#define DDR_PHY_DX0RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX0RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX0RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX0RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX0RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX0RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX0RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0RSR2
 */
#define DDR_PHY_DX0RSR2    ( ( DDR_PHY_BASEADDR ) + 0x000007D8 )
#define DDR_PHY_DX0RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX0RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX0RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX0RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX0RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX0RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX0RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0RSR3
 */
#define DDR_PHY_DX0RSR3    ( ( DDR_PHY_BASEADDR ) + 0x000007DC )
#define DDR_PHY_DX0RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX0RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX0RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX0RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX0RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX0RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX0RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GSR0
 */
#define DDR_PHY_DX0GSR0    ( ( DDR_PHY_BASEADDR ) + 0x000007E0 )
#define DDR_PHY_DX0GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX0GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX0GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX0GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX0GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX0GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX0GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX0GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX0GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX0GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX0GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX0GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX0GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX0GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX0GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX0GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX0GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX0GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX0GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX0GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX0GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX0GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX0GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX0GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX0GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX0GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX0GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX0GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX0GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX0GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX0GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX0GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX0GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX0GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX0GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX0GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX0GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX0GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX0GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX0GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GSR1
 */
#define DDR_PHY_DX0GSR1    ( ( DDR_PHY_BASEADDR ) + 0x000007E4 )
#define DDR_PHY_DX0GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX0GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX0GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX0GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX0GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX0GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX0GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX0GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX0GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX0GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GSR2
 */
#define DDR_PHY_DX0GSR2    ( ( DDR_PHY_BASEADDR ) + 0x000007E8 )
#define DDR_PHY_DX0GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX0GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX0GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX0GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX0GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX0GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX0GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX0GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX0GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX0GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX0GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX0GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX0GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX0GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX0GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX0GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX0GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX0GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX0GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX0GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX0GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX0GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX0GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX0GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX0GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_REWN_SHIFT   5
#define DDR_PHY_DX0GSR2_REWN_WIDTH   1
#define DDR_PHY_DX0GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX0GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_REERR_SHIFT   4
#define DDR_PHY_DX0GSR2_REERR_WIDTH   1
#define DDR_PHY_DX0GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX0GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX0GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX0GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX0GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX0GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX0GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX0GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX0GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX0GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX0GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX0GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX0GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX0GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GSR3
 */
#define DDR_PHY_DX0GSR3    ( ( DDR_PHY_BASEADDR ) + 0x000007EC )
#define DDR_PHY_DX0GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX0GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX0GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX0GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX0GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX0GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX0GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX0GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX0GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX0GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX0GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX0GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX0GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX0GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX0GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX0GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX0GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX0GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX0GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX0GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX0GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX0GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX0GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX0GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX0GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GSR4
 */
#define DDR_PHY_DX0GSR4    ( ( DDR_PHY_BASEADDR ) + 0x000007F0 )
#define DDR_PHY_DX0GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX0GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX0GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX0GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX0GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX0GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX0GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX0GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX0GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX0GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX0GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX0GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX0GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX0GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX0GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX0GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX0GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX0GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX0GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX0GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX0GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX0GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX0GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX0GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX0GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX0GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX0GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GSR5
 */
#define DDR_PHY_DX0GSR5    ( ( DDR_PHY_BASEADDR ) + 0x000007F4 )
#define DDR_PHY_DX0GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX0GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX0GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX0GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX0GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX0GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX0GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX0GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX0GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX0GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX0GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX0GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX0GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX0GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX0GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX0GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX0GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX0GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX0GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX0GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX0GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX0GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX0GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX0GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX0GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX0GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX0GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX0GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX0GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX0GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX0GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX0GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX0GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX0GSR6
 */
#define DDR_PHY_DX0GSR6    ( ( DDR_PHY_BASEADDR ) + 0x000007F8 )
#define DDR_PHY_DX0GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX0GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX0GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX0GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX0GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX0GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX0GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX0GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX0GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX0GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX0GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX0GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX0GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX0GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX0GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX0GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX0GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX0GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX0GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX0GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX0GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX0GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX0GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX0GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX0GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX0GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GCR0
 */
#define DDR_PHY_DX1GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000800 )
#define DDR_PHY_DX1GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX1GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX1GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX1GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX1GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX1GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX1GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX1GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX1GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX1GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX1GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX1GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX1GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX1GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX1GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX1GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX1GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX1GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX1GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX1GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX1GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX1GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX1GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX1GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX1GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX1GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX1GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX1GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX1GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX1GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX1GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX1GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX1GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX1GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX1GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX1GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX1GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX1GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX1GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX1GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX1GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX1GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX1GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX1GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX1GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX1GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX1GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX1GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX1GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX1GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX1GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX1GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX1GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX1GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GCR1
 */
#define DDR_PHY_DX1GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000804 )
#define DDR_PHY_DX1GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX1GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX1GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX1GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX1GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX1GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX1GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX1GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX1GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX1GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX1GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX1GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX1GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX1GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX1GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX1GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX1GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX1GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX1GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX1GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX1GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX1GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX1GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX1GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX1GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX1GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX1GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX1GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX1GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX1GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX1GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX1GCR2
 */
#define DDR_PHY_DX1GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000808 )
#define DDR_PHY_DX1GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX1GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX1GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX1GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX1GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX1GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX1GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GCR3
 */
#define DDR_PHY_DX1GCR3    ( ( DDR_PHY_BASEADDR ) + 0x0000080C )
#define DDR_PHY_DX1GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX1GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX1GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX1GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX1GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX1GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX1GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX1GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX1GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX1GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX1GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX1GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX1GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX1GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX1GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX1GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX1GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX1GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX1GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX1GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX1GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX1GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX1GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX1GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX1GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX1GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX1GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX1GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX1GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX1GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX1GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX1GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX1GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX1GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX1GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX1GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX1GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX1GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX1GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX1GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX1GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX1GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX1GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX1GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX1GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX1GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX1GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GCR4
 */
#define DDR_PHY_DX1GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000810 )
#define DDR_PHY_DX1GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX1GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX1GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX1GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX1GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX1GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX1GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX1GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX1GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX1GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX1GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX1GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX1GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX1GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX1GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX1GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX1GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX1GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX1GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX1GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX1GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX1GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX1GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX1GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX1GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX1GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX1GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX1GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX1GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX1GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX1GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX1GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX1GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX1GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX1GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX1GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX1GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GCR5
 */
#define DDR_PHY_DX1GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000814 )
#define DDR_PHY_DX1GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX1GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX1GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX1GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX1GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX1GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX1GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX1GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX1GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX1GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX1GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX1GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX1GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX1GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX1GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX1GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX1GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX1GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX1GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX1GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX1GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX1GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX1GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX1GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX1GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX1GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX1GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX1GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX1GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX1GCR6
 */
#define DDR_PHY_DX1GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000818 )
#define DDR_PHY_DX1GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX1GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX1GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX1GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX1GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX1GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX1GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX1GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX1GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX1GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX1GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX1GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX1GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX1GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX1GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX1GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX1GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX1GCR7
 */
#define DDR_PHY_DX1GCR7    ( ( DDR_PHY_BASEADDR ) + 0x0000081C )
#define DDR_PHY_DX1GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX1GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX1GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX1GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX1GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX1GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX1GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX1GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX1GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX1GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX1GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX1GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX1GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX1GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX1GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX1GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX1GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX1GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX1GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX1GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX1GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX1GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX1GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX1GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX1GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX1GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX1GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX1GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX1GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX1GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX1GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX1GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX1GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX1GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX1GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX1GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GCR8
 */
#define DDR_PHY_DX1GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000820 )
#define DDR_PHY_DX1GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX1GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX1GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX1GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX1GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX1GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX1GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX1GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX1GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX1GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX1GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX1GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX1GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GCR9
 */
#define DDR_PHY_DX1GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000824 )
#define DDR_PHY_DX1GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX1GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX1GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX1GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX1GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX1GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX1GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX1GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX1GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX1GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX1GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX1GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX1GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR0
 */
#define DDR_PHY_DX1BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000840 )
#define DDR_PHY_DX1BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX1BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX1BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX1BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX1BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX1BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX1BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX1BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX1BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX1BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX1BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX1BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX1BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR1
 */
#define DDR_PHY_DX1BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000844 )
#define DDR_PHY_DX1BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX1BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX1BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX1BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX1BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX1BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX1BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX1BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX1BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX1BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX1BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX1BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX1BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR2
 */
#define DDR_PHY_DX1BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000848 )
#define DDR_PHY_DX1BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX1BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX1BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX1BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX1BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX1BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX1BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX1BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX1BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX1BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX1BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX1BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX1BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR3
 */
#define DDR_PHY_DX1BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000850 )
#define DDR_PHY_DX1BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX1BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX1BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX1BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX1BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX1BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX1BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX1BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX1BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX1BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX1BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX1BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX1BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR4
 */
#define DDR_PHY_DX1BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000854 )
#define DDR_PHY_DX1BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX1BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX1BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX1BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX1BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX1BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX1BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX1BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX1BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX1BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX1BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX1BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX1BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX1BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX1BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX1BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX1BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX1BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX1BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR5
 */
#define DDR_PHY_DX1BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000858 )
#define DDR_PHY_DX1BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX1BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX1BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX1BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX1BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX1BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX1BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR6
 */
#define DDR_PHY_DX1BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000860 )
#define DDR_PHY_DX1BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX1BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX1BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX1BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX1BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX1BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX1BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX1BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX1BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX1BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX1BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX1BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX1BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR7
 */
#define DDR_PHY_DX1BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000864 )
#define DDR_PHY_DX1BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX1BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX1BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX1BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX1BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX1BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX1BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX1BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX1BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX1BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX1BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX1BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX1BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR8
 */
#define DDR_PHY_DX1BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000868 )
#define DDR_PHY_DX1BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX1BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX1BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX1BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX1BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX1BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX1BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX1BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX1BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX1BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX1BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX1BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX1BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1BDLR9
 */
#define DDR_PHY_DX1BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x0000086C )
#define DDR_PHY_DX1BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX1BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX1BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX1BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX1BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX1BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX1BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX1BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX1BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX1BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX1BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX1BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX1BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX1BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX1BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX1BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX1BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX1BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX1BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1LCDLR0
 */
#define DDR_PHY_DX1LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000880 )
#define DDR_PHY_DX1LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX1LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX1LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX1LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX1LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX1LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX1LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX1LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX1LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX1LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1LCDLR1
 */
#define DDR_PHY_DX1LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000884 )
#define DDR_PHY_DX1LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX1LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX1LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX1LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX1LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX1LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX1LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX1LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX1LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX1LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1LCDLR2
 */
#define DDR_PHY_DX1LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000888 )
#define DDR_PHY_DX1LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX1LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX1LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX1LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX1LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX1LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX1LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX1LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX1LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX1LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1LCDLR3
 */
#define DDR_PHY_DX1LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x0000088C )
#define DDR_PHY_DX1LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX1LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX1LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX1LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX1LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX1LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX1LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX1LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX1LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX1LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1LCDLR4
 */
#define DDR_PHY_DX1LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000890 )
#define DDR_PHY_DX1LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX1LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX1LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX1LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX1LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX1LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX1LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX1LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX1LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX1LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1LCDLR5
 */
#define DDR_PHY_DX1LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000894 )
#define DDR_PHY_DX1LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX1LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX1LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX1LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX1LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX1LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX1LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX1LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX1LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX1LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1MDLR0
 */
#define DDR_PHY_DX1MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x000008A0 )
#define DDR_PHY_DX1MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX1MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX1MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX1MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX1MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX1MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX1MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX1MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX1MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX1MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1MDLR1
 */
#define DDR_PHY_DX1MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x000008A4 )
#define DDR_PHY_DX1MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX1MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX1MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX1MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX1MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX1MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX1MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GTR0
 */
#define DDR_PHY_DX1GTR0    ( ( DDR_PHY_BASEADDR ) + 0x000008C0 )
#define DDR_PHY_DX1GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX1GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX1GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX1GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX1GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX1GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX1GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX1GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX1GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX1GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX1GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX1GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX1GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX1GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX1GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX1GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX1GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX1GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX1GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX1GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX1GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX1GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX1GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX1GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX1GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX1GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX1GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX1GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1RSR0
 */
#define DDR_PHY_DX1RSR0    ( ( DDR_PHY_BASEADDR ) + 0x000008D0 )
#define DDR_PHY_DX1RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX1RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX1RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX1RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX1RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX1RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX1RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1RSR1
 */
#define DDR_PHY_DX1RSR1    ( ( DDR_PHY_BASEADDR ) + 0x000008D4 )
#define DDR_PHY_DX1RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX1RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX1RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX1RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX1RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX1RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX1RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1RSR2
 */
#define DDR_PHY_DX1RSR2    ( ( DDR_PHY_BASEADDR ) + 0x000008D8 )
#define DDR_PHY_DX1RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX1RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX1RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX1RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX1RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX1RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX1RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1RSR3
 */
#define DDR_PHY_DX1RSR3    ( ( DDR_PHY_BASEADDR ) + 0x000008DC )
#define DDR_PHY_DX1RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX1RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX1RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX1RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX1RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX1RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX1RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GSR0
 */
#define DDR_PHY_DX1GSR0    ( ( DDR_PHY_BASEADDR ) + 0x000008E0 )
#define DDR_PHY_DX1GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX1GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX1GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX1GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX1GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX1GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX1GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX1GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX1GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX1GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX1GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX1GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX1GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX1GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX1GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX1GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX1GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX1GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX1GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX1GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX1GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX1GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX1GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX1GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX1GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX1GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX1GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX1GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX1GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX1GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX1GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX1GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX1GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX1GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX1GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX1GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX1GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX1GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX1GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX1GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GSR1
 */
#define DDR_PHY_DX1GSR1    ( ( DDR_PHY_BASEADDR ) + 0x000008E4 )
#define DDR_PHY_DX1GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX1GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX1GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX1GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX1GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX1GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX1GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX1GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX1GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX1GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GSR2
 */
#define DDR_PHY_DX1GSR2    ( ( DDR_PHY_BASEADDR ) + 0x000008E8 )
#define DDR_PHY_DX1GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX1GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX1GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX1GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX1GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX1GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX1GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX1GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX1GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX1GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX1GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX1GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX1GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX1GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX1GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX1GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX1GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX1GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX1GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX1GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX1GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX1GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX1GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX1GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX1GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_REWN_SHIFT   5
#define DDR_PHY_DX1GSR2_REWN_WIDTH   1
#define DDR_PHY_DX1GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX1GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_REERR_SHIFT   4
#define DDR_PHY_DX1GSR2_REERR_WIDTH   1
#define DDR_PHY_DX1GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX1GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX1GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX1GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX1GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX1GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX1GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX1GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX1GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX1GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX1GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX1GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX1GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX1GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GSR3
 */
#define DDR_PHY_DX1GSR3    ( ( DDR_PHY_BASEADDR ) + 0x000008EC )
#define DDR_PHY_DX1GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX1GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX1GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX1GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX1GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX1GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX1GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX1GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX1GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX1GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX1GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX1GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX1GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX1GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX1GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX1GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX1GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX1GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX1GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX1GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX1GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX1GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX1GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX1GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX1GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GSR4
 */
#define DDR_PHY_DX1GSR4    ( ( DDR_PHY_BASEADDR ) + 0x000008F0 )
#define DDR_PHY_DX1GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX1GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX1GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX1GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX1GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX1GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX1GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX1GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX1GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX1GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX1GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX1GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX1GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX1GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX1GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX1GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX1GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX1GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX1GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX1GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX1GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX1GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX1GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX1GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX1GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX1GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX1GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GSR5
 */
#define DDR_PHY_DX1GSR5    ( ( DDR_PHY_BASEADDR ) + 0x000008F4 )
#define DDR_PHY_DX1GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX1GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX1GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX1GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX1GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX1GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX1GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX1GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX1GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX1GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX1GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX1GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX1GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX1GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX1GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX1GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX1GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX1GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX1GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX1GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX1GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX1GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX1GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX1GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX1GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX1GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX1GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX1GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX1GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX1GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX1GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX1GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX1GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX1GSR6
 */
#define DDR_PHY_DX1GSR6    ( ( DDR_PHY_BASEADDR ) + 0x000008F8 )
#define DDR_PHY_DX1GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX1GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX1GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX1GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX1GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX1GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX1GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX1GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX1GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX1GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX1GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX1GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX1GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX1GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX1GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX1GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX1GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX1GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX1GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX1GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX1GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX1GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX1GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX1GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX1GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX1GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GCR0
 */
#define DDR_PHY_DX2GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000900 )
#define DDR_PHY_DX2GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX2GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX2GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX2GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX2GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX2GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX2GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX2GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX2GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX2GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX2GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX2GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX2GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX2GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX2GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX2GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX2GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX2GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX2GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX2GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX2GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX2GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX2GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX2GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX2GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX2GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX2GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX2GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX2GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX2GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX2GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX2GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX2GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX2GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX2GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX2GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX2GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX2GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX2GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX2GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX2GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX2GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX2GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX2GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX2GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX2GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX2GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX2GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX2GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX2GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX2GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX2GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX2GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX2GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GCR1
 */
#define DDR_PHY_DX2GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000904 )
#define DDR_PHY_DX2GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX2GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX2GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX2GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX2GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX2GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX2GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX2GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX2GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX2GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX2GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX2GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX2GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX2GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX2GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX2GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX2GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX2GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX2GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX2GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX2GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX2GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX2GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX2GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX2GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX2GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX2GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX2GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX2GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX2GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX2GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX2GCR2
 */
#define DDR_PHY_DX2GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000908 )
#define DDR_PHY_DX2GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX2GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX2GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX2GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX2GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX2GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX2GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GCR3
 */
#define DDR_PHY_DX2GCR3    ( ( DDR_PHY_BASEADDR ) + 0x0000090C )
#define DDR_PHY_DX2GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX2GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX2GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX2GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX2GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX2GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX2GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX2GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX2GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX2GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX2GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX2GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX2GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX2GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX2GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX2GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX2GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX2GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX2GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX2GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX2GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX2GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX2GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX2GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX2GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX2GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX2GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX2GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX2GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX2GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX2GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX2GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX2GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX2GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX2GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX2GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX2GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX2GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX2GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX2GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX2GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX2GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX2GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX2GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX2GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX2GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX2GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GCR4
 */
#define DDR_PHY_DX2GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000910 )
#define DDR_PHY_DX2GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX2GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX2GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX2GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX2GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX2GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX2GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX2GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX2GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX2GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX2GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX2GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX2GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX2GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX2GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX2GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX2GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX2GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX2GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX2GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX2GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX2GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX2GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX2GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX2GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX2GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX2GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX2GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX2GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX2GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX2GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX2GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX2GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX2GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX2GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX2GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX2GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GCR5
 */
#define DDR_PHY_DX2GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000914 )
#define DDR_PHY_DX2GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX2GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX2GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX2GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX2GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX2GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX2GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX2GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX2GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX2GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX2GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX2GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX2GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX2GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX2GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX2GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX2GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX2GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX2GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX2GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX2GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX2GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX2GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX2GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX2GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX2GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX2GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX2GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX2GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX2GCR6
 */
#define DDR_PHY_DX2GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000918 )
#define DDR_PHY_DX2GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX2GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX2GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX2GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX2GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX2GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX2GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX2GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX2GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX2GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX2GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX2GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX2GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX2GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX2GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX2GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX2GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX2GCR7
 */
#define DDR_PHY_DX2GCR7    ( ( DDR_PHY_BASEADDR ) + 0x0000091C )
#define DDR_PHY_DX2GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX2GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX2GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX2GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX2GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX2GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX2GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX2GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX2GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX2GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX2GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX2GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX2GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX2GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX2GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX2GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX2GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX2GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX2GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX2GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX2GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX2GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX2GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX2GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX2GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX2GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX2GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX2GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX2GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX2GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX2GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX2GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX2GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX2GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX2GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX2GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GCR8
 */
#define DDR_PHY_DX2GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000920 )
#define DDR_PHY_DX2GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX2GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX2GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX2GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX2GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX2GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX2GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX2GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX2GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX2GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX2GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX2GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX2GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GCR9
 */
#define DDR_PHY_DX2GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000924 )
#define DDR_PHY_DX2GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX2GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX2GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX2GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX2GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX2GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX2GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX2GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX2GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX2GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX2GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX2GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX2GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR0
 */
#define DDR_PHY_DX2BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000940 )
#define DDR_PHY_DX2BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX2BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX2BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX2BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX2BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX2BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX2BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX2BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX2BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX2BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX2BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX2BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX2BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR1
 */
#define DDR_PHY_DX2BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000944 )
#define DDR_PHY_DX2BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX2BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX2BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX2BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX2BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX2BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX2BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX2BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX2BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX2BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX2BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX2BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX2BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR2
 */
#define DDR_PHY_DX2BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000948 )
#define DDR_PHY_DX2BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX2BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX2BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX2BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX2BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX2BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX2BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX2BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX2BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX2BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX2BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX2BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX2BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR3
 */
#define DDR_PHY_DX2BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000950 )
#define DDR_PHY_DX2BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX2BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX2BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX2BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX2BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX2BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX2BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX2BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX2BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX2BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX2BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX2BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX2BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR4
 */
#define DDR_PHY_DX2BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000954 )
#define DDR_PHY_DX2BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX2BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX2BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX2BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX2BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX2BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX2BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX2BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX2BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX2BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX2BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX2BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX2BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX2BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX2BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX2BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX2BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX2BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX2BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR5
 */
#define DDR_PHY_DX2BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000958 )
#define DDR_PHY_DX2BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX2BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX2BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX2BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX2BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX2BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX2BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR6
 */
#define DDR_PHY_DX2BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000960 )
#define DDR_PHY_DX2BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX2BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX2BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX2BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX2BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX2BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX2BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX2BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX2BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX2BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX2BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX2BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX2BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR7
 */
#define DDR_PHY_DX2BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000964 )
#define DDR_PHY_DX2BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX2BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX2BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX2BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX2BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX2BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX2BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX2BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX2BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX2BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX2BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX2BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX2BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR8
 */
#define DDR_PHY_DX2BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000968 )
#define DDR_PHY_DX2BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX2BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX2BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX2BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX2BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX2BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX2BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX2BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX2BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX2BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX2BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX2BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX2BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2BDLR9
 */
#define DDR_PHY_DX2BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x0000096C )
#define DDR_PHY_DX2BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX2BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX2BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX2BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX2BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX2BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX2BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX2BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX2BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX2BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX2BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX2BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX2BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX2BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX2BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX2BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX2BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX2BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX2BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2LCDLR0
 */
#define DDR_PHY_DX2LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000980 )
#define DDR_PHY_DX2LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX2LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX2LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX2LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX2LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX2LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX2LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX2LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX2LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX2LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2LCDLR1
 */
#define DDR_PHY_DX2LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000984 )
#define DDR_PHY_DX2LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX2LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX2LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX2LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX2LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX2LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX2LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX2LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX2LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX2LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2LCDLR2
 */
#define DDR_PHY_DX2LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000988 )
#define DDR_PHY_DX2LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX2LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX2LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX2LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX2LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX2LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX2LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX2LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX2LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX2LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2LCDLR3
 */
#define DDR_PHY_DX2LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x0000098C )
#define DDR_PHY_DX2LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX2LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX2LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX2LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX2LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX2LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX2LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX2LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX2LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX2LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2LCDLR4
 */
#define DDR_PHY_DX2LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000990 )
#define DDR_PHY_DX2LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX2LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX2LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX2LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX2LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX2LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX2LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX2LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX2LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX2LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2LCDLR5
 */
#define DDR_PHY_DX2LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000994 )
#define DDR_PHY_DX2LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX2LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX2LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX2LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX2LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX2LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX2LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX2LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX2LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX2LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2MDLR0
 */
#define DDR_PHY_DX2MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x000009A0 )
#define DDR_PHY_DX2MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX2MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX2MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX2MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX2MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX2MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX2MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX2MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX2MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX2MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2MDLR1
 */
#define DDR_PHY_DX2MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x000009A4 )
#define DDR_PHY_DX2MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX2MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX2MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX2MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX2MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX2MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX2MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GTR0
 */
#define DDR_PHY_DX2GTR0    ( ( DDR_PHY_BASEADDR ) + 0x000009C0 )
#define DDR_PHY_DX2GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX2GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX2GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX2GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX2GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX2GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX2GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX2GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX2GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX2GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX2GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX2GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX2GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX2GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX2GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX2GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX2GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX2GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX2GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX2GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX2GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX2GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX2GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX2GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX2GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX2GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX2GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX2GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2RSR0
 */
#define DDR_PHY_DX2RSR0    ( ( DDR_PHY_BASEADDR ) + 0x000009D0 )
#define DDR_PHY_DX2RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX2RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX2RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX2RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX2RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX2RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX2RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2RSR1
 */
#define DDR_PHY_DX2RSR1    ( ( DDR_PHY_BASEADDR ) + 0x000009D4 )
#define DDR_PHY_DX2RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX2RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX2RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX2RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX2RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX2RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX2RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2RSR2
 */
#define DDR_PHY_DX2RSR2    ( ( DDR_PHY_BASEADDR ) + 0x000009D8 )
#define DDR_PHY_DX2RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX2RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX2RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX2RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX2RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX2RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX2RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2RSR3
 */
#define DDR_PHY_DX2RSR3    ( ( DDR_PHY_BASEADDR ) + 0x000009DC )
#define DDR_PHY_DX2RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX2RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX2RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX2RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX2RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX2RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX2RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GSR0
 */
#define DDR_PHY_DX2GSR0    ( ( DDR_PHY_BASEADDR ) + 0x000009E0 )
#define DDR_PHY_DX2GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX2GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX2GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX2GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX2GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX2GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX2GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX2GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX2GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX2GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX2GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX2GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX2GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX2GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX2GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX2GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX2GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX2GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX2GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX2GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX2GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX2GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX2GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX2GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX2GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX2GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX2GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX2GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX2GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX2GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX2GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX2GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX2GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX2GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX2GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX2GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX2GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX2GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX2GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX2GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GSR1
 */
#define DDR_PHY_DX2GSR1    ( ( DDR_PHY_BASEADDR ) + 0x000009E4 )
#define DDR_PHY_DX2GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX2GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX2GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX2GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX2GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX2GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX2GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX2GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX2GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX2GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GSR2
 */
#define DDR_PHY_DX2GSR2    ( ( DDR_PHY_BASEADDR ) + 0x000009E8 )
#define DDR_PHY_DX2GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX2GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX2GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX2GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX2GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX2GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX2GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX2GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX2GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX2GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX2GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX2GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX2GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX2GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX2GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX2GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX2GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX2GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX2GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX2GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX2GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX2GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX2GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX2GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX2GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_REWN_SHIFT   5
#define DDR_PHY_DX2GSR2_REWN_WIDTH   1
#define DDR_PHY_DX2GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX2GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_REERR_SHIFT   4
#define DDR_PHY_DX2GSR2_REERR_WIDTH   1
#define DDR_PHY_DX2GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX2GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX2GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX2GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX2GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX2GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX2GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX2GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX2GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX2GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX2GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX2GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX2GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX2GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GSR3
 */
#define DDR_PHY_DX2GSR3    ( ( DDR_PHY_BASEADDR ) + 0x000009EC )
#define DDR_PHY_DX2GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX2GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX2GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX2GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX2GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX2GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX2GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX2GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX2GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX2GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX2GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX2GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX2GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX2GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX2GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX2GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX2GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX2GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX2GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX2GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX2GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX2GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX2GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX2GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX2GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GSR4
 */
#define DDR_PHY_DX2GSR4    ( ( DDR_PHY_BASEADDR ) + 0x000009F0 )
#define DDR_PHY_DX2GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX2GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX2GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX2GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX2GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX2GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX2GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX2GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX2GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX2GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX2GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX2GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX2GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX2GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX2GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX2GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX2GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX2GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX2GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX2GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX2GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX2GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX2GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX2GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX2GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX2GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX2GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GSR5
 */
#define DDR_PHY_DX2GSR5    ( ( DDR_PHY_BASEADDR ) + 0x000009F4 )
#define DDR_PHY_DX2GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX2GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX2GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX2GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX2GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX2GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX2GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX2GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX2GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX2GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX2GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX2GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX2GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX2GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX2GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX2GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX2GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX2GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX2GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX2GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX2GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX2GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX2GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX2GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX2GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX2GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX2GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX2GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX2GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX2GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX2GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX2GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX2GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX2GSR6
 */
#define DDR_PHY_DX2GSR6    ( ( DDR_PHY_BASEADDR ) + 0x000009F8 )
#define DDR_PHY_DX2GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX2GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX2GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX2GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX2GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX2GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX2GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX2GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX2GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX2GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX2GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX2GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX2GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX2GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX2GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX2GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX2GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX2GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX2GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX2GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX2GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX2GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX2GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX2GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX2GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX2GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GCR0
 */
#define DDR_PHY_DX3GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000A00 )
#define DDR_PHY_DX3GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX3GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX3GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX3GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX3GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX3GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX3GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX3GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX3GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX3GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX3GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX3GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX3GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX3GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX3GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX3GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX3GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX3GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX3GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX3GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX3GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX3GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX3GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX3GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX3GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX3GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX3GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX3GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX3GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX3GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX3GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX3GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX3GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX3GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX3GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX3GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX3GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX3GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX3GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX3GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX3GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX3GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX3GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX3GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX3GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX3GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX3GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX3GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX3GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX3GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX3GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX3GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX3GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX3GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GCR1
 */
#define DDR_PHY_DX3GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000A04 )
#define DDR_PHY_DX3GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX3GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX3GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX3GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX3GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX3GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX3GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX3GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX3GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX3GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX3GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX3GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX3GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX3GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX3GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX3GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX3GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX3GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX3GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX3GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX3GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX3GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX3GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX3GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX3GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX3GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX3GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX3GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX3GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX3GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX3GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX3GCR2
 */
#define DDR_PHY_DX3GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000A08 )
#define DDR_PHY_DX3GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX3GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX3GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX3GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX3GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX3GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX3GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GCR3
 */
#define DDR_PHY_DX3GCR3    ( ( DDR_PHY_BASEADDR ) + 0x00000A0C )
#define DDR_PHY_DX3GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX3GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX3GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX3GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX3GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX3GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX3GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX3GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX3GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX3GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX3GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX3GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX3GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX3GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX3GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX3GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX3GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX3GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX3GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX3GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX3GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX3GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX3GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX3GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX3GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX3GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX3GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX3GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX3GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX3GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX3GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX3GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX3GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX3GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX3GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX3GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX3GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX3GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX3GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX3GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX3GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX3GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX3GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX3GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX3GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX3GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX3GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GCR4
 */
#define DDR_PHY_DX3GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000A10 )
#define DDR_PHY_DX3GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX3GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX3GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX3GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX3GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX3GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX3GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX3GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX3GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX3GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX3GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX3GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX3GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX3GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX3GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX3GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX3GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX3GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX3GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX3GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX3GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX3GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX3GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX3GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX3GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX3GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX3GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX3GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX3GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX3GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX3GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX3GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX3GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX3GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX3GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX3GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX3GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GCR5
 */
#define DDR_PHY_DX3GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000A14 )
#define DDR_PHY_DX3GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX3GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX3GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX3GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX3GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX3GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX3GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX3GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX3GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX3GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX3GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX3GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX3GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX3GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX3GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX3GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX3GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX3GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX3GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX3GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX3GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX3GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX3GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX3GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX3GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX3GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX3GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX3GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX3GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX3GCR6
 */
#define DDR_PHY_DX3GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000A18 )
#define DDR_PHY_DX3GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX3GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX3GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX3GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX3GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX3GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX3GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX3GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX3GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX3GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX3GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX3GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX3GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX3GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX3GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX3GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX3GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX3GCR7
 */
#define DDR_PHY_DX3GCR7    ( ( DDR_PHY_BASEADDR ) + 0x00000A1C )
#define DDR_PHY_DX3GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX3GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX3GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX3GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX3GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX3GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX3GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX3GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX3GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX3GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX3GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX3GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX3GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX3GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX3GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX3GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX3GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX3GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX3GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX3GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX3GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX3GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX3GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX3GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX3GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX3GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX3GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX3GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX3GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX3GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX3GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX3GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX3GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX3GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX3GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX3GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GCR8
 */
#define DDR_PHY_DX3GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000A20 )
#define DDR_PHY_DX3GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX3GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX3GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX3GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX3GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX3GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX3GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX3GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX3GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX3GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX3GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX3GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX3GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GCR9
 */
#define DDR_PHY_DX3GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000A24 )
#define DDR_PHY_DX3GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX3GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX3GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX3GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX3GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX3GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX3GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX3GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX3GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX3GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX3GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX3GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX3GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR0
 */
#define DDR_PHY_DX3BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000A40 )
#define DDR_PHY_DX3BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX3BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX3BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX3BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX3BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX3BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX3BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX3BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX3BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX3BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX3BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX3BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX3BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR1
 */
#define DDR_PHY_DX3BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000A44 )
#define DDR_PHY_DX3BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX3BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX3BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX3BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX3BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX3BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX3BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX3BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX3BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX3BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX3BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX3BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX3BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR2
 */
#define DDR_PHY_DX3BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000A48 )
#define DDR_PHY_DX3BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX3BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX3BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX3BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX3BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX3BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX3BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX3BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX3BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX3BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX3BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX3BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX3BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR3
 */
#define DDR_PHY_DX3BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000A50 )
#define DDR_PHY_DX3BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX3BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX3BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX3BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX3BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX3BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX3BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX3BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX3BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX3BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX3BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX3BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX3BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR4
 */
#define DDR_PHY_DX3BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000A54 )
#define DDR_PHY_DX3BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX3BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX3BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX3BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX3BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX3BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX3BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX3BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX3BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX3BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX3BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX3BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX3BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX3BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX3BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX3BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX3BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX3BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX3BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR5
 */
#define DDR_PHY_DX3BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000A58 )
#define DDR_PHY_DX3BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX3BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX3BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX3BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX3BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX3BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX3BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR6
 */
#define DDR_PHY_DX3BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000A60 )
#define DDR_PHY_DX3BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX3BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX3BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX3BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX3BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX3BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX3BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX3BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX3BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX3BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX3BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX3BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX3BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR7
 */
#define DDR_PHY_DX3BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000A64 )
#define DDR_PHY_DX3BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX3BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX3BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX3BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX3BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX3BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX3BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX3BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX3BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX3BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX3BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX3BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX3BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR8
 */
#define DDR_PHY_DX3BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000A68 )
#define DDR_PHY_DX3BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX3BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX3BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX3BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX3BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX3BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX3BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX3BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX3BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX3BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX3BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX3BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX3BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3BDLR9
 */
#define DDR_PHY_DX3BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x00000A6C )
#define DDR_PHY_DX3BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX3BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX3BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX3BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX3BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX3BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX3BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX3BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX3BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX3BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX3BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX3BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX3BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX3BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX3BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX3BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX3BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX3BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX3BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3LCDLR0
 */
#define DDR_PHY_DX3LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000A80 )
#define DDR_PHY_DX3LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX3LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX3LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX3LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX3LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX3LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX3LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX3LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX3LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX3LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3LCDLR1
 */
#define DDR_PHY_DX3LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000A84 )
#define DDR_PHY_DX3LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX3LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX3LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX3LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX3LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX3LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX3LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX3LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX3LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX3LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3LCDLR2
 */
#define DDR_PHY_DX3LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000A88 )
#define DDR_PHY_DX3LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX3LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX3LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX3LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX3LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX3LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX3LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX3LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX3LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX3LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3LCDLR3
 */
#define DDR_PHY_DX3LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000A8C )
#define DDR_PHY_DX3LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX3LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX3LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX3LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX3LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX3LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX3LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX3LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX3LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX3LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3LCDLR4
 */
#define DDR_PHY_DX3LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000A90 )
#define DDR_PHY_DX3LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX3LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX3LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX3LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX3LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX3LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX3LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX3LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX3LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX3LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3LCDLR5
 */
#define DDR_PHY_DX3LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000A94 )
#define DDR_PHY_DX3LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX3LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX3LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX3LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX3LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX3LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX3LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX3LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX3LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX3LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3MDLR0
 */
#define DDR_PHY_DX3MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000AA0 )
#define DDR_PHY_DX3MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX3MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX3MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX3MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX3MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX3MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX3MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX3MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX3MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX3MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3MDLR1
 */
#define DDR_PHY_DX3MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000AA4 )
#define DDR_PHY_DX3MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX3MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX3MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX3MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX3MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX3MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX3MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GTR0
 */
#define DDR_PHY_DX3GTR0    ( ( DDR_PHY_BASEADDR ) + 0x00000AC0 )
#define DDR_PHY_DX3GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX3GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX3GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX3GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX3GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX3GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX3GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX3GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX3GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX3GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX3GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX3GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX3GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX3GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX3GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX3GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX3GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX3GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX3GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX3GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX3GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX3GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX3GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX3GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX3GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX3GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX3GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX3GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3RSR0
 */
#define DDR_PHY_DX3RSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000AD0 )
#define DDR_PHY_DX3RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX3RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX3RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX3RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX3RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX3RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX3RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3RSR1
 */
#define DDR_PHY_DX3RSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000AD4 )
#define DDR_PHY_DX3RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX3RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX3RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX3RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX3RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX3RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX3RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3RSR2
 */
#define DDR_PHY_DX3RSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000AD8 )
#define DDR_PHY_DX3RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX3RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX3RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX3RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX3RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX3RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX3RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3RSR3
 */
#define DDR_PHY_DX3RSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000ADC )
#define DDR_PHY_DX3RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX3RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX3RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX3RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX3RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX3RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX3RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GSR0
 */
#define DDR_PHY_DX3GSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000AE0 )
#define DDR_PHY_DX3GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX3GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX3GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX3GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX3GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX3GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX3GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX3GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX3GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX3GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX3GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX3GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX3GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX3GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX3GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX3GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX3GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX3GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX3GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX3GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX3GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX3GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX3GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX3GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX3GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX3GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX3GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX3GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX3GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX3GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX3GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX3GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX3GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX3GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX3GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX3GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX3GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX3GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX3GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX3GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GSR1
 */
#define DDR_PHY_DX3GSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000AE4 )
#define DDR_PHY_DX3GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX3GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX3GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX3GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX3GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX3GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX3GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX3GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX3GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX3GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GSR2
 */
#define DDR_PHY_DX3GSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000AE8 )
#define DDR_PHY_DX3GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX3GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX3GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX3GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX3GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX3GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX3GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX3GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX3GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX3GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX3GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX3GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX3GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX3GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX3GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX3GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX3GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX3GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX3GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX3GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX3GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX3GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX3GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX3GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX3GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_REWN_SHIFT   5
#define DDR_PHY_DX3GSR2_REWN_WIDTH   1
#define DDR_PHY_DX3GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX3GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_REERR_SHIFT   4
#define DDR_PHY_DX3GSR2_REERR_WIDTH   1
#define DDR_PHY_DX3GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX3GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX3GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX3GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX3GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX3GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX3GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX3GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX3GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX3GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX3GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX3GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX3GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX3GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GSR3
 */
#define DDR_PHY_DX3GSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000AEC )
#define DDR_PHY_DX3GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX3GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX3GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX3GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX3GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX3GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX3GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX3GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX3GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX3GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX3GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX3GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX3GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX3GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX3GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX3GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX3GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX3GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX3GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX3GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX3GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX3GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX3GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX3GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX3GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GSR4
 */
#define DDR_PHY_DX3GSR4    ( ( DDR_PHY_BASEADDR ) + 0x00000AF0 )
#define DDR_PHY_DX3GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX3GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX3GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX3GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX3GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX3GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX3GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX3GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX3GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX3GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX3GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX3GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX3GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX3GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX3GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX3GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX3GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX3GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX3GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX3GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX3GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX3GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX3GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX3GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX3GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX3GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX3GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GSR5
 */
#define DDR_PHY_DX3GSR5    ( ( DDR_PHY_BASEADDR ) + 0x00000AF4 )
#define DDR_PHY_DX3GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX3GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX3GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX3GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX3GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX3GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX3GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX3GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX3GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX3GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX3GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX3GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX3GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX3GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX3GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX3GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX3GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX3GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX3GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX3GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX3GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX3GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX3GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX3GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX3GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX3GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX3GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX3GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX3GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX3GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX3GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX3GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX3GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX3GSR6
 */
#define DDR_PHY_DX3GSR6    ( ( DDR_PHY_BASEADDR ) + 0x00000AF8 )
#define DDR_PHY_DX3GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX3GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX3GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX3GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX3GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX3GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX3GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX3GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX3GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX3GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX3GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX3GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX3GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX3GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX3GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX3GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX3GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX3GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX3GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX3GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX3GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX3GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX3GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX3GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX3GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX3GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GCR0
 */
#define DDR_PHY_DX4GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000B00 )
#define DDR_PHY_DX4GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX4GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX4GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX4GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX4GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX4GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX4GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX4GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX4GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX4GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX4GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX4GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX4GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX4GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX4GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX4GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX4GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX4GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX4GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX4GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX4GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX4GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX4GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX4GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX4GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX4GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX4GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX4GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX4GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX4GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX4GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX4GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX4GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX4GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX4GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX4GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX4GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX4GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX4GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX4GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX4GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX4GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX4GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX4GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX4GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX4GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX4GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX4GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX4GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX4GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX4GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX4GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX4GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX4GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GCR1
 */
#define DDR_PHY_DX4GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000B04 )
#define DDR_PHY_DX4GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX4GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX4GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX4GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX4GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX4GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX4GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX4GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX4GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX4GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX4GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX4GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX4GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX4GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX4GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX4GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX4GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX4GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX4GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX4GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX4GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX4GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX4GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX4GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX4GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX4GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX4GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX4GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX4GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX4GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX4GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX4GCR2
 */
#define DDR_PHY_DX4GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000B08 )
#define DDR_PHY_DX4GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX4GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX4GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX4GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX4GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX4GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX4GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GCR3
 */
#define DDR_PHY_DX4GCR3    ( ( DDR_PHY_BASEADDR ) + 0x00000B0C )
#define DDR_PHY_DX4GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX4GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX4GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX4GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX4GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX4GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX4GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX4GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX4GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX4GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX4GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX4GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX4GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX4GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX4GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX4GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX4GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX4GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX4GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX4GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX4GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX4GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX4GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX4GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX4GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX4GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX4GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX4GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX4GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX4GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX4GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX4GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX4GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX4GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX4GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX4GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX4GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX4GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX4GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX4GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX4GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX4GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX4GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX4GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX4GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX4GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX4GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GCR4
 */
#define DDR_PHY_DX4GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000B10 )
#define DDR_PHY_DX4GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX4GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX4GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX4GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX4GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX4GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX4GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX4GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX4GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX4GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX4GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX4GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX4GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX4GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX4GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX4GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX4GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX4GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX4GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX4GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX4GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX4GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX4GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX4GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX4GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX4GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX4GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX4GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX4GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX4GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX4GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX4GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX4GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX4GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX4GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX4GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX4GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GCR5
 */
#define DDR_PHY_DX4GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000B14 )
#define DDR_PHY_DX4GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX4GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX4GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX4GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX4GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX4GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX4GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX4GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX4GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX4GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX4GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX4GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX4GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX4GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX4GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX4GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX4GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX4GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX4GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX4GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX4GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX4GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX4GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX4GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX4GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX4GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX4GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX4GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX4GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX4GCR6
 */
#define DDR_PHY_DX4GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000B18 )
#define DDR_PHY_DX4GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX4GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX4GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX4GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX4GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX4GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX4GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX4GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX4GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX4GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX4GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX4GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX4GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX4GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX4GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX4GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX4GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX4GCR7
 */
#define DDR_PHY_DX4GCR7    ( ( DDR_PHY_BASEADDR ) + 0x00000B1C )
#define DDR_PHY_DX4GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX4GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX4GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX4GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX4GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX4GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX4GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX4GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX4GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX4GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX4GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX4GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX4GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX4GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX4GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX4GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX4GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX4GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX4GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX4GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX4GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX4GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX4GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX4GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX4GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX4GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX4GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX4GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX4GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX4GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX4GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX4GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX4GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX4GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX4GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX4GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GCR8
 */
#define DDR_PHY_DX4GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000B20 )
#define DDR_PHY_DX4GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX4GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX4GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX4GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX4GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX4GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX4GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX4GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX4GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX4GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX4GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX4GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX4GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GCR9
 */
#define DDR_PHY_DX4GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000B24 )
#define DDR_PHY_DX4GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX4GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX4GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX4GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX4GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX4GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX4GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX4GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX4GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX4GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX4GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX4GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX4GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR0
 */
#define DDR_PHY_DX4BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000B40 )
#define DDR_PHY_DX4BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX4BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX4BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX4BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX4BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX4BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX4BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX4BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX4BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX4BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX4BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX4BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX4BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR1
 */
#define DDR_PHY_DX4BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000B44 )
#define DDR_PHY_DX4BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX4BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX4BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX4BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX4BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX4BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX4BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX4BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX4BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX4BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX4BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX4BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX4BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR2
 */
#define DDR_PHY_DX4BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000B48 )
#define DDR_PHY_DX4BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX4BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX4BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX4BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX4BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX4BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX4BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX4BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX4BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX4BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX4BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX4BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX4BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR3
 */
#define DDR_PHY_DX4BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000B50 )
#define DDR_PHY_DX4BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX4BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX4BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX4BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX4BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX4BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX4BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX4BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX4BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX4BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX4BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX4BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX4BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR4
 */
#define DDR_PHY_DX4BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000B54 )
#define DDR_PHY_DX4BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX4BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX4BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX4BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX4BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX4BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX4BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX4BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX4BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX4BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX4BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX4BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX4BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX4BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX4BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX4BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX4BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX4BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX4BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR5
 */
#define DDR_PHY_DX4BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000B58 )
#define DDR_PHY_DX4BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX4BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX4BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX4BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX4BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX4BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX4BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR6
 */
#define DDR_PHY_DX4BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000B60 )
#define DDR_PHY_DX4BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX4BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX4BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX4BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX4BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX4BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX4BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX4BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX4BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX4BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX4BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX4BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX4BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR7
 */
#define DDR_PHY_DX4BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000B64 )
#define DDR_PHY_DX4BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX4BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX4BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX4BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX4BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX4BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX4BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX4BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX4BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX4BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX4BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX4BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX4BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR8
 */
#define DDR_PHY_DX4BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000B68 )
#define DDR_PHY_DX4BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX4BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX4BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX4BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX4BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX4BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX4BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX4BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX4BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX4BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX4BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX4BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX4BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4BDLR9
 */
#define DDR_PHY_DX4BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x00000B6C )
#define DDR_PHY_DX4BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX4BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX4BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX4BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX4BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX4BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX4BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX4BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX4BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX4BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX4BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX4BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX4BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX4BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX4BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX4BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX4BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX4BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX4BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4LCDLR0
 */
#define DDR_PHY_DX4LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000B80 )
#define DDR_PHY_DX4LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX4LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX4LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX4LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX4LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX4LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX4LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX4LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX4LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX4LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4LCDLR1
 */
#define DDR_PHY_DX4LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000B84 )
#define DDR_PHY_DX4LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX4LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX4LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX4LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX4LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX4LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX4LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX4LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX4LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX4LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4LCDLR2
 */
#define DDR_PHY_DX4LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000B88 )
#define DDR_PHY_DX4LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX4LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX4LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX4LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX4LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX4LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX4LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX4LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX4LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX4LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4LCDLR3
 */
#define DDR_PHY_DX4LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000B8C )
#define DDR_PHY_DX4LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX4LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX4LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX4LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX4LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX4LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX4LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX4LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX4LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX4LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4LCDLR4
 */
#define DDR_PHY_DX4LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000B90 )
#define DDR_PHY_DX4LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX4LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX4LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX4LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX4LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX4LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX4LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX4LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX4LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX4LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4LCDLR5
 */
#define DDR_PHY_DX4LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000B94 )
#define DDR_PHY_DX4LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX4LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX4LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX4LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX4LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX4LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX4LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX4LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX4LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX4LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4MDLR0
 */
#define DDR_PHY_DX4MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000BA0 )
#define DDR_PHY_DX4MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX4MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX4MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX4MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX4MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX4MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX4MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX4MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX4MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX4MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4MDLR1
 */
#define DDR_PHY_DX4MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000BA4 )
#define DDR_PHY_DX4MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX4MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX4MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX4MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX4MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX4MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX4MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GTR0
 */
#define DDR_PHY_DX4GTR0    ( ( DDR_PHY_BASEADDR ) + 0x00000BC0 )
#define DDR_PHY_DX4GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX4GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX4GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX4GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX4GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX4GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX4GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX4GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX4GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX4GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX4GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX4GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX4GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX4GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX4GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX4GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX4GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX4GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX4GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX4GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX4GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX4GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX4GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX4GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX4GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX4GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX4GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX4GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4RSR0
 */
#define DDR_PHY_DX4RSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000BD0 )
#define DDR_PHY_DX4RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX4RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX4RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX4RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX4RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX4RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX4RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4RSR1
 */
#define DDR_PHY_DX4RSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000BD4 )
#define DDR_PHY_DX4RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX4RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX4RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX4RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX4RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX4RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX4RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4RSR2
 */
#define DDR_PHY_DX4RSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000BD8 )
#define DDR_PHY_DX4RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX4RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX4RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX4RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX4RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX4RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX4RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4RSR3
 */
#define DDR_PHY_DX4RSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000BDC )
#define DDR_PHY_DX4RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX4RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX4RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX4RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX4RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX4RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX4RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GSR0
 */
#define DDR_PHY_DX4GSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000BE0 )
#define DDR_PHY_DX4GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX4GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX4GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX4GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX4GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX4GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX4GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX4GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX4GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX4GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX4GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX4GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX4GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX4GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX4GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX4GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX4GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX4GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX4GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX4GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX4GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX4GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX4GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX4GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX4GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX4GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX4GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX4GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX4GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX4GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX4GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX4GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX4GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX4GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX4GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX4GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX4GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX4GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX4GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX4GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GSR1
 */
#define DDR_PHY_DX4GSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000BE4 )
#define DDR_PHY_DX4GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX4GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX4GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX4GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX4GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX4GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX4GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX4GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX4GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX4GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GSR2
 */
#define DDR_PHY_DX4GSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000BE8 )
#define DDR_PHY_DX4GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX4GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX4GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX4GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX4GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX4GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX4GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX4GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX4GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX4GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX4GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX4GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX4GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX4GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX4GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX4GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX4GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX4GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX4GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX4GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX4GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX4GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX4GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX4GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX4GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_REWN_SHIFT   5
#define DDR_PHY_DX4GSR2_REWN_WIDTH   1
#define DDR_PHY_DX4GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX4GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_REERR_SHIFT   4
#define DDR_PHY_DX4GSR2_REERR_WIDTH   1
#define DDR_PHY_DX4GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX4GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX4GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX4GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX4GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX4GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX4GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX4GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX4GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX4GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX4GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX4GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX4GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX4GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GSR3
 */
#define DDR_PHY_DX4GSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000BEC )
#define DDR_PHY_DX4GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX4GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX4GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX4GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX4GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX4GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX4GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX4GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX4GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX4GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX4GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX4GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX4GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX4GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX4GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX4GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX4GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX4GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX4GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX4GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX4GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX4GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX4GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX4GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX4GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GSR4
 */
#define DDR_PHY_DX4GSR4    ( ( DDR_PHY_BASEADDR ) + 0x00000BF0 )
#define DDR_PHY_DX4GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX4GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX4GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX4GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX4GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX4GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX4GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX4GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX4GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX4GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX4GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX4GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX4GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX4GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX4GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX4GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX4GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX4GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX4GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX4GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX4GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX4GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX4GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX4GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX4GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX4GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX4GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GSR5
 */
#define DDR_PHY_DX4GSR5    ( ( DDR_PHY_BASEADDR ) + 0x00000BF4 )
#define DDR_PHY_DX4GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX4GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX4GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX4GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX4GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX4GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX4GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX4GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX4GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX4GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX4GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX4GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX4GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX4GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX4GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX4GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX4GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX4GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX4GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX4GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX4GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX4GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX4GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX4GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX4GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX4GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX4GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX4GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX4GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX4GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX4GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX4GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX4GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4GSR6
 */
#define DDR_PHY_DX4GSR6    ( ( DDR_PHY_BASEADDR ) + 0x00000BF8 )
#define DDR_PHY_DX4GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX4GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX4GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX4GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX4GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX4GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX4GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX4GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX4GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX4GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX4GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX4GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX4GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX4GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX4GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX4GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX4GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX4GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX4GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX4GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX4GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX4GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX4GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX4GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX4GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX4GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GCR0
 */
#define DDR_PHY_DX5GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000C00 )
#define DDR_PHY_DX5GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX5GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX5GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX5GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX5GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX5GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX5GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX5GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX5GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX5GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX5GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX5GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX5GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX5GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX5GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX5GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX5GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX5GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX5GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX5GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX5GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX5GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX5GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX5GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX5GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX5GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX5GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX5GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX5GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX5GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX5GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX5GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX5GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX5GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX5GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX5GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX5GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX5GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX5GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX5GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX5GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX5GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX5GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX5GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX5GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX5GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX5GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX5GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX5GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX5GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX5GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX5GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX5GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX5GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GCR1
 */
#define DDR_PHY_DX5GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000C04 )
#define DDR_PHY_DX5GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX5GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX5GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX5GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX5GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX5GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX5GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX5GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX5GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX5GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX5GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX5GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX5GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX5GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX5GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX5GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX5GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX5GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX5GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX5GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX5GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX5GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX5GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX5GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX5GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX5GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX5GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX5GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX5GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX5GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX5GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX5GCR2
 */
#define DDR_PHY_DX5GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000C08 )
#define DDR_PHY_DX5GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX5GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX5GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX5GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX5GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX5GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX5GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GCR3
 */
#define DDR_PHY_DX5GCR3    ( ( DDR_PHY_BASEADDR ) + 0x00000C0C )
#define DDR_PHY_DX5GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX5GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX5GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX5GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX5GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX5GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX5GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX5GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX5GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX5GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX5GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX5GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX5GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX5GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX5GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX5GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX5GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX5GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX5GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX5GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX5GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX5GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX5GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX5GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX5GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX5GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX5GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX5GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX5GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX5GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX5GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX5GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX5GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX5GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX5GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX5GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX5GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX5GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX5GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX5GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX5GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX5GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX5GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX5GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX5GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX5GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX5GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GCR4
 */
#define DDR_PHY_DX5GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000C10 )
#define DDR_PHY_DX5GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX5GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX5GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX5GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX5GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX5GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX5GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX5GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX5GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX5GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX5GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX5GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX5GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX5GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX5GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX5GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX5GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX5GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX5GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX5GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX5GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX5GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX5GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX5GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX5GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX5GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX5GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX5GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX5GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX5GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX5GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX5GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX5GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX5GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX5GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX5GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX5GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GCR5
 */
#define DDR_PHY_DX5GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000C14 )
#define DDR_PHY_DX5GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX5GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX5GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX5GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX5GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX5GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX5GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX5GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX5GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX5GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX5GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX5GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX5GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX5GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX5GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX5GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX5GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX5GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX5GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX5GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX5GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX5GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX5GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX5GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX5GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX5GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX5GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX5GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX5GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX5GCR6
 */
#define DDR_PHY_DX5GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000C18 )
#define DDR_PHY_DX5GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX5GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX5GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX5GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX5GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX5GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX5GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX5GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX5GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX5GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX5GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX5GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX5GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX5GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX5GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX5GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX5GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX5GCR7
 */
#define DDR_PHY_DX5GCR7    ( ( DDR_PHY_BASEADDR ) + 0x00000C1C )
#define DDR_PHY_DX5GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX5GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX5GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX5GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX5GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX5GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX5GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX5GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX5GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX5GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX5GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX5GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX5GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX5GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX5GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX5GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX5GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX5GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX5GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX5GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX5GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX5GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX5GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX5GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX5GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX5GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX5GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX5GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX5GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX5GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX5GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX5GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX5GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX5GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX5GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX5GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GCR8
 */
#define DDR_PHY_DX5GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000C20 )
#define DDR_PHY_DX5GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX5GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX5GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX5GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX5GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX5GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX5GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX5GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX5GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX5GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX5GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX5GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX5GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GCR9
 */
#define DDR_PHY_DX5GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000C24 )
#define DDR_PHY_DX5GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX5GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX5GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX5GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX5GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX5GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX5GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX5GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX5GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX5GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX5GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX5GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX5GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR0
 */
#define DDR_PHY_DX5BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000C40 )
#define DDR_PHY_DX5BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX5BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX5BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX5BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX5BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX5BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX5BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX5BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX5BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX5BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX5BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX5BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX5BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR1
 */
#define DDR_PHY_DX5BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000C44 )
#define DDR_PHY_DX5BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX5BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX5BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX5BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX5BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX5BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX5BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX5BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX5BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX5BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX5BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX5BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX5BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR2
 */
#define DDR_PHY_DX5BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000C48 )
#define DDR_PHY_DX5BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX5BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX5BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX5BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX5BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX5BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX5BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX5BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX5BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX5BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX5BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX5BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX5BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR3
 */
#define DDR_PHY_DX5BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000C50 )
#define DDR_PHY_DX5BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX5BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX5BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX5BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX5BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX5BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX5BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX5BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX5BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX5BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX5BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX5BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX5BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR4
 */
#define DDR_PHY_DX5BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000C54 )
#define DDR_PHY_DX5BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX5BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX5BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX5BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX5BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX5BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX5BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX5BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX5BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX5BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX5BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX5BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX5BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX5BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX5BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX5BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX5BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX5BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX5BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR5
 */
#define DDR_PHY_DX5BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000C58 )
#define DDR_PHY_DX5BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX5BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX5BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX5BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX5BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX5BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX5BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR6
 */
#define DDR_PHY_DX5BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000C60 )
#define DDR_PHY_DX5BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX5BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX5BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX5BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX5BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX5BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX5BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX5BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX5BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX5BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX5BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX5BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX5BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR7
 */
#define DDR_PHY_DX5BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000C64 )
#define DDR_PHY_DX5BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX5BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX5BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX5BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX5BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX5BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX5BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX5BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX5BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX5BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX5BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX5BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX5BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR8
 */
#define DDR_PHY_DX5BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000C68 )
#define DDR_PHY_DX5BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX5BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX5BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX5BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX5BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX5BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX5BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX5BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX5BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX5BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX5BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX5BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX5BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5BDLR9
 */
#define DDR_PHY_DX5BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x00000C6C )
#define DDR_PHY_DX5BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX5BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX5BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX5BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX5BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX5BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX5BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX5BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX5BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX5BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX5BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX5BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX5BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX5BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX5BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX5BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX5BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX5BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX5BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5LCDLR0
 */
#define DDR_PHY_DX5LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000C80 )
#define DDR_PHY_DX5LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX5LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX5LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX5LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX5LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX5LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX5LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX5LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX5LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX5LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5LCDLR1
 */
#define DDR_PHY_DX5LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000C84 )
#define DDR_PHY_DX5LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX5LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX5LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX5LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX5LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX5LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX5LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX5LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX5LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX5LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5LCDLR2
 */
#define DDR_PHY_DX5LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000C88 )
#define DDR_PHY_DX5LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX5LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX5LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX5LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX5LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX5LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX5LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX5LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX5LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX5LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5LCDLR3
 */
#define DDR_PHY_DX5LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000C8C )
#define DDR_PHY_DX5LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX5LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX5LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX5LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX5LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX5LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX5LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX5LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX5LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX5LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5LCDLR4
 */
#define DDR_PHY_DX5LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000C90 )
#define DDR_PHY_DX5LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX5LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX5LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX5LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX5LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX5LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX5LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX5LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX5LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX5LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5LCDLR5
 */
#define DDR_PHY_DX5LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000C94 )
#define DDR_PHY_DX5LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX5LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX5LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX5LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX5LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX5LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX5LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX5LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX5LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX5LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5MDLR0
 */
#define DDR_PHY_DX5MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000CA0 )
#define DDR_PHY_DX5MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX5MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX5MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX5MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX5MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX5MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX5MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX5MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX5MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX5MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5MDLR1
 */
#define DDR_PHY_DX5MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000CA4 )
#define DDR_PHY_DX5MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX5MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX5MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX5MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX5MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX5MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX5MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GTR0
 */
#define DDR_PHY_DX5GTR0    ( ( DDR_PHY_BASEADDR ) + 0x00000CC0 )
#define DDR_PHY_DX5GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX5GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX5GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX5GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX5GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX5GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX5GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX5GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX5GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX5GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX5GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX5GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX5GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX5GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX5GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX5GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX5GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX5GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX5GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX5GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX5GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX5GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX5GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX5GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX5GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX5GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX5GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX5GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5RSR0
 */
#define DDR_PHY_DX5RSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000CD0 )
#define DDR_PHY_DX5RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX5RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX5RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX5RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX5RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX5RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX5RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5RSR1
 */
#define DDR_PHY_DX5RSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000CD4 )
#define DDR_PHY_DX5RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX5RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX5RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX5RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX5RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX5RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX5RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5RSR2
 */
#define DDR_PHY_DX5RSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000CD8 )
#define DDR_PHY_DX5RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX5RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX5RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX5RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX5RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX5RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX5RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5RSR3
 */
#define DDR_PHY_DX5RSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000CDC )
#define DDR_PHY_DX5RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX5RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX5RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX5RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX5RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX5RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX5RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GSR0
 */
#define DDR_PHY_DX5GSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000CE0 )
#define DDR_PHY_DX5GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX5GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX5GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX5GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX5GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX5GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX5GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX5GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX5GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX5GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX5GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX5GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX5GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX5GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX5GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX5GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX5GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX5GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX5GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX5GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX5GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX5GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX5GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX5GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX5GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX5GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX5GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX5GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX5GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX5GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX5GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX5GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX5GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX5GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX5GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX5GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX5GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX5GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX5GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX5GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GSR1
 */
#define DDR_PHY_DX5GSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000CE4 )
#define DDR_PHY_DX5GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX5GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX5GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX5GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX5GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX5GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX5GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX5GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX5GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX5GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GSR2
 */
#define DDR_PHY_DX5GSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000CE8 )
#define DDR_PHY_DX5GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX5GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX5GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX5GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX5GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX5GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX5GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX5GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX5GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX5GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX5GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX5GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX5GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX5GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX5GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX5GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX5GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX5GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX5GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX5GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX5GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX5GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX5GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX5GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX5GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_REWN_SHIFT   5
#define DDR_PHY_DX5GSR2_REWN_WIDTH   1
#define DDR_PHY_DX5GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX5GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_REERR_SHIFT   4
#define DDR_PHY_DX5GSR2_REERR_WIDTH   1
#define DDR_PHY_DX5GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX5GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX5GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX5GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX5GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX5GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX5GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX5GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX5GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX5GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX5GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX5GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX5GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX5GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GSR3
 */
#define DDR_PHY_DX5GSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000CEC )
#define DDR_PHY_DX5GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX5GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX5GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX5GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX5GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX5GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX5GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX5GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX5GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX5GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX5GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX5GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX5GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX5GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX5GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX5GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX5GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX5GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX5GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX5GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX5GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX5GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX5GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX5GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX5GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GSR4
 */
#define DDR_PHY_DX5GSR4    ( ( DDR_PHY_BASEADDR ) + 0x00000CF0 )
#define DDR_PHY_DX5GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX5GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX5GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX5GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX5GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX5GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX5GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX5GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX5GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX5GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX5GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX5GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX5GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX5GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX5GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX5GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX5GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX5GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX5GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX5GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX5GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX5GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX5GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX5GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX5GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX5GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX5GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GSR5
 */
#define DDR_PHY_DX5GSR5    ( ( DDR_PHY_BASEADDR ) + 0x00000CF4 )
#define DDR_PHY_DX5GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX5GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX5GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX5GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX5GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX5GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX5GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX5GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX5GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX5GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX5GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX5GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX5GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX5GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX5GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX5GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX5GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX5GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX5GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX5GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX5GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX5GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX5GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX5GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX5GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX5GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX5GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX5GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX5GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX5GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX5GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX5GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX5GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX5GSR6
 */
#define DDR_PHY_DX5GSR6    ( ( DDR_PHY_BASEADDR ) + 0x00000CF8 )
#define DDR_PHY_DX5GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX5GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX5GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX5GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX5GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX5GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX5GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX5GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX5GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX5GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX5GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX5GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX5GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX5GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX5GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX5GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX5GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX5GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX5GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX5GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX5GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX5GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX5GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX5GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX5GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX5GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GCR0
 */
#define DDR_PHY_DX6GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000D00 )
#define DDR_PHY_DX6GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX6GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX6GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX6GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX6GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX6GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX6GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX6GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX6GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX6GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX6GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX6GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX6GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX6GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX6GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX6GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX6GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX6GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX6GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX6GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX6GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX6GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX6GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX6GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX6GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX6GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX6GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX6GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX6GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX6GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX6GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX6GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX6GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX6GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX6GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX6GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX6GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX6GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX6GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX6GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX6GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX6GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX6GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX6GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX6GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX6GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX6GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX6GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX6GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX6GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX6GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX6GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX6GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX6GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GCR1
 */
#define DDR_PHY_DX6GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000D04 )
#define DDR_PHY_DX6GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX6GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX6GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX6GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX6GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX6GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX6GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX6GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX6GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX6GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX6GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX6GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX6GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX6GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX6GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX6GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX6GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX6GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX6GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX6GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX6GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX6GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX6GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX6GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX6GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX6GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX6GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX6GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX6GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX6GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX6GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX6GCR2
 */
#define DDR_PHY_DX6GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000D08 )
#define DDR_PHY_DX6GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX6GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX6GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX6GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX6GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX6GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX6GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GCR3
 */
#define DDR_PHY_DX6GCR3    ( ( DDR_PHY_BASEADDR ) + 0x00000D0C )
#define DDR_PHY_DX6GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX6GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX6GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX6GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX6GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX6GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX6GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX6GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX6GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX6GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX6GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX6GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX6GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX6GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX6GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX6GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX6GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX6GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX6GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX6GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX6GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX6GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX6GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX6GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX6GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX6GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX6GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX6GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX6GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX6GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX6GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX6GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX6GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX6GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX6GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX6GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX6GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX6GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX6GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX6GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX6GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX6GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX6GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX6GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX6GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX6GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX6GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GCR4
 */
#define DDR_PHY_DX6GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000D10 )
#define DDR_PHY_DX6GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX6GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX6GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX6GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX6GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX6GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX6GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX6GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX6GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX6GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX6GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX6GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX6GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX6GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX6GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX6GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX6GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX6GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX6GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX6GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX6GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX6GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX6GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX6GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX6GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX6GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX6GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX6GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX6GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX6GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX6GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX6GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX6GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX6GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX6GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX6GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX6GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GCR5
 */
#define DDR_PHY_DX6GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000D14 )
#define DDR_PHY_DX6GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX6GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX6GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX6GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX6GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX6GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX6GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX6GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX6GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX6GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX6GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX6GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX6GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX6GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX6GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX6GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX6GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX6GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX6GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX6GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX6GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX6GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX6GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX6GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX6GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX6GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX6GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX6GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX6GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX6GCR6
 */
#define DDR_PHY_DX6GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000D18 )
#define DDR_PHY_DX6GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX6GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX6GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX6GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX6GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX6GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX6GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX6GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX6GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX6GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX6GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX6GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX6GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX6GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX6GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX6GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX6GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX6GCR7
 */
#define DDR_PHY_DX6GCR7    ( ( DDR_PHY_BASEADDR ) + 0x00000D1C )
#define DDR_PHY_DX6GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX6GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX6GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX6GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX6GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX6GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX6GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX6GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX6GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX6GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX6GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX6GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX6GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX6GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX6GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX6GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX6GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX6GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX6GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX6GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX6GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX6GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX6GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX6GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX6GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX6GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX6GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX6GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX6GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX6GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX6GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX6GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX6GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX6GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX6GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX6GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GCR8
 */
#define DDR_PHY_DX6GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000D20 )
#define DDR_PHY_DX6GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX6GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX6GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX6GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX6GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX6GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX6GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX6GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX6GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX6GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX6GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX6GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX6GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GCR9
 */
#define DDR_PHY_DX6GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000D24 )
#define DDR_PHY_DX6GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX6GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX6GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX6GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX6GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX6GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX6GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX6GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX6GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX6GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX6GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX6GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX6GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR0
 */
#define DDR_PHY_DX6BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000D40 )
#define DDR_PHY_DX6BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX6BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX6BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX6BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX6BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX6BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX6BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX6BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX6BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX6BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX6BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX6BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX6BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR1
 */
#define DDR_PHY_DX6BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000D44 )
#define DDR_PHY_DX6BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX6BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX6BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX6BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX6BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX6BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX6BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX6BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX6BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX6BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX6BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX6BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX6BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR2
 */
#define DDR_PHY_DX6BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000D48 )
#define DDR_PHY_DX6BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX6BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX6BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX6BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX6BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX6BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX6BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX6BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX6BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX6BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX6BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX6BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX6BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR3
 */
#define DDR_PHY_DX6BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000D50 )
#define DDR_PHY_DX6BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX6BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX6BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX6BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX6BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX6BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX6BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX6BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX6BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX6BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX6BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX6BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX6BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR4
 */
#define DDR_PHY_DX6BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000D54 )
#define DDR_PHY_DX6BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX6BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX6BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX6BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX6BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX6BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX6BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX6BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX6BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX6BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX6BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX6BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX6BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX6BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX6BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX6BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX6BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX6BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX6BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR5
 */
#define DDR_PHY_DX6BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000D58 )
#define DDR_PHY_DX6BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX6BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX6BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX6BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX6BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX6BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX6BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR6
 */
#define DDR_PHY_DX6BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000D60 )
#define DDR_PHY_DX6BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX6BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX6BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX6BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX6BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX6BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX6BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX6BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX6BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX6BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX6BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX6BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX6BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR7
 */
#define DDR_PHY_DX6BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000D64 )
#define DDR_PHY_DX6BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX6BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX6BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX6BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX6BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX6BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX6BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX6BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX6BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX6BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX6BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX6BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX6BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR8
 */
#define DDR_PHY_DX6BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000D68 )
#define DDR_PHY_DX6BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX6BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX6BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX6BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX6BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX6BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX6BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX6BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX6BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX6BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX6BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX6BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX6BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6BDLR9
 */
#define DDR_PHY_DX6BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x00000D6C )
#define DDR_PHY_DX6BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX6BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX6BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX6BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX6BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX6BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX6BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX6BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX6BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX6BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX6BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX6BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX6BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX6BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX6BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX6BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX6BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX6BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX6BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6LCDLR0
 */
#define DDR_PHY_DX6LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000D80 )
#define DDR_PHY_DX6LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX6LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX6LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX6LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX6LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX6LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX6LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX6LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX6LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX6LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6LCDLR1
 */
#define DDR_PHY_DX6LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000D84 )
#define DDR_PHY_DX6LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX6LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX6LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX6LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX6LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX6LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX6LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX6LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX6LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX6LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6LCDLR2
 */
#define DDR_PHY_DX6LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000D88 )
#define DDR_PHY_DX6LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX6LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX6LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX6LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX6LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX6LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX6LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX6LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX6LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX6LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6LCDLR3
 */
#define DDR_PHY_DX6LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000D8C )
#define DDR_PHY_DX6LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX6LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX6LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX6LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX6LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX6LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX6LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX6LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX6LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX6LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6LCDLR4
 */
#define DDR_PHY_DX6LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000D90 )
#define DDR_PHY_DX6LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX6LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX6LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX6LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX6LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX6LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX6LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX6LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX6LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX6LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6LCDLR5
 */
#define DDR_PHY_DX6LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000D94 )
#define DDR_PHY_DX6LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX6LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX6LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX6LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX6LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX6LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX6LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX6LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX6LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX6LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6MDLR0
 */
#define DDR_PHY_DX6MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000DA0 )
#define DDR_PHY_DX6MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX6MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX6MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX6MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX6MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX6MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX6MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX6MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX6MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX6MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6MDLR1
 */
#define DDR_PHY_DX6MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000DA4 )
#define DDR_PHY_DX6MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX6MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX6MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX6MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX6MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX6MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX6MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GTR0
 */
#define DDR_PHY_DX6GTR0    ( ( DDR_PHY_BASEADDR ) + 0x00000DC0 )
#define DDR_PHY_DX6GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX6GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX6GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX6GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX6GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX6GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX6GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX6GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX6GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX6GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX6GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX6GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX6GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX6GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX6GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX6GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX6GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX6GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX6GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX6GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX6GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX6GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX6GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX6GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX6GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX6GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX6GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX6GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6RSR0
 */
#define DDR_PHY_DX6RSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000DD0 )
#define DDR_PHY_DX6RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX6RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX6RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX6RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX6RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX6RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX6RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6RSR1
 */
#define DDR_PHY_DX6RSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000DD4 )
#define DDR_PHY_DX6RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX6RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX6RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX6RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX6RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX6RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX6RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6RSR2
 */
#define DDR_PHY_DX6RSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000DD8 )
#define DDR_PHY_DX6RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX6RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX6RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX6RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX6RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX6RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX6RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6RSR3
 */
#define DDR_PHY_DX6RSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000DDC )
#define DDR_PHY_DX6RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX6RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX6RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX6RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX6RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX6RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX6RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GSR0
 */
#define DDR_PHY_DX6GSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000DE0 )
#define DDR_PHY_DX6GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX6GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX6GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX6GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX6GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX6GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX6GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX6GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX6GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX6GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX6GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX6GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX6GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX6GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX6GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX6GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX6GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX6GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX6GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX6GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX6GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX6GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX6GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX6GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX6GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX6GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX6GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX6GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX6GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX6GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX6GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX6GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX6GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX6GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX6GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX6GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX6GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX6GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX6GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX6GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GSR1
 */
#define DDR_PHY_DX6GSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000DE4 )
#define DDR_PHY_DX6GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX6GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX6GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX6GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX6GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX6GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX6GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX6GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX6GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX6GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GSR2
 */
#define DDR_PHY_DX6GSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000DE8 )
#define DDR_PHY_DX6GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX6GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX6GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX6GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX6GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX6GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX6GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX6GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX6GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX6GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX6GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX6GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX6GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX6GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX6GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX6GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX6GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX6GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX6GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX6GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX6GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX6GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX6GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX6GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX6GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_REWN_SHIFT   5
#define DDR_PHY_DX6GSR2_REWN_WIDTH   1
#define DDR_PHY_DX6GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX6GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_REERR_SHIFT   4
#define DDR_PHY_DX6GSR2_REERR_WIDTH   1
#define DDR_PHY_DX6GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX6GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX6GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX6GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX6GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX6GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX6GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX6GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX6GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX6GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX6GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX6GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX6GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX6GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GSR3
 */
#define DDR_PHY_DX6GSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000DEC )
#define DDR_PHY_DX6GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX6GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX6GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX6GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX6GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX6GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX6GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX6GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX6GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX6GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX6GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX6GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX6GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX6GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX6GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX6GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX6GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX6GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX6GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX6GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX6GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX6GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX6GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX6GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX6GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GSR4
 */
#define DDR_PHY_DX6GSR4    ( ( DDR_PHY_BASEADDR ) + 0x00000DF0 )
#define DDR_PHY_DX6GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX6GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX6GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX6GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX6GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX6GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX6GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX6GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX6GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX6GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX6GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX6GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX6GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX6GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX6GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX6GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX6GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX6GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX6GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX6GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX6GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX6GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX6GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX6GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX6GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX6GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX6GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GSR5
 */
#define DDR_PHY_DX6GSR5    ( ( DDR_PHY_BASEADDR ) + 0x00000DF4 )
#define DDR_PHY_DX6GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX6GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX6GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX6GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX6GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX6GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX6GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX6GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX6GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX6GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX6GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX6GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX6GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX6GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX6GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX6GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX6GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX6GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX6GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX6GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX6GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX6GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX6GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX6GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX6GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX6GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX6GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX6GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX6GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX6GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX6GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX6GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX6GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX6GSR6
 */
#define DDR_PHY_DX6GSR6    ( ( DDR_PHY_BASEADDR ) + 0x00000DF8 )
#define DDR_PHY_DX6GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX6GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX6GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX6GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX6GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX6GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX6GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX6GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX6GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX6GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX6GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX6GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX6GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX6GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX6GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX6GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX6GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX6GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX6GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX6GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX6GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX6GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX6GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX6GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX6GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX6GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GCR0
 */
#define DDR_PHY_DX7GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000E00 )
#define DDR_PHY_DX7GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX7GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX7GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX7GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX7GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX7GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX7GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX7GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX7GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX7GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX7GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX7GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX7GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX7GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX7GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX7GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX7GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX7GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX7GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX7GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX7GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX7GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX7GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX7GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX7GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX7GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX7GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX7GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX7GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX7GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX7GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX7GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX7GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX7GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX7GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX7GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX7GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX7GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX7GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX7GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX7GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX7GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX7GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX7GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX7GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX7GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX7GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX7GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX7GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX7GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX7GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX7GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX7GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX7GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GCR1
 */
#define DDR_PHY_DX7GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000E04 )
#define DDR_PHY_DX7GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX7GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX7GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX7GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX7GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX7GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX7GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX7GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX7GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX7GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX7GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX7GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX7GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX7GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX7GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX7GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX7GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX7GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX7GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX7GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX7GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX7GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX7GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX7GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX7GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX7GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX7GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX7GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX7GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX7GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX7GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX7GCR2
 */
#define DDR_PHY_DX7GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000E08 )
#define DDR_PHY_DX7GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX7GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX7GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX7GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX7GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX7GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX7GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GCR3
 */
#define DDR_PHY_DX7GCR3    ( ( DDR_PHY_BASEADDR ) + 0x00000E0C )
#define DDR_PHY_DX7GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX7GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX7GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX7GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX7GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX7GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX7GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX7GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX7GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX7GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX7GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX7GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX7GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX7GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX7GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX7GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX7GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX7GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX7GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX7GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX7GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX7GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX7GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX7GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX7GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX7GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX7GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX7GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX7GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX7GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX7GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX7GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX7GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX7GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX7GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX7GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX7GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX7GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX7GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX7GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX7GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX7GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX7GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX7GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX7GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX7GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX7GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GCR4
 */
#define DDR_PHY_DX7GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000E10 )
#define DDR_PHY_DX7GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX7GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX7GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX7GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX7GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX7GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX7GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX7GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX7GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX7GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX7GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX7GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX7GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX7GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX7GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX7GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX7GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX7GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX7GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX7GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX7GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX7GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX7GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX7GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX7GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX7GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX7GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX7GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX7GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX7GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX7GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX7GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX7GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX7GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX7GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX7GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX7GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GCR5
 */
#define DDR_PHY_DX7GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000E14 )
#define DDR_PHY_DX7GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX7GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX7GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX7GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX7GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX7GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX7GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX7GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX7GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX7GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX7GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX7GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX7GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX7GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX7GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX7GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX7GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX7GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX7GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX7GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX7GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX7GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX7GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX7GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX7GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX7GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX7GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX7GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX7GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX7GCR6
 */
#define DDR_PHY_DX7GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000E18 )
#define DDR_PHY_DX7GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX7GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX7GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX7GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX7GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX7GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX7GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX7GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX7GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX7GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX7GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX7GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX7GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX7GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX7GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX7GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX7GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX7GCR7
 */
#define DDR_PHY_DX7GCR7    ( ( DDR_PHY_BASEADDR ) + 0x00000E1C )
#define DDR_PHY_DX7GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX7GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX7GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX7GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX7GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX7GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX7GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX7GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX7GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX7GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX7GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX7GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX7GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX7GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX7GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX7GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX7GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX7GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX7GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX7GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX7GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX7GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX7GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX7GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX7GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX7GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX7GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX7GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX7GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX7GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX7GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX7GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX7GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX7GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX7GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX7GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GCR8
 */
#define DDR_PHY_DX7GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000E20 )
#define DDR_PHY_DX7GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX7GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX7GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX7GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX7GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX7GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX7GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX7GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX7GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX7GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX7GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX7GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX7GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GCR9
 */
#define DDR_PHY_DX7GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000E24 )
#define DDR_PHY_DX7GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX7GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX7GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX7GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX7GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX7GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX7GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX7GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX7GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX7GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX7GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX7GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX7GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR0
 */
#define DDR_PHY_DX7BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000E40 )
#define DDR_PHY_DX7BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX7BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX7BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX7BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX7BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX7BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX7BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX7BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX7BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX7BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX7BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX7BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX7BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR1
 */
#define DDR_PHY_DX7BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000E44 )
#define DDR_PHY_DX7BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX7BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX7BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX7BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX7BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX7BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX7BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX7BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX7BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX7BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX7BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX7BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX7BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR2
 */
#define DDR_PHY_DX7BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000E48 )
#define DDR_PHY_DX7BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX7BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX7BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX7BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX7BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX7BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX7BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX7BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX7BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX7BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX7BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX7BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX7BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR3
 */
#define DDR_PHY_DX7BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000E50 )
#define DDR_PHY_DX7BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX7BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX7BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX7BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX7BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX7BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX7BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX7BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX7BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX7BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX7BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX7BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX7BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR4
 */
#define DDR_PHY_DX7BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000E54 )
#define DDR_PHY_DX7BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX7BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX7BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX7BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX7BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX7BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX7BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX7BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX7BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX7BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX7BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX7BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX7BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX7BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX7BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX7BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX7BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX7BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX7BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR5
 */
#define DDR_PHY_DX7BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000E58 )
#define DDR_PHY_DX7BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX7BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX7BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX7BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX7BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX7BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX7BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR6
 */
#define DDR_PHY_DX7BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000E60 )
#define DDR_PHY_DX7BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX7BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX7BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX7BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX7BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX7BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX7BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX7BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX7BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX7BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX7BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX7BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX7BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR7
 */
#define DDR_PHY_DX7BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000E64 )
#define DDR_PHY_DX7BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX7BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX7BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX7BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX7BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX7BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX7BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX7BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX7BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX7BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX7BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX7BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX7BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR8
 */
#define DDR_PHY_DX7BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000E68 )
#define DDR_PHY_DX7BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX7BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX7BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX7BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX7BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX7BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX7BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX7BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX7BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX7BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX7BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX7BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX7BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7BDLR9
 */
#define DDR_PHY_DX7BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x00000E6C )
#define DDR_PHY_DX7BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX7BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX7BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX7BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX7BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX7BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX7BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX7BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX7BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX7BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX7BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX7BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX7BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX7BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX7BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX7BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX7BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX7BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX7BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7LCDLR0
 */
#define DDR_PHY_DX7LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000E80 )
#define DDR_PHY_DX7LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX7LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX7LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX7LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX7LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX7LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX7LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX7LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX7LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX7LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7LCDLR1
 */
#define DDR_PHY_DX7LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000E84 )
#define DDR_PHY_DX7LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX7LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX7LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX7LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX7LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX7LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX7LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX7LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX7LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX7LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7LCDLR2
 */
#define DDR_PHY_DX7LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000E88 )
#define DDR_PHY_DX7LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX7LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX7LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX7LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX7LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX7LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX7LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX7LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX7LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX7LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7LCDLR3
 */
#define DDR_PHY_DX7LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000E8C )
#define DDR_PHY_DX7LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX7LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX7LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX7LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX7LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX7LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX7LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX7LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX7LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX7LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7LCDLR4
 */
#define DDR_PHY_DX7LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000E90 )
#define DDR_PHY_DX7LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX7LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX7LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX7LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX7LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX7LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX7LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX7LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX7LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX7LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7LCDLR5
 */
#define DDR_PHY_DX7LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000E94 )
#define DDR_PHY_DX7LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX7LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX7LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX7LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX7LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX7LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX7LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX7LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX7LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX7LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7MDLR0
 */
#define DDR_PHY_DX7MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000EA0 )
#define DDR_PHY_DX7MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX7MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX7MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX7MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX7MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX7MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX7MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX7MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX7MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX7MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7MDLR1
 */
#define DDR_PHY_DX7MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000EA4 )
#define DDR_PHY_DX7MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX7MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX7MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX7MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX7MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX7MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX7MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GTR0
 */
#define DDR_PHY_DX7GTR0    ( ( DDR_PHY_BASEADDR ) + 0x00000EC0 )
#define DDR_PHY_DX7GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX7GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX7GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX7GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX7GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX7GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX7GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX7GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX7GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX7GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX7GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX7GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX7GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX7GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX7GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX7GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX7GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX7GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX7GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX7GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX7GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX7GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX7GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX7GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX7GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX7GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX7GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX7GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7RSR0
 */
#define DDR_PHY_DX7RSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000ED0 )
#define DDR_PHY_DX7RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX7RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX7RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX7RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX7RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX7RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX7RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7RSR1
 */
#define DDR_PHY_DX7RSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000ED4 )
#define DDR_PHY_DX7RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX7RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX7RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX7RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX7RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX7RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX7RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7RSR2
 */
#define DDR_PHY_DX7RSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000ED8 )
#define DDR_PHY_DX7RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX7RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX7RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX7RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX7RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX7RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX7RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7RSR3
 */
#define DDR_PHY_DX7RSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000EDC )
#define DDR_PHY_DX7RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX7RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX7RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX7RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX7RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX7RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX7RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GSR0
 */
#define DDR_PHY_DX7GSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000EE0 )
#define DDR_PHY_DX7GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX7GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX7GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX7GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX7GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX7GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX7GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX7GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX7GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX7GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX7GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX7GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX7GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX7GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX7GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX7GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX7GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX7GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX7GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX7GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX7GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX7GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX7GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX7GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX7GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX7GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX7GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX7GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX7GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX7GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX7GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX7GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX7GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX7GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX7GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX7GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX7GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX7GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX7GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX7GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GSR1
 */
#define DDR_PHY_DX7GSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000EE4 )
#define DDR_PHY_DX7GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX7GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX7GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX7GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX7GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX7GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX7GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX7GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX7GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX7GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GSR2
 */
#define DDR_PHY_DX7GSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000EE8 )
#define DDR_PHY_DX7GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX7GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX7GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX7GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX7GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX7GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX7GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX7GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX7GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX7GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX7GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX7GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX7GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX7GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX7GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX7GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX7GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX7GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX7GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX7GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX7GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX7GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX7GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX7GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX7GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_REWN_SHIFT   5
#define DDR_PHY_DX7GSR2_REWN_WIDTH   1
#define DDR_PHY_DX7GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX7GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_REERR_SHIFT   4
#define DDR_PHY_DX7GSR2_REERR_WIDTH   1
#define DDR_PHY_DX7GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX7GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX7GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX7GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX7GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX7GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX7GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX7GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX7GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX7GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX7GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX7GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX7GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX7GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GSR3
 */
#define DDR_PHY_DX7GSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000EEC )
#define DDR_PHY_DX7GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX7GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX7GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX7GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX7GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX7GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX7GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX7GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX7GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX7GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX7GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX7GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX7GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX7GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX7GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX7GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX7GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX7GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX7GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX7GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX7GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX7GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX7GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX7GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX7GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GSR4
 */
#define DDR_PHY_DX7GSR4    ( ( DDR_PHY_BASEADDR ) + 0x00000EF0 )
#define DDR_PHY_DX7GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX7GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX7GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX7GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX7GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX7GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX7GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX7GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX7GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX7GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX7GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX7GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX7GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX7GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX7GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX7GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX7GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX7GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX7GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX7GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX7GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX7GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX7GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX7GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX7GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX7GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX7GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GSR5
 */
#define DDR_PHY_DX7GSR5    ( ( DDR_PHY_BASEADDR ) + 0x00000EF4 )
#define DDR_PHY_DX7GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX7GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX7GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX7GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX7GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX7GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX7GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX7GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX7GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX7GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX7GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX7GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX7GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX7GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX7GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX7GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX7GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX7GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX7GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX7GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX7GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX7GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX7GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX7GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX7GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX7GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX7GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX7GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX7GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX7GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX7GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX7GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX7GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX7GSR6
 */
#define DDR_PHY_DX7GSR6    ( ( DDR_PHY_BASEADDR ) + 0x00000EF8 )
#define DDR_PHY_DX7GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX7GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX7GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX7GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX7GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX7GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX7GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX7GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX7GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX7GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX7GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX7GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX7GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX7GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX7GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX7GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX7GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX7GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX7GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX7GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX7GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX7GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX7GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX7GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX7GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX7GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GCR0
 */
#define DDR_PHY_DX8GCR0    ( ( DDR_PHY_BASEADDR ) + 0x00000F00 )
#define DDR_PHY_DX8GCR0_DEFVAL   0x40200204

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_CALBYP_SHIFT   31
#define DDR_PHY_DX8GCR0_CALBYP_WIDTH   1
#define DDR_PHY_DX8GCR0_CALBYP_MASK    0x80000000
#define DDR_PHY_DX8GCR0_CALBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_MDLEN_SHIFT   30
#define DDR_PHY_DX8GCR0_MDLEN_WIDTH   1
#define DDR_PHY_DX8GCR0_MDLEN_MASK    0x40000000
#define DDR_PHY_DX8GCR0_MDLEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_CODTSHFT_SHIFT   28
#define DDR_PHY_DX8GCR0_CODTSHFT_WIDTH   2
#define DDR_PHY_DX8GCR0_CODTSHFT_MASK    0x30000000
#define DDR_PHY_DX8GCR0_CODTSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_DQSDCC_SHIFT   24
#define DDR_PHY_DX8GCR0_DQSDCC_WIDTH   4
#define DDR_PHY_DX8GCR0_DQSDCC_MASK    0x0f000000
#define DDR_PHY_DX8GCR0_DQSDCC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_RDDLY_SHIFT   20
#define DDR_PHY_DX8GCR0_RDDLY_WIDTH   4
#define DDR_PHY_DX8GCR0_RDDLY_MASK    0x00f00000
#define DDR_PHY_DX8GCR0_RDDLY_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX8GCR0_RESERVED_19_14_SHIFT   14
#define DDR_PHY_DX8GCR0_RESERVED_19_14_WIDTH   6
#define DDR_PHY_DX8GCR0_RESERVED_19_14_MASK    0x000fc000
#define DDR_PHY_DX8GCR0_RESERVED_19_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_DQSNSEPDR_SHIFT   13
#define DDR_PHY_DX8GCR0_DQSNSEPDR_WIDTH   1
#define DDR_PHY_DX8GCR0_DQSNSEPDR_MASK    0x00002000
#define DDR_PHY_DX8GCR0_DQSNSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_DQSSEPDR_SHIFT   12
#define DDR_PHY_DX8GCR0_DQSSEPDR_WIDTH   1
#define DDR_PHY_DX8GCR0_DQSSEPDR_MASK    0x00001000
#define DDR_PHY_DX8GCR0_DQSSEPDR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_RTTOAL_SHIFT   11
#define DDR_PHY_DX8GCR0_RTTOAL_WIDTH   1
#define DDR_PHY_DX8GCR0_RTTOAL_MASK    0x00000800
#define DDR_PHY_DX8GCR0_RTTOAL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_RTTOH_SHIFT   9
#define DDR_PHY_DX8GCR0_RTTOH_WIDTH   2
#define DDR_PHY_DX8GCR0_RTTOH_MASK    0x00000600
#define DDR_PHY_DX8GCR0_RTTOH_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_CPDRSHFT_SHIFT   7
#define DDR_PHY_DX8GCR0_CPDRSHFT_WIDTH   2
#define DDR_PHY_DX8GCR0_CPDRSHFT_MASK    0x00000180
#define DDR_PHY_DX8GCR0_CPDRSHFT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_DQSRPD_SHIFT   6
#define DDR_PHY_DX8GCR0_DQSRPD_WIDTH   1
#define DDR_PHY_DX8GCR0_DQSRPD_MASK    0x00000040
#define DDR_PHY_DX8GCR0_DQSRPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_DQSGPDR_SHIFT   5
#define DDR_PHY_DX8GCR0_DQSGPDR_WIDTH   1
#define DDR_PHY_DX8GCR0_DQSGPDR_MASK    0x00000020
#define DDR_PHY_DX8GCR0_DQSGPDR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR0_RESERVED_4_SHIFT   4
#define DDR_PHY_DX8GCR0_RESERVED_4_WIDTH   1
#define DDR_PHY_DX8GCR0_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX8GCR0_RESERVED_4_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_DQSGODT_SHIFT   3
#define DDR_PHY_DX8GCR0_DQSGODT_WIDTH   1
#define DDR_PHY_DX8GCR0_DQSGODT_MASK    0x00000008
#define DDR_PHY_DX8GCR0_DQSGODT_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR0_DQSGOE_SHIFT   2
#define DDR_PHY_DX8GCR0_DQSGOE_WIDTH   1
#define DDR_PHY_DX8GCR0_DQSGOE_MASK    0x00000004
#define DDR_PHY_DX8GCR0_DQSGOE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8GCR0_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX8GCR0_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX8GCR0_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX8GCR0_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GCR1
 */
#define DDR_PHY_DX8GCR1    ( ( DDR_PHY_BASEADDR ) + 0x00000F04 )
#define DDR_PHY_DX8GCR1_DEFVAL   0x7fff

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_DXPDRMODE_SHIFT   16
#define DDR_PHY_DX8GCR1_DXPDRMODE_WIDTH   16
#define DDR_PHY_DX8GCR1_DXPDRMODE_MASK    0xffff0000
#define DDR_PHY_DX8GCR1_DXPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR1_RESERVED_15_SHIFT   15
#define DDR_PHY_DX8GCR1_RESERVED_15_WIDTH   1
#define DDR_PHY_DX8GCR1_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX8GCR1_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_QSNSEL_SHIFT   14
#define DDR_PHY_DX8GCR1_QSNSEL_WIDTH   1
#define DDR_PHY_DX8GCR1_QSNSEL_MASK    0x00004000
#define DDR_PHY_DX8GCR1_QSNSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_QSSEL_SHIFT   13
#define DDR_PHY_DX8GCR1_QSSEL_WIDTH   1
#define DDR_PHY_DX8GCR1_QSSEL_MASK    0x00002000
#define DDR_PHY_DX8GCR1_QSSEL_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_OEEN_SHIFT   12
#define DDR_PHY_DX8GCR1_OEEN_WIDTH   1
#define DDR_PHY_DX8GCR1_OEEN_MASK    0x00001000
#define DDR_PHY_DX8GCR1_OEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_PDREN_SHIFT   11
#define DDR_PHY_DX8GCR1_PDREN_WIDTH   1
#define DDR_PHY_DX8GCR1_PDREN_MASK    0x00000800
#define DDR_PHY_DX8GCR1_PDREN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_TEEN_SHIFT   10
#define DDR_PHY_DX8GCR1_TEEN_WIDTH   1
#define DDR_PHY_DX8GCR1_TEEN_MASK    0x00000400
#define DDR_PHY_DX8GCR1_TEEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_DSEN_SHIFT   9
#define DDR_PHY_DX8GCR1_DSEN_WIDTH   1
#define DDR_PHY_DX8GCR1_DSEN_MASK    0x00000200
#define DDR_PHY_DX8GCR1_DSEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_DMEN_SHIFT   8
#define DDR_PHY_DX8GCR1_DMEN_WIDTH   1
#define DDR_PHY_DX8GCR1_DMEN_MASK    0x00000100
#define DDR_PHY_DX8GCR1_DMEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR1_DQEN_SHIFT   0
#define DDR_PHY_DX8GCR1_DQEN_WIDTH   8
#define DDR_PHY_DX8GCR1_DQEN_MASK    0x000000ff
#define DDR_PHY_DX8GCR1_DQEN_DEFVAL  0xff

/**
 * Register: DDR_PHY_DX8GCR2
 */
#define DDR_PHY_DX8GCR2    ( ( DDR_PHY_BASEADDR ) + 0x00000F08 )
#define DDR_PHY_DX8GCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR2_DXOEMODE_SHIFT   16
#define DDR_PHY_DX8GCR2_DXOEMODE_WIDTH   16
#define DDR_PHY_DX8GCR2_DXOEMODE_MASK    0xffff0000
#define DDR_PHY_DX8GCR2_DXOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR2_DXTEMODE_SHIFT   0
#define DDR_PHY_DX8GCR2_DXTEMODE_WIDTH   16
#define DDR_PHY_DX8GCR2_DXTEMODE_MASK    0x0000ffff
#define DDR_PHY_DX8GCR2_DXTEMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GCR3
 */
#define DDR_PHY_DX8GCR3    ( ( DDR_PHY_BASEADDR ) + 0x00000F0C )
#define DDR_PHY_DX8GCR3_DEFVAL   0x3f000008

/* access_type: ro  */
#define DDR_PHY_DX8GCR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8GCR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8GCR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8GCR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_RDBVT_SHIFT   29
#define DDR_PHY_DX8GCR3_RDBVT_WIDTH   1
#define DDR_PHY_DX8GCR3_RDBVT_MASK    0x20000000
#define DDR_PHY_DX8GCR3_RDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_WDBVT_SHIFT   28
#define DDR_PHY_DX8GCR3_WDBVT_WIDTH   1
#define DDR_PHY_DX8GCR3_WDBVT_MASK    0x10000000
#define DDR_PHY_DX8GCR3_WDBVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_RGLVT_SHIFT   27
#define DDR_PHY_DX8GCR3_RGLVT_WIDTH   1
#define DDR_PHY_DX8GCR3_RGLVT_MASK    0x08000000
#define DDR_PHY_DX8GCR3_RGLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_RDLVT_SHIFT   26
#define DDR_PHY_DX8GCR3_RDLVT_WIDTH   1
#define DDR_PHY_DX8GCR3_RDLVT_MASK    0x04000000
#define DDR_PHY_DX8GCR3_RDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_WDLVT_SHIFT   25
#define DDR_PHY_DX8GCR3_WDLVT_WIDTH   1
#define DDR_PHY_DX8GCR3_WDLVT_MASK    0x02000000
#define DDR_PHY_DX8GCR3_WDLVT_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_WLLVT_SHIFT   24
#define DDR_PHY_DX8GCR3_WLLVT_WIDTH   1
#define DDR_PHY_DX8GCR3_WLLVT_MASK    0x01000000
#define DDR_PHY_DX8GCR3_WLLVT_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8GCR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8GCR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8GCR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8GCR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DSNOEMODE_SHIFT   20
#define DDR_PHY_DX8GCR3_DSNOEMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DSNOEMODE_MASK    0x00300000
#define DDR_PHY_DX8GCR3_DSNOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DSNTEMODE_SHIFT   18
#define DDR_PHY_DX8GCR3_DSNTEMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DSNTEMODE_MASK    0x000c0000
#define DDR_PHY_DX8GCR3_DSNTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DSNPDRMODE_SHIFT   16
#define DDR_PHY_DX8GCR3_DSNPDRMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DSNPDRMODE_MASK    0x00030000
#define DDR_PHY_DX8GCR3_DSNPDRMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DMOEMODE_SHIFT   14
#define DDR_PHY_DX8GCR3_DMOEMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DMOEMODE_MASK    0x0000c000
#define DDR_PHY_DX8GCR3_DMOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DMTEMODE_SHIFT   12
#define DDR_PHY_DX8GCR3_DMTEMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DMTEMODE_MASK    0x00003000
#define DDR_PHY_DX8GCR3_DMTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DMPDRMODE_SHIFT   10
#define DDR_PHY_DX8GCR3_DMPDRMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DMPDRMODE_MASK    0x00000c00
#define DDR_PHY_DX8GCR3_DMPDRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR3_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX8GCR3_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX8GCR3_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX8GCR3_RESERVED_9_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DSOEMODE_SHIFT   6
#define DDR_PHY_DX8GCR3_DSOEMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DSOEMODE_MASK    0x000000c0
#define DDR_PHY_DX8GCR3_DSOEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DSTEMODE_SHIFT   4
#define DDR_PHY_DX8GCR3_DSTEMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DSTEMODE_MASK    0x00000030
#define DDR_PHY_DX8GCR3_DSTEMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR3_DSPDRMODE_SHIFT   2
#define DDR_PHY_DX8GCR3_DSPDRMODE_WIDTH   2
#define DDR_PHY_DX8GCR3_DSPDRMODE_MASK    0x0000000c
#define DDR_PHY_DX8GCR3_DSPDRMODE_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX8GCR3_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX8GCR3_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX8GCR3_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX8GCR3_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GCR4
 */
#define DDR_PHY_DX8GCR4    ( ( DDR_PHY_BASEADDR ) + 0x00000F10 )
#define DDR_PHY_DX8GCR4_DEFVAL   0xe00003c

/* access_type: ro  */
#define DDR_PHY_DX8GCR4_RESERVED_31_29_SHIFT   29
#define DDR_PHY_DX8GCR4_RESERVED_31_29_WIDTH   3
#define DDR_PHY_DX8GCR4_RESERVED_31_29_MASK    0xe0000000
#define DDR_PHY_DX8GCR4_RESERVED_31_29_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFPEN_SHIFT   28
#define DDR_PHY_DX8GCR4_DXREFPEN_WIDTH   1
#define DDR_PHY_DX8GCR4_DXREFPEN_MASK    0x10000000
#define DDR_PHY_DX8GCR4_DXREFPEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFEEN_SHIFT   26
#define DDR_PHY_DX8GCR4_DXREFEEN_WIDTH   2
#define DDR_PHY_DX8GCR4_DXREFEEN_MASK    0x0c000000
#define DDR_PHY_DX8GCR4_DXREFEEN_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFSEN_SHIFT   25
#define DDR_PHY_DX8GCR4_DXREFSEN_WIDTH   1
#define DDR_PHY_DX8GCR4_DXREFSEN_MASK    0x02000000
#define DDR_PHY_DX8GCR4_DXREFSEN_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8GCR4_RESERVED_24_SHIFT   24
#define DDR_PHY_DX8GCR4_RESERVED_24_WIDTH   1
#define DDR_PHY_DX8GCR4_RESERVED_24_MASK    0x01000000
#define DDR_PHY_DX8GCR4_RESERVED_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFESELRANGE_SHIFT   23
#define DDR_PHY_DX8GCR4_DXREFESELRANGE_WIDTH   1
#define DDR_PHY_DX8GCR4_DXREFESELRANGE_MASK    0x00800000
#define DDR_PHY_DX8GCR4_DXREFESELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFESEL_SHIFT   16
#define DDR_PHY_DX8GCR4_DXREFESEL_WIDTH   7
#define DDR_PHY_DX8GCR4_DXREFESEL_MASK    0x007f0000
#define DDR_PHY_DX8GCR4_DXREFESEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFSSELRANGE_SHIFT   15
#define DDR_PHY_DX8GCR4_DXREFSSELRANGE_WIDTH   1
#define DDR_PHY_DX8GCR4_DXREFSSELRANGE_MASK    0x00008000
#define DDR_PHY_DX8GCR4_DXREFSSELRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFSSEL_SHIFT   8
#define DDR_PHY_DX8GCR4_DXREFSSEL_WIDTH   7
#define DDR_PHY_DX8GCR4_DXREFSSEL_MASK    0x00007f00
#define DDR_PHY_DX8GCR4_DXREFSSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8GCR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8GCR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8GCR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFIEN_SHIFT   2
#define DDR_PHY_DX8GCR4_DXREFIEN_WIDTH   4
#define DDR_PHY_DX8GCR4_DXREFIEN_MASK    0x0000003c
#define DDR_PHY_DX8GCR4_DXREFIEN_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX8GCR4_DXREFIMON_SHIFT   0
#define DDR_PHY_DX8GCR4_DXREFIMON_WIDTH   2
#define DDR_PHY_DX8GCR4_DXREFIMON_MASK    0x00000003
#define DDR_PHY_DX8GCR4_DXREFIMON_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GCR5
 */
#define DDR_PHY_DX8GCR5    ( ( DDR_PHY_BASEADDR ) + 0x00000F14 )
#define DDR_PHY_DX8GCR5_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX8GCR5_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8GCR5_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8GCR5_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8GCR5_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR5_DXREFISELR3_SHIFT   24
#define DDR_PHY_DX8GCR5_DXREFISELR3_WIDTH   7
#define DDR_PHY_DX8GCR5_DXREFISELR3_MASK    0x7f000000
#define DDR_PHY_DX8GCR5_DXREFISELR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX8GCR5_RESERVED_23_SHIFT   23
#define DDR_PHY_DX8GCR5_RESERVED_23_WIDTH   1
#define DDR_PHY_DX8GCR5_RESERVED_23_MASK    0x00800000
#define DDR_PHY_DX8GCR5_RESERVED_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR5_DXREFISELR2_SHIFT   16
#define DDR_PHY_DX8GCR5_DXREFISELR2_WIDTH   7
#define DDR_PHY_DX8GCR5_DXREFISELR2_MASK    0x007f0000
#define DDR_PHY_DX8GCR5_DXREFISELR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX8GCR5_RESERVED_15_SHIFT   15
#define DDR_PHY_DX8GCR5_RESERVED_15_WIDTH   1
#define DDR_PHY_DX8GCR5_RESERVED_15_MASK    0x00008000
#define DDR_PHY_DX8GCR5_RESERVED_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR5_DXREFISELR1_SHIFT   8
#define DDR_PHY_DX8GCR5_DXREFISELR1_WIDTH   7
#define DDR_PHY_DX8GCR5_DXREFISELR1_MASK    0x00007f00
#define DDR_PHY_DX8GCR5_DXREFISELR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX8GCR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX8GCR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX8GCR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX8GCR5_RESERVED_7_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR5_DXREFISELR0_SHIFT   0
#define DDR_PHY_DX8GCR5_DXREFISELR0_WIDTH   7
#define DDR_PHY_DX8GCR5_DXREFISELR0_MASK    0x0000007f
#define DDR_PHY_DX8GCR5_DXREFISELR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX8GCR6
 */
#define DDR_PHY_DX8GCR6    ( ( DDR_PHY_BASEADDR ) + 0x00000F18 )
#define DDR_PHY_DX8GCR6_DEFVAL   0x9090909

/* access_type: ro  */
#define DDR_PHY_DX8GCR6_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8GCR6_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8GCR6_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8GCR6_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR6_DXDQVREFR3_SHIFT   24
#define DDR_PHY_DX8GCR6_DXDQVREFR3_WIDTH   6
#define DDR_PHY_DX8GCR6_DXDQVREFR3_MASK    0x3f000000
#define DDR_PHY_DX8GCR6_DXDQVREFR3_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX8GCR6_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8GCR6_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8GCR6_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8GCR6_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR6_DXDQVREFR2_SHIFT   16
#define DDR_PHY_DX8GCR6_DXDQVREFR2_WIDTH   6
#define DDR_PHY_DX8GCR6_DXDQVREFR2_MASK    0x003f0000
#define DDR_PHY_DX8GCR6_DXDQVREFR2_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX8GCR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8GCR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8GCR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8GCR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR6_DXDQVREFR1_SHIFT   8
#define DDR_PHY_DX8GCR6_DXDQVREFR1_WIDTH   6
#define DDR_PHY_DX8GCR6_DXDQVREFR1_MASK    0x00003f00
#define DDR_PHY_DX8GCR6_DXDQVREFR1_DEFVAL  0x9

/* access_type: ro  */
#define DDR_PHY_DX8GCR6_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8GCR6_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8GCR6_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8GCR6_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GCR6_DXDQVREFR0_SHIFT   0
#define DDR_PHY_DX8GCR6_DXDQVREFR0_WIDTH   6
#define DDR_PHY_DX8GCR6_DXDQVREFR0_MASK    0x0000003f
#define DDR_PHY_DX8GCR6_DXDQVREFR0_DEFVAL  0x9

/**
 * Register: DDR_PHY_DX8GCR7
 */
#define DDR_PHY_DX8GCR7    ( ( DDR_PHY_BASEADDR ) + 0x00000F1C )
#define DDR_PHY_DX8GCR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8GCR7_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8GCR7_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX8GCR7_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX8GCR7_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX8GCR7_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_25_SHIFT   25
#define DDR_PHY_DX8GCR7_RESERVED_25_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_25_MASK    0x02000000
#define DDR_PHY_DX8GCR7_RESERVED_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8GCR7_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8GCR7_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8GCR7_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8GCR7_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_21_SHIFT   21
#define DDR_PHY_DX8GCR7_RESERVED_21_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX8GCR7_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_20_SHIFT   20
#define DDR_PHY_DX8GCR7_RESERVED_20_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX8GCR7_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_19_SHIFT   19
#define DDR_PHY_DX8GCR7_RESERVED_19_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_19_MASK    0x00080000
#define DDR_PHY_DX8GCR7_RESERVED_19_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_18_SHIFT   18
#define DDR_PHY_DX8GCR7_RESERVED_18_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_18_MASK    0x00040000
#define DDR_PHY_DX8GCR7_RESERVED_18_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8GCR7_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8GCR7_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_16_SHIFT   16
#define DDR_PHY_DX8GCR7_RESERVED_16_WIDTH   1
#define DDR_PHY_DX8GCR7_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX8GCR7_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8GCR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8GCR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_13_12_SHIFT   12
#define DDR_PHY_DX8GCR7_RESERVED_13_12_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_13_12_MASK    0x00003000
#define DDR_PHY_DX8GCR7_RESERVED_13_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_11_10_SHIFT   10
#define DDR_PHY_DX8GCR7_RESERVED_11_10_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_11_10_MASK    0x00000c00
#define DDR_PHY_DX8GCR7_RESERVED_11_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_9_8_SHIFT   8
#define DDR_PHY_DX8GCR7_RESERVED_9_8_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_9_8_MASK    0x00000300
#define DDR_PHY_DX8GCR7_RESERVED_9_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8GCR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8GCR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_5_4_SHIFT   4
#define DDR_PHY_DX8GCR7_RESERVED_5_4_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_5_4_MASK    0x00000030
#define DDR_PHY_DX8GCR7_RESERVED_5_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX8GCR7_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX8GCR7_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR7_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX8GCR7_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX8GCR7_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX8GCR7_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GCR8
 */
#define DDR_PHY_DX8GCR8    ( ( DDR_PHY_BASEADDR ) + 0x00000F20 )
#define DDR_PHY_DX8GCR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8GCR8_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8GCR8_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8GCR8_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX8GCR8_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX8GCR8_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX8GCR8_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8GCR8_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8GCR8_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8GCR8_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX8GCR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX8GCR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX8GCR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8GCR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8GCR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8GCR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX8GCR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX8GCR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX8GCR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8GCR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8GCR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8GCR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX8GCR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX8GCR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX8GCR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GCR9
 */
#define DDR_PHY_DX8GCR9    ( ( DDR_PHY_BASEADDR ) + 0x00000F24 )
#define DDR_PHY_DX8GCR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8GCR9_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8GCR9_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8GCR9_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_29_24_SHIFT   24
#define DDR_PHY_DX8GCR9_RESERVED_29_24_WIDTH   6
#define DDR_PHY_DX8GCR9_RESERVED_29_24_MASK    0x3f000000
#define DDR_PHY_DX8GCR9_RESERVED_29_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8GCR9_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8GCR9_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8GCR9_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX8GCR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX8GCR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX8GCR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8GCR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8GCR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8GCR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX8GCR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX8GCR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX8GCR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8GCR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8GCR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8GCR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GCR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX8GCR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX8GCR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX8GCR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR0
 */
#define DDR_PHY_DX8BDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000F40 )
#define DDR_PHY_DX8BDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR0_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8BDLR0_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8BDLR0_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8BDLR0_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR0_DQ3WBD_SHIFT   24
#define DDR_PHY_DX8BDLR0_DQ3WBD_WIDTH   6
#define DDR_PHY_DX8BDLR0_DQ3WBD_MASK    0x3f000000
#define DDR_PHY_DX8BDLR0_DQ3WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR0_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8BDLR0_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8BDLR0_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8BDLR0_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR0_DQ2WBD_SHIFT   16
#define DDR_PHY_DX8BDLR0_DQ2WBD_WIDTH   6
#define DDR_PHY_DX8BDLR0_DQ2WBD_MASK    0x003f0000
#define DDR_PHY_DX8BDLR0_DQ2WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR0_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR0_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR0_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR0_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR0_DQ1WBD_SHIFT   8
#define DDR_PHY_DX8BDLR0_DQ1WBD_WIDTH   6
#define DDR_PHY_DX8BDLR0_DQ1WBD_MASK    0x00003f00
#define DDR_PHY_DX8BDLR0_DQ1WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR0_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR0_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR0_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR0_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR0_DQ0WBD_SHIFT   0
#define DDR_PHY_DX8BDLR0_DQ0WBD_WIDTH   6
#define DDR_PHY_DX8BDLR0_DQ0WBD_MASK    0x0000003f
#define DDR_PHY_DX8BDLR0_DQ0WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR1
 */
#define DDR_PHY_DX8BDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000F44 )
#define DDR_PHY_DX8BDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR1_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8BDLR1_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8BDLR1_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8BDLR1_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR1_DQ7WBD_SHIFT   24
#define DDR_PHY_DX8BDLR1_DQ7WBD_WIDTH   6
#define DDR_PHY_DX8BDLR1_DQ7WBD_MASK    0x3f000000
#define DDR_PHY_DX8BDLR1_DQ7WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR1_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8BDLR1_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8BDLR1_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8BDLR1_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR1_DQ6WBD_SHIFT   16
#define DDR_PHY_DX8BDLR1_DQ6WBD_WIDTH   6
#define DDR_PHY_DX8BDLR1_DQ6WBD_MASK    0x003f0000
#define DDR_PHY_DX8BDLR1_DQ6WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR1_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR1_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR1_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR1_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR1_DQ5WBD_SHIFT   8
#define DDR_PHY_DX8BDLR1_DQ5WBD_WIDTH   6
#define DDR_PHY_DX8BDLR1_DQ5WBD_MASK    0x00003f00
#define DDR_PHY_DX8BDLR1_DQ5WBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR1_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR1_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR1_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR1_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR1_DQ4WBD_SHIFT   0
#define DDR_PHY_DX8BDLR1_DQ4WBD_WIDTH   6
#define DDR_PHY_DX8BDLR1_DQ4WBD_MASK    0x0000003f
#define DDR_PHY_DX8BDLR1_DQ4WBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR2
 */
#define DDR_PHY_DX8BDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000F48 )
#define DDR_PHY_DX8BDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR2_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8BDLR2_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8BDLR2_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8BDLR2_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR2_DSNWBD_SHIFT   24
#define DDR_PHY_DX8BDLR2_DSNWBD_WIDTH   6
#define DDR_PHY_DX8BDLR2_DSNWBD_MASK    0x3f000000
#define DDR_PHY_DX8BDLR2_DSNWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR2_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8BDLR2_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8BDLR2_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8BDLR2_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR2_DSOEBD_SHIFT   16
#define DDR_PHY_DX8BDLR2_DSOEBD_WIDTH   6
#define DDR_PHY_DX8BDLR2_DSOEBD_MASK    0x003f0000
#define DDR_PHY_DX8BDLR2_DSOEBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR2_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR2_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR2_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR2_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR2_DSWBD_SHIFT   8
#define DDR_PHY_DX8BDLR2_DSWBD_WIDTH   6
#define DDR_PHY_DX8BDLR2_DSWBD_MASK    0x00003f00
#define DDR_PHY_DX8BDLR2_DSWBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR2_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR2_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR2_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR2_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR2_DMWBD_SHIFT   0
#define DDR_PHY_DX8BDLR2_DMWBD_WIDTH   6
#define DDR_PHY_DX8BDLR2_DMWBD_MASK    0x0000003f
#define DDR_PHY_DX8BDLR2_DMWBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR3
 */
#define DDR_PHY_DX8BDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000F50 )
#define DDR_PHY_DX8BDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR3_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8BDLR3_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8BDLR3_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8BDLR3_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR3_DQ3RBD_SHIFT   24
#define DDR_PHY_DX8BDLR3_DQ3RBD_WIDTH   6
#define DDR_PHY_DX8BDLR3_DQ3RBD_MASK    0x3f000000
#define DDR_PHY_DX8BDLR3_DQ3RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR3_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8BDLR3_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8BDLR3_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8BDLR3_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR3_DQ2RBD_SHIFT   16
#define DDR_PHY_DX8BDLR3_DQ2RBD_WIDTH   6
#define DDR_PHY_DX8BDLR3_DQ2RBD_MASK    0x003f0000
#define DDR_PHY_DX8BDLR3_DQ2RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR3_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR3_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR3_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR3_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR3_DQ1RBD_SHIFT   8
#define DDR_PHY_DX8BDLR3_DQ1RBD_WIDTH   6
#define DDR_PHY_DX8BDLR3_DQ1RBD_MASK    0x00003f00
#define DDR_PHY_DX8BDLR3_DQ1RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR3_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR3_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR3_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR3_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR3_DQ0RBD_SHIFT   0
#define DDR_PHY_DX8BDLR3_DQ0RBD_WIDTH   6
#define DDR_PHY_DX8BDLR3_DQ0RBD_MASK    0x0000003f
#define DDR_PHY_DX8BDLR3_DQ0RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR4
 */
#define DDR_PHY_DX8BDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000F54 )
#define DDR_PHY_DX8BDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR4_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8BDLR4_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8BDLR4_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8BDLR4_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR4_DQ7RBD_SHIFT   24
#define DDR_PHY_DX8BDLR4_DQ7RBD_WIDTH   6
#define DDR_PHY_DX8BDLR4_DQ7RBD_MASK    0x3f000000
#define DDR_PHY_DX8BDLR4_DQ7RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR4_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8BDLR4_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8BDLR4_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8BDLR4_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR4_DQ6RBD_SHIFT   16
#define DDR_PHY_DX8BDLR4_DQ6RBD_WIDTH   6
#define DDR_PHY_DX8BDLR4_DQ6RBD_MASK    0x003f0000
#define DDR_PHY_DX8BDLR4_DQ6RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR4_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR4_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR4_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR4_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR4_DQ5RBD_SHIFT   8
#define DDR_PHY_DX8BDLR4_DQ5RBD_WIDTH   6
#define DDR_PHY_DX8BDLR4_DQ5RBD_MASK    0x00003f00
#define DDR_PHY_DX8BDLR4_DQ5RBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR4_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR4_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR4_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR4_RESERVED_7_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR4_DQ4RBD_SHIFT   0
#define DDR_PHY_DX8BDLR4_DQ4RBD_WIDTH   6
#define DDR_PHY_DX8BDLR4_DQ4RBD_MASK    0x0000003f
#define DDR_PHY_DX8BDLR4_DQ4RBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR5
 */
#define DDR_PHY_DX8BDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000F58 )
#define DDR_PHY_DX8BDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR5_RESERVED_31_6_SHIFT   6
#define DDR_PHY_DX8BDLR5_RESERVED_31_6_WIDTH   26
#define DDR_PHY_DX8BDLR5_RESERVED_31_6_MASK    0xffffffc0
#define DDR_PHY_DX8BDLR5_RESERVED_31_6_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR5_DMRBD_SHIFT   0
#define DDR_PHY_DX8BDLR5_DMRBD_WIDTH   6
#define DDR_PHY_DX8BDLR5_DMRBD_MASK    0x0000003f
#define DDR_PHY_DX8BDLR5_DMRBD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR6
 */
#define DDR_PHY_DX8BDLR6    ( ( DDR_PHY_BASEADDR ) + 0x00000F60 )
#define DDR_PHY_DX8BDLR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR6_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8BDLR6_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8BDLR6_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8BDLR6_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR6_TERBD_SHIFT   16
#define DDR_PHY_DX8BDLR6_TERBD_WIDTH   6
#define DDR_PHY_DX8BDLR6_TERBD_MASK    0x003f0000
#define DDR_PHY_DX8BDLR6_TERBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR6_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR6_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR6_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR6_RESERVED_15_14_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8BDLR6_PDRBD_SHIFT   8
#define DDR_PHY_DX8BDLR6_PDRBD_WIDTH   6
#define DDR_PHY_DX8BDLR6_PDRBD_MASK    0x00003f00
#define DDR_PHY_DX8BDLR6_PDRBD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR6_RESERVED_7_0_SHIFT   0
#define DDR_PHY_DX8BDLR6_RESERVED_7_0_WIDTH   8
#define DDR_PHY_DX8BDLR6_RESERVED_7_0_MASK    0x000000ff
#define DDR_PHY_DX8BDLR6_RESERVED_7_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR7
 */
#define DDR_PHY_DX8BDLR7    ( ( DDR_PHY_BASEADDR ) + 0x00000F64 )
#define DDR_PHY_DX8BDLR7_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR7_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8BDLR7_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8BDLR7_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8BDLR7_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR7_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX8BDLR7_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX8BDLR7_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX8BDLR7_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR7_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR7_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR7_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR7_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR7_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX8BDLR7_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX8BDLR7_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX8BDLR7_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR7_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR7_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR7_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR7_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR7_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX8BDLR7_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX8BDLR7_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX8BDLR7_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR8
 */
#define DDR_PHY_DX8BDLR8    ( ( DDR_PHY_BASEADDR ) + 0x00000F68 )
#define DDR_PHY_DX8BDLR8_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR8_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8BDLR8_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8BDLR8_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8BDLR8_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR8_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX8BDLR8_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX8BDLR8_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX8BDLR8_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR8_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR8_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR8_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR8_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR8_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX8BDLR8_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX8BDLR8_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX8BDLR8_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR8_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR8_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR8_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR8_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR8_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX8BDLR8_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX8BDLR8_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX8BDLR8_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8BDLR9
 */
#define DDR_PHY_DX8BDLR9    ( ( DDR_PHY_BASEADDR ) + 0x00000F6C )
#define DDR_PHY_DX8BDLR9_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR9_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8BDLR9_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8BDLR9_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8BDLR9_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR9_RESERVED_21_16_SHIFT   16
#define DDR_PHY_DX8BDLR9_RESERVED_21_16_WIDTH   6
#define DDR_PHY_DX8BDLR9_RESERVED_21_16_MASK    0x003f0000
#define DDR_PHY_DX8BDLR9_RESERVED_21_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR9_RESERVED_15_14_SHIFT   14
#define DDR_PHY_DX8BDLR9_RESERVED_15_14_WIDTH   2
#define DDR_PHY_DX8BDLR9_RESERVED_15_14_MASK    0x0000c000
#define DDR_PHY_DX8BDLR9_RESERVED_15_14_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR9_RESERVED_13_8_SHIFT   8
#define DDR_PHY_DX8BDLR9_RESERVED_13_8_WIDTH   6
#define DDR_PHY_DX8BDLR9_RESERVED_13_8_MASK    0x00003f00
#define DDR_PHY_DX8BDLR9_RESERVED_13_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR9_RESERVED_7_6_SHIFT   6
#define DDR_PHY_DX8BDLR9_RESERVED_7_6_WIDTH   2
#define DDR_PHY_DX8BDLR9_RESERVED_7_6_MASK    0x000000c0
#define DDR_PHY_DX8BDLR9_RESERVED_7_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8BDLR9_RESERVED_5_0_SHIFT   0
#define DDR_PHY_DX8BDLR9_RESERVED_5_0_WIDTH   6
#define DDR_PHY_DX8BDLR9_RESERVED_5_0_MASK    0x0000003f
#define DDR_PHY_DX8BDLR9_RESERVED_5_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8LCDLR0
 */
#define DDR_PHY_DX8LCDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000F80 )
#define DDR_PHY_DX8LCDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8LCDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8LCDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8LCDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR0_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX8LCDLR0_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX8LCDLR0_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX8LCDLR0_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX8LCDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX8LCDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX8LCDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8LCDLR0_WLD_SHIFT   0
#define DDR_PHY_DX8LCDLR0_WLD_WIDTH   9
#define DDR_PHY_DX8LCDLR0_WLD_MASK    0x000001ff
#define DDR_PHY_DX8LCDLR0_WLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8LCDLR1
 */
#define DDR_PHY_DX8LCDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000F84 )
#define DDR_PHY_DX8LCDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8LCDLR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8LCDLR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8LCDLR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR1_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX8LCDLR1_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX8LCDLR1_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX8LCDLR1_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR1_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX8LCDLR1_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX8LCDLR1_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX8LCDLR1_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8LCDLR1_WDQD_SHIFT   0
#define DDR_PHY_DX8LCDLR1_WDQD_WIDTH   9
#define DDR_PHY_DX8LCDLR1_WDQD_MASK    0x000001ff
#define DDR_PHY_DX8LCDLR1_WDQD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8LCDLR2
 */
#define DDR_PHY_DX8LCDLR2    ( ( DDR_PHY_BASEADDR ) + 0x00000F88 )
#define DDR_PHY_DX8LCDLR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR2_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8LCDLR2_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8LCDLR2_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8LCDLR2_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR2_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX8LCDLR2_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX8LCDLR2_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX8LCDLR2_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR2_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX8LCDLR2_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX8LCDLR2_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX8LCDLR2_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8LCDLR2_DQSGD_SHIFT   0
#define DDR_PHY_DX8LCDLR2_DQSGD_WIDTH   9
#define DDR_PHY_DX8LCDLR2_DQSGD_MASK    0x000001ff
#define DDR_PHY_DX8LCDLR2_DQSGD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8LCDLR3
 */
#define DDR_PHY_DX8LCDLR3    ( ( DDR_PHY_BASEADDR ) + 0x00000F8C )
#define DDR_PHY_DX8LCDLR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR3_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8LCDLR3_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8LCDLR3_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8LCDLR3_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR3_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX8LCDLR3_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX8LCDLR3_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX8LCDLR3_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR3_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX8LCDLR3_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX8LCDLR3_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX8LCDLR3_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8LCDLR3_RDQSD_SHIFT   0
#define DDR_PHY_DX8LCDLR3_RDQSD_WIDTH   9
#define DDR_PHY_DX8LCDLR3_RDQSD_MASK    0x000001ff
#define DDR_PHY_DX8LCDLR3_RDQSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8LCDLR4
 */
#define DDR_PHY_DX8LCDLR4    ( ( DDR_PHY_BASEADDR ) + 0x00000F90 )
#define DDR_PHY_DX8LCDLR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR4_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8LCDLR4_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8LCDLR4_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8LCDLR4_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR4_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX8LCDLR4_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX8LCDLR4_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX8LCDLR4_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR4_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX8LCDLR4_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX8LCDLR4_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX8LCDLR4_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8LCDLR4_RDQSND_SHIFT   0
#define DDR_PHY_DX8LCDLR4_RDQSND_WIDTH   9
#define DDR_PHY_DX8LCDLR4_RDQSND_MASK    0x000001ff
#define DDR_PHY_DX8LCDLR4_RDQSND_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8LCDLR5
 */
#define DDR_PHY_DX8LCDLR5    ( ( DDR_PHY_BASEADDR ) + 0x00000F94 )
#define DDR_PHY_DX8LCDLR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR5_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8LCDLR5_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8LCDLR5_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8LCDLR5_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR5_RESERVED_24_16_SHIFT   16
#define DDR_PHY_DX8LCDLR5_RESERVED_24_16_WIDTH   9
#define DDR_PHY_DX8LCDLR5_RESERVED_24_16_MASK    0x01ff0000
#define DDR_PHY_DX8LCDLR5_RESERVED_24_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8LCDLR5_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX8LCDLR5_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX8LCDLR5_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX8LCDLR5_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8LCDLR5_DQSGSD_SHIFT   0
#define DDR_PHY_DX8LCDLR5_DQSGSD_WIDTH   9
#define DDR_PHY_DX8LCDLR5_DQSGSD_MASK    0x000001ff
#define DDR_PHY_DX8LCDLR5_DQSGSD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8MDLR0
 */
#define DDR_PHY_DX8MDLR0    ( ( DDR_PHY_BASEADDR ) + 0x00000FA0 )
#define DDR_PHY_DX8MDLR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8MDLR0_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8MDLR0_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8MDLR0_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8MDLR0_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8MDLR0_TPRD_SHIFT   16
#define DDR_PHY_DX8MDLR0_TPRD_WIDTH   9
#define DDR_PHY_DX8MDLR0_TPRD_MASK    0x01ff0000
#define DDR_PHY_DX8MDLR0_TPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8MDLR0_RESERVED_15_9_SHIFT   9
#define DDR_PHY_DX8MDLR0_RESERVED_15_9_WIDTH   7
#define DDR_PHY_DX8MDLR0_RESERVED_15_9_MASK    0x0000fe00
#define DDR_PHY_DX8MDLR0_RESERVED_15_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8MDLR0_IPRD_SHIFT   0
#define DDR_PHY_DX8MDLR0_IPRD_WIDTH   9
#define DDR_PHY_DX8MDLR0_IPRD_MASK    0x000001ff
#define DDR_PHY_DX8MDLR0_IPRD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8MDLR1
 */
#define DDR_PHY_DX8MDLR1    ( ( DDR_PHY_BASEADDR ) + 0x00000FA4 )
#define DDR_PHY_DX8MDLR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8MDLR1_RESERVED_31_9_SHIFT   9
#define DDR_PHY_DX8MDLR1_RESERVED_31_9_WIDTH   23
#define DDR_PHY_DX8MDLR1_RESERVED_31_9_MASK    0xfffffe00
#define DDR_PHY_DX8MDLR1_RESERVED_31_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8MDLR1_MDLD_SHIFT   0
#define DDR_PHY_DX8MDLR1_MDLD_WIDTH   9
#define DDR_PHY_DX8MDLR1_MDLD_MASK    0x000001ff
#define DDR_PHY_DX8MDLR1_MDLD_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GTR0
 */
#define DDR_PHY_DX8GTR0    ( ( DDR_PHY_BASEADDR ) + 0x00000FC0 )
#define DDR_PHY_DX8GTR0_DEFVAL   0x20000

/* access_type: ro  */
#define DDR_PHY_DX8GTR0_RESERVED_31_24_SHIFT   27
#define DDR_PHY_DX8GTR0_RESERVED_31_24_WIDTH   5
#define DDR_PHY_DX8GTR0_RESERVED_31_24_MASK    0xf8000000
#define DDR_PHY_DX8GTR0_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GTR0_WDQSL_SHIFT   24
#define DDR_PHY_DX8GTR0_WDQSL_WIDTH   3
#define DDR_PHY_DX8GTR0_WDQSL_MASK    0x07000000
#define DDR_PHY_DX8GTR0_WDQSL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GTR0_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX8GTR0_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX8GTR0_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX8GTR0_RESERVED_23_20_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GTR0_WLSL_SHIFT   16
#define DDR_PHY_DX8GTR0_WLSL_WIDTH   4
#define DDR_PHY_DX8GTR0_WLSL_MASK    0x000f0000
#define DDR_PHY_DX8GTR0_WLSL_DEFVAL  0x2

/* access_type: ro  */
#define DDR_PHY_DX8GTR0_RESERVED_15_13_SHIFT   13
#define DDR_PHY_DX8GTR0_RESERVED_15_13_WIDTH   3
#define DDR_PHY_DX8GTR0_RESERVED_15_13_MASK    0x0000e000
#define DDR_PHY_DX8GTR0_RESERVED_15_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GTR0_RESERVED_12_8_SHIFT   8
#define DDR_PHY_DX8GTR0_RESERVED_12_8_WIDTH   5
#define DDR_PHY_DX8GTR0_RESERVED_12_8_MASK    0x00001f00
#define DDR_PHY_DX8GTR0_RESERVED_12_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GTR0_RESERVED_7_5_SHIFT   5
#define DDR_PHY_DX8GTR0_RESERVED_7_5_WIDTH   3
#define DDR_PHY_DX8GTR0_RESERVED_7_5_MASK    0x000000e0
#define DDR_PHY_DX8GTR0_RESERVED_7_5_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8GTR0_DGSL_SHIFT   0
#define DDR_PHY_DX8GTR0_DGSL_WIDTH   5
#define DDR_PHY_DX8GTR0_DGSL_MASK    0x0000001f
#define DDR_PHY_DX8GTR0_DGSL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8RSR0
 */
#define DDR_PHY_DX8RSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000FD0 )
#define DDR_PHY_DX8RSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR0_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX8RSR0_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX8RSR0_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX8RSR0_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR0_QSGERR_SHIFT   0
#define DDR_PHY_DX8RSR0_QSGERR_WIDTH   16
#define DDR_PHY_DX8RSR0_QSGERR_MASK    0x0000ffff
#define DDR_PHY_DX8RSR0_QSGERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8RSR1
 */
#define DDR_PHY_DX8RSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000FD4 )
#define DDR_PHY_DX8RSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR1_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX8RSR1_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX8RSR1_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX8RSR1_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR1_RDLVLERR_SHIFT   0
#define DDR_PHY_DX8RSR1_RDLVLERR_WIDTH   16
#define DDR_PHY_DX8RSR1_RDLVLERR_MASK    0x0000ffff
#define DDR_PHY_DX8RSR1_RDLVLERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8RSR2
 */
#define DDR_PHY_DX8RSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000FD8 )
#define DDR_PHY_DX8RSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR2_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX8RSR2_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX8RSR2_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX8RSR2_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR2_WLAWN_SHIFT   0
#define DDR_PHY_DX8RSR2_WLAWN_WIDTH   16
#define DDR_PHY_DX8RSR2_WLAWN_MASK    0x0000ffff
#define DDR_PHY_DX8RSR2_WLAWN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8RSR3
 */
#define DDR_PHY_DX8RSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000FDC )
#define DDR_PHY_DX8RSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR3_RESERVED_31_16_SHIFT   16
#define DDR_PHY_DX8RSR3_RESERVED_31_16_WIDTH   16
#define DDR_PHY_DX8RSR3_RESERVED_31_16_MASK    0xffff0000
#define DDR_PHY_DX8RSR3_RESERVED_31_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8RSR3_WLAERR_SHIFT   0
#define DDR_PHY_DX8RSR3_WLAERR_WIDTH   16
#define DDR_PHY_DX8RSR3_WLAERR_MASK    0x0000ffff
#define DDR_PHY_DX8RSR3_WLAERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GSR0
 */
#define DDR_PHY_DX8GSR0    ( ( DDR_PHY_BASEADDR ) + 0x00000FE0 )
#define DDR_PHY_DX8GSR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8GSR0_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8GSR0_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8GSR0_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_WLDQ_SHIFT   30
#define DDR_PHY_DX8GSR0_WLDQ_WIDTH   1
#define DDR_PHY_DX8GSR0_WLDQ_MASK    0x40000000
#define DDR_PHY_DX8GSR0_WLDQ_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_RESERVED_29_26_SHIFT   26
#define DDR_PHY_DX8GSR0_RESERVED_29_26_WIDTH   4
#define DDR_PHY_DX8GSR0_RESERVED_29_26_MASK    0x3c000000
#define DDR_PHY_DX8GSR0_RESERVED_29_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_GDQSPRD_SHIFT   17
#define DDR_PHY_DX8GSR0_GDQSPRD_WIDTH   9
#define DDR_PHY_DX8GSR0_GDQSPRD_MASK    0x03fe0000
#define DDR_PHY_DX8GSR0_GDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_DPLOCK_SHIFT   16
#define DDR_PHY_DX8GSR0_DPLOCK_WIDTH   1
#define DDR_PHY_DX8GSR0_DPLOCK_MASK    0x00010000
#define DDR_PHY_DX8GSR0_DPLOCK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_WLPRD_SHIFT   7
#define DDR_PHY_DX8GSR0_WLPRD_WIDTH   9
#define DDR_PHY_DX8GSR0_WLPRD_MASK    0x0000ff80
#define DDR_PHY_DX8GSR0_WLPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_WLERR_SHIFT   6
#define DDR_PHY_DX8GSR0_WLERR_WIDTH   1
#define DDR_PHY_DX8GSR0_WLERR_MASK    0x00000040
#define DDR_PHY_DX8GSR0_WLERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_WLDONE_SHIFT   5
#define DDR_PHY_DX8GSR0_WLDONE_WIDTH   1
#define DDR_PHY_DX8GSR0_WLDONE_MASK    0x00000020
#define DDR_PHY_DX8GSR0_WLDONE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_WLCAL_SHIFT   4
#define DDR_PHY_DX8GSR0_WLCAL_WIDTH   1
#define DDR_PHY_DX8GSR0_WLCAL_MASK    0x00000010
#define DDR_PHY_DX8GSR0_WLCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_GDQSCAL_SHIFT   3
#define DDR_PHY_DX8GSR0_GDQSCAL_WIDTH   1
#define DDR_PHY_DX8GSR0_GDQSCAL_MASK    0x00000008
#define DDR_PHY_DX8GSR0_GDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_RDQSNCAL_SHIFT   2
#define DDR_PHY_DX8GSR0_RDQSNCAL_WIDTH   1
#define DDR_PHY_DX8GSR0_RDQSNCAL_MASK    0x00000004
#define DDR_PHY_DX8GSR0_RDQSNCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_RDQSCAL_SHIFT   1
#define DDR_PHY_DX8GSR0_RDQSCAL_WIDTH   1
#define DDR_PHY_DX8GSR0_RDQSCAL_MASK    0x00000002
#define DDR_PHY_DX8GSR0_RDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR0_WDQCAL_SHIFT   0
#define DDR_PHY_DX8GSR0_WDQCAL_WIDTH   1
#define DDR_PHY_DX8GSR0_WDQCAL_MASK    0x00000001
#define DDR_PHY_DX8GSR0_WDQCAL_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GSR1
 */
#define DDR_PHY_DX8GSR1    ( ( DDR_PHY_BASEADDR ) + 0x00000FE4 )
#define DDR_PHY_DX8GSR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8GSR1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8GSR1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8GSR1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR1_DLTCODE_SHIFT   1
#define DDR_PHY_DX8GSR1_DLTCODE_WIDTH   24
#define DDR_PHY_DX8GSR1_DLTCODE_MASK    0x01fffffe
#define DDR_PHY_DX8GSR1_DLTCODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR1_DLTDONE_SHIFT   0
#define DDR_PHY_DX8GSR1_DLTDONE_WIDTH   1
#define DDR_PHY_DX8GSR1_DLTDONE_MASK    0x00000001
#define DDR_PHY_DX8GSR1_DLTDONE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GSR2
 */
#define DDR_PHY_DX8GSR2    ( ( DDR_PHY_BASEADDR ) + 0x00000FE8 )
#define DDR_PHY_DX8GSR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_GSDQSPRD_SHIFT   23
#define DDR_PHY_DX8GSR2_GSDQSPRD_WIDTH   9
#define DDR_PHY_DX8GSR2_GSDQSPRD_MASK    0xff800000
#define DDR_PHY_DX8GSR2_GSDQSPRD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_GSDQSCAL_SHIFT   22
#define DDR_PHY_DX8GSR2_GSDQSCAL_WIDTH   1
#define DDR_PHY_DX8GSR2_GSDQSCAL_MASK    0x00400000
#define DDR_PHY_DX8GSR2_GSDQSCAL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_RESERVED_21_SHIFT   21
#define DDR_PHY_DX8GSR2_RESERVED_21_WIDTH   1
#define DDR_PHY_DX8GSR2_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX8GSR2_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_SRDERR_SHIFT   20
#define DDR_PHY_DX8GSR2_SRDERR_WIDTH   1
#define DDR_PHY_DX8GSR2_SRDERR_MASK    0x00100000
#define DDR_PHY_DX8GSR2_SRDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_DQS2DQERR_SHIFT   12
#define DDR_PHY_DX8GSR2_DQS2DQERR_WIDTH   8
#define DDR_PHY_DX8GSR2_DQS2DQERR_MASK    0x000ff000
#define DDR_PHY_DX8GSR2_DQS2DQERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_ESTAT_SHIFT   8
#define DDR_PHY_DX8GSR2_ESTAT_WIDTH   4
#define DDR_PHY_DX8GSR2_ESTAT_MASK    0x00000f00
#define DDR_PHY_DX8GSR2_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_WEWN_SHIFT   7
#define DDR_PHY_DX8GSR2_WEWN_WIDTH   1
#define DDR_PHY_DX8GSR2_WEWN_MASK    0x00000080
#define DDR_PHY_DX8GSR2_WEWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_WEERR_SHIFT   6
#define DDR_PHY_DX8GSR2_WEERR_WIDTH   1
#define DDR_PHY_DX8GSR2_WEERR_MASK    0x00000040
#define DDR_PHY_DX8GSR2_WEERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_REWN_SHIFT   5
#define DDR_PHY_DX8GSR2_REWN_WIDTH   1
#define DDR_PHY_DX8GSR2_REWN_MASK    0x00000020
#define DDR_PHY_DX8GSR2_REWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_REERR_SHIFT   4
#define DDR_PHY_DX8GSR2_REERR_WIDTH   1
#define DDR_PHY_DX8GSR2_REERR_MASK    0x00000010
#define DDR_PHY_DX8GSR2_REERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_WDWN_SHIFT   3
#define DDR_PHY_DX8GSR2_WDWN_WIDTH   1
#define DDR_PHY_DX8GSR2_WDWN_MASK    0x00000008
#define DDR_PHY_DX8GSR2_WDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_WDERR_SHIFT   2
#define DDR_PHY_DX8GSR2_WDERR_WIDTH   1
#define DDR_PHY_DX8GSR2_WDERR_MASK    0x00000004
#define DDR_PHY_DX8GSR2_WDERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_RDWN_SHIFT   1
#define DDR_PHY_DX8GSR2_RDWN_WIDTH   1
#define DDR_PHY_DX8GSR2_RDWN_MASK    0x00000002
#define DDR_PHY_DX8GSR2_RDWN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR2_RDERR_SHIFT   0
#define DDR_PHY_DX8GSR2_RDERR_WIDTH   1
#define DDR_PHY_DX8GSR2_RDERR_MASK    0x00000001
#define DDR_PHY_DX8GSR2_RDERR_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GSR3
 */
#define DDR_PHY_DX8GSR3    ( ( DDR_PHY_BASEADDR ) + 0x00000FEC )
#define DDR_PHY_DX8GSR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8GSR3_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8GSR3_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8GSR3_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_ESTAT_SHIFT   24
#define DDR_PHY_DX8GSR3_ESTAT_WIDTH   3
#define DDR_PHY_DX8GSR3_ESTAT_MASK    0x07000000
#define DDR_PHY_DX8GSR3_ESTAT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_DVWRN_SHIFT   20
#define DDR_PHY_DX8GSR3_DVWRN_WIDTH   4
#define DDR_PHY_DX8GSR3_DVWRN_MASK    0x00f00000
#define DDR_PHY_DX8GSR3_DVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_DVERR_SHIFT   16
#define DDR_PHY_DX8GSR3_DVERR_WIDTH   4
#define DDR_PHY_DX8GSR3_DVERR_MASK    0x000f0000
#define DDR_PHY_DX8GSR3_DVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_HVWRN_SHIFT   12
#define DDR_PHY_DX8GSR3_HVWRN_WIDTH   4
#define DDR_PHY_DX8GSR3_HVWRN_MASK    0x0000f000
#define DDR_PHY_DX8GSR3_HVWRN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_HVERR_SHIFT   8
#define DDR_PHY_DX8GSR3_HVERR_WIDTH   4
#define DDR_PHY_DX8GSR3_HVERR_MASK    0x00000f00
#define DDR_PHY_DX8GSR3_HVERR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_RESERVED_7_2_SHIFT   2
#define DDR_PHY_DX8GSR3_RESERVED_7_2_WIDTH   6
#define DDR_PHY_DX8GSR3_RESERVED_7_2_MASK    0x000000fc
#define DDR_PHY_DX8GSR3_RESERVED_7_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR3_SRDPC_SHIFT   0
#define DDR_PHY_DX8GSR3_SRDPC_WIDTH   2
#define DDR_PHY_DX8GSR3_SRDPC_MASK    0x00000003
#define DDR_PHY_DX8GSR3_SRDPC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GSR4
 */
#define DDR_PHY_DX8GSR4    ( ( DDR_PHY_BASEADDR ) + 0x00000FF0 )
#define DDR_PHY_DX8GSR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_31_26_SHIFT   26
#define DDR_PHY_DX8GSR4_RESERVED_31_26_WIDTH   6
#define DDR_PHY_DX8GSR4_RESERVED_31_26_MASK    0xfc000000
#define DDR_PHY_DX8GSR4_RESERVED_31_26_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_25_17_SHIFT   17
#define DDR_PHY_DX8GSR4_RESERVED_25_17_WIDTH   9
#define DDR_PHY_DX8GSR4_RESERVED_25_17_MASK    0x03fe0000
#define DDR_PHY_DX8GSR4_RESERVED_25_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_16_SHIFT   16
#define DDR_PHY_DX8GSR4_RESERVED_16_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_16_MASK    0x00010000
#define DDR_PHY_DX8GSR4_RESERVED_16_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_15_7_SHIFT   7
#define DDR_PHY_DX8GSR4_RESERVED_15_7_WIDTH   9
#define DDR_PHY_DX8GSR4_RESERVED_15_7_MASK    0x0000ff80
#define DDR_PHY_DX8GSR4_RESERVED_15_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_6_SHIFT   6
#define DDR_PHY_DX8GSR4_RESERVED_6_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX8GSR4_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_5_SHIFT   5
#define DDR_PHY_DX8GSR4_RESERVED_5_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX8GSR4_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_4_SHIFT   4
#define DDR_PHY_DX8GSR4_RESERVED_4_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX8GSR4_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_3_SHIFT   3
#define DDR_PHY_DX8GSR4_RESERVED_3_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX8GSR4_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_2_SHIFT   2
#define DDR_PHY_DX8GSR4_RESERVED_2_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX8GSR4_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_1_SHIFT   1
#define DDR_PHY_DX8GSR4_RESERVED_1_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX8GSR4_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR4_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8GSR4_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8GSR4_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8GSR4_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GSR5
 */
#define DDR_PHY_DX8GSR5    ( ( DDR_PHY_BASEADDR ) + 0x00000FF4 )
#define DDR_PHY_DX8GSR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_31_23_SHIFT   23
#define DDR_PHY_DX8GSR5_RESERVED_31_23_WIDTH   9
#define DDR_PHY_DX8GSR5_RESERVED_31_23_MASK    0xff800000
#define DDR_PHY_DX8GSR5_RESERVED_31_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8GSR5_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8GSR5_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_21_SHIFT   21
#define DDR_PHY_DX8GSR5_RESERVED_21_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_21_MASK    0x00200000
#define DDR_PHY_DX8GSR5_RESERVED_21_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_20_SHIFT   20
#define DDR_PHY_DX8GSR5_RESERVED_20_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_20_MASK    0x00100000
#define DDR_PHY_DX8GSR5_RESERVED_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_19_12_SHIFT   12
#define DDR_PHY_DX8GSR5_RESERVED_19_12_WIDTH   8
#define DDR_PHY_DX8GSR5_RESERVED_19_12_MASK    0x000ff000
#define DDR_PHY_DX8GSR5_RESERVED_19_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX8GSR5_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX8GSR5_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX8GSR5_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_7_SHIFT   7
#define DDR_PHY_DX8GSR5_RESERVED_7_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_7_MASK    0x00000080
#define DDR_PHY_DX8GSR5_RESERVED_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_6_SHIFT   6
#define DDR_PHY_DX8GSR5_RESERVED_6_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_6_MASK    0x00000040
#define DDR_PHY_DX8GSR5_RESERVED_6_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_5_SHIFT   5
#define DDR_PHY_DX8GSR5_RESERVED_5_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_5_MASK    0x00000020
#define DDR_PHY_DX8GSR5_RESERVED_5_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_4_SHIFT   4
#define DDR_PHY_DX8GSR5_RESERVED_4_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_4_MASK    0x00000010
#define DDR_PHY_DX8GSR5_RESERVED_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_3_SHIFT   3
#define DDR_PHY_DX8GSR5_RESERVED_3_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_3_MASK    0x00000008
#define DDR_PHY_DX8GSR5_RESERVED_3_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_2_SHIFT   2
#define DDR_PHY_DX8GSR5_RESERVED_2_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_2_MASK    0x00000004
#define DDR_PHY_DX8GSR5_RESERVED_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_1_SHIFT   1
#define DDR_PHY_DX8GSR5_RESERVED_1_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_1_MASK    0x00000002
#define DDR_PHY_DX8GSR5_RESERVED_1_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR5_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8GSR5_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8GSR5_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8GSR5_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8GSR6
 */
#define DDR_PHY_DX8GSR6    ( ( DDR_PHY_BASEADDR ) + 0x00000FF8 )
#define DDR_PHY_DX8GSR6_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8GSR6_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8GSR6_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8GSR6_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_23_20_SHIFT   20
#define DDR_PHY_DX8GSR6_RESERVED_23_20_WIDTH   4
#define DDR_PHY_DX8GSR6_RESERVED_23_20_MASK    0x00f00000
#define DDR_PHY_DX8GSR6_RESERVED_23_20_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_19_15_SHIFT   16
#define DDR_PHY_DX8GSR6_RESERVED_19_15_WIDTH   4
#define DDR_PHY_DX8GSR6_RESERVED_19_15_MASK    0x000f0000
#define DDR_PHY_DX8GSR6_RESERVED_19_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_15_12_SHIFT   12
#define DDR_PHY_DX8GSR6_RESERVED_15_12_WIDTH   4
#define DDR_PHY_DX8GSR6_RESERVED_15_12_MASK    0x0000f000
#define DDR_PHY_DX8GSR6_RESERVED_15_12_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_11_8_SHIFT   8
#define DDR_PHY_DX8GSR6_RESERVED_11_8_WIDTH   4
#define DDR_PHY_DX8GSR6_RESERVED_11_8_MASK    0x00000f00
#define DDR_PHY_DX8GSR6_RESERVED_11_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_7_4_SHIFT   4
#define DDR_PHY_DX8GSR6_RESERVED_7_4_WIDTH   4
#define DDR_PHY_DX8GSR6_RESERVED_7_4_MASK    0x000000f0
#define DDR_PHY_DX8GSR6_RESERVED_7_4_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_3_2_SHIFT   2
#define DDR_PHY_DX8GSR6_RESERVED_3_2_WIDTH   2
#define DDR_PHY_DX8GSR6_RESERVED_3_2_MASK    0x0000000c
#define DDR_PHY_DX8GSR6_RESERVED_3_2_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8GSR6_RESERVED_1_0_SHIFT   0
#define DDR_PHY_DX8GSR6_RESERVED_1_0_WIDTH   2
#define DDR_PHY_DX8GSR6_RESERVED_1_0_MASK    0x00000003
#define DDR_PHY_DX8GSR6_RESERVED_1_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0OSC
 */
#define DDR_PHY_DX8SL0OSC    ( ( DDR_PHY_BASEADDR ) + 0x00001400 )
#define DDR_PHY_DX8SL0OSC_DEFVAL   0x19ffe

/* access_type: ro  */
#define DDR_PHY_DX8SL0OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL0OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL0OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL0OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL0OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL0OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL0OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL0OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL0OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL0OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL0OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL0OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL0OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL0OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL0OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL0OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL0OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL0OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL0OSC_LBMODE_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_DX8SL0OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL0OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL0OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL0OSC_LBGSDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL0OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL0OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL0OSC_LBGDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL0OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL0OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL0OSC_LBDQSS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL0OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL0OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL0OSC_PHYHRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL0OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL0OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL0OSC_PHYFRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL0OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL0OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL0OSC_DLTST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL0OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL0OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL0OSC_DLTMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL0OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL0OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL0OSC_RESERVED_12_11_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL0OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL0OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL0OSC_OSCWDDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL0OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL0OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL0OSC_RESERVED_8_7_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL0OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL0OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL0OSC_OSCWDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL0OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL0OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL0OSC_OSCDIV_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX8SL0OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL0OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL0OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL0OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0PLLCR0
 */
#define DDR_PHY_DX8SL0PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00001404 )
#define DDR_PHY_DX8SL0PLLCR0_DEFVAL   0x1c0000

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL0PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL0PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL0PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL0PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL0PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL0PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL0PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL0PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL0PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL0PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL0PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL0PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL0PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL0PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL0PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL0PLLCR0_CPPC_DEFVAL  0xe

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL0PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL0PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL0PLLCR0_CPIC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL0PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL0PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL0PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL0PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL0PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL0PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL0PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL0PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL0PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL0PLLCR0_ATC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL0PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL0PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL0PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0PLLCR1
 */
#define DDR_PHY_DX8SL0PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x00001408 )
#define DDR_PHY_DX8SL0PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL0PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL0PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL0PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL0PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL0PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL0PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL0PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL0PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL0PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL0PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL0PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL0PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL0PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL0PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL0PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL0PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0PLLCR2
 */
#define DDR_PHY_DX8SL0PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x0000140C )
#define DDR_PHY_DX8SL0PLLCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL0PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL0PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL0PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0PLLCR3
 */
#define DDR_PHY_DX8SL0PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00001410 )
#define DDR_PHY_DX8SL0PLLCR3_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL0PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL0PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL0PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0PLLCR4
 */
#define DDR_PHY_DX8SL0PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00001414 )
#define DDR_PHY_DX8SL0PLLCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL0PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL0PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL0PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0PLLCR5
 */
#define DDR_PHY_DX8SL0PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x00001418 )
#define DDR_PHY_DX8SL0PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL0PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL0PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL0PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL0PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL0PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL0PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0DQSCTL
 */
#define DDR_PHY_DX8SL0DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x0000141C )
#define DDR_PHY_DX8SL0DQSCTL_DEFVAL   0x1264000

/* access_type: ro  */
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL0DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL0DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL0DQSCTL_RRRMODE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL0DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL0DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL0DQSCTL_WRRMODE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL0DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL0DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL0DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL0DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL0DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL0DQSCTL_LPPLLPD_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL0DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL0DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL0DQSCTL_LPIOPD_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL0DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL0DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL0DQSCTL_QSCNTEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL0DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL0DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL0DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL0DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL0DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL0DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL0DQSCTL_DXSR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL0DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL0DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL0DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL0DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL0DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL0DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0TRNCTL
 */
#define DDR_PHY_DX8SL0TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001420 )
#define DDR_PHY_DX8SL0TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL0TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL0TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL0TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0DDLCTL
 */
#define DDR_PHY_DX8SL0DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001424 )
#define DDR_PHY_DX8SL0DDLCTL_DEFVAL   0x2

/* access_type: ro  */
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL0DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL0DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL0DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL0DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL0DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL0DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL0DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL0DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL0DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL0DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL0DDLCTL_DDLBYPMODE_DEFVAL  0x2

/**
 * Register: DDR_PHY_DX8SL0DXCTL1
 */
#define DDR_PHY_DX8SL0DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x00001428 )
#define DDR_PHY_DX8SL0DXCTL1_DEFVAL   0x40000

/* access_type: ro  */
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL0DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL0DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL0DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL0DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL0DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL0DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL0DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL0DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL0DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL0DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL0DXCTL1_DXQSDBYP_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL0DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL0DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL0DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL0DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL0DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0DXCTL2
 */
#define DDR_PHY_DX8SL0DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x0000142C )
#define DDR_PHY_DX8SL0DXCTL2_DEFVAL   0x141800

/* access_type: ro  */
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL0DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL0DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL0DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL0DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL0DXCTL2_POSOEX_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL0DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL0DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL0DXCTL2_PREOEX_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL0DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL0DXCTL2_IOAG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL0DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL0DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL0DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL0DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL0DXCTL2_LPWAKEUP_THRSH_DEFVAL  0xc

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL0DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL0DXCTL2_RDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL0DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL0DXCTL2_WDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL0DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL0DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL0DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL0DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL0DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL0DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL0DXCTL2_DISRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL0DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL0DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL0DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL0DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL0IOCR
 */
#define DDR_PHY_DX8SL0IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001430 )
#define DDR_PHY_DX8SL0IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL0IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL0IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL0IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL0IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL0IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL0IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL0IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL0IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL0IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL0IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL0IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL0IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL0IOCR_DXIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL0IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL0IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL0IOCR_DXTXM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL0IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL0IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL0IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL0IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL0IOCR
 */
#define DDR_PHY_DX4SL0IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001434 )
#define DDR_PHY_DX4SL0IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL0IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL0IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL0IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL0IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1OSC
 */
#define DDR_PHY_DX8SL1OSC    ( ( DDR_PHY_BASEADDR ) + 0x00001440 )
#define DDR_PHY_DX8SL1OSC_DEFVAL   0x19ffe

/* access_type: ro  */
#define DDR_PHY_DX8SL1OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL1OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL1OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL1OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL1OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL1OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL1OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL1OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL1OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL1OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL1OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL1OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL1OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL1OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL1OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL1OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL1OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL1OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL1OSC_LBMODE_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_DX8SL1OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL1OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL1OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL1OSC_LBGSDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL1OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL1OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL1OSC_LBGDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL1OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL1OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL1OSC_LBDQSS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL1OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL1OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL1OSC_PHYHRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL1OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL1OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL1OSC_PHYFRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL1OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL1OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL1OSC_DLTST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL1OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL1OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL1OSC_DLTMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL1OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL1OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL1OSC_RESERVED_12_11_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL1OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL1OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL1OSC_OSCWDDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL1OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL1OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL1OSC_RESERVED_8_7_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL1OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL1OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL1OSC_OSCWDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL1OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL1OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL1OSC_OSCDIV_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX8SL1OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL1OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL1OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL1OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1PLLCR0
 */
#define DDR_PHY_DX8SL1PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00001444 )
#define DDR_PHY_DX8SL1PLLCR0_DEFVAL   0x1c0000

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL1PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL1PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL1PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL1PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL1PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL1PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL1PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL1PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL1PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL1PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL1PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL1PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL1PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL1PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL1PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL1PLLCR0_CPPC_DEFVAL  0xe

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL1PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL1PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL1PLLCR0_CPIC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL1PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL1PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL1PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL1PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL1PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL1PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL1PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL1PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL1PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL1PLLCR0_ATC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL1PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL1PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL1PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1PLLCR1
 */
#define DDR_PHY_DX8SL1PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x00001448 )
#define DDR_PHY_DX8SL1PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL1PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL1PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL1PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL1PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL1PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL1PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL1PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL1PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL1PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL1PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL1PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL1PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL1PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL1PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL1PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL1PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1PLLCR2
 */
#define DDR_PHY_DX8SL1PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x0000144C )
#define DDR_PHY_DX8SL1PLLCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL1PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL1PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL1PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1PLLCR3
 */
#define DDR_PHY_DX8SL1PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00001450 )
#define DDR_PHY_DX8SL1PLLCR3_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL1PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL1PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL1PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1PLLCR4
 */
#define DDR_PHY_DX8SL1PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00001454 )
#define DDR_PHY_DX8SL1PLLCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL1PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL1PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL1PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1PLLCR5
 */
#define DDR_PHY_DX8SL1PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x00001458 )
#define DDR_PHY_DX8SL1PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL1PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL1PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL1PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL1PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL1PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL1PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1DQSCTL
 */
#define DDR_PHY_DX8SL1DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x0000145C )
#define DDR_PHY_DX8SL1DQSCTL_DEFVAL   0x1264000

/* access_type: ro  */
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL1DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL1DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL1DQSCTL_RRRMODE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL1DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL1DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL1DQSCTL_WRRMODE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL1DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL1DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL1DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL1DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL1DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL1DQSCTL_LPPLLPD_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL1DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL1DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL1DQSCTL_LPIOPD_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL1DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL1DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL1DQSCTL_QSCNTEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL1DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL1DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL1DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL1DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL1DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL1DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL1DQSCTL_DXSR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL1DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL1DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL1DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL1DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL1DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL1DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1TRNCTL
 */
#define DDR_PHY_DX8SL1TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001460 )
#define DDR_PHY_DX8SL1TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL1TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL1TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL1TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1DDLCTL
 */
#define DDR_PHY_DX8SL1DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001464 )
#define DDR_PHY_DX8SL1DDLCTL_DEFVAL   0x2

/* access_type: ro  */
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL1DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL1DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL1DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL1DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL1DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL1DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL1DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL1DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL1DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL1DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL1DDLCTL_DDLBYPMODE_DEFVAL  0x2

/**
 * Register: DDR_PHY_DX8SL1DXCTL1
 */
#define DDR_PHY_DX8SL1DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x00001468 )
#define DDR_PHY_DX8SL1DXCTL1_DEFVAL   0x40000

/* access_type: ro  */
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL1DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL1DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL1DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL1DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL1DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL1DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL1DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL1DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL1DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL1DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL1DXCTL1_DXQSDBYP_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL1DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL1DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL1DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL1DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL1DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1DXCTL2
 */
#define DDR_PHY_DX8SL1DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x0000146C )
#define DDR_PHY_DX8SL1DXCTL2_DEFVAL   0x141800

/* access_type: ro  */
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL1DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL1DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL1DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL1DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL1DXCTL2_POSOEX_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL1DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL1DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL1DXCTL2_PREOEX_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL1DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL1DXCTL2_IOAG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL1DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL1DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL1DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL1DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL1DXCTL2_LPWAKEUP_THRSH_DEFVAL  0xc

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL1DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL1DXCTL2_RDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL1DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL1DXCTL2_WDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL1DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL1DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL1DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL1DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL1DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL1DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL1DXCTL2_DISRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL1DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL1DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL1DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL1DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL1IOCR
 */
#define DDR_PHY_DX8SL1IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001470 )
#define DDR_PHY_DX8SL1IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL1IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL1IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL1IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL1IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL1IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL1IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL1IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL1IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL1IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL1IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL1IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL1IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL1IOCR_DXIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL1IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL1IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL1IOCR_DXTXM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL1IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL1IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL1IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL1IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL1IOCR
 */
#define DDR_PHY_DX4SL1IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001474 )
#define DDR_PHY_DX4SL1IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL1IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL1IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL1IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL1IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2OSC
 */
#define DDR_PHY_DX8SL2OSC    ( ( DDR_PHY_BASEADDR ) + 0x00001480 )
#define DDR_PHY_DX8SL2OSC_DEFVAL   0x19ffe

/* access_type: ro  */
#define DDR_PHY_DX8SL2OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL2OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL2OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL2OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL2OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL2OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL2OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL2OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL2OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL2OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL2OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL2OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL2OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL2OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL2OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL2OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL2OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL2OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL2OSC_LBMODE_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_DX8SL2OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL2OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL2OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL2OSC_LBGSDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL2OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL2OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL2OSC_LBGDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL2OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL2OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL2OSC_LBDQSS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL2OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL2OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL2OSC_PHYHRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL2OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL2OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL2OSC_PHYFRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL2OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL2OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL2OSC_DLTST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL2OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL2OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL2OSC_DLTMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL2OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL2OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL2OSC_RESERVED_12_11_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL2OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL2OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL2OSC_OSCWDDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL2OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL2OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL2OSC_RESERVED_8_7_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL2OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL2OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL2OSC_OSCWDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL2OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL2OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL2OSC_OSCDIV_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX8SL2OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL2OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL2OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL2OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2PLLCR0
 */
#define DDR_PHY_DX8SL2PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00001484 )
#define DDR_PHY_DX8SL2PLLCR0_DEFVAL   0x1c0000

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL2PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL2PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL2PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL2PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL2PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL2PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL2PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL2PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL2PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL2PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL2PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL2PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL2PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL2PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL2PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL2PLLCR0_CPPC_DEFVAL  0xe

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL2PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL2PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL2PLLCR0_CPIC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL2PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL2PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL2PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL2PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL2PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL2PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL2PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL2PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL2PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL2PLLCR0_ATC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL2PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL2PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL2PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2PLLCR1
 */
#define DDR_PHY_DX8SL2PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x00001488 )
#define DDR_PHY_DX8SL2PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL2PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL2PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL2PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL2PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL2PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL2PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL2PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL2PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL2PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL2PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL2PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL2PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL2PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL2PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL2PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL2PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2PLLCR2
 */
#define DDR_PHY_DX8SL2PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x0000148C )
#define DDR_PHY_DX8SL2PLLCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL2PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL2PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL2PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2PLLCR3
 */
#define DDR_PHY_DX8SL2PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00001490 )
#define DDR_PHY_DX8SL2PLLCR3_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL2PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL2PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL2PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2PLLCR4
 */
#define DDR_PHY_DX8SL2PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00001494 )
#define DDR_PHY_DX8SL2PLLCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL2PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL2PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL2PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2PLLCR5
 */
#define DDR_PHY_DX8SL2PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x00001498 )
#define DDR_PHY_DX8SL2PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL2PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL2PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL2PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL2PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL2PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL2PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2DQSCTL
 */
#define DDR_PHY_DX8SL2DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x0000149C )
#define DDR_PHY_DX8SL2DQSCTL_DEFVAL   0x1264000

/* access_type: ro  */
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL2DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL2DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL2DQSCTL_RRRMODE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL2DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL2DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL2DQSCTL_WRRMODE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL2DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL2DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL2DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL2DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL2DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL2DQSCTL_LPPLLPD_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL2DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL2DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL2DQSCTL_LPIOPD_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL2DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL2DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL2DQSCTL_QSCNTEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL2DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL2DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL2DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL2DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL2DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL2DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL2DQSCTL_DXSR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL2DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL2DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL2DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL2DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL2DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL2DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2TRNCTL
 */
#define DDR_PHY_DX8SL2TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x000014A0 )
#define DDR_PHY_DX8SL2TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL2TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL2TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL2TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2DDLCTL
 */
#define DDR_PHY_DX8SL2DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x000014A4 )
#define DDR_PHY_DX8SL2DDLCTL_DEFVAL   0x2

/* access_type: ro  */
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL2DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL2DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL2DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL2DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL2DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL2DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL2DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL2DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL2DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL2DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL2DDLCTL_DDLBYPMODE_DEFVAL  0x2

/**
 * Register: DDR_PHY_DX8SL2DXCTL1
 */
#define DDR_PHY_DX8SL2DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x000014A8 )
#define DDR_PHY_DX8SL2DXCTL1_DEFVAL   0x40000

/* access_type: ro  */
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL2DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL2DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL2DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL2DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL2DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL2DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL2DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL2DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL2DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL2DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL2DXCTL1_DXQSDBYP_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL2DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL2DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL2DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL2DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL2DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2DXCTL2
 */
#define DDR_PHY_DX8SL2DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x000014AC )
#define DDR_PHY_DX8SL2DXCTL2_DEFVAL   0x141800

/* access_type: ro  */
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL2DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL2DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL2DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL2DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL2DXCTL2_POSOEX_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL2DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL2DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL2DXCTL2_PREOEX_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL2DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL2DXCTL2_IOAG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL2DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL2DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL2DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL2DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL2DXCTL2_LPWAKEUP_THRSH_DEFVAL  0xc

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL2DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL2DXCTL2_RDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL2DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL2DXCTL2_WDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL2DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL2DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL2DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL2DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL2DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL2DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL2DXCTL2_DISRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL2DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL2DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL2DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL2DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL2IOCR
 */
#define DDR_PHY_DX8SL2IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000014B0 )
#define DDR_PHY_DX8SL2IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL2IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL2IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL2IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL2IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL2IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL2IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL2IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL2IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL2IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL2IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL2IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL2IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL2IOCR_DXIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL2IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL2IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL2IOCR_DXTXM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL2IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL2IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL2IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL2IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL2IOCR
 */
#define DDR_PHY_DX4SL2IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000014B4 )
#define DDR_PHY_DX4SL2IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL2IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL2IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL2IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL2IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3OSC
 */
#define DDR_PHY_DX8SL3OSC    ( ( DDR_PHY_BASEADDR ) + 0x000014C0 )
#define DDR_PHY_DX8SL3OSC_DEFVAL   0x19ffe

/* access_type: ro  */
#define DDR_PHY_DX8SL3OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL3OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL3OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL3OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL3OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL3OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL3OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL3OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL3OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL3OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL3OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL3OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL3OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL3OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL3OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL3OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL3OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL3OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL3OSC_LBMODE_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_DX8SL3OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL3OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL3OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL3OSC_LBGSDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL3OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL3OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL3OSC_LBGDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL3OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL3OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL3OSC_LBDQSS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL3OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL3OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL3OSC_PHYHRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL3OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL3OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL3OSC_PHYFRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL3OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL3OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL3OSC_DLTST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL3OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL3OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL3OSC_DLTMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL3OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL3OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL3OSC_RESERVED_12_11_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL3OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL3OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL3OSC_OSCWDDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL3OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL3OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL3OSC_RESERVED_8_7_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL3OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL3OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL3OSC_OSCWDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL3OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL3OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL3OSC_OSCDIV_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX8SL3OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL3OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL3OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL3OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3PLLCR0
 */
#define DDR_PHY_DX8SL3PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x000014C4 )
#define DDR_PHY_DX8SL3PLLCR0_DEFVAL   0x1c0000

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL3PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL3PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL3PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL3PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL3PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL3PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL3PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL3PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL3PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL3PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL3PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL3PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL3PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL3PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL3PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL3PLLCR0_CPPC_DEFVAL  0xe

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL3PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL3PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL3PLLCR0_CPIC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL3PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL3PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL3PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL3PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL3PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL3PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL3PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL3PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL3PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL3PLLCR0_ATC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL3PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL3PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL3PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3PLLCR1
 */
#define DDR_PHY_DX8SL3PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x000014C8 )
#define DDR_PHY_DX8SL3PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL3PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL3PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL3PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL3PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL3PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL3PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL3PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL3PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL3PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL3PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL3PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL3PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL3PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL3PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL3PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL3PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3PLLCR2
 */
#define DDR_PHY_DX8SL3PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x000014CC )
#define DDR_PHY_DX8SL3PLLCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL3PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL3PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL3PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3PLLCR3
 */
#define DDR_PHY_DX8SL3PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x000014D0 )
#define DDR_PHY_DX8SL3PLLCR3_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL3PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL3PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL3PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3PLLCR4
 */
#define DDR_PHY_DX8SL3PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x000014D4 )
#define DDR_PHY_DX8SL3PLLCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL3PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL3PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL3PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3PLLCR5
 */
#define DDR_PHY_DX8SL3PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x000014D8 )
#define DDR_PHY_DX8SL3PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL3PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL3PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL3PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL3PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL3PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL3PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3DQSCTL
 */
#define DDR_PHY_DX8SL3DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x000014DC )
#define DDR_PHY_DX8SL3DQSCTL_DEFVAL   0x1264000

/* access_type: ro  */
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL3DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL3DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL3DQSCTL_RRRMODE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL3DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL3DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL3DQSCTL_WRRMODE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL3DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL3DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL3DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL3DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL3DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL3DQSCTL_LPPLLPD_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL3DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL3DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL3DQSCTL_LPIOPD_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL3DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL3DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL3DQSCTL_QSCNTEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL3DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL3DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL3DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL3DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL3DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL3DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL3DQSCTL_DXSR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL3DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL3DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL3DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL3DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL3DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL3DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3TRNCTL
 */
#define DDR_PHY_DX8SL3TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x000014E0 )
#define DDR_PHY_DX8SL3TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL3TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL3TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL3TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3DDLCTL
 */
#define DDR_PHY_DX8SL3DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x000014E4 )
#define DDR_PHY_DX8SL3DDLCTL_DEFVAL   0x2

/* access_type: ro  */
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL3DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL3DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL3DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL3DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL3DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL3DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL3DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL3DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL3DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL3DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL3DDLCTL_DDLBYPMODE_DEFVAL  0x2

/**
 * Register: DDR_PHY_DX8SL3DXCTL1
 */
#define DDR_PHY_DX8SL3DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x000014E8 )
#define DDR_PHY_DX8SL3DXCTL1_DEFVAL   0x40000

/* access_type: ro  */
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL3DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL3DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL3DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL3DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL3DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL3DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL3DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL3DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL3DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL3DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL3DXCTL1_DXQSDBYP_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL3DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL3DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL3DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL3DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL3DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3DXCTL2
 */
#define DDR_PHY_DX8SL3DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x000014EC )
#define DDR_PHY_DX8SL3DXCTL2_DEFVAL   0x141800

/* access_type: ro  */
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL3DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL3DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL3DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL3DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL3DXCTL2_POSOEX_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL3DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL3DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL3DXCTL2_PREOEX_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL3DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL3DXCTL2_IOAG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL3DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL3DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL3DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL3DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL3DXCTL2_LPWAKEUP_THRSH_DEFVAL  0xc

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL3DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL3DXCTL2_RDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL3DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL3DXCTL2_WDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL3DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL3DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL3DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL3DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL3DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL3DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL3DXCTL2_DISRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL3DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL3DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL3DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL3DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL3IOCR
 */
#define DDR_PHY_DX8SL3IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000014F0 )
#define DDR_PHY_DX8SL3IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL3IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL3IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL3IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL3IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL3IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL3IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL3IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL3IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL3IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL3IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL3IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL3IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL3IOCR_DXIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL3IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL3IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL3IOCR_DXTXM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL3IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL3IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL3IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL3IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL3IOCR
 */
#define DDR_PHY_DX4SL3IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000014F4 )
#define DDR_PHY_DX4SL3IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL3IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL3IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL3IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL3IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4OSC
 */
#define DDR_PHY_DX8SL4OSC    ( ( DDR_PHY_BASEADDR ) + 0x00001500 )
#define DDR_PHY_DX8SL4OSC_DEFVAL   0x19ffe

/* access_type: ro  */
#define DDR_PHY_DX8SL4OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL4OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL4OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL4OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL4OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL4OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL4OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL4OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL4OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL4OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL4OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL4OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL4OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL4OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL4OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL4OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL4OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL4OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL4OSC_LBMODE_DEFVAL  0x0

/* access_type: wtc  */
#define DDR_PHY_DX8SL4OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL4OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL4OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL4OSC_LBGSDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL4OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL4OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL4OSC_LBGDQS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL4OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL4OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL4OSC_LBDQSS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL4OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL4OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL4OSC_PHYHRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL4OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL4OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL4OSC_PHYFRST_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL4OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL4OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL4OSC_DLTST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL4OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL4OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL4OSC_DLTMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL4OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL4OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL4OSC_RESERVED_12_11_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL4OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL4OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL4OSC_OSCWDDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL4OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL4OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL4OSC_RESERVED_8_7_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL4OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL4OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL4OSC_OSCWDL_DEFVAL  0x3

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL4OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL4OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL4OSC_OSCDIV_DEFVAL  0xf

/* access_type: rw  */
#define DDR_PHY_DX8SL4OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL4OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL4OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL4OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4PLLCR0
 */
#define DDR_PHY_DX8SL4PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00001504 )
#define DDR_PHY_DX8SL4PLLCR0_DEFVAL   0x1c0000

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL4PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL4PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL4PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL4PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL4PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL4PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL4PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL4PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL4PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL4PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL4PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL4PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL4PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL4PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL4PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL4PLLCR0_CPPC_DEFVAL  0xe

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL4PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL4PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL4PLLCR0_CPIC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL4PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL4PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL4PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL4PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL4PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL4PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL4PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL4PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL4PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL4PLLCR0_ATC_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL4PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL4PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL4PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4PLLCR1
 */
#define DDR_PHY_DX8SL4PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x00001508 )
#define DDR_PHY_DX8SL4PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL4PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL4PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL4PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL4PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL4PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL4PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL4PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL4PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL4PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL4PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL4PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL4PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL4PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL4PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL4PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL4PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4PLLCR2
 */
#define DDR_PHY_DX8SL4PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x0000150C )
#define DDR_PHY_DX8SL4PLLCR2_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL4PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL4PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL4PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4PLLCR3
 */
#define DDR_PHY_DX8SL4PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00001510 )
#define DDR_PHY_DX8SL4PLLCR3_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL4PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL4PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL4PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4PLLCR4
 */
#define DDR_PHY_DX8SL4PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00001514 )
#define DDR_PHY_DX8SL4PLLCR4_DEFVAL   0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL4PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL4PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL4PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4PLLCR5
 */
#define DDR_PHY_DX8SL4PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x00001518 )
#define DDR_PHY_DX8SL4PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL4PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL4PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL4PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL4PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL4PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL4PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4DQSCTL
 */
#define DDR_PHY_DX8SL4DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x0000151C )
#define DDR_PHY_DX8SL4DQSCTL_DEFVAL   0x1264000

/* access_type: ro  */
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL4DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL4DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL4DQSCTL_RRRMODE_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL4DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL4DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL4DQSCTL_WRRMODE_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL4DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL4DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL4DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL4DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL4DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL4DQSCTL_LPPLLPD_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL4DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL4DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL4DQSCTL_LPIOPD_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL4DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL4DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL4DQSCTL_QSCNTEN_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL4DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL4DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL4DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL4DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL4DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL4DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL4DQSCTL_DXSR_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL4DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL4DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL4DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL4DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL4DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL4DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4TRNCTL
 */
#define DDR_PHY_DX8SL4TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001520 )
#define DDR_PHY_DX8SL4TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL4TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL4TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL4TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4DDLCTL
 */
#define DDR_PHY_DX8SL4DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001524 )
#define DDR_PHY_DX8SL4DDLCTL_DEFVAL   0x2

/* access_type: ro  */
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL4DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL4DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL4DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL4DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL4DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL4DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL4DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL4DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL4DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL4DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL4DDLCTL_DDLBYPMODE_DEFVAL  0x2

/**
 * Register: DDR_PHY_DX8SL4DXCTL1
 */
#define DDR_PHY_DX8SL4DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x00001528 )
#define DDR_PHY_DX8SL4DXCTL1_DEFVAL   0x40000

/* access_type: ro  */
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL4DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL4DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL4DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL4DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL4DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL4DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL4DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL4DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL4DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL4DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL4DXCTL1_DXQSDBYP_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL4DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL4DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL4DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL4DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL4DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4DXCTL2
 */
#define DDR_PHY_DX8SL4DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x0000152C )
#define DDR_PHY_DX8SL4DXCTL2_DEFVAL   0x141800

/* access_type: ro  */
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL4DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL4DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL4DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL4DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL4DXCTL2_POSOEX_DEFVAL  0x1

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL4DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL4DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL4DXCTL2_PREOEX_DEFVAL  0x1

/* access_type: ro  */
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL4DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL4DXCTL2_IOAG_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL4DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL4DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL4DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL4DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL4DXCTL2_LPWAKEUP_THRSH_DEFVAL  0xc

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL4DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL4DXCTL2_RDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL4DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL4DXCTL2_WDBI_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL4DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL4DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL4DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL4DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL4DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL4DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL4DXCTL2_DISRST_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL4DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL4DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL4DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL4DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL4IOCR
 */
#define DDR_PHY_DX8SL4IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001530 )
#define DDR_PHY_DX8SL4IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL4IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL4IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL4IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL4IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL4IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL4IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL4IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL4IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL4IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL4IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL4IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL4IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL4IOCR_DXIOM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL4IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL4IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL4IOCR_DXTXM_DEFVAL  0x0

/* access_type: rw  */
#define DDR_PHY_DX8SL4IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL4IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL4IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL4IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL4IOCR
 */
#define DDR_PHY_DX4SL4IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001534 )
#define DDR_PHY_DX4SL4IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL4IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL4IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL4IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL4IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5OSC
 */
#define DDR_PHY_DX8SL5OSC    ( ( DDR_PHY_BASEADDR ) + 0x00001540 )
#define DDR_PHY_DX8SL5OSC_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL5OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL5OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL5OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL5OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL5OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL5OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL5OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL5OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL5OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL5OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL5OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL5OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL5OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL5OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL5OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL5OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL5OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL5OSC_LBMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL5OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL5OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL5OSC_LBGSDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL5OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL5OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL5OSC_LBGDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL5OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL5OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL5OSC_LBDQSS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL5OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL5OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL5OSC_PHYHRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL5OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL5OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL5OSC_PHYFRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL5OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL5OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL5OSC_DLTST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL5OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL5OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL5OSC_DLTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL5OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL5OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL5OSC_RESERVED_12_11_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL5OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL5OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL5OSC_OSCWDDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL5OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL5OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL5OSC_RESERVED_8_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL5OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL5OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL5OSC_OSCWDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL5OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL5OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL5OSC_OSCDIV_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL5OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL5OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL5OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5PLLCR0
 */
#define DDR_PHY_DX8SL5PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00001544 )
#define DDR_PHY_DX8SL5PLLCR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL5PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL5PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL5PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL5PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL5PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL5PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL5PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL5PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL5PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL5PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL5PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL5PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL5PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL5PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL5PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL5PLLCR0_CPPC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL5PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL5PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL5PLLCR0_CPIC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL5PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL5PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL5PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL5PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL5PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL5PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL5PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL5PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL5PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL5PLLCR0_ATC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL5PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL5PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL5PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5PLLCR1
 */
#define DDR_PHY_DX8SL5PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x00001548 )
#define DDR_PHY_DX8SL5PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL5PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL5PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL5PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL5PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL5PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL5PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL5PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL5PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL5PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL5PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL5PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL5PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL5PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL5PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL5PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL5PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5PLLCR2
 */
#define DDR_PHY_DX8SL5PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x0000154C )
#define DDR_PHY_DX8SL5PLLCR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL5PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL5PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL5PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5PLLCR3
 */
#define DDR_PHY_DX8SL5PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00001550 )
#define DDR_PHY_DX8SL5PLLCR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL5PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL5PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL5PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5PLLCR4
 */
#define DDR_PHY_DX8SL5PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00001554 )
#define DDR_PHY_DX8SL5PLLCR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL5PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL5PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL5PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5PLLCR5
 */
#define DDR_PHY_DX8SL5PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x00001558 )
#define DDR_PHY_DX8SL5PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL5PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL5PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL5PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL5PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL5PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL5PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5DQSCTL
 */
#define DDR_PHY_DX8SL5DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x0000155C )
#define DDR_PHY_DX8SL5DQSCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL5DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL5DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL5DQSCTL_RRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL5DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL5DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL5DQSCTL_WRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL5DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL5DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL5DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL5DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL5DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL5DQSCTL_LPPLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL5DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL5DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL5DQSCTL_LPIOPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL5DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL5DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL5DQSCTL_QSCNTEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL5DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL5DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL5DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL5DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL5DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL5DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL5DQSCTL_DXSR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL5DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL5DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL5DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL5DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL5DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL5DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5TRNCTL
 */
#define DDR_PHY_DX8SL5TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001560 )
#define DDR_PHY_DX8SL5TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL5TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL5TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL5TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5DDLCTL
 */
#define DDR_PHY_DX8SL5DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001564 )
#define DDR_PHY_DX8SL5DDLCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL5DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL5DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL5DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL5DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL5DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL5DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL5DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL5DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL5DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL5DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL5DDLCTL_DDLBYPMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5DXCTL1
 */
#define DDR_PHY_DX8SL5DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x00001568 )
#define DDR_PHY_DX8SL5DXCTL1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL5DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL5DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL5DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL5DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL5DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL5DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL5DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL5DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL5DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL5DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL5DXCTL1_DXQSDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL5DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL5DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL5DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL5DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL5DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5DXCTL2
 */
#define DDR_PHY_DX8SL5DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x0000156C )
#define DDR_PHY_DX8SL5DXCTL2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL5DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL5DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL5DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL5DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL5DXCTL2_POSOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL5DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL5DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL5DXCTL2_PREOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL5DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL5DXCTL2_IOAG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL5DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL5DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL5DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL5DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL5DXCTL2_LPWAKEUP_THRSH_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL5DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL5DXCTL2_RDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL5DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL5DXCTL2_WDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL5DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL5DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL5DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL5DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL5DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL5DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL5DXCTL2_DISRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL5DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL5DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL5DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL5DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL5IOCR
 */
#define DDR_PHY_DX8SL5IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001570 )
#define DDR_PHY_DX8SL5IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL5IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL5IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL5IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL5IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL5IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL5IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL5IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL5IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL5IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL5IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL5IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL5IOCR_DXIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL5IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL5IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL5IOCR_DXTXM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL5IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL5IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL5IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL5IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL5IOCR
 */
#define DDR_PHY_DX4SL5IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001574 )
#define DDR_PHY_DX4SL5IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL5IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL5IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL5IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL5IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6OSC
 */
#define DDR_PHY_DX8SL6OSC    ( ( DDR_PHY_BASEADDR ) + 0x00001580 )
#define DDR_PHY_DX8SL6OSC_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL6OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL6OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL6OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL6OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL6OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL6OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL6OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL6OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL6OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL6OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL6OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL6OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL6OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL6OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL6OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL6OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL6OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL6OSC_LBMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL6OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL6OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL6OSC_LBGSDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL6OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL6OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL6OSC_LBGDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL6OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL6OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL6OSC_LBDQSS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL6OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL6OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL6OSC_PHYHRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL6OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL6OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL6OSC_PHYFRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL6OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL6OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL6OSC_DLTST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL6OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL6OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL6OSC_DLTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL6OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL6OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL6OSC_RESERVED_12_11_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL6OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL6OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL6OSC_OSCWDDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL6OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL6OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL6OSC_RESERVED_8_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL6OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL6OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL6OSC_OSCWDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL6OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL6OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL6OSC_OSCDIV_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL6OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL6OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL6OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6PLLCR0
 */
#define DDR_PHY_DX8SL6PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00001584 )
#define DDR_PHY_DX8SL6PLLCR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL6PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL6PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL6PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL6PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL6PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL6PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL6PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL6PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL6PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL6PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL6PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL6PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL6PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL6PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL6PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL6PLLCR0_CPPC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL6PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL6PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL6PLLCR0_CPIC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL6PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL6PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL6PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL6PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL6PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL6PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL6PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL6PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL6PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL6PLLCR0_ATC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL6PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL6PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL6PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6PLLCR1
 */
#define DDR_PHY_DX8SL6PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x00001588 )
#define DDR_PHY_DX8SL6PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL6PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL6PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL6PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL6PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL6PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL6PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL6PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL6PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL6PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL6PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL6PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL6PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL6PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL6PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL6PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL6PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6PLLCR2
 */
#define DDR_PHY_DX8SL6PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x0000158C )
#define DDR_PHY_DX8SL6PLLCR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL6PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL6PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL6PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6PLLCR3
 */
#define DDR_PHY_DX8SL6PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00001590 )
#define DDR_PHY_DX8SL6PLLCR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL6PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL6PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL6PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6PLLCR4
 */
#define DDR_PHY_DX8SL6PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00001594 )
#define DDR_PHY_DX8SL6PLLCR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL6PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL6PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL6PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6PLLCR5
 */
#define DDR_PHY_DX8SL6PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x00001598 )
#define DDR_PHY_DX8SL6PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL6PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL6PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL6PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL6PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL6PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL6PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6DQSCTL
 */
#define DDR_PHY_DX8SL6DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x0000159C )
#define DDR_PHY_DX8SL6DQSCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL6DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL6DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL6DQSCTL_RRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL6DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL6DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL6DQSCTL_WRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL6DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL6DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL6DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL6DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL6DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL6DQSCTL_LPPLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL6DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL6DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL6DQSCTL_LPIOPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL6DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL6DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL6DQSCTL_QSCNTEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL6DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL6DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL6DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL6DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL6DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL6DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL6DQSCTL_DXSR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL6DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL6DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL6DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL6DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL6DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL6DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6TRNCTL
 */
#define DDR_PHY_DX8SL6TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x000015A0 )
#define DDR_PHY_DX8SL6TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL6TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL6TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL6TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6DDLCTL
 */
#define DDR_PHY_DX8SL6DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x000015A4 )
#define DDR_PHY_DX8SL6DDLCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL6DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL6DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL6DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL6DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL6DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL6DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL6DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL6DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL6DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL6DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL6DDLCTL_DDLBYPMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6DXCTL1
 */
#define DDR_PHY_DX8SL6DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x000015A8 )
#define DDR_PHY_DX8SL6DXCTL1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL6DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL6DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL6DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL6DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL6DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL6DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL6DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL6DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL6DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL6DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL6DXCTL1_DXQSDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL6DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL6DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL6DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL6DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL6DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6DXCTL2
 */
#define DDR_PHY_DX8SL6DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x000015AC )
#define DDR_PHY_DX8SL6DXCTL2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL6DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL6DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL6DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL6DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL6DXCTL2_POSOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL6DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL6DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL6DXCTL2_PREOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL6DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL6DXCTL2_IOAG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL6DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL6DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL6DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL6DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL6DXCTL2_LPWAKEUP_THRSH_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL6DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL6DXCTL2_RDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL6DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL6DXCTL2_WDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL6DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL6DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL6DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL6DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL6DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL6DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL6DXCTL2_DISRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL6DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL6DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL6DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL6DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL6IOCR
 */
#define DDR_PHY_DX8SL6IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000015B0 )
#define DDR_PHY_DX8SL6IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL6IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL6IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL6IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL6IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL6IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL6IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL6IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL6IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL6IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL6IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL6IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL6IOCR_DXIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL6IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL6IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL6IOCR_DXTXM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL6IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL6IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL6IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL6IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL6IOCR
 */
#define DDR_PHY_DX4SL6IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000015B4 )
#define DDR_PHY_DX4SL6IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL6IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL6IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL6IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL6IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7OSC
 */
#define DDR_PHY_DX8SL7OSC    ( ( DDR_PHY_BASEADDR ) + 0x000015C0 )
#define DDR_PHY_DX8SL7OSC_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL7OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL7OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL7OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL7OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL7OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL7OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL7OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL7OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL7OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL7OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL7OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL7OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL7OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL7OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL7OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL7OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL7OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL7OSC_LBMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL7OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL7OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL7OSC_LBGSDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL7OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL7OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL7OSC_LBGDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL7OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL7OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL7OSC_LBDQSS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL7OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL7OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL7OSC_PHYHRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL7OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL7OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL7OSC_PHYFRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL7OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL7OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL7OSC_DLTST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL7OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL7OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL7OSC_DLTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL7OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL7OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL7OSC_RESERVED_12_11_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL7OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL7OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL7OSC_OSCWDDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL7OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL7OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL7OSC_RESERVED_8_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL7OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL7OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL7OSC_OSCWDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL7OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL7OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL7OSC_OSCDIV_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL7OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL7OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL7OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7PLLCR0
 */
#define DDR_PHY_DX8SL7PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x000015C4 )
#define DDR_PHY_DX8SL7PLLCR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL7PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL7PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL7PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL7PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL7PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL7PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL7PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL7PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL7PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL7PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL7PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL7PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL7PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL7PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL7PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL7PLLCR0_CPPC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL7PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL7PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL7PLLCR0_CPIC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL7PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL7PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL7PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL7PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL7PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL7PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL7PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL7PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL7PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL7PLLCR0_ATC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL7PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL7PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL7PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7PLLCR1
 */
#define DDR_PHY_DX8SL7PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x000015C8 )
#define DDR_PHY_DX8SL7PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL7PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL7PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL7PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL7PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL7PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL7PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL7PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL7PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL7PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL7PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL7PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL7PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL7PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL7PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL7PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL7PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7PLLCR2
 */
#define DDR_PHY_DX8SL7PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x000015CC )
#define DDR_PHY_DX8SL7PLLCR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL7PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL7PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL7PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7PLLCR3
 */
#define DDR_PHY_DX8SL7PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x000015D0 )
#define DDR_PHY_DX8SL7PLLCR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL7PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL7PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL7PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7PLLCR4
 */
#define DDR_PHY_DX8SL7PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x000015D4 )
#define DDR_PHY_DX8SL7PLLCR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL7PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL7PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL7PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7PLLCR5
 */
#define DDR_PHY_DX8SL7PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x000015D8 )
#define DDR_PHY_DX8SL7PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL7PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL7PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL7PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL7PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL7PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL7PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7DQSCTL
 */
#define DDR_PHY_DX8SL7DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x000015DC )
#define DDR_PHY_DX8SL7DQSCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL7DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL7DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL7DQSCTL_RRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL7DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL7DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL7DQSCTL_WRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL7DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL7DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL7DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL7DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL7DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL7DQSCTL_LPPLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL7DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL7DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL7DQSCTL_LPIOPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL7DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL7DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL7DQSCTL_QSCNTEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL7DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL7DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL7DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL7DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL7DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL7DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL7DQSCTL_DXSR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL7DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL7DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL7DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL7DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL7DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL7DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7TRNCTL
 */
#define DDR_PHY_DX8SL7TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x000015E0 )
#define DDR_PHY_DX8SL7TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL7TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL7TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL7TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7DDLCTL
 */
#define DDR_PHY_DX8SL7DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x000015E4 )
#define DDR_PHY_DX8SL7DDLCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL7DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL7DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL7DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL7DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL7DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL7DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL7DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL7DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL7DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL7DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL7DDLCTL_DDLBYPMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7DXCTL1
 */
#define DDR_PHY_DX8SL7DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x000015E8 )
#define DDR_PHY_DX8SL7DXCTL1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL7DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL7DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL7DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL7DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL7DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL7DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL7DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL7DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL7DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL7DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL7DXCTL1_DXQSDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL7DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL7DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL7DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL7DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL7DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7DXCTL2
 */
#define DDR_PHY_DX8SL7DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x000015EC )
#define DDR_PHY_DX8SL7DXCTL2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL7DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL7DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL7DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL7DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL7DXCTL2_POSOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL7DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL7DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL7DXCTL2_PREOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL7DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL7DXCTL2_IOAG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL7DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL7DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL7DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL7DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL7DXCTL2_LPWAKEUP_THRSH_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL7DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL7DXCTL2_RDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL7DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL7DXCTL2_WDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL7DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL7DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL7DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL7DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL7DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL7DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL7DXCTL2_DISRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL7DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL7DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL7DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL7DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL7IOCR
 */
#define DDR_PHY_DX8SL7IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000015F0 )
#define DDR_PHY_DX8SL7IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL7IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL7IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL7IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL7IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL7IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL7IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL7IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL7IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL7IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL7IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL7IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL7IOCR_DXIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL7IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL7IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL7IOCR_DXTXM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL7IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL7IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL7IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL7IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL7IOCR
 */
#define DDR_PHY_DX4SL7IOCR    ( ( DDR_PHY_BASEADDR ) + 0x000015F4 )
#define DDR_PHY_DX4SL7IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL7IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL7IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL7IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL7IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8OSC
 */
#define DDR_PHY_DX8SL8OSC    ( ( DDR_PHY_BASEADDR ) + 0x00001600 )
#define DDR_PHY_DX8SL8OSC_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SL8OSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SL8OSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SL8OSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SL8OSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SL8OSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SL8OSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SL8OSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SL8OSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SL8OSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SL8OSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SL8OSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SL8OSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SL8OSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SL8OSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SL8OSC_CLKLEVEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SL8OSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SL8OSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SL8OSC_LBMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SL8OSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SL8OSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SL8OSC_LBGSDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SL8OSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SL8OSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SL8OSC_LBGDQS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SL8OSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SL8OSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SL8OSC_LBDQSS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SL8OSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SL8OSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SL8OSC_PHYHRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SL8OSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SL8OSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SL8OSC_PHYFRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SL8OSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SL8OSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SL8OSC_DLTST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SL8OSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SL8OSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SL8OSC_DLTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SL8OSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SL8OSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SL8OSC_RESERVED_12_11_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SL8OSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SL8OSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SL8OSC_OSCWDDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SL8OSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SL8OSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SL8OSC_RESERVED_8_7_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SL8OSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SL8OSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SL8OSC_OSCWDL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SL8OSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SL8OSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SL8OSC_OSCDIV_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8OSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SL8OSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SL8OSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SL8OSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8PLLCR0
 */
#define DDR_PHY_DX8SL8PLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x00001604 )
#define DDR_PHY_DX8SL8PLLCR0_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SL8PLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SL8PLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SL8PLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SL8PLLCR0_PLLRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SL8PLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SL8PLLCR0_PLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SL8PLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SL8PLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SL8PLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SL8PLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SL8PLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SL8PLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SL8PLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SL8PLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SL8PLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SL8PLLCR0_CPPC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SL8PLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SL8PLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SL8PLLCR0_CPIC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SL8PLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SL8PLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SL8PLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SL8PLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SL8PLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SL8PLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SL8PLLCR0_ATOEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SL8PLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SL8PLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SL8PLLCR0_ATC_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SL8PLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SL8PLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SL8PLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8PLLCR1
 */
#define DDR_PHY_DX8SL8PLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x00001608 )
#define DDR_PHY_DX8SL8PLLCR1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SL8PLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SL8PLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SL8PLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SL8PLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SL8PLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SL8PLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SL8PLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SL8PLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SL8PLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SL8PLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SL8PLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SL8PLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SL8PLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SL8PLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SL8PLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SL8PLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8PLLCR2
 */
#define DDR_PHY_DX8SL8PLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x0000160C )
#define DDR_PHY_DX8SL8PLLCR2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SL8PLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SL8PLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL8PLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8PLLCR3
 */
#define DDR_PHY_DX8SL8PLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x00001610 )
#define DDR_PHY_DX8SL8PLLCR3_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SL8PLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SL8PLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SL8PLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8PLLCR4
 */
#define DDR_PHY_DX8SL8PLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x00001614 )
#define DDR_PHY_DX8SL8PLLCR4_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SL8PLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SL8PLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SL8PLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8PLLCR5
 */
#define DDR_PHY_DX8SL8PLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x00001618 )
#define DDR_PHY_DX8SL8PLLCR5_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SL8PLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SL8PLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SL8PLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8PLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SL8PLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SL8PLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SL8PLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8DQSCTL
 */
#define DDR_PHY_DX8SL8DQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x0000161C )
#define DDR_PHY_DX8SL8DQSCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SL8DQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SL8DQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SL8DQSCTL_RRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SL8DQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SL8DQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SL8DQSCTL_WRRMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SL8DQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SL8DQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SL8DQSCTL_DQSGX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SL8DQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SL8DQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SL8DQSCTL_LPPLLPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SL8DQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SL8DQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SL8DQSCTL_LPIOPD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SL8DQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SL8DQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SL8DQSCTL_QSCNTEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SL8DQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SL8DQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SL8DQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SL8DQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SL8DQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SL8DQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SL8DQSCTL_DXSR_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SL8DQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SL8DQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SL8DQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SL8DQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SL8DQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SL8DQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8TRNCTL
 */
#define DDR_PHY_DX8SL8TRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001620 )
#define DDR_PHY_DX8SL8TRNCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8TRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SL8TRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SL8TRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SL8TRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8DDLCTL
 */
#define DDR_PHY_DX8SL8DDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x00001624 )
#define DDR_PHY_DX8SL8DDLCTL_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SL8DDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SL8DDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SL8DDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SL8DDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SL8DDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SL8DDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SL8DDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SL8DDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SL8DDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SL8DDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SL8DDLCTL_DDLBYPMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8DXCTL1
 */
#define DDR_PHY_DX8SL8DXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x00001628 )
#define DDR_PHY_DX8SL8DXCTL1_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SL8DXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SL8DXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SL8DXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SL8DXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SL8DXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SL8DXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SL8DXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SL8DXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SL8DXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SL8DXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SL8DXCTL1_DXQSDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SL8DXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SL8DXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SL8DXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SL8DXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SL8DXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8DXCTL2
 */
#define DDR_PHY_DX8SL8DXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x0000162C )
#define DDR_PHY_DX8SL8DXCTL2_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SL8DXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SL8DXCTL2_CRDEN_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SL8DXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SL8DXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SL8DXCTL2_POSOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SL8DXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SL8DXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SL8DXCTL2_PREOEX_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SL8DXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SL8DXCTL2_IOAG_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SL8DXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SL8DXCTL2_IOLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SL8DXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SL8DXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SL8DXCTL2_LPWAKEUP_THRSH_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SL8DXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SL8DXCTL2_RDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SL8DXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SL8DXCTL2_WDBI_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SL8DXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SL8DXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SL8DXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SL8DXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SL8DXCTL2_RDMODE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SL8DXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SL8DXCTL2_DISRST_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SL8DXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SL8DXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SL8DXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SL8DXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SL8IOCR
 */
#define DDR_PHY_DX8SL8IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001630 )
#define DDR_PHY_DX8SL8IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8IOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SL8IOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SL8IOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SL8IOCR_RESERVED_31_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8IOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SL8IOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SL8IOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SL8IOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8IOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SL8IOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SL8IOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SL8IOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8IOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SL8IOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SL8IOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SL8IOCR_DXIOM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8IOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SL8IOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SL8IOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SL8IOCR_DXTXM_DEFVAL  0x0

/* access_type: ro  */
#define DDR_PHY_DX8SL8IOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SL8IOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SL8IOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SL8IOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SL8IOCR
 */
#define DDR_PHY_DX4SL8IOCR    ( ( DDR_PHY_BASEADDR ) + 0x00001634 )
#define DDR_PHY_DX4SL8IOCR_DEFVAL   0x0

/* access_type: ro  */
#define DDR_PHY_DX4SL8IOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SL8IOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SL8IOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SL8IOCR_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBOSC
 */
#define DDR_PHY_DX8SLBOSC    ( ( DDR_PHY_BASEADDR ) + 0x000017C0 )
#define DDR_PHY_DX8SLBOSC_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_RESERVED_31_30_SHIFT   30
#define DDR_PHY_DX8SLBOSC_RESERVED_31_30_WIDTH   2
#define DDR_PHY_DX8SLBOSC_RESERVED_31_30_MASK    0xc0000000
#define DDR_PHY_DX8SLBOSC_RESERVED_31_30_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_GATEDXRDCLK_SHIFT   28
#define DDR_PHY_DX8SLBOSC_GATEDXRDCLK_WIDTH   2
#define DDR_PHY_DX8SLBOSC_GATEDXRDCLK_MASK    0x30000000
#define DDR_PHY_DX8SLBOSC_GATEDXRDCLK_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_GATEDXDDRCLK_SHIFT   26
#define DDR_PHY_DX8SLBOSC_GATEDXDDRCLK_WIDTH   2
#define DDR_PHY_DX8SLBOSC_GATEDXDDRCLK_MASK    0x0c000000
#define DDR_PHY_DX8SLBOSC_GATEDXDDRCLK_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_GATEDXCTLCLK_SHIFT   24
#define DDR_PHY_DX8SLBOSC_GATEDXCTLCLK_WIDTH   2
#define DDR_PHY_DX8SLBOSC_GATEDXCTLCLK_MASK    0x03000000
#define DDR_PHY_DX8SLBOSC_GATEDXCTLCLK_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_CLKLEVEL_SHIFT   22
#define DDR_PHY_DX8SLBOSC_CLKLEVEL_WIDTH   2
#define DDR_PHY_DX8SLBOSC_CLKLEVEL_MASK    0x00c00000
#define DDR_PHY_DX8SLBOSC_CLKLEVEL_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_LBMODE_SHIFT   21
#define DDR_PHY_DX8SLBOSC_LBMODE_WIDTH   1
#define DDR_PHY_DX8SLBOSC_LBMODE_MASK    0x00200000
#define DDR_PHY_DX8SLBOSC_LBMODE_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_LBGSDQS_SHIFT   20
#define DDR_PHY_DX8SLBOSC_LBGSDQS_WIDTH   1
#define DDR_PHY_DX8SLBOSC_LBGSDQS_MASK    0x00100000
#define DDR_PHY_DX8SLBOSC_LBGSDQS_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_LBGDQS_SHIFT   18
#define DDR_PHY_DX8SLBOSC_LBGDQS_WIDTH   2
#define DDR_PHY_DX8SLBOSC_LBGDQS_MASK    0x000c0000
#define DDR_PHY_DX8SLBOSC_LBGDQS_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_LBDQSS_SHIFT   17
#define DDR_PHY_DX8SLBOSC_LBDQSS_WIDTH   1
#define DDR_PHY_DX8SLBOSC_LBDQSS_MASK    0x00020000
#define DDR_PHY_DX8SLBOSC_LBDQSS_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_PHYHRST_SHIFT   16
#define DDR_PHY_DX8SLBOSC_PHYHRST_WIDTH   1
#define DDR_PHY_DX8SLBOSC_PHYHRST_MASK    0x00010000
#define DDR_PHY_DX8SLBOSC_PHYHRST_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_PHYFRST_SHIFT   15
#define DDR_PHY_DX8SLBOSC_PHYFRST_WIDTH   1
#define DDR_PHY_DX8SLBOSC_PHYFRST_MASK    0x00008000
#define DDR_PHY_DX8SLBOSC_PHYFRST_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_DLTST_SHIFT   14
#define DDR_PHY_DX8SLBOSC_DLTST_WIDTH   1
#define DDR_PHY_DX8SLBOSC_DLTST_MASK    0x00004000
#define DDR_PHY_DX8SLBOSC_DLTST_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_DLTMODE_SHIFT   13
#define DDR_PHY_DX8SLBOSC_DLTMODE_WIDTH   1
#define DDR_PHY_DX8SLBOSC_DLTMODE_MASK    0x00002000
#define DDR_PHY_DX8SLBOSC_DLTMODE_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_RESERVED_12_11_SHIFT   11
#define DDR_PHY_DX8SLBOSC_RESERVED_12_11_WIDTH   2
#define DDR_PHY_DX8SLBOSC_RESERVED_12_11_MASK    0x00001800
#define DDR_PHY_DX8SLBOSC_RESERVED_12_11_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_OSCWDDL_SHIFT   9
#define DDR_PHY_DX8SLBOSC_OSCWDDL_WIDTH   2
#define DDR_PHY_DX8SLBOSC_OSCWDDL_MASK    0x00000600
#define DDR_PHY_DX8SLBOSC_OSCWDDL_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_RESERVED_8_7_SHIFT   7
#define DDR_PHY_DX8SLBOSC_RESERVED_8_7_WIDTH   2
#define DDR_PHY_DX8SLBOSC_RESERVED_8_7_MASK    0x00000180
#define DDR_PHY_DX8SLBOSC_RESERVED_8_7_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_OSCWDL_SHIFT   5
#define DDR_PHY_DX8SLBOSC_OSCWDL_WIDTH   2
#define DDR_PHY_DX8SLBOSC_OSCWDL_MASK    0x00000060
#define DDR_PHY_DX8SLBOSC_OSCWDL_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_OSCDIV_SHIFT   1
#define DDR_PHY_DX8SLBOSC_OSCDIV_WIDTH   4
#define DDR_PHY_DX8SLBOSC_OSCDIV_MASK    0x0000001e
#define DDR_PHY_DX8SLBOSC_OSCDIV_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBOSC_OSCEN_SHIFT   0
#define DDR_PHY_DX8SLBOSC_OSCEN_WIDTH   1
#define DDR_PHY_DX8SLBOSC_OSCEN_MASK    0x00000001
#define DDR_PHY_DX8SLBOSC_OSCEN_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBPLLCR0
 */
#define DDR_PHY_DX8SLBPLLCR0    ( ( DDR_PHY_BASEADDR ) + 0x000017C4 )
#define DDR_PHY_DX8SLBPLLCR0_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_PLLBYP_SHIFT   31
#define DDR_PHY_DX8SLBPLLCR0_PLLBYP_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR0_PLLBYP_MASK    0x80000000
#define DDR_PHY_DX8SLBPLLCR0_PLLBYP_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_PLLRST_SHIFT   30
#define DDR_PHY_DX8SLBPLLCR0_PLLRST_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR0_PLLRST_MASK    0x40000000
#define DDR_PHY_DX8SLBPLLCR0_PLLRST_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_PLLPD_SHIFT   29
#define DDR_PHY_DX8SLBPLLCR0_PLLPD_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR0_PLLPD_MASK    0x20000000
#define DDR_PHY_DX8SLBPLLCR0_PLLPD_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_RSTOPM_SHIFT   28
#define DDR_PHY_DX8SLBPLLCR0_RSTOPM_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR0_RSTOPM_MASK    0x10000000
#define DDR_PHY_DX8SLBPLLCR0_RSTOPM_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_FRQSEL_SHIFT   24
#define DDR_PHY_DX8SLBPLLCR0_FRQSEL_WIDTH   4
#define DDR_PHY_DX8SLBPLLCR0_FRQSEL_MASK    0x0f000000
#define DDR_PHY_DX8SLBPLLCR0_FRQSEL_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_RLOCKM_SHIFT   23
#define DDR_PHY_DX8SLBPLLCR0_RLOCKM_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR0_RLOCKM_MASK    0x00800000
#define DDR_PHY_DX8SLBPLLCR0_RLOCKM_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_CPPC_SHIFT   17
#define DDR_PHY_DX8SLBPLLCR0_CPPC_WIDTH   6
#define DDR_PHY_DX8SLBPLLCR0_CPPC_MASK    0x007e0000
#define DDR_PHY_DX8SLBPLLCR0_CPPC_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_CPIC_SHIFT   13
#define DDR_PHY_DX8SLBPLLCR0_CPIC_WIDTH   4
#define DDR_PHY_DX8SLBPLLCR0_CPIC_MASK    0x0001e000
#define DDR_PHY_DX8SLBPLLCR0_CPIC_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_GSHIFT_SHIFT   12
#define DDR_PHY_DX8SLBPLLCR0_GSHIFT_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR0_GSHIFT_MASK    0x00001000
#define DDR_PHY_DX8SLBPLLCR0_GSHIFT_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_RESERVED_11_9_SHIFT   9
#define DDR_PHY_DX8SLBPLLCR0_RESERVED_11_9_WIDTH   3
#define DDR_PHY_DX8SLBPLLCR0_RESERVED_11_9_MASK    0x00000e00
#define DDR_PHY_DX8SLBPLLCR0_RESERVED_11_9_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_ATOEN_SHIFT   8
#define DDR_PHY_DX8SLBPLLCR0_ATOEN_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR0_ATOEN_MASK    0x00000100
#define DDR_PHY_DX8SLBPLLCR0_ATOEN_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_ATC_SHIFT   4
#define DDR_PHY_DX8SLBPLLCR0_ATC_WIDTH   4
#define DDR_PHY_DX8SLBPLLCR0_ATC_MASK    0x000000f0
#define DDR_PHY_DX8SLBPLLCR0_ATC_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR0_DTC_SHIFT   0
#define DDR_PHY_DX8SLBPLLCR0_DTC_WIDTH   4
#define DDR_PHY_DX8SLBPLLCR0_DTC_MASK    0x0000000f
#define DDR_PHY_DX8SLBPLLCR0_DTC_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBPLLCR1
 */
#define DDR_PHY_DX8SLBPLLCR1    ( ( DDR_PHY_BASEADDR ) + 0x000017C8 )
#define DDR_PHY_DX8SLBPLLCR1_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_RESERVED_31_22_SHIFT   22
#define DDR_PHY_DX8SLBPLLCR1_RESERVED_31_22_WIDTH   10
#define DDR_PHY_DX8SLBPLLCR1_RESERVED_31_22_MASK    0xffc00000
#define DDR_PHY_DX8SLBPLLCR1_RESERVED_31_22_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_PLLPROG_SHIFT   6
#define DDR_PHY_DX8SLBPLLCR1_PLLPROG_WIDTH   16
#define DDR_PHY_DX8SLBPLLCR1_PLLPROG_MASK    0x003fffc0
#define DDR_PHY_DX8SLBPLLCR1_PLLPROG_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGCP_SHIFT   5
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGCP_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGCP_MASK    0x00000020
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGCP_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGDIG_SHIFT   4
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGDIG_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGDIG_MASK    0x00000010
#define DDR_PHY_DX8SLBPLLCR1_BYPVREGDIG_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_BYPVDD_SHIFT   3
#define DDR_PHY_DX8SLBPLLCR1_BYPVDD_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR1_BYPVDD_MASK    0x00000008
#define DDR_PHY_DX8SLBPLLCR1_BYPVDD_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_LOCKPS_SHIFT   2
#define DDR_PHY_DX8SLBPLLCR1_LOCKPS_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR1_LOCKPS_MASK    0x00000004
#define DDR_PHY_DX8SLBPLLCR1_LOCKPS_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_LOCKCS_SHIFT   1
#define DDR_PHY_DX8SLBPLLCR1_LOCKCS_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR1_LOCKCS_MASK    0x00000002
#define DDR_PHY_DX8SLBPLLCR1_LOCKCS_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR1_LOCKDS_SHIFT   0
#define DDR_PHY_DX8SLBPLLCR1_LOCKDS_WIDTH   1
#define DDR_PHY_DX8SLBPLLCR1_LOCKDS_MASK    0x00000001
#define DDR_PHY_DX8SLBPLLCR1_LOCKDS_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBPLLCR2
 */
#define DDR_PHY_DX8SLBPLLCR2    ( ( DDR_PHY_BASEADDR ) + 0x000017CC )
#define DDR_PHY_DX8SLBPLLCR2_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR2_PLLCTRL_31_0_SHIFT   0
#define DDR_PHY_DX8SLBPLLCR2_PLLCTRL_31_0_WIDTH   32
#define DDR_PHY_DX8SLBPLLCR2_PLLCTRL_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SLBPLLCR2_PLLCTRL_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBPLLCR3
 */
#define DDR_PHY_DX8SLBPLLCR3    ( ( DDR_PHY_BASEADDR ) + 0x000017D0 )
#define DDR_PHY_DX8SLBPLLCR3_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR3_PLLCTRL_63_32_SHIFT   0
#define DDR_PHY_DX8SLBPLLCR3_PLLCTRL_63_32_WIDTH   32
#define DDR_PHY_DX8SLBPLLCR3_PLLCTRL_63_32_MASK    0xffffffff
#define DDR_PHY_DX8SLBPLLCR3_PLLCTRL_63_32_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBPLLCR4
 */
#define DDR_PHY_DX8SLBPLLCR4    ( ( DDR_PHY_BASEADDR ) + 0x000017D4 )
#define DDR_PHY_DX8SLBPLLCR4_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR4_PLLCTRL_95_64_SHIFT   0
#define DDR_PHY_DX8SLBPLLCR4_PLLCTRL_95_64_WIDTH   32
#define DDR_PHY_DX8SLBPLLCR4_PLLCTRL_95_64_MASK    0xffffffff
#define DDR_PHY_DX8SLBPLLCR4_PLLCTRL_95_64_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBPLLCR5
 */
#define DDR_PHY_DX8SLBPLLCR5    ( ( DDR_PHY_BASEADDR ) + 0x000017D8 )
#define DDR_PHY_DX8SLBPLLCR5_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR5_RESERVED_31_8_SHIFT   8
#define DDR_PHY_DX8SLBPLLCR5_RESERVED_31_8_WIDTH   24
#define DDR_PHY_DX8SLBPLLCR5_RESERVED_31_8_MASK    0xffffff00
#define DDR_PHY_DX8SLBPLLCR5_RESERVED_31_8_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBPLLCR5_PLLCTRL_103_96_SHIFT   0
#define DDR_PHY_DX8SLBPLLCR5_PLLCTRL_103_96_WIDTH   8
#define DDR_PHY_DX8SLBPLLCR5_PLLCTRL_103_96_MASK    0x000000ff
#define DDR_PHY_DX8SLBPLLCR5_PLLCTRL_103_96_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBDQSCTL
 */
#define DDR_PHY_DX8SLBDQSCTL    ( ( DDR_PHY_BASEADDR ) + 0x000017DC )
#define DDR_PHY_DX8SLBDQSCTL_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_31_25_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_RRRMODE_SHIFT   24
#define DDR_PHY_DX8SLBDQSCTL_RRRMODE_WIDTH   1
#define DDR_PHY_DX8SLBDQSCTL_RRRMODE_MASK    0x01000000
#define DDR_PHY_DX8SLBDQSCTL_RRRMODE_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_23_22_SHIFT   22
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_23_22_WIDTH   2
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_23_22_MASK    0x00c00000
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_23_22_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_WRRMODE_SHIFT   21
#define DDR_PHY_DX8SLBDQSCTL_WRRMODE_WIDTH   1
#define DDR_PHY_DX8SLBDQSCTL_WRRMODE_MASK    0x00200000
#define DDR_PHY_DX8SLBDQSCTL_WRRMODE_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_DQSGX_SHIFT   19
#define DDR_PHY_DX8SLBDQSCTL_DQSGX_WIDTH   2
#define DDR_PHY_DX8SLBDQSCTL_DQSGX_MASK    0x00180000
#define DDR_PHY_DX8SLBDQSCTL_DQSGX_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_LPPLLPD_SHIFT   18
#define DDR_PHY_DX8SLBDQSCTL_LPPLLPD_WIDTH   1
#define DDR_PHY_DX8SLBDQSCTL_LPPLLPD_MASK    0x00040000
#define DDR_PHY_DX8SLBDQSCTL_LPPLLPD_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_LPIOPD_SHIFT   17
#define DDR_PHY_DX8SLBDQSCTL_LPIOPD_WIDTH   1
#define DDR_PHY_DX8SLBDQSCTL_LPIOPD_MASK    0x00020000
#define DDR_PHY_DX8SLBDQSCTL_LPIOPD_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_16_15_SHIFT   15
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_16_15_WIDTH   2
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_16_15_MASK    0x00018000
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_16_15_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_QSCNTEN_SHIFT   14
#define DDR_PHY_DX8SLBDQSCTL_QSCNTEN_WIDTH   1
#define DDR_PHY_DX8SLBDQSCTL_QSCNTEN_MASK    0x00004000
#define DDR_PHY_DX8SLBDQSCTL_QSCNTEN_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_UDQIOM_SHIFT   13
#define DDR_PHY_DX8SLBDQSCTL_UDQIOM_WIDTH   1
#define DDR_PHY_DX8SLBDQSCTL_UDQIOM_MASK    0x00002000
#define DDR_PHY_DX8SLBDQSCTL_UDQIOM_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_12_10_SHIFT   10
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_12_10_WIDTH   3
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_12_10_MASK    0x00001c00
#define DDR_PHY_DX8SLBDQSCTL_RESERVED_12_10_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_DXSR_SHIFT   8
#define DDR_PHY_DX8SLBDQSCTL_DXSR_WIDTH   2
#define DDR_PHY_DX8SLBDQSCTL_DXSR_MASK    0x00000300
#define DDR_PHY_DX8SLBDQSCTL_DXSR_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_DQSNRES_SHIFT   4
#define DDR_PHY_DX8SLBDQSCTL_DQSNRES_WIDTH   4
#define DDR_PHY_DX8SLBDQSCTL_DQSNRES_MASK    0x000000f0
#define DDR_PHY_DX8SLBDQSCTL_DQSNRES_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDQSCTL_DQSRES_SHIFT   0
#define DDR_PHY_DX8SLBDQSCTL_DQSRES_WIDTH   4
#define DDR_PHY_DX8SLBDQSCTL_DQSRES_MASK    0x0000000f
#define DDR_PHY_DX8SLBDQSCTL_DQSRES_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBTRNCTL
 */
#define DDR_PHY_DX8SLBTRNCTL    ( ( DDR_PHY_BASEADDR ) + 0x000017E0 )
#define DDR_PHY_DX8SLBTRNCTL_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBTRNCTL_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX8SLBTRNCTL_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX8SLBTRNCTL_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX8SLBTRNCTL_RESERVED_31_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBDDLCTL
 */
#define DDR_PHY_DX8SLBDDLCTL    ( ( DDR_PHY_BASEADDR ) + 0x000017E4 )
#define DDR_PHY_DX8SLBDDLCTL_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_31_27_SHIFT   27
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_31_27_WIDTH   5
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_31_27_MASK    0xf8000000
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_31_27_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDDLCTL_DLYLDTM_SHIFT   26
#define DDR_PHY_DX8SLBDDLCTL_DLYLDTM_WIDTH   1
#define DDR_PHY_DX8SLBDDLCTL_DLYLDTM_MASK    0x04000000
#define DDR_PHY_DX8SLBDDLCTL_DLYLDTM_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLDT_SHIFT   25
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLDT_WIDTH   1
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLDT_MASK    0x02000000
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLDT_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_24_23_SHIFT   23
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_24_23_WIDTH   2
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_24_23_MASK    0x01800000
#define DDR_PHY_DX8SLBDDLCTL_RESERVED_24_23_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLD_SHIFT   18
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLD_WIDTH   5
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLD_MASK    0x007c0000
#define DDR_PHY_DX8SLBDDLCTL_DXDDLLD_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDDLCTL_DXDDLBYP_SHIFT   2
#define DDR_PHY_DX8SLBDDLCTL_DXDDLBYP_WIDTH   16
#define DDR_PHY_DX8SLBDDLCTL_DXDDLBYP_MASK    0x0003fffc
#define DDR_PHY_DX8SLBDDLCTL_DXDDLBYP_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDDLCTL_DDLBYPMODE_SHIFT   0
#define DDR_PHY_DX8SLBDDLCTL_DDLBYPMODE_WIDTH   2
#define DDR_PHY_DX8SLBDDLCTL_DDLBYPMODE_MASK    0x00000003
#define DDR_PHY_DX8SLBDDLCTL_DDLBYPMODE_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBDXCTL1
 */
#define DDR_PHY_DX8SLBDXCTL1    ( ( DDR_PHY_BASEADDR ) + 0x000017E8 )
#define DDR_PHY_DX8SLBDXCTL1_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_31_25_SHIFT   25
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_31_25_WIDTH   7
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_31_25_MASK    0xfe000000
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_31_25_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_DXCALCLK_SHIFT   24
#define DDR_PHY_DX8SLBDXCTL1_DXCALCLK_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL1_DXCALCLK_MASK    0x01000000
#define DDR_PHY_DX8SLBDXCTL1_DXCALCLK_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_DXRCLKMD_SHIFT   23
#define DDR_PHY_DX8SLBDXCTL1_DXRCLKMD_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL1_DXRCLKMD_MASK    0x00800000
#define DDR_PHY_DX8SLBDXCTL1_DXRCLKMD_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_22_SHIFT   22
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_22_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_22_MASK    0x00400000
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_22_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_DXDTOSEL_SHIFT   20
#define DDR_PHY_DX8SLBDXCTL1_DXDTOSEL_WIDTH   2
#define DDR_PHY_DX8SLBDXCTL1_DXDTOSEL_MASK    0x00300000
#define DDR_PHY_DX8SLBDXCTL1_DXDTOSEL_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_DXGSMD_SHIFT   19
#define DDR_PHY_DX8SLBDXCTL1_DXGSMD_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL1_DXGSMD_MASK    0x00080000
#define DDR_PHY_DX8SLBDXCTL1_DXGSMD_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_DXQSDBYP_SHIFT   18
#define DDR_PHY_DX8SLBDXCTL1_DXQSDBYP_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL1_DXQSDBYP_MASK    0x00040000
#define DDR_PHY_DX8SLBDXCTL1_DXQSDBYP_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_DXGDBYP_SHIFT   17
#define DDR_PHY_DX8SLBDXCTL1_DXGDBYP_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL1_DXGDBYP_MASK    0x00020000
#define DDR_PHY_DX8SLBDXCTL1_DXGDBYP_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_DXTMODE_SHIFT   16
#define DDR_PHY_DX8SLBDXCTL1_DXTMODE_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL1_DXTMODE_MASK    0x00010000
#define DDR_PHY_DX8SLBDXCTL1_DXTMODE_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_15_0_SHIFT   0
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_15_0_WIDTH   16
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_15_0_MASK    0x0000ffff
#define DDR_PHY_DX8SLBDXCTL1_RESERVED_15_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBDXCTL2
 */
#define DDR_PHY_DX8SLBDXCTL2    ( ( DDR_PHY_BASEADDR ) + 0x000017EC )
#define DDR_PHY_DX8SLBDXCTL2_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_31_24_SHIFT   24
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_31_24_WIDTH   8
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_31_24_MASK    0xff000000
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_31_24_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_CRDEN_SHIFT   23
#define DDR_PHY_DX8SLBDXCTL2_CRDEN_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_CRDEN_MASK    0x00800000
#define DDR_PHY_DX8SLBDXCTL2_CRDEN_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_POSOEX_SHIFT   20
#define DDR_PHY_DX8SLBDXCTL2_POSOEX_WIDTH   3
#define DDR_PHY_DX8SLBDXCTL2_POSOEX_MASK    0x00700000
#define DDR_PHY_DX8SLBDXCTL2_POSOEX_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_PREOEX_SHIFT   18
#define DDR_PHY_DX8SLBDXCTL2_PREOEX_WIDTH   2
#define DDR_PHY_DX8SLBDXCTL2_PREOEX_MASK    0x000c0000
#define DDR_PHY_DX8SLBDXCTL2_PREOEX_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_17_SHIFT   17
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_17_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_17_MASK    0x00020000
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_17_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_IOAG_SHIFT   16
#define DDR_PHY_DX8SLBDXCTL2_IOAG_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_IOAG_MASK    0x00010000
#define DDR_PHY_DX8SLBDXCTL2_IOAG_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_IOLB_SHIFT   15
#define DDR_PHY_DX8SLBDXCTL2_IOLB_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_IOLB_MASK    0x00008000
#define DDR_PHY_DX8SLBDXCTL2_IOLB_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_14_13_SHIFT   13
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_14_13_WIDTH   2
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_14_13_MASK    0x00006000
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_14_13_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_LPWAKEUP_THRSH_SHIFT   9
#define DDR_PHY_DX8SLBDXCTL2_LPWAKEUP_THRSH_WIDTH   4
#define DDR_PHY_DX8SLBDXCTL2_LPWAKEUP_THRSH_MASK    0x00001e00
#define DDR_PHY_DX8SLBDXCTL2_LPWAKEUP_THRSH_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_RDBI_SHIFT   8
#define DDR_PHY_DX8SLBDXCTL2_RDBI_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_RDBI_MASK    0x00000100
#define DDR_PHY_DX8SLBDXCTL2_RDBI_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_WDBI_SHIFT   7
#define DDR_PHY_DX8SLBDXCTL2_WDBI_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_WDBI_MASK    0x00000080
#define DDR_PHY_DX8SLBDXCTL2_WDBI_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_PRFBYP_SHIFT   6
#define DDR_PHY_DX8SLBDXCTL2_PRFBYP_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_PRFBYP_MASK    0x00000040
#define DDR_PHY_DX8SLBDXCTL2_PRFBYP_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_RDMODE_SHIFT   4
#define DDR_PHY_DX8SLBDXCTL2_RDMODE_WIDTH   2
#define DDR_PHY_DX8SLBDXCTL2_RDMODE_MASK    0x00000030
#define DDR_PHY_DX8SLBDXCTL2_RDMODE_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_DISRST_SHIFT   3
#define DDR_PHY_DX8SLBDXCTL2_DISRST_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_DISRST_MASK    0x00000008
#define DDR_PHY_DX8SLBDXCTL2_DISRST_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_DQSGLB_SHIFT   1
#define DDR_PHY_DX8SLBDXCTL2_DQSGLB_WIDTH   2
#define DDR_PHY_DX8SLBDXCTL2_DQSGLB_MASK    0x00000006
#define DDR_PHY_DX8SLBDXCTL2_DQSGLB_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_0_SHIFT   0
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_0_WIDTH   1
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_0_MASK    0x00000001
#define DDR_PHY_DX8SLBDXCTL2_RESERVED_0_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX8SLBIOCR
 */
#define DDR_PHY_DX8SLBIOCR    ( ( DDR_PHY_BASEADDR ) + 0x000017F0 )
#define DDR_PHY_DX8SLBIOCR_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBIOCR_RESERVED_31_SHIFT   31
#define DDR_PHY_DX8SLBIOCR_RESERVED_31_WIDTH   1
#define DDR_PHY_DX8SLBIOCR_RESERVED_31_MASK    0x80000000
#define DDR_PHY_DX8SLBIOCR_RESERVED_31_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBIOCR_DXDACRANGE_SHIFT   28
#define DDR_PHY_DX8SLBIOCR_DXDACRANGE_WIDTH   3
#define DDR_PHY_DX8SLBIOCR_DXDACRANGE_MASK    0x70000000
#define DDR_PHY_DX8SLBIOCR_DXDACRANGE_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBIOCR_DXVREFIOM_SHIFT   25
#define DDR_PHY_DX8SLBIOCR_DXVREFIOM_WIDTH   3
#define DDR_PHY_DX8SLBIOCR_DXVREFIOM_MASK    0x0e000000
#define DDR_PHY_DX8SLBIOCR_DXVREFIOM_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBIOCR_DXIOM_SHIFT   22
#define DDR_PHY_DX8SLBIOCR_DXIOM_WIDTH   3
#define DDR_PHY_DX8SLBIOCR_DXIOM_MASK    0x01c00000
#define DDR_PHY_DX8SLBIOCR_DXIOM_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBIOCR_DXTXM_SHIFT   11
#define DDR_PHY_DX8SLBIOCR_DXTXM_WIDTH   11
#define DDR_PHY_DX8SLBIOCR_DXTXM_MASK    0x003ff800
#define DDR_PHY_DX8SLBIOCR_DXTXM_DEFVAL  0x0

/* access_type: wo  */
#define DDR_PHY_DX8SLBIOCR_DXRXM_SHIFT   0
#define DDR_PHY_DX8SLBIOCR_DXRXM_WIDTH   11
#define DDR_PHY_DX8SLBIOCR_DXRXM_MASK    0x000007ff
#define DDR_PHY_DX8SLBIOCR_DXRXM_DEFVAL  0x0

/**
 * Register: DDR_PHY_DX4SLBIOCR
 */
#define DDR_PHY_DX4SLBIOCR    ( ( DDR_PHY_BASEADDR ) + 0x000017F4 )
#define DDR_PHY_DX4SLBIOCR_DEFVAL   0x0

/* access_type: wo  */
#define DDR_PHY_DX4SLBIOCR_RESERVED_31_0_SHIFT   0
#define DDR_PHY_DX4SLBIOCR_RESERVED_31_0_WIDTH   32
#define DDR_PHY_DX4SLBIOCR_RESERVED_31_0_MASK    0xffffffff
#define DDR_PHY_DX4SLBIOCR_RESERVED_31_0_DEFVAL  0x0


#ifdef __cplusplus
}
#endif

#endif /* __DDR_PHY_H__ */

