/**
 * (c) 2013 Xilinx Inc.
 * XREGDB v0.79
 * XREGCHDR v0.23
 *
 * Generated on: 2016-02-29
 *
 * @file: ddrc.h
 * @module_name: DDRC
 *
 *
 * This file contains confidential and proprietary information
 * of Xilinx, Inc. and is protected under U.S. and
 * international copyright and other intellectual property
 * laws.
 *
 * DISCLAIMER
 * This disclaimer is not a license and does not grant any
 * rights to the materials distributed herewith. Except as
 * otherwise provided in a valid license issued to you by
 * Xilinx, and to the maximum extent permitted by applicable
 * law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
 * WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
 * AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
 * BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
 * (2) Xilinx shall not be liable (whether in contract or tort,
 * including negligence, or under any other theory of
 * liability) for any loss or damage of any kind or nature
 * related to, arising under or in connection with these
 * materials, including for any direct, or any indirect,
 * special, incidental, or consequential loss or damage
 * (including loss of data, profits, goodwill, or any type of
 * loss or damage suffered as a result of any action brought
 * by a third party) even if such damage or loss was
 * reasonably foreseeable or Xilinx had been advised of the
 * possibility of the same.
 *
 * CRITICAL APPLICATIONS
 * Xilinx products are not designed or intended to be fail-
 * safe, or for use in any application requiring fail-safe
 * performance, such as life-support or safety devices or
 * systems, Class III medical devices, nuclear facilities,
 * applications related to the deployment of airbags, or any
 * other applications that could lead to death, personal
 * injury, or severe property or environmental damage
 * (individually and collectively, "Critical
 * Applications"). Customer assumes the sole risk and
 * liability of any use of Xilinx products in Critical
 * Applications, subject only to applicable laws and
 * regulations governing limitations on product liability.
 *
 * THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
 * PART OF THIS FILE AT ALL TIMES.
 *
 * Naming Convention: <MODULE>_<REGISTER>[_<FIELD>[_<DESC>]]
 *     <MODULE>       Module name (e.g. can or usb)
 *     <REGISTER>     Register within the current module
 *     [_<FIELD>]     Bit field within a register
 *     [_<DESC>]      Type of bit field define:
 *         SHIFT:     Least significant bit for the field
 *         WIDTH:     Size of field in bites
 *         MASK:      A masking over a range of bits or a bit to
 *                    be used for setting or clearing
 *
 */

#ifndef __DDRC_H__
#define __DDRC_H__


#ifdef __cplusplus
extern "C" {
#endif

/**
 * DDRC Base Address
 */
#define DDRC_BASEADDR      0xFD070000

/**
 * Register: DDRC_MSTR
 */
#define DDRC_MSTR    ( ( DDRC_BASEADDR ) + 0x00000000 )
#define DDRC_MSTR_DEFVAL   0x3040001

/* access_type: rw  */
#define DDRC_MSTR_DEVICE_CONFIG_SHIFT   30
#define DDRC_MSTR_DEVICE_CONFIG_WIDTH   2
#define DDRC_MSTR_DEVICE_CONFIG_MASK    0xc0000000
#define DDRC_MSTR_DEVICE_CONFIG_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_FREQUENCY_MODE_SHIFT   29
#define DDRC_MSTR_FREQUENCY_MODE_WIDTH   1
#define DDRC_MSTR_FREQUENCY_MODE_MASK    0x20000000
#define DDRC_MSTR_FREQUENCY_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_ACTIVE_RANKS_SHIFT   24
#define DDRC_MSTR_ACTIVE_RANKS_WIDTH   2
#define DDRC_MSTR_ACTIVE_RANKS_MASK    0x03000000
#define DDRC_MSTR_ACTIVE_RANKS_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_MSTR_BURST_RDWR_SHIFT   16
#define DDRC_MSTR_BURST_RDWR_WIDTH   4
#define DDRC_MSTR_BURST_RDWR_MASK    0x000f0000
#define DDRC_MSTR_BURST_RDWR_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_MSTR_DLL_OFF_MODE_SHIFT   15
#define DDRC_MSTR_DLL_OFF_MODE_WIDTH   1
#define DDRC_MSTR_DLL_OFF_MODE_MASK    0x00008000
#define DDRC_MSTR_DLL_OFF_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_DATA_BUS_WIDTH_SHIFT   12
#define DDRC_MSTR_DATA_BUS_WIDTH_WIDTH   2
#define DDRC_MSTR_DATA_BUS_WIDTH_MASK    0x00003000
#define DDRC_MSTR_DATA_BUS_WIDTH_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_GEARDOWN_MODE_SHIFT   11
#define DDRC_MSTR_GEARDOWN_MODE_WIDTH   1
#define DDRC_MSTR_GEARDOWN_MODE_MASK    0x00000800
#define DDRC_MSTR_GEARDOWN_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_EN_2T_TIMING_MODE_SHIFT   10
#define DDRC_MSTR_EN_2T_TIMING_MODE_WIDTH   1
#define DDRC_MSTR_EN_2T_TIMING_MODE_MASK    0x00000400
#define DDRC_MSTR_EN_2T_TIMING_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_BURSTCHOP_SHIFT   9
#define DDRC_MSTR_BURSTCHOP_WIDTH   1
#define DDRC_MSTR_BURSTCHOP_MASK    0x00000200
#define DDRC_MSTR_BURSTCHOP_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_LPDDR4_SHIFT   5
#define DDRC_MSTR_LPDDR4_WIDTH   1
#define DDRC_MSTR_LPDDR4_MASK    0x00000020
#define DDRC_MSTR_LPDDR4_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_DDR4_SHIFT   4
#define DDRC_MSTR_DDR4_WIDTH   1
#define DDRC_MSTR_DDR4_MASK    0x00000010
#define DDRC_MSTR_DDR4_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_LPDDR3_SHIFT   3
#define DDRC_MSTR_LPDDR3_WIDTH   1
#define DDRC_MSTR_LPDDR3_MASK    0x00000008
#define DDRC_MSTR_LPDDR3_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_LPDDR2_SHIFT   2
#define DDRC_MSTR_LPDDR2_WIDTH   1
#define DDRC_MSTR_LPDDR2_MASK    0x00000004
#define DDRC_MSTR_LPDDR2_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MSTR_DDR3_SHIFT   0
#define DDRC_MSTR_DDR3_WIDTH   1
#define DDRC_MSTR_DDR3_MASK    0x00000001
#define DDRC_MSTR_DDR3_DEFVAL  0x1

/**
 * Register: DDRC_STAT
 */
#define DDRC_STAT    ( ( DDRC_BASEADDR ) + 0x00000004 )
#define DDRC_STAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_STAT_SELFREF_STATE_SHIFT   8
#define DDRC_STAT_SELFREF_STATE_WIDTH   2
#define DDRC_STAT_SELFREF_STATE_MASK    0x00000300
#define DDRC_STAT_SELFREF_STATE_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_STAT_SELFREF_TYPE_SHIFT   4
#define DDRC_STAT_SELFREF_TYPE_WIDTH   2
#define DDRC_STAT_SELFREF_TYPE_MASK    0x00000030
#define DDRC_STAT_SELFREF_TYPE_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_STAT_OPERATING_MODE_SHIFT   0
#define DDRC_STAT_OPERATING_MODE_WIDTH   3
#define DDRC_STAT_OPERATING_MODE_MASK    0x00000007
#define DDRC_STAT_OPERATING_MODE_DEFVAL  0x0

/**
 * Register: DDRC_MRCTRL0
 */
#define DDRC_MRCTRL0    ( ( DDRC_BASEADDR ) + 0x00000010 )
#define DDRC_MRCTRL0_DEFVAL   0x30

/* access_type: rw  */
#define DDRC_MRCTRL0_MR_WR_SHIFT   31
#define DDRC_MRCTRL0_MR_WR_WIDTH   1
#define DDRC_MRCTRL0_MR_WR_MASK    0x80000000
#define DDRC_MRCTRL0_MR_WR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MRCTRL0_MR_ADDR_SHIFT   12
#define DDRC_MRCTRL0_MR_ADDR_WIDTH   4
#define DDRC_MRCTRL0_MR_ADDR_MASK    0x0000f000
#define DDRC_MRCTRL0_MR_ADDR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MRCTRL0_MR_RANK_SHIFT   4
#define DDRC_MRCTRL0_MR_RANK_WIDTH   2
#define DDRC_MRCTRL0_MR_RANK_MASK    0x00000030
#define DDRC_MRCTRL0_MR_RANK_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_MRCTRL0_SW_INIT_INT_SHIFT   3
#define DDRC_MRCTRL0_SW_INIT_INT_WIDTH   1
#define DDRC_MRCTRL0_SW_INIT_INT_MASK    0x00000008
#define DDRC_MRCTRL0_SW_INIT_INT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MRCTRL0_PDA_EN_SHIFT   2
#define DDRC_MRCTRL0_PDA_EN_WIDTH   1
#define DDRC_MRCTRL0_PDA_EN_MASK    0x00000004
#define DDRC_MRCTRL0_PDA_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MRCTRL0_MPR_EN_SHIFT   1
#define DDRC_MRCTRL0_MPR_EN_WIDTH   1
#define DDRC_MRCTRL0_MPR_EN_MASK    0x00000002
#define DDRC_MRCTRL0_MPR_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_MRCTRL0_MR_TYPE_SHIFT   0
#define DDRC_MRCTRL0_MR_TYPE_WIDTH   1
#define DDRC_MRCTRL0_MR_TYPE_MASK    0x00000001
#define DDRC_MRCTRL0_MR_TYPE_DEFVAL  0x0

/**
 * Register: DDRC_MRCTRL1
 */
#define DDRC_MRCTRL1    ( ( DDRC_BASEADDR ) + 0x00000014 )
#define DDRC_MRCTRL1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_MRCTRL1_MR_DATA_SHIFT   0
#define DDRC_MRCTRL1_MR_DATA_WIDTH   18
#define DDRC_MRCTRL1_MR_DATA_MASK    0x0003ffff
#define DDRC_MRCTRL1_MR_DATA_DEFVAL  0x0

/**
 * Register: DDRC_MRSTAT
 */
#define DDRC_MRSTAT    ( ( DDRC_BASEADDR ) + 0x00000018 )
#define DDRC_MRSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_MRSTAT_PDA_DONE_SHIFT   8
#define DDRC_MRSTAT_PDA_DONE_WIDTH   1
#define DDRC_MRSTAT_PDA_DONE_MASK    0x00000100
#define DDRC_MRSTAT_PDA_DONE_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_MRSTAT_MR_WR_BUSY_SHIFT   0
#define DDRC_MRSTAT_MR_WR_BUSY_WIDTH   1
#define DDRC_MRSTAT_MR_WR_BUSY_MASK    0x00000001
#define DDRC_MRSTAT_MR_WR_BUSY_DEFVAL  0x0

/**
 * Register: DDRC_MRCTRL2
 */
#define DDRC_MRCTRL2    ( ( DDRC_BASEADDR ) + 0x0000001C )
#define DDRC_MRCTRL2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_MRCTRL2_MR_DEVICE_SEL_SHIFT   0
#define DDRC_MRCTRL2_MR_DEVICE_SEL_WIDTH   32
#define DDRC_MRCTRL2_MR_DEVICE_SEL_MASK    0xffffffff
#define DDRC_MRCTRL2_MR_DEVICE_SEL_DEFVAL  0x0

/**
 * Register: DDRC_DERATEEN
 */
#define DDRC_DERATEEN    ( ( DDRC_BASEADDR ) + 0x00000020 )
#define DDRC_DERATEEN_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DERATEEN_RC_DERATE_VALUE_SHIFT   8
#define DDRC_DERATEEN_RC_DERATE_VALUE_WIDTH   2
#define DDRC_DERATEEN_RC_DERATE_VALUE_MASK    0x00000300
#define DDRC_DERATEEN_RC_DERATE_VALUE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DERATEEN_DERATE_BYTE_SHIFT   4
#define DDRC_DERATEEN_DERATE_BYTE_WIDTH   4
#define DDRC_DERATEEN_DERATE_BYTE_MASK    0x000000f0
#define DDRC_DERATEEN_DERATE_BYTE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DERATEEN_DERATE_VALUE_SHIFT   1
#define DDRC_DERATEEN_DERATE_VALUE_WIDTH   1
#define DDRC_DERATEEN_DERATE_VALUE_MASK    0x00000002
#define DDRC_DERATEEN_DERATE_VALUE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DERATEEN_DERATE_ENABLE_SHIFT   0
#define DDRC_DERATEEN_DERATE_ENABLE_WIDTH   1
#define DDRC_DERATEEN_DERATE_ENABLE_MASK    0x00000001
#define DDRC_DERATEEN_DERATE_ENABLE_DEFVAL  0x0

/**
 * Register: DDRC_DERATEINT
 */
#define DDRC_DERATEINT    ( ( DDRC_BASEADDR ) + 0x00000024 )
#define DDRC_DERATEINT_DEFVAL   0x800000

/* access_type: rw  */
#define DDRC_DERATEINT_MR4_READ_INTERVAL_SHIFT   0
#define DDRC_DERATEINT_MR4_READ_INTERVAL_WIDTH   32
#define DDRC_DERATEINT_MR4_READ_INTERVAL_MASK    0xffffffff
#define DDRC_DERATEINT_MR4_READ_INTERVAL_DEFVAL  0x800000

/**
 * Register: DDRC_PWRCTL
 */
#define DDRC_PWRCTL    ( ( DDRC_BASEADDR ) + 0x00000030 )
#define DDRC_PWRCTL_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PWRCTL_STAY_IN_SELFREF_SHIFT   6
#define DDRC_PWRCTL_STAY_IN_SELFREF_WIDTH   1
#define DDRC_PWRCTL_STAY_IN_SELFREF_MASK    0x00000040
#define DDRC_PWRCTL_STAY_IN_SELFREF_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PWRCTL_SELFREF_SW_SHIFT   5
#define DDRC_PWRCTL_SELFREF_SW_WIDTH   1
#define DDRC_PWRCTL_SELFREF_SW_MASK    0x00000020
#define DDRC_PWRCTL_SELFREF_SW_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PWRCTL_MPSM_EN_SHIFT   4
#define DDRC_PWRCTL_MPSM_EN_WIDTH   1
#define DDRC_PWRCTL_MPSM_EN_MASK    0x00000010
#define DDRC_PWRCTL_MPSM_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PWRCTL_EN_DFI_DRAM_CLK_DISABLE_SHIFT   3
#define DDRC_PWRCTL_EN_DFI_DRAM_CLK_DISABLE_WIDTH   1
#define DDRC_PWRCTL_EN_DFI_DRAM_CLK_DISABLE_MASK    0x00000008
#define DDRC_PWRCTL_EN_DFI_DRAM_CLK_DISABLE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PWRCTL_DEEPPOWERDOWN_EN_SHIFT   2
#define DDRC_PWRCTL_DEEPPOWERDOWN_EN_WIDTH   1
#define DDRC_PWRCTL_DEEPPOWERDOWN_EN_MASK    0x00000004
#define DDRC_PWRCTL_DEEPPOWERDOWN_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PWRCTL_POWERDOWN_EN_SHIFT   1
#define DDRC_PWRCTL_POWERDOWN_EN_WIDTH   1
#define DDRC_PWRCTL_POWERDOWN_EN_MASK    0x00000002
#define DDRC_PWRCTL_POWERDOWN_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PWRCTL_SELFREF_EN_SHIFT   0
#define DDRC_PWRCTL_SELFREF_EN_WIDTH   1
#define DDRC_PWRCTL_SELFREF_EN_MASK    0x00000001
#define DDRC_PWRCTL_SELFREF_EN_DEFVAL  0x0

/**
 * Register: DDRC_PWRTMG
 */
#define DDRC_PWRTMG    ( ( DDRC_BASEADDR ) + 0x00000034 )
#define DDRC_PWRTMG_DEFVAL   0x402010

/* access_type: rw  */
#define DDRC_PWRTMG_SELFREF_TO_X32_SHIFT   16
#define DDRC_PWRTMG_SELFREF_TO_X32_WIDTH   8
#define DDRC_PWRTMG_SELFREF_TO_X32_MASK    0x00ff0000
#define DDRC_PWRTMG_SELFREF_TO_X32_DEFVAL  0x40

/* access_type: rw  */
#define DDRC_PWRTMG_T_DPD_X4096_SHIFT   8
#define DDRC_PWRTMG_T_DPD_X4096_WIDTH   8
#define DDRC_PWRTMG_T_DPD_X4096_MASK    0x0000ff00
#define DDRC_PWRTMG_T_DPD_X4096_DEFVAL  0x20

/* access_type: rw  */
#define DDRC_PWRTMG_POWERDOWN_TO_X32_SHIFT   0
#define DDRC_PWRTMG_POWERDOWN_TO_X32_WIDTH   5
#define DDRC_PWRTMG_POWERDOWN_TO_X32_MASK    0x0000001f
#define DDRC_PWRTMG_POWERDOWN_TO_X32_DEFVAL  0x10

/**
 * Register: DDRC_HWLPCTL
 */
#define DDRC_HWLPCTL    ( ( DDRC_BASEADDR ) + 0x00000038 )
#define DDRC_HWLPCTL_DEFVAL   0x3

/* access_type: rw  */
#define DDRC_HWLPCTL_HW_LP_IDLE_X32_SHIFT   16
#define DDRC_HWLPCTL_HW_LP_IDLE_X32_WIDTH   12
#define DDRC_HWLPCTL_HW_LP_IDLE_X32_MASK    0x0fff0000
#define DDRC_HWLPCTL_HW_LP_IDLE_X32_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_HWLPCTL_HW_LP_EXIT_IDLE_EN_SHIFT   1
#define DDRC_HWLPCTL_HW_LP_EXIT_IDLE_EN_WIDTH   1
#define DDRC_HWLPCTL_HW_LP_EXIT_IDLE_EN_MASK    0x00000002
#define DDRC_HWLPCTL_HW_LP_EXIT_IDLE_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_HWLPCTL_HW_LP_EN_SHIFT   0
#define DDRC_HWLPCTL_HW_LP_EN_WIDTH   1
#define DDRC_HWLPCTL_HW_LP_EN_MASK    0x00000001
#define DDRC_HWLPCTL_HW_LP_EN_DEFVAL  0x1

/**
 * Register: DDRC_RFSHCTL0
 */
#define DDRC_RFSHCTL0    ( ( DDRC_BASEADDR ) + 0x00000050 )
#define DDRC_RFSHCTL0_DEFVAL   0x210000

/* access_type: rw  */
#define DDRC_RFSHCTL0_REFRESH_MARGIN_SHIFT   20
#define DDRC_RFSHCTL0_REFRESH_MARGIN_WIDTH   4
#define DDRC_RFSHCTL0_REFRESH_MARGIN_MASK    0x00f00000
#define DDRC_RFSHCTL0_REFRESH_MARGIN_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_RFSHCTL0_REFRESH_TO_X32_SHIFT   12
#define DDRC_RFSHCTL0_REFRESH_TO_X32_WIDTH   5
#define DDRC_RFSHCTL0_REFRESH_TO_X32_MASK    0x0001f000
#define DDRC_RFSHCTL0_REFRESH_TO_X32_DEFVAL  0x10

/* access_type: rw  */
#define DDRC_RFSHCTL0_REFRESH_BURST_SHIFT   4
#define DDRC_RFSHCTL0_REFRESH_BURST_WIDTH   5
#define DDRC_RFSHCTL0_REFRESH_BURST_MASK    0x000001f0
#define DDRC_RFSHCTL0_REFRESH_BURST_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_RFSHCTL0_PER_BANK_REFRESH_SHIFT   2
#define DDRC_RFSHCTL0_PER_BANK_REFRESH_WIDTH   1
#define DDRC_RFSHCTL0_PER_BANK_REFRESH_MASK    0x00000004
#define DDRC_RFSHCTL0_PER_BANK_REFRESH_DEFVAL  0x0

/**
 * Register: DDRC_RFSHCTL1
 */
#define DDRC_RFSHCTL1    ( ( DDRC_BASEADDR ) + 0x00000054 )
#define DDRC_RFSHCTL1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_RFSHCTL1_REFRESH_TIMER1_START_VALUE_X32_SHIFT   16
#define DDRC_RFSHCTL1_REFRESH_TIMER1_START_VALUE_X32_WIDTH   12
#define DDRC_RFSHCTL1_REFRESH_TIMER1_START_VALUE_X32_MASK    0x0fff0000
#define DDRC_RFSHCTL1_REFRESH_TIMER1_START_VALUE_X32_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_RFSHCTL1_REFRESH_TIMER0_START_VALUE_X32_SHIFT   0
#define DDRC_RFSHCTL1_REFRESH_TIMER0_START_VALUE_X32_WIDTH   12
#define DDRC_RFSHCTL1_REFRESH_TIMER0_START_VALUE_X32_MASK    0x00000fff
#define DDRC_RFSHCTL1_REFRESH_TIMER0_START_VALUE_X32_DEFVAL  0x0

/**
 * Register: DDRC_RFSHCTL3
 */
#define DDRC_RFSHCTL3    ( ( DDRC_BASEADDR ) + 0x00000060 )
#define DDRC_RFSHCTL3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_RFSHCTL3_REFRESH_MODE_SHIFT   4
#define DDRC_RFSHCTL3_REFRESH_MODE_WIDTH   3
#define DDRC_RFSHCTL3_REFRESH_MODE_MASK    0x00000070
#define DDRC_RFSHCTL3_REFRESH_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_RFSHCTL3_REFRESH_UPDATE_LEVEL_SHIFT   1
#define DDRC_RFSHCTL3_REFRESH_UPDATE_LEVEL_WIDTH   1
#define DDRC_RFSHCTL3_REFRESH_UPDATE_LEVEL_MASK    0x00000002
#define DDRC_RFSHCTL3_REFRESH_UPDATE_LEVEL_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_RFSHCTL3_DIS_AUTO_REFRESH_SHIFT   0
#define DDRC_RFSHCTL3_DIS_AUTO_REFRESH_WIDTH   1
#define DDRC_RFSHCTL3_DIS_AUTO_REFRESH_MASK    0x00000001
#define DDRC_RFSHCTL3_DIS_AUTO_REFRESH_DEFVAL  0x0

/**
 * Register: DDRC_RFSHTMG
 */
#define DDRC_RFSHTMG    ( ( DDRC_BASEADDR ) + 0x00000064 )
#define DDRC_RFSHTMG_DEFVAL   0x62008c

/* access_type: rw  */
#define DDRC_RFSHTMG_T_RFC_NOM_X32_SHIFT   16
#define DDRC_RFSHTMG_T_RFC_NOM_X32_WIDTH   12
#define DDRC_RFSHTMG_T_RFC_NOM_X32_MASK    0x0fff0000
#define DDRC_RFSHTMG_T_RFC_NOM_X32_DEFVAL  0x62

/* access_type: rw  */
#define DDRC_RFSHTMG_LPDDR3_TREFBW_EN_SHIFT   15
#define DDRC_RFSHTMG_LPDDR3_TREFBW_EN_WIDTH   1
#define DDRC_RFSHTMG_LPDDR3_TREFBW_EN_MASK    0x00008000
#define DDRC_RFSHTMG_LPDDR3_TREFBW_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_RFSHTMG_T_RFC_MIN_SHIFT   0
#define DDRC_RFSHTMG_T_RFC_MIN_WIDTH   10
#define DDRC_RFSHTMG_T_RFC_MIN_MASK    0x000003ff
#define DDRC_RFSHTMG_T_RFC_MIN_DEFVAL  0x8c

/**
 * Register: DDRC_ECCCFG0
 */
#define DDRC_ECCCFG0    ( ( DDRC_BASEADDR ) + 0x00000070 )
#define DDRC_ECCCFG0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ECCCFG0_DIS_SCRUB_SHIFT   4
#define DDRC_ECCCFG0_DIS_SCRUB_WIDTH   1
#define DDRC_ECCCFG0_DIS_SCRUB_MASK    0x00000010
#define DDRC_ECCCFG0_DIS_SCRUB_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ECCCFG0_ECC_MODE_SHIFT   0
#define DDRC_ECCCFG0_ECC_MODE_WIDTH   3
#define DDRC_ECCCFG0_ECC_MODE_MASK    0x00000007
#define DDRC_ECCCFG0_ECC_MODE_DEFVAL  0x0

/**
 * Register: DDRC_ECCCFG1
 */
#define DDRC_ECCCFG1    ( ( DDRC_BASEADDR ) + 0x00000074 )
#define DDRC_ECCCFG1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ECCCFG1_DATA_POISON_BIT_SHIFT   1
#define DDRC_ECCCFG1_DATA_POISON_BIT_WIDTH   1
#define DDRC_ECCCFG1_DATA_POISON_BIT_MASK    0x00000002
#define DDRC_ECCCFG1_DATA_POISON_BIT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ECCCFG1_DATA_POISON_EN_SHIFT   0
#define DDRC_ECCCFG1_DATA_POISON_EN_WIDTH   1
#define DDRC_ECCCFG1_DATA_POISON_EN_MASK    0x00000001
#define DDRC_ECCCFG1_DATA_POISON_EN_DEFVAL  0x0

/**
 * Register: DDRC_ECCSTAT
 */
#define DDRC_ECCSTAT    ( ( DDRC_BASEADDR ) + 0x00000078 )
#define DDRC_ECCSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCSTAT_ECC_UNCORRECTED_ERR_SHIFT   16
#define DDRC_ECCSTAT_ECC_UNCORRECTED_ERR_WIDTH   4
#define DDRC_ECCSTAT_ECC_UNCORRECTED_ERR_MASK    0x000f0000
#define DDRC_ECCSTAT_ECC_UNCORRECTED_ERR_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCSTAT_ECC_CORRECTED_ERR_SHIFT   8
#define DDRC_ECCSTAT_ECC_CORRECTED_ERR_WIDTH   4
#define DDRC_ECCSTAT_ECC_CORRECTED_ERR_MASK    0x00000f00
#define DDRC_ECCSTAT_ECC_CORRECTED_ERR_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCSTAT_ECC_CORRECTED_BIT_NUM_SHIFT   0
#define DDRC_ECCSTAT_ECC_CORRECTED_BIT_NUM_WIDTH   7
#define DDRC_ECCSTAT_ECC_CORRECTED_BIT_NUM_MASK    0x0000007f
#define DDRC_ECCSTAT_ECC_CORRECTED_BIT_NUM_DEFVAL  0x0

/**
 * Register: DDRC_ECCCLR
 */
#define DDRC_ECCCLR    ( ( DDRC_BASEADDR ) + 0x0000007C )
#define DDRC_ECCCLR_DEFVAL   0x0

/* access_type: wtc  */
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_CNT_SHIFT   3
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_CNT_WIDTH   1
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_CNT_MASK    0x00000008
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_CNT_DEFVAL  0x0

/* access_type: wtc  */
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_CNT_SHIFT   2
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_CNT_WIDTH   1
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_CNT_MASK    0x00000004
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_CNT_DEFVAL  0x0

/* access_type: wtc  */
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_SHIFT   1
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_WIDTH   1
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_MASK    0x00000002
#define DDRC_ECCCLR_ECC_CLR_UNCORR_ERR_DEFVAL  0x0

/* access_type: wtc  */
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_SHIFT   0
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_WIDTH   1
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_MASK    0x00000001
#define DDRC_ECCCLR_ECC_CLR_CORR_ERR_DEFVAL  0x0

/**
 * Register: DDRC_ECCERRCNT
 */
#define DDRC_ECCERRCNT    ( ( DDRC_BASEADDR ) + 0x00000080 )
#define DDRC_ECCERRCNT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCERRCNT_ECC_UNCORR_ERR_CNT_SHIFT   16
#define DDRC_ECCERRCNT_ECC_UNCORR_ERR_CNT_WIDTH   16
#define DDRC_ECCERRCNT_ECC_UNCORR_ERR_CNT_MASK    0xffff0000
#define DDRC_ECCERRCNT_ECC_UNCORR_ERR_CNT_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCERRCNT_ECC_CORR_ERR_CNT_SHIFT   0
#define DDRC_ECCERRCNT_ECC_CORR_ERR_CNT_WIDTH   16
#define DDRC_ECCERRCNT_ECC_CORR_ERR_CNT_MASK    0x0000ffff
#define DDRC_ECCERRCNT_ECC_CORR_ERR_CNT_DEFVAL  0x0

/**
 * Register: DDRC_ECCCADDR0
 */
#define DDRC_ECCCADDR0    ( ( DDRC_BASEADDR ) + 0x00000084 )
#define DDRC_ECCCADDR0_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCCADDR0_ECC_CORR_RANK_SHIFT   24
#define DDRC_ECCCADDR0_ECC_CORR_RANK_WIDTH   1
#define DDRC_ECCCADDR0_ECC_CORR_RANK_MASK    0x01000000
#define DDRC_ECCCADDR0_ECC_CORR_RANK_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCCADDR0_ECC_CORR_ROW_SHIFT   0
#define DDRC_ECCCADDR0_ECC_CORR_ROW_WIDTH   18
#define DDRC_ECCCADDR0_ECC_CORR_ROW_MASK    0x0003ffff
#define DDRC_ECCCADDR0_ECC_CORR_ROW_DEFVAL  0x0

/**
 * Register: DDRC_ECCCADDR1
 */
#define DDRC_ECCCADDR1    ( ( DDRC_BASEADDR ) + 0x00000088 )
#define DDRC_ECCCADDR1_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCCADDR1_ECC_CORR_BG_SHIFT   24
#define DDRC_ECCCADDR1_ECC_CORR_BG_WIDTH   2
#define DDRC_ECCCADDR1_ECC_CORR_BG_MASK    0x03000000
#define DDRC_ECCCADDR1_ECC_CORR_BG_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCCADDR1_ECC_CORR_BANK_SHIFT   16
#define DDRC_ECCCADDR1_ECC_CORR_BANK_WIDTH   3
#define DDRC_ECCCADDR1_ECC_CORR_BANK_MASK    0x00070000
#define DDRC_ECCCADDR1_ECC_CORR_BANK_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCCADDR1_ECC_CORR_COL_SHIFT   0
#define DDRC_ECCCADDR1_ECC_CORR_COL_WIDTH   12
#define DDRC_ECCCADDR1_ECC_CORR_COL_MASK    0x00000fff
#define DDRC_ECCCADDR1_ECC_CORR_COL_DEFVAL  0x0

/**
 * Register: DDRC_ECCCSYN0
 */
#define DDRC_ECCCSYN0    ( ( DDRC_BASEADDR ) + 0x0000008C )
#define DDRC_ECCCSYN0_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCCSYN0_ECC_CORR_SYNDROMES_31_0_SHIFT   0
#define DDRC_ECCCSYN0_ECC_CORR_SYNDROMES_31_0_WIDTH   32
#define DDRC_ECCCSYN0_ECC_CORR_SYNDROMES_31_0_MASK    0xffffffff
#define DDRC_ECCCSYN0_ECC_CORR_SYNDROMES_31_0_DEFVAL  0x0

/**
 * Register: DDRC_ECCCSYN1
 */
#define DDRC_ECCCSYN1    ( ( DDRC_BASEADDR ) + 0x00000090 )
#define DDRC_ECCCSYN1_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCCSYN1_ECC_CORR_SYNDROMES_63_32_SHIFT   0
#define DDRC_ECCCSYN1_ECC_CORR_SYNDROMES_63_32_WIDTH   32
#define DDRC_ECCCSYN1_ECC_CORR_SYNDROMES_63_32_MASK    0xffffffff
#define DDRC_ECCCSYN1_ECC_CORR_SYNDROMES_63_32_DEFVAL  0x0

/**
 * Register: DDRC_ECCCSYN2
 */
#define DDRC_ECCCSYN2    ( ( DDRC_BASEADDR ) + 0x00000094 )
#define DDRC_ECCCSYN2_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCCSYN2_ECC_CORR_SYNDROMES_71_64_SHIFT   0
#define DDRC_ECCCSYN2_ECC_CORR_SYNDROMES_71_64_WIDTH   8
#define DDRC_ECCCSYN2_ECC_CORR_SYNDROMES_71_64_MASK    0x000000ff
#define DDRC_ECCCSYN2_ECC_CORR_SYNDROMES_71_64_DEFVAL  0x0

/**
 * Register: DDRC_ECCBITMASK0
 */
#define DDRC_ECCBITMASK0    ( ( DDRC_BASEADDR ) + 0x00000098 )
#define DDRC_ECCBITMASK0_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCBITMASK0_ECC_CORR_BIT_MASK_31_0_SHIFT   0
#define DDRC_ECCBITMASK0_ECC_CORR_BIT_MASK_31_0_WIDTH   32
#define DDRC_ECCBITMASK0_ECC_CORR_BIT_MASK_31_0_MASK    0xffffffff
#define DDRC_ECCBITMASK0_ECC_CORR_BIT_MASK_31_0_DEFVAL  0x0

/**
 * Register: DDRC_ECCBITMASK1
 */
#define DDRC_ECCBITMASK1    ( ( DDRC_BASEADDR ) + 0x0000009C )
#define DDRC_ECCBITMASK1_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCBITMASK1_ECC_CORR_BIT_MASK_63_32_SHIFT   0
#define DDRC_ECCBITMASK1_ECC_CORR_BIT_MASK_63_32_WIDTH   32
#define DDRC_ECCBITMASK1_ECC_CORR_BIT_MASK_63_32_MASK    0xffffffff
#define DDRC_ECCBITMASK1_ECC_CORR_BIT_MASK_63_32_DEFVAL  0x0

/**
 * Register: DDRC_ECCBITMASK2
 */
#define DDRC_ECCBITMASK2    ( ( DDRC_BASEADDR ) + 0x000000A0 )
#define DDRC_ECCBITMASK2_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCBITMASK2_ECC_CORR_BIT_MASK_71_64_SHIFT   0
#define DDRC_ECCBITMASK2_ECC_CORR_BIT_MASK_71_64_WIDTH   8
#define DDRC_ECCBITMASK2_ECC_CORR_BIT_MASK_71_64_MASK    0x000000ff
#define DDRC_ECCBITMASK2_ECC_CORR_BIT_MASK_71_64_DEFVAL  0x0

/**
 * Register: DDRC_ECCUADDR0
 */
#define DDRC_ECCUADDR0    ( ( DDRC_BASEADDR ) + 0x000000A4 )
#define DDRC_ECCUADDR0_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCUADDR0_ECC_UNCORR_RANK_SHIFT   24
#define DDRC_ECCUADDR0_ECC_UNCORR_RANK_WIDTH   1
#define DDRC_ECCUADDR0_ECC_UNCORR_RANK_MASK    0x01000000
#define DDRC_ECCUADDR0_ECC_UNCORR_RANK_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCUADDR0_ECC_UNCORR_ROW_SHIFT   0
#define DDRC_ECCUADDR0_ECC_UNCORR_ROW_WIDTH   18
#define DDRC_ECCUADDR0_ECC_UNCORR_ROW_MASK    0x0003ffff
#define DDRC_ECCUADDR0_ECC_UNCORR_ROW_DEFVAL  0x0

/**
 * Register: DDRC_ECCUADDR1
 */
#define DDRC_ECCUADDR1    ( ( DDRC_BASEADDR ) + 0x000000A8 )
#define DDRC_ECCUADDR1_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCUADDR1_ECC_UNCORR_BG_SHIFT   24
#define DDRC_ECCUADDR1_ECC_UNCORR_BG_WIDTH   2
#define DDRC_ECCUADDR1_ECC_UNCORR_BG_MASK    0x03000000
#define DDRC_ECCUADDR1_ECC_UNCORR_BG_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCUADDR1_ECC_UNCORR_BANK_SHIFT   16
#define DDRC_ECCUADDR1_ECC_UNCORR_BANK_WIDTH   3
#define DDRC_ECCUADDR1_ECC_UNCORR_BANK_MASK    0x00070000
#define DDRC_ECCUADDR1_ECC_UNCORR_BANK_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_ECCUADDR1_ECC_UNCORR_COL_SHIFT   0
#define DDRC_ECCUADDR1_ECC_UNCORR_COL_WIDTH   12
#define DDRC_ECCUADDR1_ECC_UNCORR_COL_MASK    0x00000fff
#define DDRC_ECCUADDR1_ECC_UNCORR_COL_DEFVAL  0x0

/**
 * Register: DDRC_ECCUSYN0
 */
#define DDRC_ECCUSYN0    ( ( DDRC_BASEADDR ) + 0x000000AC )
#define DDRC_ECCUSYN0_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCUSYN0_ECC_UNCORR_SYNDROMES_31_0_SHIFT   0
#define DDRC_ECCUSYN0_ECC_UNCORR_SYNDROMES_31_0_WIDTH   32
#define DDRC_ECCUSYN0_ECC_UNCORR_SYNDROMES_31_0_MASK    0xffffffff
#define DDRC_ECCUSYN0_ECC_UNCORR_SYNDROMES_31_0_DEFVAL  0x0

/**
 * Register: DDRC_ECCUSYN1
 */
#define DDRC_ECCUSYN1    ( ( DDRC_BASEADDR ) + 0x000000B0 )
#define DDRC_ECCUSYN1_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCUSYN1_ECC_UNCORR_SYNDROMES_63_32_SHIFT   0
#define DDRC_ECCUSYN1_ECC_UNCORR_SYNDROMES_63_32_WIDTH   32
#define DDRC_ECCUSYN1_ECC_UNCORR_SYNDROMES_63_32_MASK    0xffffffff
#define DDRC_ECCUSYN1_ECC_UNCORR_SYNDROMES_63_32_DEFVAL  0x0

/**
 * Register: DDRC_ECCUSYN2
 */
#define DDRC_ECCUSYN2    ( ( DDRC_BASEADDR ) + 0x000000B4 )
#define DDRC_ECCUSYN2_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ECCUSYN2_ECC_UNCORR_SYNDROMES_71_64_SHIFT   0
#define DDRC_ECCUSYN2_ECC_UNCORR_SYNDROMES_71_64_WIDTH   8
#define DDRC_ECCUSYN2_ECC_UNCORR_SYNDROMES_71_64_MASK    0x000000ff
#define DDRC_ECCUSYN2_ECC_UNCORR_SYNDROMES_71_64_DEFVAL  0x0

/**
 * Register: DDRC_ECCPOISONADDR0
 */
#define DDRC_ECCPOISONADDR0    ( ( DDRC_BASEADDR ) + 0x000000B8 )
#define DDRC_ECCPOISONADDR0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ECCPOISONADDR0_ECC_POISON_RANK_SHIFT   24
#define DDRC_ECCPOISONADDR0_ECC_POISON_RANK_WIDTH   1
#define DDRC_ECCPOISONADDR0_ECC_POISON_RANK_MASK    0x01000000
#define DDRC_ECCPOISONADDR0_ECC_POISON_RANK_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ECCPOISONADDR0_ECC_POISON_COL_SHIFT   0
#define DDRC_ECCPOISONADDR0_ECC_POISON_COL_WIDTH   12
#define DDRC_ECCPOISONADDR0_ECC_POISON_COL_MASK    0x00000fff
#define DDRC_ECCPOISONADDR0_ECC_POISON_COL_DEFVAL  0x0

/**
 * Register: DDRC_ECCPOISONADDR1
 */
#define DDRC_ECCPOISONADDR1    ( ( DDRC_BASEADDR ) + 0x000000BC )
#define DDRC_ECCPOISONADDR1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ECCPOISONADDR1_ECC_POISON_BG_SHIFT   28
#define DDRC_ECCPOISONADDR1_ECC_POISON_BG_WIDTH   2
#define DDRC_ECCPOISONADDR1_ECC_POISON_BG_MASK    0x30000000
#define DDRC_ECCPOISONADDR1_ECC_POISON_BG_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ECCPOISONADDR1_ECC_POISON_BANK_SHIFT   24
#define DDRC_ECCPOISONADDR1_ECC_POISON_BANK_WIDTH   3
#define DDRC_ECCPOISONADDR1_ECC_POISON_BANK_MASK    0x07000000
#define DDRC_ECCPOISONADDR1_ECC_POISON_BANK_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ECCPOISONADDR1_ECC_POISON_ROW_SHIFT   0
#define DDRC_ECCPOISONADDR1_ECC_POISON_ROW_WIDTH   18
#define DDRC_ECCPOISONADDR1_ECC_POISON_ROW_MASK    0x0003ffff
#define DDRC_ECCPOISONADDR1_ECC_POISON_ROW_DEFVAL  0x0

/**
 * Register: DDRC_CRCPARCTL0
 */
#define DDRC_CRCPARCTL0    ( ( DDRC_BASEADDR ) + 0x000000C0 )
#define DDRC_CRCPARCTL0_DEFVAL   0x8000

/* access_type: rw  */
#define DDRC_CRCPARCTL0_RETRY_CTRLUPD_ENABLE_SHIFT   15
#define DDRC_CRCPARCTL0_RETRY_CTRLUPD_ENABLE_WIDTH   1
#define DDRC_CRCPARCTL0_RETRY_CTRLUPD_ENABLE_MASK    0x00008000
#define DDRC_CRCPARCTL0_RETRY_CTRLUPD_ENABLE_DEFVAL  0x1

/* access_type: wtc  */
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_MAX_REACHED_INT_CLR_SHIFT   8
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_MAX_REACHED_INT_CLR_WIDTH   1
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_MAX_REACHED_INT_CLR_MASK    0x00000100
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_MAX_REACHED_INT_CLR_DEFVAL  0x0

/* access_type: wtc  */
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_FATL_INT_CLR_SHIFT   4
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_FATL_INT_CLR_WIDTH   1
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_FATL_INT_CLR_MASK    0x00000010
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_FATL_INT_CLR_DEFVAL  0x0

/* access_type: wtc  */
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_CNT_CLR_SHIFT   2
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_CNT_CLR_WIDTH   1
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_CNT_CLR_MASK    0x00000004
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_CNT_CLR_DEFVAL  0x0

/* access_type: wtc  */
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_CLR_SHIFT   1
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_CLR_WIDTH   1
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_CLR_MASK    0x00000002
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_CLR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_EN_SHIFT   0
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_EN_WIDTH   1
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_EN_MASK    0x00000001
#define DDRC_CRCPARCTL0_DFI_ALERT_ERR_INT_EN_DEFVAL  0x0

/**
 * Register: DDRC_CRCPARCTL1
 */
#define DDRC_CRCPARCTL1    ( ( DDRC_BASEADDR ) + 0x000000C4 )
#define DDRC_CRCPARCTL1_DEFVAL   0x10000200

/* access_type: rw  */
#define DDRC_CRCPARCTL1_DFI_T_PHY_RDLAT_SHIFT   24
#define DDRC_CRCPARCTL1_DFI_T_PHY_RDLAT_WIDTH   6
#define DDRC_CRCPARCTL1_DFI_T_PHY_RDLAT_MASK    0x3f000000
#define DDRC_CRCPARCTL1_DFI_T_PHY_RDLAT_DEFVAL  0x10

/* access_type: rw  */
#define DDRC_CRCPARCTL1_ALERT_WAIT_FOR_SW_SHIFT   9
#define DDRC_CRCPARCTL1_ALERT_WAIT_FOR_SW_WIDTH   1
#define DDRC_CRCPARCTL1_ALERT_WAIT_FOR_SW_MASK    0x00000200
#define DDRC_CRCPARCTL1_ALERT_WAIT_FOR_SW_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_CRCPARCTL1_CRC_PARITY_RETRY_ENABLE_SHIFT   8
#define DDRC_CRCPARCTL1_CRC_PARITY_RETRY_ENABLE_WIDTH   1
#define DDRC_CRCPARCTL1_CRC_PARITY_RETRY_ENABLE_MASK    0x00000100
#define DDRC_CRCPARCTL1_CRC_PARITY_RETRY_ENABLE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_CRCPARCTL1_CRC_INC_DM_SHIFT   7
#define DDRC_CRCPARCTL1_CRC_INC_DM_WIDTH   1
#define DDRC_CRCPARCTL1_CRC_INC_DM_MASK    0x00000080
#define DDRC_CRCPARCTL1_CRC_INC_DM_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_CRCPARCTL1_CRC_ENABLE_SHIFT   4
#define DDRC_CRCPARCTL1_CRC_ENABLE_WIDTH   1
#define DDRC_CRCPARCTL1_CRC_ENABLE_MASK    0x00000010
#define DDRC_CRCPARCTL1_CRC_ENABLE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_CRCPARCTL1_PARITY_ENABLE_SHIFT   0
#define DDRC_CRCPARCTL1_PARITY_ENABLE_WIDTH   1
#define DDRC_CRCPARCTL1_PARITY_ENABLE_MASK    0x00000001
#define DDRC_CRCPARCTL1_PARITY_ENABLE_DEFVAL  0x0

/**
 * Register: DDRC_CRCPARCTL2
 */
#define DDRC_CRCPARCTL2    ( ( DDRC_BASEADDR ) + 0x000000C8 )
#define DDRC_CRCPARCTL2_DEFVAL   0x30050c

/* access_type: rw  */
#define DDRC_CRCPARCTL2_T_PAR_ALERT_PW_MAX_SHIFT   16
#define DDRC_CRCPARCTL2_T_PAR_ALERT_PW_MAX_WIDTH   9
#define DDRC_CRCPARCTL2_T_PAR_ALERT_PW_MAX_MASK    0x01ff0000
#define DDRC_CRCPARCTL2_T_PAR_ALERT_PW_MAX_DEFVAL  0x30

/* access_type: rw  */
#define DDRC_CRCPARCTL2_T_CRC_ALERT_PW_MAX_SHIFT   8
#define DDRC_CRCPARCTL2_T_CRC_ALERT_PW_MAX_WIDTH   5
#define DDRC_CRCPARCTL2_T_CRC_ALERT_PW_MAX_MASK    0x00001f00
#define DDRC_CRCPARCTL2_T_CRC_ALERT_PW_MAX_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_CRCPARCTL2_RETRY_FIFO_MAX_HOLD_TIMER_X4_SHIFT   0
#define DDRC_CRCPARCTL2_RETRY_FIFO_MAX_HOLD_TIMER_X4_WIDTH   6
#define DDRC_CRCPARCTL2_RETRY_FIFO_MAX_HOLD_TIMER_X4_MASK    0x0000003f
#define DDRC_CRCPARCTL2_RETRY_FIFO_MAX_HOLD_TIMER_X4_DEFVAL  0xc

/**
 * Register: DDRC_CRCPARSTAT
 */
#define DDRC_CRCPARSTAT    ( ( DDRC_BASEADDR ) + 0x000000CC )
#define DDRC_CRCPARSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_CMD_IN_ERR_WINDOW_SHIFT   29
#define DDRC_CRCPARSTAT_CMD_IN_ERR_WINDOW_WIDTH   1
#define DDRC_CRCPARSTAT_CMD_IN_ERR_WINDOW_MASK    0x20000000
#define DDRC_CRCPARSTAT_CMD_IN_ERR_WINDOW_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_RETRY_OPERATING_MODE_SHIFT   28
#define DDRC_CRCPARSTAT_RETRY_OPERATING_MODE_WIDTH   1
#define DDRC_CRCPARSTAT_RETRY_OPERATING_MODE_MASK    0x10000000
#define DDRC_CRCPARSTAT_RETRY_OPERATING_MODE_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_RETRY_CURRENT_STATE_SHIFT   24
#define DDRC_CRCPARSTAT_RETRY_CURRENT_STATE_WIDTH   4
#define DDRC_CRCPARSTAT_RETRY_CURRENT_STATE_MASK    0x0f000000
#define DDRC_CRCPARSTAT_RETRY_CURRENT_STATE_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_CODE_SHIFT   20
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_CODE_WIDTH   3
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_CODE_MASK    0x00700000
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_CODE_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_NO_SW_SHIFT   19
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_NO_SW_WIDTH   1
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_NO_SW_MASK    0x00080000
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_NO_SW_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_MAX_REACHED_INT_SHIFT   18
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_MAX_REACHED_INT_WIDTH   1
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_MAX_REACHED_INT_MASK    0x00040000
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_MAX_REACHED_INT_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_INT_SHIFT   17
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_INT_WIDTH   1
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_INT_MASK    0x00020000
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_FATL_INT_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_INT_SHIFT   16
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_INT_WIDTH   1
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_INT_MASK    0x00010000
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_INT_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_CNT_SHIFT   0
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_CNT_WIDTH   16
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_CNT_MASK    0x0000ffff
#define DDRC_CRCPARSTAT_DFI_ALERT_ERR_CNT_DEFVAL  0x0

/**
 * Register: DDRC_INIT0
 */
#define DDRC_INIT0    ( ( DDRC_BASEADDR ) + 0x000000D0 )
#define DDRC_INIT0_DEFVAL   0x2004e

/* access_type: rw  */
#define DDRC_INIT0_SKIP_DRAM_INIT_SHIFT   30
#define DDRC_INIT0_SKIP_DRAM_INIT_WIDTH   2
#define DDRC_INIT0_SKIP_DRAM_INIT_MASK    0xc0000000
#define DDRC_INIT0_SKIP_DRAM_INIT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT0_POST_CKE_X1024_SHIFT   16
#define DDRC_INIT0_POST_CKE_X1024_WIDTH   10
#define DDRC_INIT0_POST_CKE_X1024_MASK    0x03ff0000
#define DDRC_INIT0_POST_CKE_X1024_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_INIT0_PRE_CKE_X1024_SHIFT   0
#define DDRC_INIT0_PRE_CKE_X1024_WIDTH   12
#define DDRC_INIT0_PRE_CKE_X1024_MASK    0x00000fff
#define DDRC_INIT0_PRE_CKE_X1024_DEFVAL  0x4e

/**
 * Register: DDRC_INIT1
 */
#define DDRC_INIT1    ( ( DDRC_BASEADDR ) + 0x000000D4 )
#define DDRC_INIT1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_INIT1_DRAM_RSTN_X1024_SHIFT   16
#define DDRC_INIT1_DRAM_RSTN_X1024_WIDTH   9
#define DDRC_INIT1_DRAM_RSTN_X1024_MASK    0x01ff0000
#define DDRC_INIT1_DRAM_RSTN_X1024_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT1_FINAL_WAIT_X32_SHIFT   8
#define DDRC_INIT1_FINAL_WAIT_X32_WIDTH   7
#define DDRC_INIT1_FINAL_WAIT_X32_MASK    0x00007f00
#define DDRC_INIT1_FINAL_WAIT_X32_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT1_PRE_OCD_X32_SHIFT   0
#define DDRC_INIT1_PRE_OCD_X32_WIDTH   4
#define DDRC_INIT1_PRE_OCD_X32_MASK    0x0000000f
#define DDRC_INIT1_PRE_OCD_X32_DEFVAL  0x0

/**
 * Register: DDRC_INIT2
 */
#define DDRC_INIT2    ( ( DDRC_BASEADDR ) + 0x000000D8 )
#define DDRC_INIT2_DEFVAL   0xd05

/* access_type: rw  */
#define DDRC_INIT2_IDLE_AFTER_RESET_X32_SHIFT   8
#define DDRC_INIT2_IDLE_AFTER_RESET_X32_WIDTH   8
#define DDRC_INIT2_IDLE_AFTER_RESET_X32_MASK    0x0000ff00
#define DDRC_INIT2_IDLE_AFTER_RESET_X32_DEFVAL  0xd

/* access_type: rw  */
#define DDRC_INIT2_MIN_STABLE_CLOCK_X1_SHIFT   0
#define DDRC_INIT2_MIN_STABLE_CLOCK_X1_WIDTH   4
#define DDRC_INIT2_MIN_STABLE_CLOCK_X1_MASK    0x0000000f
#define DDRC_INIT2_MIN_STABLE_CLOCK_X1_DEFVAL  0x5

/**
 * Register: DDRC_INIT3
 */
#define DDRC_INIT3    ( ( DDRC_BASEADDR ) + 0x000000DC )
#define DDRC_INIT3_DEFVAL   0x510

/* access_type: rw  */
#define DDRC_INIT3_MR_SHIFT   16
#define DDRC_INIT3_MR_WIDTH   16
#define DDRC_INIT3_MR_MASK    0xffff0000
#define DDRC_INIT3_MR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT3_EMR_SHIFT   0
#define DDRC_INIT3_EMR_WIDTH   16
#define DDRC_INIT3_EMR_MASK    0x0000ffff
#define DDRC_INIT3_EMR_DEFVAL  0x510

/**
 * Register: DDRC_INIT4
 */
#define DDRC_INIT4    ( ( DDRC_BASEADDR ) + 0x000000E0 )
#define DDRC_INIT4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_INIT4_EMR2_SHIFT   16
#define DDRC_INIT4_EMR2_WIDTH   16
#define DDRC_INIT4_EMR2_MASK    0xffff0000
#define DDRC_INIT4_EMR2_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT4_EMR3_SHIFT   0
#define DDRC_INIT4_EMR3_WIDTH   16
#define DDRC_INIT4_EMR3_MASK    0x0000ffff
#define DDRC_INIT4_EMR3_DEFVAL  0x0

/**
 * Register: DDRC_INIT5
 */
#define DDRC_INIT5    ( ( DDRC_BASEADDR ) + 0x000000E4 )
#define DDRC_INIT5_DEFVAL   0x100004

/* access_type: rw  */
#define DDRC_INIT5_DEV_ZQINIT_X32_SHIFT   16
#define DDRC_INIT5_DEV_ZQINIT_X32_WIDTH   8
#define DDRC_INIT5_DEV_ZQINIT_X32_MASK    0x00ff0000
#define DDRC_INIT5_DEV_ZQINIT_X32_DEFVAL  0x10

/* access_type: rw  */
#define DDRC_INIT5_MAX_AUTO_INIT_X1024_SHIFT   0
#define DDRC_INIT5_MAX_AUTO_INIT_X1024_WIDTH   10
#define DDRC_INIT5_MAX_AUTO_INIT_X1024_MASK    0x000003ff
#define DDRC_INIT5_MAX_AUTO_INIT_X1024_DEFVAL  0x4

/**
 * Register: DDRC_INIT6
 */
#define DDRC_INIT6    ( ( DDRC_BASEADDR ) + 0x000000E8 )
#define DDRC_INIT6_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_INIT6_MR4_SHIFT   16
#define DDRC_INIT6_MR4_WIDTH   16
#define DDRC_INIT6_MR4_MASK    0xffff0000
#define DDRC_INIT6_MR4_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT6_MR5_SHIFT   0
#define DDRC_INIT6_MR5_WIDTH   16
#define DDRC_INIT6_MR5_MASK    0x0000ffff
#define DDRC_INIT6_MR5_DEFVAL  0x0

/**
 * Register: DDRC_INIT7
 */
#define DDRC_INIT7    ( ( DDRC_BASEADDR ) + 0x000000EC )
#define DDRC_INIT7_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_INIT7_MR6_SHIFT   16
#define DDRC_INIT7_MR6_WIDTH   16
#define DDRC_INIT7_MR6_MASK    0xffff0000
#define DDRC_INIT7_MR6_DEFVAL  0x0

/**
 * Register: DDRC_DIMMCTL
 */
#define DDRC_DIMMCTL    ( ( DDRC_BASEADDR ) + 0x000000F0 )
#define DDRC_DIMMCTL_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DIMMCTL_DIMM_DIS_BG_MIRRORING_SHIFT   5
#define DDRC_DIMMCTL_DIMM_DIS_BG_MIRRORING_WIDTH   1
#define DDRC_DIMMCTL_DIMM_DIS_BG_MIRRORING_MASK    0x00000020
#define DDRC_DIMMCTL_DIMM_DIS_BG_MIRRORING_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DIMMCTL_MRS_BG1_EN_SHIFT   4
#define DDRC_DIMMCTL_MRS_BG1_EN_WIDTH   1
#define DDRC_DIMMCTL_MRS_BG1_EN_MASK    0x00000010
#define DDRC_DIMMCTL_MRS_BG1_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DIMMCTL_MRS_A17_EN_SHIFT   3
#define DDRC_DIMMCTL_MRS_A17_EN_WIDTH   1
#define DDRC_DIMMCTL_MRS_A17_EN_MASK    0x00000008
#define DDRC_DIMMCTL_MRS_A17_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DIMMCTL_DIMM_OUTPUT_INV_EN_SHIFT   2
#define DDRC_DIMMCTL_DIMM_OUTPUT_INV_EN_WIDTH   1
#define DDRC_DIMMCTL_DIMM_OUTPUT_INV_EN_MASK    0x00000004
#define DDRC_DIMMCTL_DIMM_OUTPUT_INV_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DIMMCTL_DIMM_ADDR_MIRR_EN_SHIFT   1
#define DDRC_DIMMCTL_DIMM_ADDR_MIRR_EN_WIDTH   1
#define DDRC_DIMMCTL_DIMM_ADDR_MIRR_EN_MASK    0x00000002
#define DDRC_DIMMCTL_DIMM_ADDR_MIRR_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DIMMCTL_DIMM_STAGGER_CS_EN_SHIFT   0
#define DDRC_DIMMCTL_DIMM_STAGGER_CS_EN_WIDTH   1
#define DDRC_DIMMCTL_DIMM_STAGGER_CS_EN_MASK    0x00000001
#define DDRC_DIMMCTL_DIMM_STAGGER_CS_EN_DEFVAL  0x0

/**
 * Register: DDRC_RANKCTL
 */
#define DDRC_RANKCTL    ( ( DDRC_BASEADDR ) + 0x000000F4 )
#define DDRC_RANKCTL_DEFVAL   0x66f

/* access_type: rw  */
#define DDRC_RANKCTL_DIFF_RANK_WR_GAP_SHIFT   8
#define DDRC_RANKCTL_DIFF_RANK_WR_GAP_WIDTH   4
#define DDRC_RANKCTL_DIFF_RANK_WR_GAP_MASK    0x00000f00
#define DDRC_RANKCTL_DIFF_RANK_WR_GAP_DEFVAL  0x6

/* access_type: rw  */
#define DDRC_RANKCTL_DIFF_RANK_RD_GAP_SHIFT   4
#define DDRC_RANKCTL_DIFF_RANK_RD_GAP_WIDTH   4
#define DDRC_RANKCTL_DIFF_RANK_RD_GAP_MASK    0x000000f0
#define DDRC_RANKCTL_DIFF_RANK_RD_GAP_DEFVAL  0x6

/* access_type: rw  */
#define DDRC_RANKCTL_MAX_RANK_RD_SHIFT   0
#define DDRC_RANKCTL_MAX_RANK_RD_WIDTH   4
#define DDRC_RANKCTL_MAX_RANK_RD_MASK    0x0000000f
#define DDRC_RANKCTL_MAX_RANK_RD_DEFVAL  0xf

/**
 * Register: DDRC_DRAMTMG0
 */
#define DDRC_DRAMTMG0    ( ( DDRC_BASEADDR ) + 0x00000100 )
#define DDRC_DRAMTMG0_DEFVAL   0xf101b0f

/* access_type: rw  */
#define DDRC_DRAMTMG0_WR2PRE_SHIFT   24
#define DDRC_DRAMTMG0_WR2PRE_WIDTH   7
#define DDRC_DRAMTMG0_WR2PRE_MASK    0x7f000000
#define DDRC_DRAMTMG0_WR2PRE_DEFVAL  0xf

/* access_type: rw  */
#define DDRC_DRAMTMG0_T_FAW_SHIFT   16
#define DDRC_DRAMTMG0_T_FAW_WIDTH   6
#define DDRC_DRAMTMG0_T_FAW_MASK    0x003f0000
#define DDRC_DRAMTMG0_T_FAW_DEFVAL  0x10

/* access_type: rw  */
#define DDRC_DRAMTMG0_T_RAS_MAX_SHIFT   8
#define DDRC_DRAMTMG0_T_RAS_MAX_WIDTH   7
#define DDRC_DRAMTMG0_T_RAS_MAX_MASK    0x00007f00
#define DDRC_DRAMTMG0_T_RAS_MAX_DEFVAL  0x1b

/* access_type: rw  */
#define DDRC_DRAMTMG0_T_RAS_MIN_SHIFT   0
#define DDRC_DRAMTMG0_T_RAS_MIN_WIDTH   6
#define DDRC_DRAMTMG0_T_RAS_MIN_MASK    0x0000003f
#define DDRC_DRAMTMG0_T_RAS_MIN_DEFVAL  0xf

/**
 * Register: DDRC_DRAMTMG1
 */
#define DDRC_DRAMTMG1    ( ( DDRC_BASEADDR ) + 0x00000104 )
#define DDRC_DRAMTMG1_DEFVAL   0x80414

/* access_type: rw  */
#define DDRC_DRAMTMG1_T_XP_SHIFT   16
#define DDRC_DRAMTMG1_T_XP_WIDTH   5
#define DDRC_DRAMTMG1_T_XP_MASK    0x001f0000
#define DDRC_DRAMTMG1_T_XP_DEFVAL  0x8

/* access_type: rw  */
#define DDRC_DRAMTMG1_RD2PRE_SHIFT   8
#define DDRC_DRAMTMG1_RD2PRE_WIDTH   5
#define DDRC_DRAMTMG1_RD2PRE_MASK    0x00001f00
#define DDRC_DRAMTMG1_RD2PRE_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG1_T_RC_SHIFT   0
#define DDRC_DRAMTMG1_T_RC_WIDTH   7
#define DDRC_DRAMTMG1_T_RC_MASK    0x0000007f
#define DDRC_DRAMTMG1_T_RC_DEFVAL  0x14

/**
 * Register: DDRC_DRAMTMG2
 */
#define DDRC_DRAMTMG2    ( ( DDRC_BASEADDR ) + 0x00000108 )
#define DDRC_DRAMTMG2_DEFVAL   0x305060d

/* access_type: rw  */
#define DDRC_DRAMTMG2_WRITE_LATENCY_SHIFT   24
#define DDRC_DRAMTMG2_WRITE_LATENCY_WIDTH   6
#define DDRC_DRAMTMG2_WRITE_LATENCY_MASK    0x3f000000
#define DDRC_DRAMTMG2_WRITE_LATENCY_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_DRAMTMG2_READ_LATENCY_SHIFT   16
#define DDRC_DRAMTMG2_READ_LATENCY_WIDTH   6
#define DDRC_DRAMTMG2_READ_LATENCY_MASK    0x003f0000
#define DDRC_DRAMTMG2_READ_LATENCY_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG2_RD2WR_SHIFT   8
#define DDRC_DRAMTMG2_RD2WR_WIDTH   6
#define DDRC_DRAMTMG2_RD2WR_MASK    0x00003f00
#define DDRC_DRAMTMG2_RD2WR_DEFVAL  0x6

/* access_type: rw  */
#define DDRC_DRAMTMG2_WR2RD_SHIFT   0
#define DDRC_DRAMTMG2_WR2RD_WIDTH   6
#define DDRC_DRAMTMG2_WR2RD_MASK    0x0000003f
#define DDRC_DRAMTMG2_WR2RD_DEFVAL  0xd

/**
 * Register: DDRC_DRAMTMG3
 */
#define DDRC_DRAMTMG3    ( ( DDRC_BASEADDR ) + 0x0000010C )
#define DDRC_DRAMTMG3_DEFVAL   0x50400c

/* access_type: rw  */
#define DDRC_DRAMTMG3_T_MRW_SHIFT   20
#define DDRC_DRAMTMG3_T_MRW_WIDTH   10
#define DDRC_DRAMTMG3_T_MRW_MASK    0x3ff00000
#define DDRC_DRAMTMG3_T_MRW_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG3_T_MRD_SHIFT   12
#define DDRC_DRAMTMG3_T_MRD_WIDTH   6
#define DDRC_DRAMTMG3_T_MRD_MASK    0x0003f000
#define DDRC_DRAMTMG3_T_MRD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG3_T_MOD_SHIFT   0
#define DDRC_DRAMTMG3_T_MOD_WIDTH   10
#define DDRC_DRAMTMG3_T_MOD_MASK    0x000003ff
#define DDRC_DRAMTMG3_T_MOD_DEFVAL  0xc

/**
 * Register: DDRC_DRAMTMG4
 */
#define DDRC_DRAMTMG4    ( ( DDRC_BASEADDR ) + 0x00000110 )
#define DDRC_DRAMTMG4_DEFVAL   0x5040405

/* access_type: rw  */
#define DDRC_DRAMTMG4_T_RCD_SHIFT   24
#define DDRC_DRAMTMG4_T_RCD_WIDTH   5
#define DDRC_DRAMTMG4_T_RCD_MASK    0x1f000000
#define DDRC_DRAMTMG4_T_RCD_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG4_T_CCD_SHIFT   16
#define DDRC_DRAMTMG4_T_CCD_WIDTH   4
#define DDRC_DRAMTMG4_T_CCD_MASK    0x000f0000
#define DDRC_DRAMTMG4_T_CCD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG4_T_RRD_SHIFT   8
#define DDRC_DRAMTMG4_T_RRD_WIDTH   4
#define DDRC_DRAMTMG4_T_RRD_MASK    0x00000f00
#define DDRC_DRAMTMG4_T_RRD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG4_T_RP_SHIFT   0
#define DDRC_DRAMTMG4_T_RP_WIDTH   5
#define DDRC_DRAMTMG4_T_RP_MASK    0x0000001f
#define DDRC_DRAMTMG4_T_RP_DEFVAL  0x5

/**
 * Register: DDRC_DRAMTMG5
 */
#define DDRC_DRAMTMG5    ( ( DDRC_BASEADDR ) + 0x00000114 )
#define DDRC_DRAMTMG5_DEFVAL   0x5050403

/* access_type: rw  */
#define DDRC_DRAMTMG5_T_CKSRX_SHIFT   24
#define DDRC_DRAMTMG5_T_CKSRX_WIDTH   4
#define DDRC_DRAMTMG5_T_CKSRX_MASK    0x0f000000
#define DDRC_DRAMTMG5_T_CKSRX_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG5_T_CKSRE_SHIFT   16
#define DDRC_DRAMTMG5_T_CKSRE_WIDTH   4
#define DDRC_DRAMTMG5_T_CKSRE_MASK    0x000f0000
#define DDRC_DRAMTMG5_T_CKSRE_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG5_T_CKESR_SHIFT   8
#define DDRC_DRAMTMG5_T_CKESR_WIDTH   6
#define DDRC_DRAMTMG5_T_CKESR_MASK    0x00003f00
#define DDRC_DRAMTMG5_T_CKESR_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG5_T_CKE_SHIFT   0
#define DDRC_DRAMTMG5_T_CKE_WIDTH   5
#define DDRC_DRAMTMG5_T_CKE_MASK    0x0000001f
#define DDRC_DRAMTMG5_T_CKE_DEFVAL  0x3

/**
 * Register: DDRC_DRAMTMG6
 */
#define DDRC_DRAMTMG6    ( ( DDRC_BASEADDR ) + 0x00000118 )
#define DDRC_DRAMTMG6_DEFVAL   0x2020005

/* access_type: rw  */
#define DDRC_DRAMTMG6_T_CKDPDE_SHIFT   24
#define DDRC_DRAMTMG6_T_CKDPDE_WIDTH   4
#define DDRC_DRAMTMG6_T_CKDPDE_MASK    0x0f000000
#define DDRC_DRAMTMG6_T_CKDPDE_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG6_T_CKDPDX_SHIFT   16
#define DDRC_DRAMTMG6_T_CKDPDX_WIDTH   4
#define DDRC_DRAMTMG6_T_CKDPDX_MASK    0x000f0000
#define DDRC_DRAMTMG6_T_CKDPDX_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG6_T_CKCSX_SHIFT   0
#define DDRC_DRAMTMG6_T_CKCSX_WIDTH   4
#define DDRC_DRAMTMG6_T_CKCSX_MASK    0x0000000f
#define DDRC_DRAMTMG6_T_CKCSX_DEFVAL  0x5

/**
 * Register: DDRC_DRAMTMG7
 */
#define DDRC_DRAMTMG7    ( ( DDRC_BASEADDR ) + 0x0000011C )
#define DDRC_DRAMTMG7_DEFVAL   0x202

/* access_type: rw  */
#define DDRC_DRAMTMG7_T_CKPDE_SHIFT   8
#define DDRC_DRAMTMG7_T_CKPDE_WIDTH   4
#define DDRC_DRAMTMG7_T_CKPDE_MASK    0x00000f00
#define DDRC_DRAMTMG7_T_CKPDE_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG7_T_CKPDX_SHIFT   0
#define DDRC_DRAMTMG7_T_CKPDX_WIDTH   4
#define DDRC_DRAMTMG7_T_CKPDX_MASK    0x0000000f
#define DDRC_DRAMTMG7_T_CKPDX_DEFVAL  0x2

/**
 * Register: DDRC_DRAMTMG8
 */
#define DDRC_DRAMTMG8    ( ( DDRC_BASEADDR ) + 0x00000120 )
#define DDRC_DRAMTMG8_DEFVAL   0x3034405

/* access_type: rw  */
#define DDRC_DRAMTMG8_T_XS_FAST_X32_SHIFT   24
#define DDRC_DRAMTMG8_T_XS_FAST_X32_WIDTH   7
#define DDRC_DRAMTMG8_T_XS_FAST_X32_MASK    0x7f000000
#define DDRC_DRAMTMG8_T_XS_FAST_X32_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_DRAMTMG8_T_XS_ABORT_X32_SHIFT   16
#define DDRC_DRAMTMG8_T_XS_ABORT_X32_WIDTH   7
#define DDRC_DRAMTMG8_T_XS_ABORT_X32_MASK    0x007f0000
#define DDRC_DRAMTMG8_T_XS_ABORT_X32_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_DRAMTMG8_T_XS_DLL_X32_SHIFT   8
#define DDRC_DRAMTMG8_T_XS_DLL_X32_WIDTH   7
#define DDRC_DRAMTMG8_T_XS_DLL_X32_MASK    0x00007f00
#define DDRC_DRAMTMG8_T_XS_DLL_X32_DEFVAL  0x44

/* access_type: rw  */
#define DDRC_DRAMTMG8_T_XS_X32_SHIFT   0
#define DDRC_DRAMTMG8_T_XS_X32_WIDTH   7
#define DDRC_DRAMTMG8_T_XS_X32_MASK    0x0000007f
#define DDRC_DRAMTMG8_T_XS_X32_DEFVAL  0x5

/**
 * Register: DDRC_DRAMTMG9
 */
#define DDRC_DRAMTMG9    ( ( DDRC_BASEADDR ) + 0x00000124 )
#define DDRC_DRAMTMG9_DEFVAL   0x4040d

/* access_type: rw  */
#define DDRC_DRAMTMG9_DDR4_WR_PREAMBLE_SHIFT   30
#define DDRC_DRAMTMG9_DDR4_WR_PREAMBLE_WIDTH   1
#define DDRC_DRAMTMG9_DDR4_WR_PREAMBLE_MASK    0x40000000
#define DDRC_DRAMTMG9_DDR4_WR_PREAMBLE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DRAMTMG9_T_CCD_S_SHIFT   16
#define DDRC_DRAMTMG9_T_CCD_S_WIDTH   3
#define DDRC_DRAMTMG9_T_CCD_S_MASK    0x00070000
#define DDRC_DRAMTMG9_T_CCD_S_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG9_T_RRD_S_SHIFT   8
#define DDRC_DRAMTMG9_T_RRD_S_WIDTH   4
#define DDRC_DRAMTMG9_T_RRD_S_MASK    0x00000f00
#define DDRC_DRAMTMG9_T_RRD_S_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG9_WR2RD_S_SHIFT   0
#define DDRC_DRAMTMG9_WR2RD_S_WIDTH   6
#define DDRC_DRAMTMG9_WR2RD_S_MASK    0x0000003f
#define DDRC_DRAMTMG9_WR2RD_S_DEFVAL  0xd

/**
 * Register: DDRC_DRAMTMG10
 */
#define DDRC_DRAMTMG10    ( ( DDRC_BASEADDR ) + 0x00000128 )
#define DDRC_DRAMTMG10_DEFVAL   0x1c180a

/* access_type: rw  */
#define DDRC_DRAMTMG10_T_SYNC_GEAR_SHIFT   16
#define DDRC_DRAMTMG10_T_SYNC_GEAR_WIDTH   5
#define DDRC_DRAMTMG10_T_SYNC_GEAR_MASK    0x001f0000
#define DDRC_DRAMTMG10_T_SYNC_GEAR_DEFVAL  0x1c

/* access_type: rw  */
#define DDRC_DRAMTMG10_T_CMD_GEAR_SHIFT   8
#define DDRC_DRAMTMG10_T_CMD_GEAR_WIDTH   5
#define DDRC_DRAMTMG10_T_CMD_GEAR_MASK    0x00001f00
#define DDRC_DRAMTMG10_T_CMD_GEAR_DEFVAL  0x18

/* access_type: rw  */
#define DDRC_DRAMTMG10_T_GEAR_SETUP_SHIFT   2
#define DDRC_DRAMTMG10_T_GEAR_SETUP_WIDTH   2
#define DDRC_DRAMTMG10_T_GEAR_SETUP_MASK    0x0000000c
#define DDRC_DRAMTMG10_T_GEAR_SETUP_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG10_T_GEAR_HOLD_SHIFT   0
#define DDRC_DRAMTMG10_T_GEAR_HOLD_WIDTH   2
#define DDRC_DRAMTMG10_T_GEAR_HOLD_MASK    0x00000003
#define DDRC_DRAMTMG10_T_GEAR_HOLD_DEFVAL  0x2

/**
 * Register: DDRC_DRAMTMG11
 */
#define DDRC_DRAMTMG11    ( ( DDRC_BASEADDR ) + 0x0000012C )
#define DDRC_DRAMTMG11_DEFVAL   0x440c021c

/* access_type: rw  */
#define DDRC_DRAMTMG11_POST_MPSM_GAP_X32_SHIFT   24
#define DDRC_DRAMTMG11_POST_MPSM_GAP_X32_WIDTH   7
#define DDRC_DRAMTMG11_POST_MPSM_GAP_X32_MASK    0x7f000000
#define DDRC_DRAMTMG11_POST_MPSM_GAP_X32_DEFVAL  0x44

/* access_type: rw  */
#define DDRC_DRAMTMG11_T_MPX_LH_SHIFT   16
#define DDRC_DRAMTMG11_T_MPX_LH_WIDTH   5
#define DDRC_DRAMTMG11_T_MPX_LH_MASK    0x001f0000
#define DDRC_DRAMTMG11_T_MPX_LH_DEFVAL  0xc

/* access_type: rw  */
#define DDRC_DRAMTMG11_T_MPX_S_SHIFT   8
#define DDRC_DRAMTMG11_T_MPX_S_WIDTH   2
#define DDRC_DRAMTMG11_T_MPX_S_MASK    0x00000300
#define DDRC_DRAMTMG11_T_MPX_S_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG11_T_CKMPE_SHIFT   0
#define DDRC_DRAMTMG11_T_CKMPE_WIDTH   5
#define DDRC_DRAMTMG11_T_CKMPE_MASK    0x0000001f
#define DDRC_DRAMTMG11_T_CKMPE_DEFVAL  0x1c

/**
 * Register: DDRC_DRAMTMG12
 */
#define DDRC_DRAMTMG12    ( ( DDRC_BASEADDR ) + 0x00000130 )
#define DDRC_DRAMTMG12_DEFVAL   0x20610

/* access_type: rw  */
#define DDRC_DRAMTMG12_T_CMDCKE_SHIFT   16
#define DDRC_DRAMTMG12_T_CMDCKE_WIDTH   2
#define DDRC_DRAMTMG12_T_CMDCKE_MASK    0x00030000
#define DDRC_DRAMTMG12_T_CMDCKE_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG12_T_CKEHCMD_SHIFT   8
#define DDRC_DRAMTMG12_T_CKEHCMD_WIDTH   4
#define DDRC_DRAMTMG12_T_CKEHCMD_MASK    0x00000f00
#define DDRC_DRAMTMG12_T_CKEHCMD_DEFVAL  0x6

/* access_type: rw  */
#define DDRC_DRAMTMG12_T_MRD_PDA_SHIFT   0
#define DDRC_DRAMTMG12_T_MRD_PDA_WIDTH   5
#define DDRC_DRAMTMG12_T_MRD_PDA_MASK    0x0000001f
#define DDRC_DRAMTMG12_T_MRD_PDA_DEFVAL  0x10

/**
 * Register: DDRC_DRAMTMG13
 */
#define DDRC_DRAMTMG13    ( ( DDRC_BASEADDR ) + 0x00000134 )
#define DDRC_DRAMTMG13_DEFVAL   0x1c200004

/* access_type: rw  */
#define DDRC_DRAMTMG13_ODTLOFF_SHIFT   24
#define DDRC_DRAMTMG13_ODTLOFF_WIDTH   7
#define DDRC_DRAMTMG13_ODTLOFF_MASK    0x7f000000
#define DDRC_DRAMTMG13_ODTLOFF_DEFVAL  0x1c

/* access_type: rw  */
#define DDRC_DRAMTMG13_T_CCD_MW_SHIFT   16
#define DDRC_DRAMTMG13_T_CCD_MW_WIDTH   6
#define DDRC_DRAMTMG13_T_CCD_MW_MASK    0x003f0000
#define DDRC_DRAMTMG13_T_CCD_MW_DEFVAL  0x20

/* access_type: rw  */
#define DDRC_DRAMTMG13_T_PPD_SHIFT   0
#define DDRC_DRAMTMG13_T_PPD_WIDTH   3
#define DDRC_DRAMTMG13_T_PPD_MASK    0x00000007
#define DDRC_DRAMTMG13_T_PPD_DEFVAL  0x4

/**
 * Register: DDRC_DRAMTMG14
 */
#define DDRC_DRAMTMG14    ( ( DDRC_BASEADDR ) + 0x00000138 )
#define DDRC_DRAMTMG14_DEFVAL   0xa0

/* access_type: rw  */
#define DDRC_DRAMTMG14_T_XSR_SHIFT   0
#define DDRC_DRAMTMG14_T_XSR_WIDTH   12
#define DDRC_DRAMTMG14_T_XSR_MASK    0x00000fff
#define DDRC_DRAMTMG14_T_XSR_DEFVAL  0xa0

/**
 * Register: DDRC_ZQCTL0
 */
#define DDRC_ZQCTL0    ( ( DDRC_BASEADDR ) + 0x00000180 )
#define DDRC_ZQCTL0_DEFVAL   0x2000040

/* access_type: rw  */
#define DDRC_ZQCTL0_DIS_AUTO_ZQ_SHIFT   31
#define DDRC_ZQCTL0_DIS_AUTO_ZQ_WIDTH   1
#define DDRC_ZQCTL0_DIS_AUTO_ZQ_MASK    0x80000000
#define DDRC_ZQCTL0_DIS_AUTO_ZQ_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_DIS_SRX_ZQCL_SHIFT   30
#define DDRC_ZQCTL0_DIS_SRX_ZQCL_WIDTH   1
#define DDRC_ZQCTL0_DIS_SRX_ZQCL_MASK    0x40000000
#define DDRC_ZQCTL0_DIS_SRX_ZQCL_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_ZQ_RESISTOR_SHARED_SHIFT   29
#define DDRC_ZQCTL0_ZQ_RESISTOR_SHARED_WIDTH   1
#define DDRC_ZQCTL0_ZQ_RESISTOR_SHARED_MASK    0x20000000
#define DDRC_ZQCTL0_ZQ_RESISTOR_SHARED_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_DIS_MPSMX_ZQCL_SHIFT   28
#define DDRC_ZQCTL0_DIS_MPSMX_ZQCL_WIDTH   1
#define DDRC_ZQCTL0_DIS_MPSMX_ZQCL_MASK    0x10000000
#define DDRC_ZQCTL0_DIS_MPSMX_ZQCL_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_T_ZQ_LONG_NOP_SHIFT   16
#define DDRC_ZQCTL0_T_ZQ_LONG_NOP_WIDTH   11
#define DDRC_ZQCTL0_T_ZQ_LONG_NOP_MASK    0x07ff0000
#define DDRC_ZQCTL0_T_ZQ_LONG_NOP_DEFVAL  0x200

/* access_type: rw  */
#define DDRC_ZQCTL0_T_ZQ_SHORT_NOP_SHIFT   0
#define DDRC_ZQCTL0_T_ZQ_SHORT_NOP_WIDTH   10
#define DDRC_ZQCTL0_T_ZQ_SHORT_NOP_MASK    0x000003ff
#define DDRC_ZQCTL0_T_ZQ_SHORT_NOP_DEFVAL  0x40

/**
 * Register: DDRC_ZQCTL1
 */
#define DDRC_ZQCTL1    ( ( DDRC_BASEADDR ) + 0x00000184 )
#define DDRC_ZQCTL1_DEFVAL   0x2000100

/* access_type: rw  */
#define DDRC_ZQCTL1_T_ZQ_RESET_NOP_SHIFT   20
#define DDRC_ZQCTL1_T_ZQ_RESET_NOP_WIDTH   10
#define DDRC_ZQCTL1_T_ZQ_RESET_NOP_MASK    0x3ff00000
#define DDRC_ZQCTL1_T_ZQ_RESET_NOP_DEFVAL  0x20

/* access_type: rw  */
#define DDRC_ZQCTL1_T_ZQ_SHORT_INTERVAL_X1024_SHIFT   0
#define DDRC_ZQCTL1_T_ZQ_SHORT_INTERVAL_X1024_WIDTH   20
#define DDRC_ZQCTL1_T_ZQ_SHORT_INTERVAL_X1024_MASK    0x000fffff
#define DDRC_ZQCTL1_T_ZQ_SHORT_INTERVAL_X1024_DEFVAL  0x100

/**
 * Register: DDRC_ZQCTL2
 */
#define DDRC_ZQCTL2    ( ( DDRC_BASEADDR ) + 0x00000188 )
#define DDRC_ZQCTL2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ZQCTL2_ZQ_RESET_SHIFT   0
#define DDRC_ZQCTL2_ZQ_RESET_WIDTH   1
#define DDRC_ZQCTL2_ZQ_RESET_MASK    0x00000001
#define DDRC_ZQCTL2_ZQ_RESET_DEFVAL  0x0

/**
 * Register: DDRC_ZQSTAT
 */
#define DDRC_ZQSTAT    ( ( DDRC_BASEADDR ) + 0x0000018C )
#define DDRC_ZQSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_ZQSTAT_ZQ_RESET_BUSY_SHIFT   0
#define DDRC_ZQSTAT_ZQ_RESET_BUSY_WIDTH   1
#define DDRC_ZQSTAT_ZQ_RESET_BUSY_MASK    0x00000001
#define DDRC_ZQSTAT_ZQ_RESET_BUSY_DEFVAL  0x0

/**
 * Register: DDRC_DFITMG0
 */
#define DDRC_DFITMG0    ( ( DDRC_BASEADDR ) + 0x00000190 )
#define DDRC_DFITMG0_DEFVAL   0x7020002

/* access_type: rw  */
#define DDRC_DFITMG0_DFI_T_CTRL_DELAY_SHIFT   24
#define DDRC_DFITMG0_DFI_T_CTRL_DELAY_WIDTH   5
#define DDRC_DFITMG0_DFI_T_CTRL_DELAY_MASK    0x1f000000
#define DDRC_DFITMG0_DFI_T_CTRL_DELAY_DEFVAL  0x7

/* access_type: rw  */
#define DDRC_DFITMG0_DFI_RDDATA_USE_SDR_SHIFT   23
#define DDRC_DFITMG0_DFI_RDDATA_USE_SDR_WIDTH   1
#define DDRC_DFITMG0_DFI_RDDATA_USE_SDR_MASK    0x00800000
#define DDRC_DFITMG0_DFI_RDDATA_USE_SDR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG0_DFI_T_RDDATA_EN_SHIFT   16
#define DDRC_DFITMG0_DFI_T_RDDATA_EN_WIDTH   6
#define DDRC_DFITMG0_DFI_T_RDDATA_EN_MASK    0x003f0000
#define DDRC_DFITMG0_DFI_T_RDDATA_EN_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DFITMG0_DFI_WRDATA_USE_SDR_SHIFT   15
#define DDRC_DFITMG0_DFI_WRDATA_USE_SDR_WIDTH   1
#define DDRC_DFITMG0_DFI_WRDATA_USE_SDR_MASK    0x00008000
#define DDRC_DFITMG0_DFI_WRDATA_USE_SDR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG0_DFI_TPHY_WRDATA_SHIFT   8
#define DDRC_DFITMG0_DFI_TPHY_WRDATA_WIDTH   6
#define DDRC_DFITMG0_DFI_TPHY_WRDATA_MASK    0x00003f00
#define DDRC_DFITMG0_DFI_TPHY_WRDATA_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG0_DFI_TPHY_WRLAT_SHIFT   0
#define DDRC_DFITMG0_DFI_TPHY_WRLAT_WIDTH   6
#define DDRC_DFITMG0_DFI_TPHY_WRLAT_MASK    0x0000003f
#define DDRC_DFITMG0_DFI_TPHY_WRLAT_DEFVAL  0x2

/**
 * Register: DDRC_DFITMG1
 */
#define DDRC_DFITMG1    ( ( DDRC_BASEADDR ) + 0x00000194 )
#define DDRC_DFITMG1_DEFVAL   0x404

/* access_type: rw  */
#define DDRC_DFITMG1_DFI_T_CMD_LAT_SHIFT   28
#define DDRC_DFITMG1_DFI_T_CMD_LAT_WIDTH   4
#define DDRC_DFITMG1_DFI_T_CMD_LAT_MASK    0xf0000000
#define DDRC_DFITMG1_DFI_T_CMD_LAT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG1_DFI_T_PARIN_LAT_SHIFT   24
#define DDRC_DFITMG1_DFI_T_PARIN_LAT_WIDTH   2
#define DDRC_DFITMG1_DFI_T_PARIN_LAT_MASK    0x03000000
#define DDRC_DFITMG1_DFI_T_PARIN_LAT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG1_DFI_T_WRDATA_DELAY_SHIFT   16
#define DDRC_DFITMG1_DFI_T_WRDATA_DELAY_WIDTH   5
#define DDRC_DFITMG1_DFI_T_WRDATA_DELAY_MASK    0x001f0000
#define DDRC_DFITMG1_DFI_T_WRDATA_DELAY_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_DISABLE_SHIFT   8
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_DISABLE_WIDTH   4
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_DISABLE_MASK    0x00000f00
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_DISABLE_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_ENABLE_SHIFT   0
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_ENABLE_WIDTH   4
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_ENABLE_MASK    0x0000000f
#define DDRC_DFITMG1_DFI_T_DRAM_CLK_ENABLE_DEFVAL  0x4

/**
 * Register: DDRC_DFILPCFG0
 */
#define DDRC_DFILPCFG0    ( ( DDRC_BASEADDR ) + 0x00000198 )
#define DDRC_DFILPCFG0_DEFVAL   0x7000000

/* access_type: rw  */
#define DDRC_DFILPCFG0_DFI_TLP_RESP_SHIFT   24
#define DDRC_DFILPCFG0_DFI_TLP_RESP_WIDTH   4
#define DDRC_DFILPCFG0_DFI_TLP_RESP_MASK    0x0f000000
#define DDRC_DFILPCFG0_DFI_TLP_RESP_DEFVAL  0x7

/* access_type: rw  */
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_DPD_SHIFT   20
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_DPD_WIDTH   4
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_DPD_MASK    0x00f00000
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_DPD_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFILPCFG0_DFI_LP_EN_DPD_SHIFT   16
#define DDRC_DFILPCFG0_DFI_LP_EN_DPD_WIDTH   1
#define DDRC_DFILPCFG0_DFI_LP_EN_DPD_MASK    0x00010000
#define DDRC_DFILPCFG0_DFI_LP_EN_DPD_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_SR_SHIFT   12
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_SR_WIDTH   4
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_SR_MASK    0x0000f000
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_SR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFILPCFG0_DFI_LP_EN_SR_SHIFT   8
#define DDRC_DFILPCFG0_DFI_LP_EN_SR_WIDTH   1
#define DDRC_DFILPCFG0_DFI_LP_EN_SR_MASK    0x00000100
#define DDRC_DFILPCFG0_DFI_LP_EN_SR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_PD_SHIFT   4
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_PD_WIDTH   4
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_PD_MASK    0x000000f0
#define DDRC_DFILPCFG0_DFI_LP_WAKEUP_PD_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFILPCFG0_DFI_LP_EN_PD_SHIFT   0
#define DDRC_DFILPCFG0_DFI_LP_EN_PD_WIDTH   1
#define DDRC_DFILPCFG0_DFI_LP_EN_PD_MASK    0x00000001
#define DDRC_DFILPCFG0_DFI_LP_EN_PD_DEFVAL  0x0

/**
 * Register: DDRC_DFILPCFG1
 */
#define DDRC_DFILPCFG1    ( ( DDRC_BASEADDR ) + 0x0000019C )
#define DDRC_DFILPCFG1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DFILPCFG1_DFI_LP_WAKEUP_MPSM_SHIFT   4
#define DDRC_DFILPCFG1_DFI_LP_WAKEUP_MPSM_WIDTH   4
#define DDRC_DFILPCFG1_DFI_LP_WAKEUP_MPSM_MASK    0x000000f0
#define DDRC_DFILPCFG1_DFI_LP_WAKEUP_MPSM_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFILPCFG1_DFI_LP_EN_MPSM_SHIFT   0
#define DDRC_DFILPCFG1_DFI_LP_EN_MPSM_WIDTH   1
#define DDRC_DFILPCFG1_DFI_LP_EN_MPSM_MASK    0x00000001
#define DDRC_DFILPCFG1_DFI_LP_EN_MPSM_DEFVAL  0x0

/**
 * Register: DDRC_DFIUPD0
 */
#define DDRC_DFIUPD0    ( ( DDRC_BASEADDR ) + 0x000001A0 )
#define DDRC_DFIUPD0_DEFVAL   0x400003

/* access_type: rw  */
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_SHIFT   31
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_WIDTH   1
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_MASK    0x80000000
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_SRX_SHIFT   30
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_SRX_WIDTH   1
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_SRX_MASK    0x40000000
#define DDRC_DFIUPD0_DIS_AUTO_CTRLUPD_SRX_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MAX_SHIFT   16
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MAX_WIDTH   10
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MAX_MASK    0x03ff0000
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MAX_DEFVAL  0x40

/* access_type: rw  */
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MIN_SHIFT   0
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MIN_WIDTH   10
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MIN_MASK    0x000003ff
#define DDRC_DFIUPD0_DFI_T_CTRLUP_MIN_DEFVAL  0x3

/**
 * Register: DDRC_DFIUPD1
 */
#define DDRC_DFIUPD1    ( ( DDRC_BASEADDR ) + 0x000001A4 )
#define DDRC_DFIUPD1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MIN_X1024_SHIFT   16
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MIN_X1024_WIDTH   8
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MIN_X1024_MASK    0x00ff0000
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MIN_X1024_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MAX_X1024_SHIFT   0
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MAX_X1024_WIDTH   8
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MAX_X1024_MASK    0x000000ff
#define DDRC_DFIUPD1_DFI_T_CTRLUPD_INTERVAL_MAX_X1024_DEFVAL  0x0

/**
 * Register: DDRC_DFIUPD2
 */
#define DDRC_DFIUPD2    ( ( DDRC_BASEADDR ) + 0x000001A8 )
#define DDRC_DFIUPD2_DEFVAL   0x80000000

/* access_type: rw  */
#define DDRC_DFIUPD2_DFI_PHYUPD_EN_SHIFT   31
#define DDRC_DFIUPD2_DFI_PHYUPD_EN_WIDTH   1
#define DDRC_DFIUPD2_DFI_PHYUPD_EN_MASK    0x80000000
#define DDRC_DFIUPD2_DFI_PHYUPD_EN_DEFVAL  0x1

/**
 * Register: DDRC_DFIMISC
 */
#define DDRC_DFIMISC    ( ( DDRC_BASEADDR ) + 0x000001B0 )
#define DDRC_DFIMISC_DEFVAL   0x1

/* access_type: rw  */
#define DDRC_DFIMISC_DFI_DATA_CS_POLARITY_SHIFT   2
#define DDRC_DFIMISC_DFI_DATA_CS_POLARITY_WIDTH   1
#define DDRC_DFIMISC_DFI_DATA_CS_POLARITY_MASK    0x00000004
#define DDRC_DFIMISC_DFI_DATA_CS_POLARITY_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFIMISC_PHY_DBI_MODE_SHIFT   1
#define DDRC_DFIMISC_PHY_DBI_MODE_WIDTH   1
#define DDRC_DFIMISC_PHY_DBI_MODE_MASK    0x00000002
#define DDRC_DFIMISC_PHY_DBI_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFIMISC_DFI_INIT_COMPLETE_EN_SHIFT   0
#define DDRC_DFIMISC_DFI_INIT_COMPLETE_EN_WIDTH   1
#define DDRC_DFIMISC_DFI_INIT_COMPLETE_EN_MASK    0x00000001
#define DDRC_DFIMISC_DFI_INIT_COMPLETE_EN_DEFVAL  0x1

/**
 * Register: DDRC_DFITMG2
 */
#define DDRC_DFITMG2    ( ( DDRC_BASEADDR ) + 0x000001B4 )
#define DDRC_DFITMG2_DEFVAL   0x202

/* access_type: rw  */
#define DDRC_DFITMG2_DFI_TPHY_RDCSLAT_SHIFT   8
#define DDRC_DFITMG2_DFI_TPHY_RDCSLAT_WIDTH   6
#define DDRC_DFITMG2_DFI_TPHY_RDCSLAT_MASK    0x00003f00
#define DDRC_DFITMG2_DFI_TPHY_RDCSLAT_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DFITMG2_DFI_TPHY_WRCSLAT_SHIFT   0
#define DDRC_DFITMG2_DFI_TPHY_WRCSLAT_WIDTH   6
#define DDRC_DFITMG2_DFI_TPHY_WRCSLAT_MASK    0x0000003f
#define DDRC_DFITMG2_DFI_TPHY_WRCSLAT_DEFVAL  0x2

/**
 * Register: DDRC_DBICTL
 */
#define DDRC_DBICTL    ( ( DDRC_BASEADDR ) + 0x000001C0 )
#define DDRC_DBICTL_DEFVAL   0x1

/* access_type: rw  */
#define DDRC_DBICTL_RD_DBI_EN_SHIFT   2
#define DDRC_DBICTL_RD_DBI_EN_WIDTH   1
#define DDRC_DBICTL_RD_DBI_EN_MASK    0x00000004
#define DDRC_DBICTL_RD_DBI_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBICTL_WR_DBI_EN_SHIFT   1
#define DDRC_DBICTL_WR_DBI_EN_WIDTH   1
#define DDRC_DBICTL_WR_DBI_EN_MASK    0x00000002
#define DDRC_DBICTL_WR_DBI_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBICTL_DM_EN_SHIFT   0
#define DDRC_DBICTL_DM_EN_WIDTH   1
#define DDRC_DBICTL_DM_EN_MASK    0x00000001
#define DDRC_DBICTL_DM_EN_DEFVAL  0x1

/**
 * Register: DDRC_ADDRMAP0
 */
#define DDRC_ADDRMAP0    ( ( DDRC_BASEADDR ) + 0x00000200 )
#define DDRC_ADDRMAP0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP0_ADDRMAP_CS_BIT0_SHIFT   0
#define DDRC_ADDRMAP0_ADDRMAP_CS_BIT0_WIDTH   5
#define DDRC_ADDRMAP0_ADDRMAP_CS_BIT0_MASK    0x0000001f
#define DDRC_ADDRMAP0_ADDRMAP_CS_BIT0_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP1
 */
#define DDRC_ADDRMAP1    ( ( DDRC_BASEADDR ) + 0x00000204 )
#define DDRC_ADDRMAP1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B2_SHIFT   16
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B2_WIDTH   5
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B2_MASK    0x001f0000
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B2_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B1_SHIFT   8
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B1_WIDTH   5
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B1_MASK    0x00001f00
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B0_SHIFT   0
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B0_WIDTH   5
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B0_MASK    0x0000001f
#define DDRC_ADDRMAP1_ADDRMAP_BANK_B0_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP2
 */
#define DDRC_ADDRMAP2    ( ( DDRC_BASEADDR ) + 0x00000208 )
#define DDRC_ADDRMAP2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP2_ADDRMAP_COL_B5_SHIFT   24
#define DDRC_ADDRMAP2_ADDRMAP_COL_B5_WIDTH   4
#define DDRC_ADDRMAP2_ADDRMAP_COL_B5_MASK    0x0f000000
#define DDRC_ADDRMAP2_ADDRMAP_COL_B5_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP2_ADDRMAP_COL_B4_SHIFT   16
#define DDRC_ADDRMAP2_ADDRMAP_COL_B4_WIDTH   4
#define DDRC_ADDRMAP2_ADDRMAP_COL_B4_MASK    0x000f0000
#define DDRC_ADDRMAP2_ADDRMAP_COL_B4_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP2_ADDRMAP_COL_B3_SHIFT   8
#define DDRC_ADDRMAP2_ADDRMAP_COL_B3_WIDTH   4
#define DDRC_ADDRMAP2_ADDRMAP_COL_B3_MASK    0x00000f00
#define DDRC_ADDRMAP2_ADDRMAP_COL_B3_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP2_ADDRMAP_COL_B2_SHIFT   0
#define DDRC_ADDRMAP2_ADDRMAP_COL_B2_WIDTH   4
#define DDRC_ADDRMAP2_ADDRMAP_COL_B2_MASK    0x0000000f
#define DDRC_ADDRMAP2_ADDRMAP_COL_B2_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP3
 */
#define DDRC_ADDRMAP3    ( ( DDRC_BASEADDR ) + 0x0000020C )
#define DDRC_ADDRMAP3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP3_ADDRMAP_COL_B9_SHIFT   24
#define DDRC_ADDRMAP3_ADDRMAP_COL_B9_WIDTH   4
#define DDRC_ADDRMAP3_ADDRMAP_COL_B9_MASK    0x0f000000
#define DDRC_ADDRMAP3_ADDRMAP_COL_B9_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP3_ADDRMAP_COL_B8_SHIFT   16
#define DDRC_ADDRMAP3_ADDRMAP_COL_B8_WIDTH   4
#define DDRC_ADDRMAP3_ADDRMAP_COL_B8_MASK    0x000f0000
#define DDRC_ADDRMAP3_ADDRMAP_COL_B8_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP3_ADDRMAP_COL_B7_SHIFT   8
#define DDRC_ADDRMAP3_ADDRMAP_COL_B7_WIDTH   4
#define DDRC_ADDRMAP3_ADDRMAP_COL_B7_MASK    0x00000f00
#define DDRC_ADDRMAP3_ADDRMAP_COL_B7_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP3_ADDRMAP_COL_B6_SHIFT   0
#define DDRC_ADDRMAP3_ADDRMAP_COL_B6_WIDTH   4
#define DDRC_ADDRMAP3_ADDRMAP_COL_B6_MASK    0x0000000f
#define DDRC_ADDRMAP3_ADDRMAP_COL_B6_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP4
 */
#define DDRC_ADDRMAP4    ( ( DDRC_BASEADDR ) + 0x00000210 )
#define DDRC_ADDRMAP4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP4_ADDRMAP_COL_B11_SHIFT   8
#define DDRC_ADDRMAP4_ADDRMAP_COL_B11_WIDTH   4
#define DDRC_ADDRMAP4_ADDRMAP_COL_B11_MASK    0x00000f00
#define DDRC_ADDRMAP4_ADDRMAP_COL_B11_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP4_ADDRMAP_COL_B10_SHIFT   0
#define DDRC_ADDRMAP4_ADDRMAP_COL_B10_WIDTH   4
#define DDRC_ADDRMAP4_ADDRMAP_COL_B10_MASK    0x0000000f
#define DDRC_ADDRMAP4_ADDRMAP_COL_B10_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP5
 */
#define DDRC_ADDRMAP5    ( ( DDRC_BASEADDR ) + 0x00000214 )
#define DDRC_ADDRMAP5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B11_SHIFT   24
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B11_WIDTH   4
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B11_MASK    0x0f000000
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B11_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B2_10_SHIFT   16
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B2_10_WIDTH   4
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B2_10_MASK    0x000f0000
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B2_10_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B1_SHIFT   8
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B1_WIDTH   4
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B1_MASK    0x00000f00
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B0_SHIFT   0
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B0_WIDTH   4
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B0_MASK    0x0000000f
#define DDRC_ADDRMAP5_ADDRMAP_ROW_B0_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP6
 */
#define DDRC_ADDRMAP6    ( ( DDRC_BASEADDR ) + 0x00000218 )
#define DDRC_ADDRMAP6_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP6_LPDDR3_6GB_12GB_SHIFT   31
#define DDRC_ADDRMAP6_LPDDR3_6GB_12GB_WIDTH   1
#define DDRC_ADDRMAP6_LPDDR3_6GB_12GB_MASK    0x80000000
#define DDRC_ADDRMAP6_LPDDR3_6GB_12GB_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B15_SHIFT   24
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B15_WIDTH   4
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B15_MASK    0x0f000000
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B15_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B14_SHIFT   16
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B14_WIDTH   4
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B14_MASK    0x000f0000
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B14_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B13_SHIFT   8
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B13_WIDTH   4
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B13_MASK    0x00000f00
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B13_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B12_SHIFT   0
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B12_WIDTH   4
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B12_MASK    0x0000000f
#define DDRC_ADDRMAP6_ADDRMAP_ROW_B12_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP7
 */
#define DDRC_ADDRMAP7    ( ( DDRC_BASEADDR ) + 0x0000021C )
#define DDRC_ADDRMAP7_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B17_SHIFT   8
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B17_WIDTH   4
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B17_MASK    0x00000f00
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B17_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B16_SHIFT   0
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B16_WIDTH   4
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B16_MASK    0x0000000f
#define DDRC_ADDRMAP7_ADDRMAP_ROW_B16_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP8
 */
#define DDRC_ADDRMAP8    ( ( DDRC_BASEADDR ) + 0x00000220 )
#define DDRC_ADDRMAP8_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP8_ADDRMAP_BG_B1_SHIFT   8
#define DDRC_ADDRMAP8_ADDRMAP_BG_B1_WIDTH   5
#define DDRC_ADDRMAP8_ADDRMAP_BG_B1_MASK    0x00001f00
#define DDRC_ADDRMAP8_ADDRMAP_BG_B1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP8_ADDRMAP_BG_B0_SHIFT   0
#define DDRC_ADDRMAP8_ADDRMAP_BG_B0_WIDTH   5
#define DDRC_ADDRMAP8_ADDRMAP_BG_B0_MASK    0x0000001f
#define DDRC_ADDRMAP8_ADDRMAP_BG_B0_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP9
 */
#define DDRC_ADDRMAP9    ( ( DDRC_BASEADDR ) + 0x00000224 )
#define DDRC_ADDRMAP9_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B5_SHIFT   24
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B5_WIDTH   4
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B5_MASK    0x0f000000
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B5_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B4_SHIFT   16
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B4_WIDTH   4
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B4_MASK    0x000f0000
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B4_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B3_SHIFT   8
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B3_WIDTH   4
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B3_MASK    0x00000f00
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B3_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B2_SHIFT   0
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B2_WIDTH   4
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B2_MASK    0x0000000f
#define DDRC_ADDRMAP9_ADDRMAP_ROW_B2_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP10
 */
#define DDRC_ADDRMAP10    ( ( DDRC_BASEADDR ) + 0x00000228 )
#define DDRC_ADDRMAP10_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B9_SHIFT   24
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B9_WIDTH   4
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B9_MASK    0x0f000000
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B9_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B8_SHIFT   16
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B8_WIDTH   4
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B8_MASK    0x000f0000
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B8_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B7_SHIFT   8
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B7_WIDTH   4
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B7_MASK    0x00000f00
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B7_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B6_SHIFT   0
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B6_WIDTH   4
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B6_MASK    0x0000000f
#define DDRC_ADDRMAP10_ADDRMAP_ROW_B6_DEFVAL  0x0

/**
 * Register: DDRC_ADDRMAP11
 */
#define DDRC_ADDRMAP11    ( ( DDRC_BASEADDR ) + 0x0000022C )
#define DDRC_ADDRMAP11_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_ADDRMAP11_ADDRMAP_ROW_B10_SHIFT   0
#define DDRC_ADDRMAP11_ADDRMAP_ROW_B10_WIDTH   4
#define DDRC_ADDRMAP11_ADDRMAP_ROW_B10_MASK    0x0000000f
#define DDRC_ADDRMAP11_ADDRMAP_ROW_B10_DEFVAL  0x0

/**
 * Register: DDRC_ODTCFG
 */
#define DDRC_ODTCFG    ( ( DDRC_BASEADDR ) + 0x00000240 )
#define DDRC_ODTCFG_DEFVAL   0x4000400

/* access_type: rw  */
#define DDRC_ODTCFG_WR_ODT_HOLD_SHIFT   24
#define DDRC_ODTCFG_WR_ODT_HOLD_WIDTH   4
#define DDRC_ODTCFG_WR_ODT_HOLD_MASK    0x0f000000
#define DDRC_ODTCFG_WR_ODT_HOLD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_ODTCFG_WR_ODT_DELAY_SHIFT   16
#define DDRC_ODTCFG_WR_ODT_DELAY_WIDTH   5
#define DDRC_ODTCFG_WR_ODT_DELAY_MASK    0x001f0000
#define DDRC_ODTCFG_WR_ODT_DELAY_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ODTCFG_RD_ODT_HOLD_SHIFT   8
#define DDRC_ODTCFG_RD_ODT_HOLD_WIDTH   4
#define DDRC_ODTCFG_RD_ODT_HOLD_MASK    0x00000f00
#define DDRC_ODTCFG_RD_ODT_HOLD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_ODTCFG_RD_ODT_DELAY_SHIFT   2
#define DDRC_ODTCFG_RD_ODT_DELAY_WIDTH   5
#define DDRC_ODTCFG_RD_ODT_DELAY_MASK    0x0000007c
#define DDRC_ODTCFG_RD_ODT_DELAY_DEFVAL  0x0

/**
 * Register: DDRC_ODTMAP
 */
#define DDRC_ODTMAP    ( ( DDRC_BASEADDR ) + 0x00000244 )
#define DDRC_ODTMAP_DEFVAL   0x2211

/* access_type: rw  */
#define DDRC_ODTMAP_RANK1_RD_ODT_SHIFT   12
#define DDRC_ODTMAP_RANK1_RD_ODT_WIDTH   2
#define DDRC_ODTMAP_RANK1_RD_ODT_MASK    0x00003000
#define DDRC_ODTMAP_RANK1_RD_ODT_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_ODTMAP_RANK1_WR_ODT_SHIFT   8
#define DDRC_ODTMAP_RANK1_WR_ODT_WIDTH   2
#define DDRC_ODTMAP_RANK1_WR_ODT_MASK    0x00000300
#define DDRC_ODTMAP_RANK1_WR_ODT_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_ODTMAP_RANK0_RD_ODT_SHIFT   4
#define DDRC_ODTMAP_RANK0_RD_ODT_WIDTH   2
#define DDRC_ODTMAP_RANK0_RD_ODT_MASK    0x00000030
#define DDRC_ODTMAP_RANK0_RD_ODT_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_ODTMAP_RANK0_WR_ODT_SHIFT   0
#define DDRC_ODTMAP_RANK0_WR_ODT_WIDTH   2
#define DDRC_ODTMAP_RANK0_WR_ODT_MASK    0x00000003
#define DDRC_ODTMAP_RANK0_WR_ODT_DEFVAL  0x1

/**
 * Register: DDRC_SCHED
 */
#define DDRC_SCHED    ( ( DDRC_BASEADDR ) + 0x00000250 )
#define DDRC_SCHED_DEFVAL   0x2005

/* access_type: rw  */
#define DDRC_SCHED_RDWR_IDLE_GAP_SHIFT   24
#define DDRC_SCHED_RDWR_IDLE_GAP_WIDTH   7
#define DDRC_SCHED_RDWR_IDLE_GAP_MASK    0x7f000000
#define DDRC_SCHED_RDWR_IDLE_GAP_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_SCHED_GO2CRITICAL_HYSTERESIS_SHIFT   16
#define DDRC_SCHED_GO2CRITICAL_HYSTERESIS_WIDTH   8
#define DDRC_SCHED_GO2CRITICAL_HYSTERESIS_MASK    0x00ff0000
#define DDRC_SCHED_GO2CRITICAL_HYSTERESIS_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_SCHED_LPR_NUM_ENTRIES_SHIFT   8
#define DDRC_SCHED_LPR_NUM_ENTRIES_WIDTH   6
#define DDRC_SCHED_LPR_NUM_ENTRIES_MASK    0x00003f00
#define DDRC_SCHED_LPR_NUM_ENTRIES_DEFVAL  0x20

/* access_type: rw  */
#define DDRC_SCHED_PAGECLOSE_SHIFT   2
#define DDRC_SCHED_PAGECLOSE_WIDTH   1
#define DDRC_SCHED_PAGECLOSE_MASK    0x00000004
#define DDRC_SCHED_PAGECLOSE_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_SCHED_PREFER_WRITE_SHIFT   1
#define DDRC_SCHED_PREFER_WRITE_WIDTH   1
#define DDRC_SCHED_PREFER_WRITE_MASK    0x00000002
#define DDRC_SCHED_PREFER_WRITE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_SCHED_FORCE_LOW_PRI_N_SHIFT   0
#define DDRC_SCHED_FORCE_LOW_PRI_N_WIDTH   1
#define DDRC_SCHED_FORCE_LOW_PRI_N_MASK    0x00000001
#define DDRC_SCHED_FORCE_LOW_PRI_N_DEFVAL  0x1

/**
 * Register: DDRC_SCHED1
 */
#define DDRC_SCHED1    ( ( DDRC_BASEADDR ) + 0x00000254 )
#define DDRC_SCHED1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_SCHED1_PAGECLOSE_TIMER_SHIFT   0
#define DDRC_SCHED1_PAGECLOSE_TIMER_WIDTH   8
#define DDRC_SCHED1_PAGECLOSE_TIMER_MASK    0x000000ff
#define DDRC_SCHED1_PAGECLOSE_TIMER_DEFVAL  0x0

/**
 * Register: DDRC_PERFHPR1
 */
#define DDRC_PERFHPR1    ( ( DDRC_BASEADDR ) + 0x0000025C )
#define DDRC_PERFHPR1_DEFVAL   0xf000001

/* access_type: rw  */
#define DDRC_PERFHPR1_HPR_XACT_RUN_LENGTH_SHIFT   24
#define DDRC_PERFHPR1_HPR_XACT_RUN_LENGTH_WIDTH   8
#define DDRC_PERFHPR1_HPR_XACT_RUN_LENGTH_MASK    0xff000000
#define DDRC_PERFHPR1_HPR_XACT_RUN_LENGTH_DEFVAL  0xf

/* access_type: rw  */
#define DDRC_PERFHPR1_HPR_MAX_STARVE_SHIFT   0
#define DDRC_PERFHPR1_HPR_MAX_STARVE_WIDTH   16
#define DDRC_PERFHPR1_HPR_MAX_STARVE_MASK    0x0000ffff
#define DDRC_PERFHPR1_HPR_MAX_STARVE_DEFVAL  0x1

/**
 * Register: DDRC_PERFLPR1
 */
#define DDRC_PERFLPR1    ( ( DDRC_BASEADDR ) + 0x00000264 )
#define DDRC_PERFLPR1_DEFVAL   0xf00007f

/* access_type: rw  */
#define DDRC_PERFLPR1_LPR_XACT_RUN_LENGTH_SHIFT   24
#define DDRC_PERFLPR1_LPR_XACT_RUN_LENGTH_WIDTH   8
#define DDRC_PERFLPR1_LPR_XACT_RUN_LENGTH_MASK    0xff000000
#define DDRC_PERFLPR1_LPR_XACT_RUN_LENGTH_DEFVAL  0xf

/* access_type: rw  */
#define DDRC_PERFLPR1_LPR_MAX_STARVE_SHIFT   0
#define DDRC_PERFLPR1_LPR_MAX_STARVE_WIDTH   16
#define DDRC_PERFLPR1_LPR_MAX_STARVE_MASK    0x0000ffff
#define DDRC_PERFLPR1_LPR_MAX_STARVE_DEFVAL  0x7f

/**
 * Register: DDRC_PERFWR1
 */
#define DDRC_PERFWR1    ( ( DDRC_BASEADDR ) + 0x0000026C )
#define DDRC_PERFWR1_DEFVAL   0xf00007f

/* access_type: rw  */
#define DDRC_PERFWR1_W_XACT_RUN_LENGTH_SHIFT   24
#define DDRC_PERFWR1_W_XACT_RUN_LENGTH_WIDTH   8
#define DDRC_PERFWR1_W_XACT_RUN_LENGTH_MASK    0xff000000
#define DDRC_PERFWR1_W_XACT_RUN_LENGTH_DEFVAL  0xf

/* access_type: rw  */
#define DDRC_PERFWR1_W_MAX_STARVE_SHIFT   0
#define DDRC_PERFWR1_W_MAX_STARVE_WIDTH   16
#define DDRC_PERFWR1_W_MAX_STARVE_MASK    0x0000ffff
#define DDRC_PERFWR1_W_MAX_STARVE_DEFVAL  0x7f

/**
 * Register: DDRC_PERFVPR1
 */
#define DDRC_PERFVPR1    ( ( DDRC_BASEADDR ) + 0x00000274 )
#define DDRC_PERFVPR1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PERFVPR1_VPR_TIMEOUT_RANGE_SHIFT   0
#define DDRC_PERFVPR1_VPR_TIMEOUT_RANGE_WIDTH   11
#define DDRC_PERFVPR1_VPR_TIMEOUT_RANGE_MASK    0x000007ff
#define DDRC_PERFVPR1_VPR_TIMEOUT_RANGE_DEFVAL  0x0

/**
 * Register: DDRC_PERFVPW1
 */
#define DDRC_PERFVPW1    ( ( DDRC_BASEADDR ) + 0x00000278 )
#define DDRC_PERFVPW1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PERFVPW1_VPW_TIMEOUT_RANGE_SHIFT   0
#define DDRC_PERFVPW1_VPW_TIMEOUT_RANGE_WIDTH   11
#define DDRC_PERFVPW1_VPW_TIMEOUT_RANGE_MASK    0x000007ff
#define DDRC_PERFVPW1_VPW_TIMEOUT_RANGE_DEFVAL  0x0

/**
 * Register: DDRC_DQMAP0
 */
#define DDRC_DQMAP0    ( ( DDRC_BASEADDR ) + 0x00000280 )
#define DDRC_DQMAP0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_12_15_SHIFT   24
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_12_15_WIDTH   8
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_12_15_MASK    0xff000000
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_12_15_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_8_11_SHIFT   16
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_8_11_WIDTH   8
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_8_11_MASK    0x00ff0000
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_8_11_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_4_7_SHIFT   8
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_4_7_WIDTH   8
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_4_7_MASK    0x0000ff00
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_4_7_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_0_3_SHIFT   0
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_0_3_WIDTH   8
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_0_3_MASK    0x000000ff
#define DDRC_DQMAP0_DQ_NIBBLE_MAP_0_3_DEFVAL  0x0

/**
 * Register: DDRC_DQMAP1
 */
#define DDRC_DQMAP1    ( ( DDRC_BASEADDR ) + 0x00000284 )
#define DDRC_DQMAP1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_28_31_SHIFT   24
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_28_31_WIDTH   8
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_28_31_MASK    0xff000000
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_28_31_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_24_27_SHIFT   16
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_24_27_WIDTH   8
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_24_27_MASK    0x00ff0000
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_24_27_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_20_23_SHIFT   8
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_20_23_WIDTH   8
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_20_23_MASK    0x0000ff00
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_20_23_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_16_19_SHIFT   0
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_16_19_WIDTH   8
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_16_19_MASK    0x000000ff
#define DDRC_DQMAP1_DQ_NIBBLE_MAP_16_19_DEFVAL  0x0

/**
 * Register: DDRC_DQMAP2
 */
#define DDRC_DQMAP2    ( ( DDRC_BASEADDR ) + 0x00000288 )
#define DDRC_DQMAP2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_44_47_SHIFT   24
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_44_47_WIDTH   8
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_44_47_MASK    0xff000000
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_44_47_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_40_43_SHIFT   16
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_40_43_WIDTH   8
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_40_43_MASK    0x00ff0000
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_40_43_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_36_39_SHIFT   8
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_36_39_WIDTH   8
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_36_39_MASK    0x0000ff00
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_36_39_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_32_35_SHIFT   0
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_32_35_WIDTH   8
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_32_35_MASK    0x000000ff
#define DDRC_DQMAP2_DQ_NIBBLE_MAP_32_35_DEFVAL  0x0

/**
 * Register: DDRC_DQMAP3
 */
#define DDRC_DQMAP3    ( ( DDRC_BASEADDR ) + 0x0000028C )
#define DDRC_DQMAP3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_60_63_SHIFT   24
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_60_63_WIDTH   8
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_60_63_MASK    0xff000000
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_60_63_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_56_59_SHIFT   16
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_56_59_WIDTH   8
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_56_59_MASK    0x00ff0000
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_56_59_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_52_55_SHIFT   8
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_52_55_WIDTH   8
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_52_55_MASK    0x0000ff00
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_52_55_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_48_51_SHIFT   0
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_48_51_WIDTH   8
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_48_51_MASK    0x000000ff
#define DDRC_DQMAP3_DQ_NIBBLE_MAP_48_51_DEFVAL  0x0

/**
 * Register: DDRC_DQMAP4
 */
#define DDRC_DQMAP4    ( ( DDRC_BASEADDR ) + 0x00000290 )
#define DDRC_DQMAP4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_4_7_SHIFT   8
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_4_7_WIDTH   8
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_4_7_MASK    0x0000ff00
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_4_7_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_0_3_SHIFT   0
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_0_3_WIDTH   8
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_0_3_MASK    0x000000ff
#define DDRC_DQMAP4_DQ_NIBBLE_MAP_CB_0_3_DEFVAL  0x0

/**
 * Register: DDRC_DQMAP5
 */
#define DDRC_DQMAP5    ( ( DDRC_BASEADDR ) + 0x00000294 )
#define DDRC_DQMAP5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DQMAP5_DIS_DQ_RANK_SWAP_SHIFT   0
#define DDRC_DQMAP5_DIS_DQ_RANK_SWAP_WIDTH   1
#define DDRC_DQMAP5_DIS_DQ_RANK_SWAP_MASK    0x00000001
#define DDRC_DQMAP5_DIS_DQ_RANK_SWAP_DEFVAL  0x0

/**
 * Register: DDRC_DBG0
 */
#define DDRC_DBG0    ( ( DDRC_BASEADDR ) + 0x00000300 )
#define DDRC_DBG0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DBG0_DIS_COLLISION_PAGE_OPT_SHIFT   4
#define DDRC_DBG0_DIS_COLLISION_PAGE_OPT_WIDTH   1
#define DDRC_DBG0_DIS_COLLISION_PAGE_OPT_MASK    0x00000010
#define DDRC_DBG0_DIS_COLLISION_PAGE_OPT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBG0_DIS_WC_SHIFT   0
#define DDRC_DBG0_DIS_WC_WIDTH   1
#define DDRC_DBG0_DIS_WC_MASK    0x00000001
#define DDRC_DBG0_DIS_WC_DEFVAL  0x0

/**
 * Register: DDRC_DBG1
 */
#define DDRC_DBG1    ( ( DDRC_BASEADDR ) + 0x00000304 )
#define DDRC_DBG1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DBG1_DIS_HIF_SHIFT   1
#define DDRC_DBG1_DIS_HIF_WIDTH   1
#define DDRC_DBG1_DIS_HIF_MASK    0x00000002
#define DDRC_DBG1_DIS_HIF_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBG1_DIS_DQ_SHIFT   0
#define DDRC_DBG1_DIS_DQ_WIDTH   1
#define DDRC_DBG1_DIS_DQ_MASK    0x00000001
#define DDRC_DBG1_DIS_DQ_DEFVAL  0x0

/**
 * Register: DDRC_DBGCAM
 */
#define DDRC_DBGCAM    ( ( DDRC_BASEADDR ) + 0x00000308 )
#define DDRC_DBGCAM_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_STALL_RD_SHIFT   31
#define DDRC_DBGCAM_DBG_STALL_RD_WIDTH   1
#define DDRC_DBGCAM_DBG_STALL_RD_MASK    0x80000000
#define DDRC_DBGCAM_DBG_STALL_RD_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_STALL_WR_SHIFT   30
#define DDRC_DBGCAM_DBG_STALL_WR_WIDTH   1
#define DDRC_DBGCAM_DBG_STALL_WR_MASK    0x40000000
#define DDRC_DBGCAM_DBG_STALL_WR_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_WR_DATA_PIPELINE_EMPTY_SHIFT   29
#define DDRC_DBGCAM_WR_DATA_PIPELINE_EMPTY_WIDTH   1
#define DDRC_DBGCAM_WR_DATA_PIPELINE_EMPTY_MASK    0x20000000
#define DDRC_DBGCAM_WR_DATA_PIPELINE_EMPTY_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_RD_DATA_PIPELINE_EMPTY_SHIFT   28
#define DDRC_DBGCAM_RD_DATA_PIPELINE_EMPTY_WIDTH   1
#define DDRC_DBGCAM_RD_DATA_PIPELINE_EMPTY_MASK    0x10000000
#define DDRC_DBGCAM_RD_DATA_PIPELINE_EMPTY_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_WR_Q_EMPTY_SHIFT   26
#define DDRC_DBGCAM_DBG_WR_Q_EMPTY_WIDTH   1
#define DDRC_DBGCAM_DBG_WR_Q_EMPTY_MASK    0x04000000
#define DDRC_DBGCAM_DBG_WR_Q_EMPTY_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_RD_Q_EMPTY_SHIFT   25
#define DDRC_DBGCAM_DBG_RD_Q_EMPTY_WIDTH   1
#define DDRC_DBGCAM_DBG_RD_Q_EMPTY_MASK    0x02000000
#define DDRC_DBGCAM_DBG_RD_Q_EMPTY_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_STALL_SHIFT   24
#define DDRC_DBGCAM_DBG_STALL_WIDTH   1
#define DDRC_DBGCAM_DBG_STALL_MASK    0x01000000
#define DDRC_DBGCAM_DBG_STALL_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_W_Q_DEPTH_SHIFT   16
#define DDRC_DBGCAM_DBG_W_Q_DEPTH_WIDTH   7
#define DDRC_DBGCAM_DBG_W_Q_DEPTH_MASK    0x007f0000
#define DDRC_DBGCAM_DBG_W_Q_DEPTH_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_LPR_Q_DEPTH_SHIFT   8
#define DDRC_DBGCAM_DBG_LPR_Q_DEPTH_WIDTH   7
#define DDRC_DBGCAM_DBG_LPR_Q_DEPTH_MASK    0x00007f00
#define DDRC_DBGCAM_DBG_LPR_Q_DEPTH_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGCAM_DBG_HPR_Q_DEPTH_SHIFT   0
#define DDRC_DBGCAM_DBG_HPR_Q_DEPTH_WIDTH   7
#define DDRC_DBGCAM_DBG_HPR_Q_DEPTH_MASK    0x0000007f
#define DDRC_DBGCAM_DBG_HPR_Q_DEPTH_DEFVAL  0x0

/**
 * Register: DDRC_DBGCMD
 */
#define DDRC_DBGCMD    ( ( DDRC_BASEADDR ) + 0x0000030C )
#define DDRC_DBGCMD_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_DBGCMD_HW_REF_ZQ_EN_SHIFT   31
#define DDRC_DBGCMD_HW_REF_ZQ_EN_WIDTH   1
#define DDRC_DBGCMD_HW_REF_ZQ_EN_MASK    0x80000000
#define DDRC_DBGCMD_HW_REF_ZQ_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBGCMD_CTRLUPD_SHIFT   5
#define DDRC_DBGCMD_CTRLUPD_WIDTH   1
#define DDRC_DBGCMD_CTRLUPD_MASK    0x00000020
#define DDRC_DBGCMD_CTRLUPD_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBGCMD_ZQ_CALIB_SHORT_SHIFT   4
#define DDRC_DBGCMD_ZQ_CALIB_SHORT_WIDTH   1
#define DDRC_DBGCMD_ZQ_CALIB_SHORT_MASK    0x00000010
#define DDRC_DBGCMD_ZQ_CALIB_SHORT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBGCMD_RANK1_REFRESH_SHIFT   1
#define DDRC_DBGCMD_RANK1_REFRESH_WIDTH   1
#define DDRC_DBGCMD_RANK1_REFRESH_MASK    0x00000002
#define DDRC_DBGCMD_RANK1_REFRESH_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DBGCMD_RANK0_REFRESH_SHIFT   0
#define DDRC_DBGCMD_RANK0_REFRESH_WIDTH   1
#define DDRC_DBGCMD_RANK0_REFRESH_MASK    0x00000001
#define DDRC_DBGCMD_RANK0_REFRESH_DEFVAL  0x0

/**
 * Register: DDRC_DBGSTAT
 */
#define DDRC_DBGSTAT    ( ( DDRC_BASEADDR ) + 0x00000310 )
#define DDRC_DBGSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_DBGSTAT_CTRLUPD_BUSY_SHIFT   5
#define DDRC_DBGSTAT_CTRLUPD_BUSY_WIDTH   1
#define DDRC_DBGSTAT_CTRLUPD_BUSY_MASK    0x00000020
#define DDRC_DBGSTAT_CTRLUPD_BUSY_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGSTAT_ZQ_CALIB_SHORT_BUSY_SHIFT   4
#define DDRC_DBGSTAT_ZQ_CALIB_SHORT_BUSY_WIDTH   1
#define DDRC_DBGSTAT_ZQ_CALIB_SHORT_BUSY_MASK    0x00000010
#define DDRC_DBGSTAT_ZQ_CALIB_SHORT_BUSY_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGSTAT_RANK1_REFRESH_BUSY_SHIFT   1
#define DDRC_DBGSTAT_RANK1_REFRESH_BUSY_WIDTH   1
#define DDRC_DBGSTAT_RANK1_REFRESH_BUSY_MASK    0x00000002
#define DDRC_DBGSTAT_RANK1_REFRESH_BUSY_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_DBGSTAT_RANK0_REFRESH_BUSY_SHIFT   0
#define DDRC_DBGSTAT_RANK0_REFRESH_BUSY_WIDTH   1
#define DDRC_DBGSTAT_RANK0_REFRESH_BUSY_MASK    0x00000001
#define DDRC_DBGSTAT_RANK0_REFRESH_BUSY_DEFVAL  0x0

/**
 * Register: DDRC_SWCTL
 */
#define DDRC_SWCTL    ( ( DDRC_BASEADDR ) + 0x00000320 )
#define DDRC_SWCTL_DEFVAL   0x1

/* access_type: rw  */
#define DDRC_SWCTL_SW_DONE_SHIFT   0
#define DDRC_SWCTL_SW_DONE_WIDTH   1
#define DDRC_SWCTL_SW_DONE_MASK    0x00000001
#define DDRC_SWCTL_SW_DONE_DEFVAL  0x1

/**
 * Register: DDRC_SWSTAT
 */
#define DDRC_SWSTAT    ( ( DDRC_BASEADDR ) + 0x00000324 )
#define DDRC_SWSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_SWSTAT_SW_DONE_ACK_SHIFT   0
#define DDRC_SWSTAT_SW_DONE_ACK_WIDTH   1
#define DDRC_SWSTAT_SW_DONE_ACK_MASK    0x00000001
#define DDRC_SWSTAT_SW_DONE_ACK_DEFVAL  0x0

/**
 * Register: DDRC_POISONCFG
 */
#define DDRC_POISONCFG    ( ( DDRC_BASEADDR ) + 0x0000036C )
#define DDRC_POISONCFG_DEFVAL   0x110011

/* access_type: wtc  */
#define DDRC_POISONCFG_RD_POISON_INTR_CLR_SHIFT   24
#define DDRC_POISONCFG_RD_POISON_INTR_CLR_WIDTH   1
#define DDRC_POISONCFG_RD_POISON_INTR_CLR_MASK    0x01000000
#define DDRC_POISONCFG_RD_POISON_INTR_CLR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_POISONCFG_RD_POISON_INTR_EN_SHIFT   20
#define DDRC_POISONCFG_RD_POISON_INTR_EN_WIDTH   1
#define DDRC_POISONCFG_RD_POISON_INTR_EN_MASK    0x00100000
#define DDRC_POISONCFG_RD_POISON_INTR_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_POISONCFG_RD_POISON_SLVERR_EN_SHIFT   16
#define DDRC_POISONCFG_RD_POISON_SLVERR_EN_WIDTH   1
#define DDRC_POISONCFG_RD_POISON_SLVERR_EN_MASK    0x00010000
#define DDRC_POISONCFG_RD_POISON_SLVERR_EN_DEFVAL  0x1

/* access_type: wtc  */
#define DDRC_POISONCFG_WR_POISON_INTR_CLR_SHIFT   8
#define DDRC_POISONCFG_WR_POISON_INTR_CLR_WIDTH   1
#define DDRC_POISONCFG_WR_POISON_INTR_CLR_MASK    0x00000100
#define DDRC_POISONCFG_WR_POISON_INTR_CLR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_POISONCFG_WR_POISON_INTR_EN_SHIFT   4
#define DDRC_POISONCFG_WR_POISON_INTR_EN_WIDTH   1
#define DDRC_POISONCFG_WR_POISON_INTR_EN_MASK    0x00000010
#define DDRC_POISONCFG_WR_POISON_INTR_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_POISONCFG_WR_POISON_SLVERR_EN_SHIFT   0
#define DDRC_POISONCFG_WR_POISON_SLVERR_EN_WIDTH   1
#define DDRC_POISONCFG_WR_POISON_SLVERR_EN_MASK    0x00000001
#define DDRC_POISONCFG_WR_POISON_SLVERR_EN_DEFVAL  0x1

/**
 * Register: DDRC_POISONSTAT
 */
#define DDRC_POISONSTAT    ( ( DDRC_BASEADDR ) + 0x00000370 )
#define DDRC_POISONSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_RD_POISON_INTR_5_SHIFT   21
#define DDRC_POISONSTAT_RD_POISON_INTR_5_WIDTH   1
#define DDRC_POISONSTAT_RD_POISON_INTR_5_MASK    0x00200000
#define DDRC_POISONSTAT_RD_POISON_INTR_5_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_RD_POISON_INTR_4_SHIFT   20
#define DDRC_POISONSTAT_RD_POISON_INTR_4_WIDTH   1
#define DDRC_POISONSTAT_RD_POISON_INTR_4_MASK    0x00100000
#define DDRC_POISONSTAT_RD_POISON_INTR_4_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_RD_POISON_INTR_3_SHIFT   19
#define DDRC_POISONSTAT_RD_POISON_INTR_3_WIDTH   1
#define DDRC_POISONSTAT_RD_POISON_INTR_3_MASK    0x00080000
#define DDRC_POISONSTAT_RD_POISON_INTR_3_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_RD_POISON_INTR_2_SHIFT   18
#define DDRC_POISONSTAT_RD_POISON_INTR_2_WIDTH   1
#define DDRC_POISONSTAT_RD_POISON_INTR_2_MASK    0x00040000
#define DDRC_POISONSTAT_RD_POISON_INTR_2_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_RD_POISON_INTR_1_SHIFT   17
#define DDRC_POISONSTAT_RD_POISON_INTR_1_WIDTH   1
#define DDRC_POISONSTAT_RD_POISON_INTR_1_MASK    0x00020000
#define DDRC_POISONSTAT_RD_POISON_INTR_1_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_RD_POISON_INTR_0_SHIFT   16
#define DDRC_POISONSTAT_RD_POISON_INTR_0_WIDTH   1
#define DDRC_POISONSTAT_RD_POISON_INTR_0_MASK    0x00010000
#define DDRC_POISONSTAT_RD_POISON_INTR_0_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_WR_POISON_INTR_5_SHIFT   5
#define DDRC_POISONSTAT_WR_POISON_INTR_5_WIDTH   1
#define DDRC_POISONSTAT_WR_POISON_INTR_5_MASK    0x00000020
#define DDRC_POISONSTAT_WR_POISON_INTR_5_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_WR_POISON_INTR_4_SHIFT   4
#define DDRC_POISONSTAT_WR_POISON_INTR_4_WIDTH   1
#define DDRC_POISONSTAT_WR_POISON_INTR_4_MASK    0x00000010
#define DDRC_POISONSTAT_WR_POISON_INTR_4_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_WR_POISON_INTR_3_SHIFT   3
#define DDRC_POISONSTAT_WR_POISON_INTR_3_WIDTH   1
#define DDRC_POISONSTAT_WR_POISON_INTR_3_MASK    0x00000008
#define DDRC_POISONSTAT_WR_POISON_INTR_3_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_WR_POISON_INTR_2_SHIFT   2
#define DDRC_POISONSTAT_WR_POISON_INTR_2_WIDTH   1
#define DDRC_POISONSTAT_WR_POISON_INTR_2_MASK    0x00000004
#define DDRC_POISONSTAT_WR_POISON_INTR_2_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_WR_POISON_INTR_1_SHIFT   1
#define DDRC_POISONSTAT_WR_POISON_INTR_1_WIDTH   1
#define DDRC_POISONSTAT_WR_POISON_INTR_1_MASK    0x00000002
#define DDRC_POISONSTAT_WR_POISON_INTR_1_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_POISONSTAT_WR_POISON_INTR_0_SHIFT   0
#define DDRC_POISONSTAT_WR_POISON_INTR_0_WIDTH   1
#define DDRC_POISONSTAT_WR_POISON_INTR_0_MASK    0x00000001
#define DDRC_POISONSTAT_WR_POISON_INTR_0_DEFVAL  0x0

/**
 * Register: DDRC_PSTAT
 */
#define DDRC_PSTAT    ( ( DDRC_BASEADDR ) + 0x000003FC )
#define DDRC_PSTAT_DEFVAL   0x0

/* access_type: ro  */
#define DDRC_PSTAT_WR_PORT_BUSY_5_SHIFT   21
#define DDRC_PSTAT_WR_PORT_BUSY_5_WIDTH   1
#define DDRC_PSTAT_WR_PORT_BUSY_5_MASK    0x00200000
#define DDRC_PSTAT_WR_PORT_BUSY_5_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_WR_PORT_BUSY_4_SHIFT   20
#define DDRC_PSTAT_WR_PORT_BUSY_4_WIDTH   1
#define DDRC_PSTAT_WR_PORT_BUSY_4_MASK    0x00100000
#define DDRC_PSTAT_WR_PORT_BUSY_4_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_WR_PORT_BUSY_3_SHIFT   19
#define DDRC_PSTAT_WR_PORT_BUSY_3_WIDTH   1
#define DDRC_PSTAT_WR_PORT_BUSY_3_MASK    0x00080000
#define DDRC_PSTAT_WR_PORT_BUSY_3_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_WR_PORT_BUSY_2_SHIFT   18
#define DDRC_PSTAT_WR_PORT_BUSY_2_WIDTH   1
#define DDRC_PSTAT_WR_PORT_BUSY_2_MASK    0x00040000
#define DDRC_PSTAT_WR_PORT_BUSY_2_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_WR_PORT_BUSY_1_SHIFT   17
#define DDRC_PSTAT_WR_PORT_BUSY_1_WIDTH   1
#define DDRC_PSTAT_WR_PORT_BUSY_1_MASK    0x00020000
#define DDRC_PSTAT_WR_PORT_BUSY_1_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_WR_PORT_BUSY_0_SHIFT   16
#define DDRC_PSTAT_WR_PORT_BUSY_0_WIDTH   1
#define DDRC_PSTAT_WR_PORT_BUSY_0_MASK    0x00010000
#define DDRC_PSTAT_WR_PORT_BUSY_0_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_RD_PORT_BUSY_5_SHIFT   5
#define DDRC_PSTAT_RD_PORT_BUSY_5_WIDTH   1
#define DDRC_PSTAT_RD_PORT_BUSY_5_MASK    0x00000020
#define DDRC_PSTAT_RD_PORT_BUSY_5_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_RD_PORT_BUSY_4_SHIFT   4
#define DDRC_PSTAT_RD_PORT_BUSY_4_WIDTH   1
#define DDRC_PSTAT_RD_PORT_BUSY_4_MASK    0x00000010
#define DDRC_PSTAT_RD_PORT_BUSY_4_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_RD_PORT_BUSY_3_SHIFT   3
#define DDRC_PSTAT_RD_PORT_BUSY_3_WIDTH   1
#define DDRC_PSTAT_RD_PORT_BUSY_3_MASK    0x00000008
#define DDRC_PSTAT_RD_PORT_BUSY_3_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_RD_PORT_BUSY_2_SHIFT   2
#define DDRC_PSTAT_RD_PORT_BUSY_2_WIDTH   1
#define DDRC_PSTAT_RD_PORT_BUSY_2_MASK    0x00000004
#define DDRC_PSTAT_RD_PORT_BUSY_2_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_RD_PORT_BUSY_1_SHIFT   1
#define DDRC_PSTAT_RD_PORT_BUSY_1_WIDTH   1
#define DDRC_PSTAT_RD_PORT_BUSY_1_MASK    0x00000002
#define DDRC_PSTAT_RD_PORT_BUSY_1_DEFVAL  0x0

/* access_type: ro  */
#define DDRC_PSTAT_RD_PORT_BUSY_0_SHIFT   0
#define DDRC_PSTAT_RD_PORT_BUSY_0_WIDTH   1
#define DDRC_PSTAT_RD_PORT_BUSY_0_MASK    0x00000001
#define DDRC_PSTAT_RD_PORT_BUSY_0_DEFVAL  0x0

/**
 * Register: DDRC_PCCFG
 */
#define DDRC_PCCFG    ( ( DDRC_BASEADDR ) + 0x00000400 )
#define DDRC_PCCFG_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCCFG_BL_EXP_MODE_SHIFT   8
#define DDRC_PCCFG_BL_EXP_MODE_WIDTH   1
#define DDRC_PCCFG_BL_EXP_MODE_MASK    0x00000100
#define DDRC_PCCFG_BL_EXP_MODE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCCFG_PAGEMATCH_LIMIT_SHIFT   4
#define DDRC_PCCFG_PAGEMATCH_LIMIT_WIDTH   1
#define DDRC_PCCFG_PAGEMATCH_LIMIT_MASK    0x00000010
#define DDRC_PCCFG_PAGEMATCH_LIMIT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCCFG_GO2CRITICAL_EN_SHIFT   0
#define DDRC_PCCFG_GO2CRITICAL_EN_WIDTH   1
#define DDRC_PCCFG_GO2CRITICAL_EN_MASK    0x00000001
#define DDRC_PCCFG_GO2CRITICAL_EN_DEFVAL  0x0

/**
 * Register: DDRC_PCFGR_0
 */
#define DDRC_PCFGR_0    ( ( DDRC_BASEADDR ) + 0x00000404 )
#define DDRC_PCFGR_0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGR_0_RD_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGR_0_RD_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGR_0_RD_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGR_0_RD_PORT_PAGEMATCH_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_0_RD_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGR_0_RD_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGR_0_RD_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGR_0_RD_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_0_RD_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGR_0_RD_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGR_0_RD_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGR_0_RD_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_0_RD_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGR_0_RD_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGR_0_RD_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGR_0_RD_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCFGW_0
 */
#define DDRC_PCFGW_0    ( ( DDRC_BASEADDR ) + 0x00000408 )
#define DDRC_PCFGW_0_DEFVAL   0x4000

/* access_type: rw  */
#define DDRC_PCFGW_0_WR_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGW_0_WR_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGW_0_WR_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGW_0_WR_PORT_PAGEMATCH_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_PCFGW_0_WR_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGW_0_WR_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGW_0_WR_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGW_0_WR_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_0_WR_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGW_0_WR_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGW_0_WR_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGW_0_WR_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_0_WR_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGW_0_WR_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGW_0_WR_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGW_0_WR_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCTRL_0
 */
#define DDRC_PCTRL_0    ( ( DDRC_BASEADDR ) + 0x00000490 )
#define DDRC_PCTRL_0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCTRL_0_PORT_EN_SHIFT   0
#define DDRC_PCTRL_0_PORT_EN_WIDTH   1
#define DDRC_PCTRL_0_PORT_EN_MASK    0x00000001
#define DDRC_PCTRL_0_PORT_EN_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS0_0
 */
#define DDRC_PCFGQOS0_0    ( ( DDRC_BASEADDR ) + 0x00000494 )
#define DDRC_PCFGQOS0_0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGQOS0_0_RQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_0_RQOS_MAP_LEVEL1_SHIFT   0
#define DDRC_PCFGQOS0_0_RQOS_MAP_LEVEL1_WIDTH   4
#define DDRC_PCFGQOS0_0_RQOS_MAP_LEVEL1_MASK    0x0000000f
#define DDRC_PCFGQOS0_0_RQOS_MAP_LEVEL1_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS1_0
 */
#define DDRC_PCFGQOS1_0    ( ( DDRC_BASEADDR ) + 0x00000498 )
#define DDRC_PCFGQOS1_0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTR_SHIFT   16
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTR_WIDTH   11
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTR_MASK    0x07ff0000
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTB_SHIFT   0
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTB_WIDTH   11
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTB_MASK    0x000007ff
#define DDRC_PCFGQOS1_0_RQOS_MAP_TIMEOUTB_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS0_0
 */
#define DDRC_PCFGWQOS0_0    ( ( DDRC_BASEADDR ) + 0x0000049C )
#define DDRC_PCFGWQOS0_0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGWQOS0_0_WQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_0_WQOS_MAP_LEVEL_SHIFT   0
#define DDRC_PCFGWQOS0_0_WQOS_MAP_LEVEL_WIDTH   4
#define DDRC_PCFGWQOS0_0_WQOS_MAP_LEVEL_MASK    0x0000000f
#define DDRC_PCFGWQOS0_0_WQOS_MAP_LEVEL_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS1_0
 */
#define DDRC_PCFGWQOS1_0    ( ( DDRC_BASEADDR ) + 0x000004A0 )
#define DDRC_PCFGWQOS1_0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS1_0_WQOS_MAP_TIMEOUT_SHIFT   0
#define DDRC_PCFGWQOS1_0_WQOS_MAP_TIMEOUT_WIDTH   11
#define DDRC_PCFGWQOS1_0_WQOS_MAP_TIMEOUT_MASK    0x000007ff
#define DDRC_PCFGWQOS1_0_WQOS_MAP_TIMEOUT_DEFVAL  0x0

/**
 * Register: DDRC_PCFGR_1
 */
#define DDRC_PCFGR_1    ( ( DDRC_BASEADDR ) + 0x000004B4 )
#define DDRC_PCFGR_1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGR_1_RD_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGR_1_RD_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGR_1_RD_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGR_1_RD_PORT_PAGEMATCH_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_1_RD_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGR_1_RD_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGR_1_RD_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGR_1_RD_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_1_RD_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGR_1_RD_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGR_1_RD_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGR_1_RD_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_1_RD_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGR_1_RD_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGR_1_RD_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGR_1_RD_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCFGW_1
 */
#define DDRC_PCFGW_1    ( ( DDRC_BASEADDR ) + 0x000004B8 )
#define DDRC_PCFGW_1_DEFVAL   0x4000

/* access_type: rw  */
#define DDRC_PCFGW_1_WR_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGW_1_WR_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGW_1_WR_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGW_1_WR_PORT_PAGEMATCH_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_PCFGW_1_WR_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGW_1_WR_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGW_1_WR_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGW_1_WR_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_1_WR_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGW_1_WR_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGW_1_WR_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGW_1_WR_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_1_WR_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGW_1_WR_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGW_1_WR_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGW_1_WR_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCTRL_1
 */
#define DDRC_PCTRL_1    ( ( DDRC_BASEADDR ) + 0x00000540 )
#define DDRC_PCTRL_1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCTRL_1_PORT_EN_SHIFT   0
#define DDRC_PCTRL_1_PORT_EN_WIDTH   1
#define DDRC_PCTRL_1_PORT_EN_MASK    0x00000001
#define DDRC_PCTRL_1_PORT_EN_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS0_1
 */
#define DDRC_PCFGQOS0_1    ( ( DDRC_BASEADDR ) + 0x00000544 )
#define DDRC_PCFGQOS0_1_DEFVAL   0x2000e00

/* access_type: rw  */
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION2_SHIFT   24
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION2_WIDTH   2
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION2_MASK    0x03000000
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION2_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGQOS0_1_RQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL2_SHIFT   8
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL2_WIDTH   4
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL2_MASK    0x00000f00
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL2_DEFVAL  0xe

/* access_type: rw  */
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL1_SHIFT   0
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL1_WIDTH   4
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL1_MASK    0x0000000f
#define DDRC_PCFGQOS0_1_RQOS_MAP_LEVEL1_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS1_1
 */
#define DDRC_PCFGQOS1_1    ( ( DDRC_BASEADDR ) + 0x00000548 )
#define DDRC_PCFGQOS1_1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTR_SHIFT   16
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTR_WIDTH   11
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTR_MASK    0x07ff0000
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTB_SHIFT   0
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTB_WIDTH   11
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTB_MASK    0x000007ff
#define DDRC_PCFGQOS1_1_RQOS_MAP_TIMEOUTB_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS0_1
 */
#define DDRC_PCFGWQOS0_1    ( ( DDRC_BASEADDR ) + 0x0000054C )
#define DDRC_PCFGWQOS0_1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGWQOS0_1_WQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_1_WQOS_MAP_LEVEL_SHIFT   0
#define DDRC_PCFGWQOS0_1_WQOS_MAP_LEVEL_WIDTH   4
#define DDRC_PCFGWQOS0_1_WQOS_MAP_LEVEL_MASK    0x0000000f
#define DDRC_PCFGWQOS0_1_WQOS_MAP_LEVEL_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS1_1
 */
#define DDRC_PCFGWQOS1_1    ( ( DDRC_BASEADDR ) + 0x00000550 )
#define DDRC_PCFGWQOS1_1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS1_1_WQOS_MAP_TIMEOUT_SHIFT   0
#define DDRC_PCFGWQOS1_1_WQOS_MAP_TIMEOUT_WIDTH   11
#define DDRC_PCFGWQOS1_1_WQOS_MAP_TIMEOUT_MASK    0x000007ff
#define DDRC_PCFGWQOS1_1_WQOS_MAP_TIMEOUT_DEFVAL  0x0

/**
 * Register: DDRC_PCFGR_2
 */
#define DDRC_PCFGR_2    ( ( DDRC_BASEADDR ) + 0x00000564 )
#define DDRC_PCFGR_2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGR_2_RD_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGR_2_RD_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGR_2_RD_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGR_2_RD_PORT_PAGEMATCH_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_2_RD_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGR_2_RD_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGR_2_RD_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGR_2_RD_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_2_RD_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGR_2_RD_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGR_2_RD_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGR_2_RD_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_2_RD_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGR_2_RD_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGR_2_RD_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGR_2_RD_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCFGW_2
 */
#define DDRC_PCFGW_2    ( ( DDRC_BASEADDR ) + 0x00000568 )
#define DDRC_PCFGW_2_DEFVAL   0x4000

/* access_type: rw  */
#define DDRC_PCFGW_2_WR_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGW_2_WR_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGW_2_WR_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGW_2_WR_PORT_PAGEMATCH_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_PCFGW_2_WR_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGW_2_WR_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGW_2_WR_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGW_2_WR_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_2_WR_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGW_2_WR_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGW_2_WR_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGW_2_WR_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_2_WR_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGW_2_WR_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGW_2_WR_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGW_2_WR_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCTRL_2
 */
#define DDRC_PCTRL_2    ( ( DDRC_BASEADDR ) + 0x000005F0 )
#define DDRC_PCTRL_2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCTRL_2_PORT_EN_SHIFT   0
#define DDRC_PCTRL_2_PORT_EN_WIDTH   1
#define DDRC_PCTRL_2_PORT_EN_MASK    0x00000001
#define DDRC_PCTRL_2_PORT_EN_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS0_2
 */
#define DDRC_PCFGQOS0_2    ( ( DDRC_BASEADDR ) + 0x000005F4 )
#define DDRC_PCFGQOS0_2_DEFVAL   0x2000e00

/* access_type: rw  */
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION2_SHIFT   24
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION2_WIDTH   2
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION2_MASK    0x03000000
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION2_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGQOS0_2_RQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL2_SHIFT   8
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL2_WIDTH   4
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL2_MASK    0x00000f00
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL2_DEFVAL  0xe

/* access_type: rw  */
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL1_SHIFT   0
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL1_WIDTH   4
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL1_MASK    0x0000000f
#define DDRC_PCFGQOS0_2_RQOS_MAP_LEVEL1_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS1_2
 */
#define DDRC_PCFGQOS1_2    ( ( DDRC_BASEADDR ) + 0x000005F8 )
#define DDRC_PCFGQOS1_2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTR_SHIFT   16
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTR_WIDTH   11
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTR_MASK    0x07ff0000
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTB_SHIFT   0
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTB_WIDTH   11
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTB_MASK    0x000007ff
#define DDRC_PCFGQOS1_2_RQOS_MAP_TIMEOUTB_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS0_2
 */
#define DDRC_PCFGWQOS0_2    ( ( DDRC_BASEADDR ) + 0x000005FC )
#define DDRC_PCFGWQOS0_2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGWQOS0_2_WQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_2_WQOS_MAP_LEVEL_SHIFT   0
#define DDRC_PCFGWQOS0_2_WQOS_MAP_LEVEL_WIDTH   4
#define DDRC_PCFGWQOS0_2_WQOS_MAP_LEVEL_MASK    0x0000000f
#define DDRC_PCFGWQOS0_2_WQOS_MAP_LEVEL_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS1_2
 */
#define DDRC_PCFGWQOS1_2    ( ( DDRC_BASEADDR ) + 0x00000600 )
#define DDRC_PCFGWQOS1_2_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS1_2_WQOS_MAP_TIMEOUT_SHIFT   0
#define DDRC_PCFGWQOS1_2_WQOS_MAP_TIMEOUT_WIDTH   11
#define DDRC_PCFGWQOS1_2_WQOS_MAP_TIMEOUT_MASK    0x000007ff
#define DDRC_PCFGWQOS1_2_WQOS_MAP_TIMEOUT_DEFVAL  0x0

/**
 * Register: DDRC_PCFGR_3
 */
#define DDRC_PCFGR_3    ( ( DDRC_BASEADDR ) + 0x00000614 )
#define DDRC_PCFGR_3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGR_3_RD_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGR_3_RD_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGR_3_RD_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGR_3_RD_PORT_PAGEMATCH_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_3_RD_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGR_3_RD_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGR_3_RD_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGR_3_RD_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_3_RD_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGR_3_RD_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGR_3_RD_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGR_3_RD_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_3_RD_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGR_3_RD_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGR_3_RD_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGR_3_RD_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCFGW_3
 */
#define DDRC_PCFGW_3    ( ( DDRC_BASEADDR ) + 0x00000618 )
#define DDRC_PCFGW_3_DEFVAL   0x4000

/* access_type: rw  */
#define DDRC_PCFGW_3_WR_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGW_3_WR_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGW_3_WR_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGW_3_WR_PORT_PAGEMATCH_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_PCFGW_3_WR_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGW_3_WR_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGW_3_WR_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGW_3_WR_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_3_WR_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGW_3_WR_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGW_3_WR_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGW_3_WR_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_3_WR_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGW_3_WR_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGW_3_WR_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGW_3_WR_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCTRL_3
 */
#define DDRC_PCTRL_3    ( ( DDRC_BASEADDR ) + 0x000006A0 )
#define DDRC_PCTRL_3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCTRL_3_PORT_EN_SHIFT   0
#define DDRC_PCTRL_3_PORT_EN_WIDTH   1
#define DDRC_PCTRL_3_PORT_EN_MASK    0x00000001
#define DDRC_PCTRL_3_PORT_EN_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS0_3
 */
#define DDRC_PCFGQOS0_3    ( ( DDRC_BASEADDR ) + 0x000006A4 )
#define DDRC_PCFGQOS0_3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGQOS0_3_RQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_3_RQOS_MAP_LEVEL1_SHIFT   0
#define DDRC_PCFGQOS0_3_RQOS_MAP_LEVEL1_WIDTH   4
#define DDRC_PCFGQOS0_3_RQOS_MAP_LEVEL1_MASK    0x0000000f
#define DDRC_PCFGQOS0_3_RQOS_MAP_LEVEL1_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS1_3
 */
#define DDRC_PCFGQOS1_3    ( ( DDRC_BASEADDR ) + 0x000006A8 )
#define DDRC_PCFGQOS1_3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTR_SHIFT   16
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTR_WIDTH   11
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTR_MASK    0x07ff0000
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTB_SHIFT   0
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTB_WIDTH   11
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTB_MASK    0x000007ff
#define DDRC_PCFGQOS1_3_RQOS_MAP_TIMEOUTB_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS0_3
 */
#define DDRC_PCFGWQOS0_3    ( ( DDRC_BASEADDR ) + 0x000006AC )
#define DDRC_PCFGWQOS0_3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGWQOS0_3_WQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_3_WQOS_MAP_LEVEL_SHIFT   0
#define DDRC_PCFGWQOS0_3_WQOS_MAP_LEVEL_WIDTH   4
#define DDRC_PCFGWQOS0_3_WQOS_MAP_LEVEL_MASK    0x0000000f
#define DDRC_PCFGWQOS0_3_WQOS_MAP_LEVEL_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS1_3
 */
#define DDRC_PCFGWQOS1_3    ( ( DDRC_BASEADDR ) + 0x000006B0 )
#define DDRC_PCFGWQOS1_3_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS1_3_WQOS_MAP_TIMEOUT_SHIFT   0
#define DDRC_PCFGWQOS1_3_WQOS_MAP_TIMEOUT_WIDTH   11
#define DDRC_PCFGWQOS1_3_WQOS_MAP_TIMEOUT_MASK    0x000007ff
#define DDRC_PCFGWQOS1_3_WQOS_MAP_TIMEOUT_DEFVAL  0x0

/**
 * Register: DDRC_PCFGR_4
 */
#define DDRC_PCFGR_4    ( ( DDRC_BASEADDR ) + 0x000006C4 )
#define DDRC_PCFGR_4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGR_4_RD_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGR_4_RD_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGR_4_RD_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGR_4_RD_PORT_PAGEMATCH_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_4_RD_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGR_4_RD_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGR_4_RD_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGR_4_RD_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_4_RD_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGR_4_RD_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGR_4_RD_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGR_4_RD_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_4_RD_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGR_4_RD_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGR_4_RD_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGR_4_RD_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCFGW_4
 */
#define DDRC_PCFGW_4    ( ( DDRC_BASEADDR ) + 0x000006C8 )
#define DDRC_PCFGW_4_DEFVAL   0x4000

/* access_type: rw  */
#define DDRC_PCFGW_4_WR_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGW_4_WR_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGW_4_WR_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGW_4_WR_PORT_PAGEMATCH_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_PCFGW_4_WR_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGW_4_WR_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGW_4_WR_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGW_4_WR_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_4_WR_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGW_4_WR_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGW_4_WR_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGW_4_WR_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_4_WR_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGW_4_WR_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGW_4_WR_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGW_4_WR_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCTRL_4
 */
#define DDRC_PCTRL_4    ( ( DDRC_BASEADDR ) + 0x00000750 )
#define DDRC_PCTRL_4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCTRL_4_PORT_EN_SHIFT   0
#define DDRC_PCTRL_4_PORT_EN_WIDTH   1
#define DDRC_PCTRL_4_PORT_EN_MASK    0x00000001
#define DDRC_PCTRL_4_PORT_EN_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS0_4
 */
#define DDRC_PCFGQOS0_4    ( ( DDRC_BASEADDR ) + 0x00000754 )
#define DDRC_PCFGQOS0_4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGQOS0_4_RQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_4_RQOS_MAP_LEVEL1_SHIFT   0
#define DDRC_PCFGQOS0_4_RQOS_MAP_LEVEL1_WIDTH   4
#define DDRC_PCFGQOS0_4_RQOS_MAP_LEVEL1_MASK    0x0000000f
#define DDRC_PCFGQOS0_4_RQOS_MAP_LEVEL1_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS1_4
 */
#define DDRC_PCFGQOS1_4    ( ( DDRC_BASEADDR ) + 0x00000758 )
#define DDRC_PCFGQOS1_4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTR_SHIFT   16
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTR_WIDTH   11
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTR_MASK    0x07ff0000
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTB_SHIFT   0
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTB_WIDTH   11
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTB_MASK    0x000007ff
#define DDRC_PCFGQOS1_4_RQOS_MAP_TIMEOUTB_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS0_4
 */
#define DDRC_PCFGWQOS0_4    ( ( DDRC_BASEADDR ) + 0x0000075C )
#define DDRC_PCFGWQOS0_4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGWQOS0_4_WQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_4_WQOS_MAP_LEVEL_SHIFT   0
#define DDRC_PCFGWQOS0_4_WQOS_MAP_LEVEL_WIDTH   4
#define DDRC_PCFGWQOS0_4_WQOS_MAP_LEVEL_MASK    0x0000000f
#define DDRC_PCFGWQOS0_4_WQOS_MAP_LEVEL_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS1_4
 */
#define DDRC_PCFGWQOS1_4    ( ( DDRC_BASEADDR ) + 0x00000760 )
#define DDRC_PCFGWQOS1_4_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS1_4_WQOS_MAP_TIMEOUT_SHIFT   0
#define DDRC_PCFGWQOS1_4_WQOS_MAP_TIMEOUT_WIDTH   11
#define DDRC_PCFGWQOS1_4_WQOS_MAP_TIMEOUT_MASK    0x000007ff
#define DDRC_PCFGWQOS1_4_WQOS_MAP_TIMEOUT_DEFVAL  0x0

/**
 * Register: DDRC_PCFGR_5
 */
#define DDRC_PCFGR_5    ( ( DDRC_BASEADDR ) + 0x00000774 )
#define DDRC_PCFGR_5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGR_5_RD_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGR_5_RD_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGR_5_RD_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGR_5_RD_PORT_PAGEMATCH_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_5_RD_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGR_5_RD_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGR_5_RD_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGR_5_RD_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_5_RD_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGR_5_RD_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGR_5_RD_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGR_5_RD_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGR_5_RD_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGR_5_RD_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGR_5_RD_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGR_5_RD_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCFGW_5
 */
#define DDRC_PCFGW_5    ( ( DDRC_BASEADDR ) + 0x00000778 )
#define DDRC_PCFGW_5_DEFVAL   0x4000

/* access_type: rw  */
#define DDRC_PCFGW_5_WR_PORT_PAGEMATCH_EN_SHIFT   14
#define DDRC_PCFGW_5_WR_PORT_PAGEMATCH_EN_WIDTH   1
#define DDRC_PCFGW_5_WR_PORT_PAGEMATCH_EN_MASK    0x00004000
#define DDRC_PCFGW_5_WR_PORT_PAGEMATCH_EN_DEFVAL  0x1

/* access_type: rw  */
#define DDRC_PCFGW_5_WR_PORT_URGENT_EN_SHIFT   13
#define DDRC_PCFGW_5_WR_PORT_URGENT_EN_WIDTH   1
#define DDRC_PCFGW_5_WR_PORT_URGENT_EN_MASK    0x00002000
#define DDRC_PCFGW_5_WR_PORT_URGENT_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_5_WR_PORT_AGING_EN_SHIFT   12
#define DDRC_PCFGW_5_WR_PORT_AGING_EN_WIDTH   1
#define DDRC_PCFGW_5_WR_PORT_AGING_EN_MASK    0x00001000
#define DDRC_PCFGW_5_WR_PORT_AGING_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGW_5_WR_PORT_PRIORITY_SHIFT   0
#define DDRC_PCFGW_5_WR_PORT_PRIORITY_WIDTH   10
#define DDRC_PCFGW_5_WR_PORT_PRIORITY_MASK    0x000003ff
#define DDRC_PCFGW_5_WR_PORT_PRIORITY_DEFVAL  0x0

/**
 * Register: DDRC_PCTRL_5
 */
#define DDRC_PCTRL_5    ( ( DDRC_BASEADDR ) + 0x00000800 )
#define DDRC_PCTRL_5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCTRL_5_PORT_EN_SHIFT   0
#define DDRC_PCTRL_5_PORT_EN_WIDTH   1
#define DDRC_PCTRL_5_PORT_EN_MASK    0x00000001
#define DDRC_PCTRL_5_PORT_EN_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS0_5
 */
#define DDRC_PCFGQOS0_5    ( ( DDRC_BASEADDR ) + 0x00000804 )
#define DDRC_PCFGQOS0_5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGQOS0_5_RQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS0_5_RQOS_MAP_LEVEL1_SHIFT   0
#define DDRC_PCFGQOS0_5_RQOS_MAP_LEVEL1_WIDTH   4
#define DDRC_PCFGQOS0_5_RQOS_MAP_LEVEL1_MASK    0x0000000f
#define DDRC_PCFGQOS0_5_RQOS_MAP_LEVEL1_DEFVAL  0x0

/**
 * Register: DDRC_PCFGQOS1_5
 */
#define DDRC_PCFGQOS1_5    ( ( DDRC_BASEADDR ) + 0x00000808 )
#define DDRC_PCFGQOS1_5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTR_SHIFT   16
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTR_WIDTH   11
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTR_MASK    0x07ff0000
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTB_SHIFT   0
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTB_WIDTH   11
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTB_MASK    0x000007ff
#define DDRC_PCFGQOS1_5_RQOS_MAP_TIMEOUTB_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS0_5
 */
#define DDRC_PCFGWQOS0_5    ( ( DDRC_BASEADDR ) + 0x0000080C )
#define DDRC_PCFGWQOS0_5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION1_SHIFT   20
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION1_WIDTH   2
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION1_MASK    0x00300000
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION1_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION0_SHIFT   16
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION0_WIDTH   2
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION0_MASK    0x00030000
#define DDRC_PCFGWQOS0_5_WQOS_MAP_REGION0_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS0_5_WQOS_MAP_LEVEL_SHIFT   0
#define DDRC_PCFGWQOS0_5_WQOS_MAP_LEVEL_WIDTH   4
#define DDRC_PCFGWQOS0_5_WQOS_MAP_LEVEL_MASK    0x0000000f
#define DDRC_PCFGWQOS0_5_WQOS_MAP_LEVEL_DEFVAL  0x0

/**
 * Register: DDRC_PCFGWQOS1_5
 */
#define DDRC_PCFGWQOS1_5    ( ( DDRC_BASEADDR ) + 0x00000810 )
#define DDRC_PCFGWQOS1_5_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_PCFGWQOS1_5_WQOS_MAP_TIMEOUT_SHIFT   0
#define DDRC_PCFGWQOS1_5_WQOS_MAP_TIMEOUT_WIDTH   11
#define DDRC_PCFGWQOS1_5_WQOS_MAP_TIMEOUT_MASK    0x000007ff
#define DDRC_PCFGWQOS1_5_WQOS_MAP_TIMEOUT_DEFVAL  0x0

/**
 * Register: DDRC_SARBASE0
 */
#define DDRC_SARBASE0    ( ( DDRC_BASEADDR ) + 0x00000F04 )
#define DDRC_SARBASE0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_SARBASE0_BASE_ADDR_SHIFT   0
#define DDRC_SARBASE0_BASE_ADDR_WIDTH   9
#define DDRC_SARBASE0_BASE_ADDR_MASK    0x000001ff
#define DDRC_SARBASE0_BASE_ADDR_DEFVAL  0x0

/**
 * Register: DDRC_SARSIZE0
 */
#define DDRC_SARSIZE0    ( ( DDRC_BASEADDR ) + 0x00000F08 )
#define DDRC_SARSIZE0_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_SARSIZE0_NBLOCKS_SHIFT   0
#define DDRC_SARSIZE0_NBLOCKS_WIDTH   8
#define DDRC_SARSIZE0_NBLOCKS_MASK    0x000000ff
#define DDRC_SARSIZE0_NBLOCKS_DEFVAL  0x0

/**
 * Register: DDRC_SARBASE1
 */
#define DDRC_SARBASE1    ( ( DDRC_BASEADDR ) + 0x00000F0C )
#define DDRC_SARBASE1_DEFVAL   0x1

/* access_type: rw  */
#define DDRC_SARBASE1_BASE_ADDR_SHIFT   0
#define DDRC_SARBASE1_BASE_ADDR_WIDTH   9
#define DDRC_SARBASE1_BASE_ADDR_MASK    0x000001ff
#define DDRC_SARBASE1_BASE_ADDR_DEFVAL  0x1

/**
 * Register: DDRC_SARSIZE1
 */
#define DDRC_SARSIZE1    ( ( DDRC_BASEADDR ) + 0x00000F10 )
#define DDRC_SARSIZE1_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_SARSIZE1_NBLOCKS_SHIFT   0
#define DDRC_SARSIZE1_NBLOCKS_WIDTH   8
#define DDRC_SARSIZE1_NBLOCKS_MASK    0x000000ff
#define DDRC_SARSIZE1_NBLOCKS_DEFVAL  0x0

/**
 * Register: DDRC_DERATEINT_SHADOW
 */
#define DDRC_DERATEINT_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002024 )
#define DDRC_DERATEINT_SHADOW_DEFVAL   0x800000

/* access_type: rw  */
#define DDRC_DERATEINT_SHADOW_MR4_READ_INTERVAL_SHIFT   0
#define DDRC_DERATEINT_SHADOW_MR4_READ_INTERVAL_WIDTH   32
#define DDRC_DERATEINT_SHADOW_MR4_READ_INTERVAL_MASK    0xffffffff
#define DDRC_DERATEINT_SHADOW_MR4_READ_INTERVAL_DEFVAL  0x800000

/**
 * Register: DDRC_RFSHCTL0_SHADOW
 */
#define DDRC_RFSHCTL0_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002050 )
#define DDRC_RFSHCTL0_SHADOW_DEFVAL   0x210000

/* access_type: rw  */
#define DDRC_RFSHCTL0_SHADOW_REFRESH_MARGIN_SHIFT   20
#define DDRC_RFSHCTL0_SHADOW_REFRESH_MARGIN_WIDTH   4
#define DDRC_RFSHCTL0_SHADOW_REFRESH_MARGIN_MASK    0x00f00000
#define DDRC_RFSHCTL0_SHADOW_REFRESH_MARGIN_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_RFSHCTL0_SHADOW_REFRESH_TO_X32_SHIFT   12
#define DDRC_RFSHCTL0_SHADOW_REFRESH_TO_X32_WIDTH   5
#define DDRC_RFSHCTL0_SHADOW_REFRESH_TO_X32_MASK    0x0001f000
#define DDRC_RFSHCTL0_SHADOW_REFRESH_TO_X32_DEFVAL  0x10

/* access_type: rw  */
#define DDRC_RFSHCTL0_SHADOW_REFRESH_BURST_SHIFT   4
#define DDRC_RFSHCTL0_SHADOW_REFRESH_BURST_WIDTH   5
#define DDRC_RFSHCTL0_SHADOW_REFRESH_BURST_MASK    0x000001f0
#define DDRC_RFSHCTL0_SHADOW_REFRESH_BURST_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_RFSHCTL0_SHADOW_PER_BANK_REFRESH_SHIFT   2
#define DDRC_RFSHCTL0_SHADOW_PER_BANK_REFRESH_WIDTH   1
#define DDRC_RFSHCTL0_SHADOW_PER_BANK_REFRESH_MASK    0x00000004
#define DDRC_RFSHCTL0_SHADOW_PER_BANK_REFRESH_DEFVAL  0x0

/**
 * Register: DDRC_RFSHTMG_SHADOW
 */
#define DDRC_RFSHTMG_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002064 )
#define DDRC_RFSHTMG_SHADOW_DEFVAL   0x62008c

/* access_type: rw  */
#define DDRC_RFSHTMG_SHADOW_T_RFC_NOM_X32_SHIFT   16
#define DDRC_RFSHTMG_SHADOW_T_RFC_NOM_X32_WIDTH   12
#define DDRC_RFSHTMG_SHADOW_T_RFC_NOM_X32_MASK    0x0fff0000
#define DDRC_RFSHTMG_SHADOW_T_RFC_NOM_X32_DEFVAL  0x62

/* access_type: rw  */
#define DDRC_RFSHTMG_SHADOW_LPDDR3_TREFBW_EN_SHIFT   15
#define DDRC_RFSHTMG_SHADOW_LPDDR3_TREFBW_EN_WIDTH   1
#define DDRC_RFSHTMG_SHADOW_LPDDR3_TREFBW_EN_MASK    0x00008000
#define DDRC_RFSHTMG_SHADOW_LPDDR3_TREFBW_EN_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_RFSHTMG_SHADOW_T_RFC_MIN_SHIFT   0
#define DDRC_RFSHTMG_SHADOW_T_RFC_MIN_WIDTH   10
#define DDRC_RFSHTMG_SHADOW_T_RFC_MIN_MASK    0x000003ff
#define DDRC_RFSHTMG_SHADOW_T_RFC_MIN_DEFVAL  0x8c

/**
 * Register: DDRC_INIT3_SHADOW
 */
#define DDRC_INIT3_SHADOW    ( ( DDRC_BASEADDR ) + 0x000020DC )
#define DDRC_INIT3_SHADOW_DEFVAL   0x510

/* access_type: rw  */
#define DDRC_INIT3_SHADOW_MR_SHIFT   16
#define DDRC_INIT3_SHADOW_MR_WIDTH   16
#define DDRC_INIT3_SHADOW_MR_MASK    0xffff0000
#define DDRC_INIT3_SHADOW_MR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT3_SHADOW_EMR_SHIFT   0
#define DDRC_INIT3_SHADOW_EMR_WIDTH   16
#define DDRC_INIT3_SHADOW_EMR_MASK    0x0000ffff
#define DDRC_INIT3_SHADOW_EMR_DEFVAL  0x510

/**
 * Register: DDRC_INIT4_SHADOW
 */
#define DDRC_INIT4_SHADOW    ( ( DDRC_BASEADDR ) + 0x000020E0 )
#define DDRC_INIT4_SHADOW_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_INIT4_SHADOW_EMR2_SHIFT   16
#define DDRC_INIT4_SHADOW_EMR2_WIDTH   16
#define DDRC_INIT4_SHADOW_EMR2_MASK    0xffff0000
#define DDRC_INIT4_SHADOW_EMR2_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT4_SHADOW_EMR3_SHIFT   0
#define DDRC_INIT4_SHADOW_EMR3_WIDTH   16
#define DDRC_INIT4_SHADOW_EMR3_MASK    0x0000ffff
#define DDRC_INIT4_SHADOW_EMR3_DEFVAL  0x0

/**
 * Register: DDRC_INIT6_SHADOW
 */
#define DDRC_INIT6_SHADOW    ( ( DDRC_BASEADDR ) + 0x000020E8 )
#define DDRC_INIT6_SHADOW_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_INIT6_SHADOW_MR4_SHIFT   16
#define DDRC_INIT6_SHADOW_MR4_WIDTH   16
#define DDRC_INIT6_SHADOW_MR4_MASK    0xffff0000
#define DDRC_INIT6_SHADOW_MR4_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_INIT6_SHADOW_MR5_SHIFT   0
#define DDRC_INIT6_SHADOW_MR5_WIDTH   16
#define DDRC_INIT6_SHADOW_MR5_MASK    0x0000ffff
#define DDRC_INIT6_SHADOW_MR5_DEFVAL  0x0

/**
 * Register: DDRC_INIT7_SHADOW
 */
#define DDRC_INIT7_SHADOW    ( ( DDRC_BASEADDR ) + 0x000020EC )
#define DDRC_INIT7_SHADOW_DEFVAL   0x0

/* access_type: rw  */
#define DDRC_INIT7_SHADOW_MR6_SHIFT   16
#define DDRC_INIT7_SHADOW_MR6_WIDTH   16
#define DDRC_INIT7_SHADOW_MR6_MASK    0xffff0000
#define DDRC_INIT7_SHADOW_MR6_DEFVAL  0x0

/**
 * Register: DDRC_DRAMTMG0_SHADOW
 */
#define DDRC_DRAMTMG0_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002100 )
#define DDRC_DRAMTMG0_SHADOW_DEFVAL   0xf101b0f

/* access_type: rw  */
#define DDRC_DRAMTMG0_SHADOW_WR2PRE_SHIFT   24
#define DDRC_DRAMTMG0_SHADOW_WR2PRE_WIDTH   7
#define DDRC_DRAMTMG0_SHADOW_WR2PRE_MASK    0x7f000000
#define DDRC_DRAMTMG0_SHADOW_WR2PRE_DEFVAL  0xf

/* access_type: rw  */
#define DDRC_DRAMTMG0_SHADOW_T_FAW_SHIFT   16
#define DDRC_DRAMTMG0_SHADOW_T_FAW_WIDTH   6
#define DDRC_DRAMTMG0_SHADOW_T_FAW_MASK    0x003f0000
#define DDRC_DRAMTMG0_SHADOW_T_FAW_DEFVAL  0x10

/* access_type: rw  */
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MAX_SHIFT   8
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MAX_WIDTH   7
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MAX_MASK    0x00007f00
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MAX_DEFVAL  0x1b

/* access_type: rw  */
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MIN_SHIFT   0
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MIN_WIDTH   6
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MIN_MASK    0x0000003f
#define DDRC_DRAMTMG0_SHADOW_T_RAS_MIN_DEFVAL  0xf

/**
 * Register: DDRC_DRAMTMG1_SHADOW
 */
#define DDRC_DRAMTMG1_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002104 )
#define DDRC_DRAMTMG1_SHADOW_DEFVAL   0x80414

/* access_type: rw  */
#define DDRC_DRAMTMG1_SHADOW_T_XP_SHIFT   16
#define DDRC_DRAMTMG1_SHADOW_T_XP_WIDTH   5
#define DDRC_DRAMTMG1_SHADOW_T_XP_MASK    0x001f0000
#define DDRC_DRAMTMG1_SHADOW_T_XP_DEFVAL  0x8

/* access_type: rw  */
#define DDRC_DRAMTMG1_SHADOW_RD2PRE_SHIFT   8
#define DDRC_DRAMTMG1_SHADOW_RD2PRE_WIDTH   5
#define DDRC_DRAMTMG1_SHADOW_RD2PRE_MASK    0x00001f00
#define DDRC_DRAMTMG1_SHADOW_RD2PRE_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG1_SHADOW_T_RC_SHIFT   0
#define DDRC_DRAMTMG1_SHADOW_T_RC_WIDTH   7
#define DDRC_DRAMTMG1_SHADOW_T_RC_MASK    0x0000007f
#define DDRC_DRAMTMG1_SHADOW_T_RC_DEFVAL  0x14

/**
 * Register: DDRC_DRAMTMG2_SHADOW
 */
#define DDRC_DRAMTMG2_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002108 )
#define DDRC_DRAMTMG2_SHADOW_DEFVAL   0x305060d

/* access_type: rw  */
#define DDRC_DRAMTMG2_SHADOW_WRITE_LATENCY_SHIFT   24
#define DDRC_DRAMTMG2_SHADOW_WRITE_LATENCY_WIDTH   6
#define DDRC_DRAMTMG2_SHADOW_WRITE_LATENCY_MASK    0x3f000000
#define DDRC_DRAMTMG2_SHADOW_WRITE_LATENCY_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_DRAMTMG2_SHADOW_READ_LATENCY_SHIFT   16
#define DDRC_DRAMTMG2_SHADOW_READ_LATENCY_WIDTH   6
#define DDRC_DRAMTMG2_SHADOW_READ_LATENCY_MASK    0x003f0000
#define DDRC_DRAMTMG2_SHADOW_READ_LATENCY_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG2_SHADOW_RD2WR_SHIFT   8
#define DDRC_DRAMTMG2_SHADOW_RD2WR_WIDTH   6
#define DDRC_DRAMTMG2_SHADOW_RD2WR_MASK    0x00003f00
#define DDRC_DRAMTMG2_SHADOW_RD2WR_DEFVAL  0x6

/* access_type: rw  */
#define DDRC_DRAMTMG2_SHADOW_WR2RD_SHIFT   0
#define DDRC_DRAMTMG2_SHADOW_WR2RD_WIDTH   6
#define DDRC_DRAMTMG2_SHADOW_WR2RD_MASK    0x0000003f
#define DDRC_DRAMTMG2_SHADOW_WR2RD_DEFVAL  0xd

/**
 * Register: DDRC_DRAMTMG3_SHADOW
 */
#define DDRC_DRAMTMG3_SHADOW    ( ( DDRC_BASEADDR ) + 0x0000210C )
#define DDRC_DRAMTMG3_SHADOW_DEFVAL   0x50400c

/* access_type: rw  */
#define DDRC_DRAMTMG3_SHADOW_T_MRW_SHIFT   20
#define DDRC_DRAMTMG3_SHADOW_T_MRW_WIDTH   10
#define DDRC_DRAMTMG3_SHADOW_T_MRW_MASK    0x3ff00000
#define DDRC_DRAMTMG3_SHADOW_T_MRW_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG3_SHADOW_T_MRD_SHIFT   12
#define DDRC_DRAMTMG3_SHADOW_T_MRD_WIDTH   6
#define DDRC_DRAMTMG3_SHADOW_T_MRD_MASK    0x0003f000
#define DDRC_DRAMTMG3_SHADOW_T_MRD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG3_SHADOW_T_MOD_SHIFT   0
#define DDRC_DRAMTMG3_SHADOW_T_MOD_WIDTH   10
#define DDRC_DRAMTMG3_SHADOW_T_MOD_MASK    0x000003ff
#define DDRC_DRAMTMG3_SHADOW_T_MOD_DEFVAL  0xc

/**
 * Register: DDRC_DRAMTMG4_SHADOW
 */
#define DDRC_DRAMTMG4_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002110 )
#define DDRC_DRAMTMG4_SHADOW_DEFVAL   0x5040405

/* access_type: rw  */
#define DDRC_DRAMTMG4_SHADOW_T_RCD_SHIFT   24
#define DDRC_DRAMTMG4_SHADOW_T_RCD_WIDTH   5
#define DDRC_DRAMTMG4_SHADOW_T_RCD_MASK    0x1f000000
#define DDRC_DRAMTMG4_SHADOW_T_RCD_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG4_SHADOW_T_CCD_SHIFT   16
#define DDRC_DRAMTMG4_SHADOW_T_CCD_WIDTH   4
#define DDRC_DRAMTMG4_SHADOW_T_CCD_MASK    0x000f0000
#define DDRC_DRAMTMG4_SHADOW_T_CCD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG4_SHADOW_T_RRD_SHIFT   8
#define DDRC_DRAMTMG4_SHADOW_T_RRD_WIDTH   4
#define DDRC_DRAMTMG4_SHADOW_T_RRD_MASK    0x00000f00
#define DDRC_DRAMTMG4_SHADOW_T_RRD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG4_SHADOW_T_RP_SHIFT   0
#define DDRC_DRAMTMG4_SHADOW_T_RP_WIDTH   5
#define DDRC_DRAMTMG4_SHADOW_T_RP_MASK    0x0000001f
#define DDRC_DRAMTMG4_SHADOW_T_RP_DEFVAL  0x5

/**
 * Register: DDRC_DRAMTMG5_SHADOW
 */
#define DDRC_DRAMTMG5_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002114 )
#define DDRC_DRAMTMG5_SHADOW_DEFVAL   0x5050403

/* access_type: rw  */
#define DDRC_DRAMTMG5_SHADOW_T_CKSRX_SHIFT   24
#define DDRC_DRAMTMG5_SHADOW_T_CKSRX_WIDTH   4
#define DDRC_DRAMTMG5_SHADOW_T_CKSRX_MASK    0x0f000000
#define DDRC_DRAMTMG5_SHADOW_T_CKSRX_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG5_SHADOW_T_CKSRE_SHIFT   16
#define DDRC_DRAMTMG5_SHADOW_T_CKSRE_WIDTH   4
#define DDRC_DRAMTMG5_SHADOW_T_CKSRE_MASK    0x000f0000
#define DDRC_DRAMTMG5_SHADOW_T_CKSRE_DEFVAL  0x5

/* access_type: rw  */
#define DDRC_DRAMTMG5_SHADOW_T_CKESR_SHIFT   8
#define DDRC_DRAMTMG5_SHADOW_T_CKESR_WIDTH   6
#define DDRC_DRAMTMG5_SHADOW_T_CKESR_MASK    0x00003f00
#define DDRC_DRAMTMG5_SHADOW_T_CKESR_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG5_SHADOW_T_CKE_SHIFT   0
#define DDRC_DRAMTMG5_SHADOW_T_CKE_WIDTH   5
#define DDRC_DRAMTMG5_SHADOW_T_CKE_MASK    0x0000001f
#define DDRC_DRAMTMG5_SHADOW_T_CKE_DEFVAL  0x3

/**
 * Register: DDRC_DRAMTMG6_SHADOW
 */
#define DDRC_DRAMTMG6_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002118 )
#define DDRC_DRAMTMG6_SHADOW_DEFVAL   0x2020005

/* access_type: rw  */
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDE_SHIFT   24
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDE_WIDTH   4
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDE_MASK    0x0f000000
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDE_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDX_SHIFT   16
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDX_WIDTH   4
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDX_MASK    0x000f0000
#define DDRC_DRAMTMG6_SHADOW_T_CKDPDX_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG6_SHADOW_T_CKCSX_SHIFT   0
#define DDRC_DRAMTMG6_SHADOW_T_CKCSX_WIDTH   4
#define DDRC_DRAMTMG6_SHADOW_T_CKCSX_MASK    0x0000000f
#define DDRC_DRAMTMG6_SHADOW_T_CKCSX_DEFVAL  0x5

/**
 * Register: DDRC_DRAMTMG7_SHADOW
 */
#define DDRC_DRAMTMG7_SHADOW    ( ( DDRC_BASEADDR ) + 0x0000211C )
#define DDRC_DRAMTMG7_SHADOW_DEFVAL   0x202

/* access_type: rw  */
#define DDRC_DRAMTMG7_SHADOW_T_CKPDE_SHIFT   8
#define DDRC_DRAMTMG7_SHADOW_T_CKPDE_WIDTH   4
#define DDRC_DRAMTMG7_SHADOW_T_CKPDE_MASK    0x00000f00
#define DDRC_DRAMTMG7_SHADOW_T_CKPDE_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG7_SHADOW_T_CKPDX_SHIFT   0
#define DDRC_DRAMTMG7_SHADOW_T_CKPDX_WIDTH   4
#define DDRC_DRAMTMG7_SHADOW_T_CKPDX_MASK    0x0000000f
#define DDRC_DRAMTMG7_SHADOW_T_CKPDX_DEFVAL  0x2

/**
 * Register: DDRC_DRAMTMG8_SHADOW
 */
#define DDRC_DRAMTMG8_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002120 )
#define DDRC_DRAMTMG8_SHADOW_DEFVAL   0x3034405

/* access_type: rw  */
#define DDRC_DRAMTMG8_SHADOW_T_XS_FAST_X32_SHIFT   24
#define DDRC_DRAMTMG8_SHADOW_T_XS_FAST_X32_WIDTH   7
#define DDRC_DRAMTMG8_SHADOW_T_XS_FAST_X32_MASK    0x7f000000
#define DDRC_DRAMTMG8_SHADOW_T_XS_FAST_X32_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_DRAMTMG8_SHADOW_T_XS_ABORT_X32_SHIFT   16
#define DDRC_DRAMTMG8_SHADOW_T_XS_ABORT_X32_WIDTH   7
#define DDRC_DRAMTMG8_SHADOW_T_XS_ABORT_X32_MASK    0x007f0000
#define DDRC_DRAMTMG8_SHADOW_T_XS_ABORT_X32_DEFVAL  0x3

/* access_type: rw  */
#define DDRC_DRAMTMG8_SHADOW_T_XS_DLL_X32_SHIFT   8
#define DDRC_DRAMTMG8_SHADOW_T_XS_DLL_X32_WIDTH   7
#define DDRC_DRAMTMG8_SHADOW_T_XS_DLL_X32_MASK    0x00007f00
#define DDRC_DRAMTMG8_SHADOW_T_XS_DLL_X32_DEFVAL  0x44

/* access_type: rw  */
#define DDRC_DRAMTMG8_SHADOW_T_XS_X32_SHIFT   0
#define DDRC_DRAMTMG8_SHADOW_T_XS_X32_WIDTH   7
#define DDRC_DRAMTMG8_SHADOW_T_XS_X32_MASK    0x0000007f
#define DDRC_DRAMTMG8_SHADOW_T_XS_X32_DEFVAL  0x5

/**
 * Register: DDRC_DRAMTMG9_SHADOW
 */
#define DDRC_DRAMTMG9_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002124 )
#define DDRC_DRAMTMG9_SHADOW_DEFVAL   0x4040d

/* access_type: rw  */
#define DDRC_DRAMTMG9_SHADOW_DDR4_WR_PREAMBLE_SHIFT   30
#define DDRC_DRAMTMG9_SHADOW_DDR4_WR_PREAMBLE_WIDTH   1
#define DDRC_DRAMTMG9_SHADOW_DDR4_WR_PREAMBLE_MASK    0x40000000
#define DDRC_DRAMTMG9_SHADOW_DDR4_WR_PREAMBLE_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DRAMTMG9_SHADOW_T_CCD_S_SHIFT   16
#define DDRC_DRAMTMG9_SHADOW_T_CCD_S_WIDTH   3
#define DDRC_DRAMTMG9_SHADOW_T_CCD_S_MASK    0x00070000
#define DDRC_DRAMTMG9_SHADOW_T_CCD_S_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG9_SHADOW_T_RRD_S_SHIFT   8
#define DDRC_DRAMTMG9_SHADOW_T_RRD_S_WIDTH   4
#define DDRC_DRAMTMG9_SHADOW_T_RRD_S_MASK    0x00000f00
#define DDRC_DRAMTMG9_SHADOW_T_RRD_S_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DRAMTMG9_SHADOW_WR2RD_S_SHIFT   0
#define DDRC_DRAMTMG9_SHADOW_WR2RD_S_WIDTH   6
#define DDRC_DRAMTMG9_SHADOW_WR2RD_S_MASK    0x0000003f
#define DDRC_DRAMTMG9_SHADOW_WR2RD_S_DEFVAL  0xd

/**
 * Register: DDRC_DRAMTMG10_SHADOW
 */
#define DDRC_DRAMTMG10_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002128 )
#define DDRC_DRAMTMG10_SHADOW_DEFVAL   0x1c180a

/* access_type: rw  */
#define DDRC_DRAMTMG10_SHADOW_T_SYNC_GEAR_SHIFT   16
#define DDRC_DRAMTMG10_SHADOW_T_SYNC_GEAR_WIDTH   5
#define DDRC_DRAMTMG10_SHADOW_T_SYNC_GEAR_MASK    0x001f0000
#define DDRC_DRAMTMG10_SHADOW_T_SYNC_GEAR_DEFVAL  0x1c

/* access_type: rw  */
#define DDRC_DRAMTMG10_SHADOW_T_CMD_GEAR_SHIFT   8
#define DDRC_DRAMTMG10_SHADOW_T_CMD_GEAR_WIDTH   5
#define DDRC_DRAMTMG10_SHADOW_T_CMD_GEAR_MASK    0x00001f00
#define DDRC_DRAMTMG10_SHADOW_T_CMD_GEAR_DEFVAL  0x18

/* access_type: rw  */
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_SETUP_SHIFT   2
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_SETUP_WIDTH   2
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_SETUP_MASK    0x0000000c
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_SETUP_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_HOLD_SHIFT   0
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_HOLD_WIDTH   2
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_HOLD_MASK    0x00000003
#define DDRC_DRAMTMG10_SHADOW_T_GEAR_HOLD_DEFVAL  0x2

/**
 * Register: DDRC_DRAMTMG11_SHADOW
 */
#define DDRC_DRAMTMG11_SHADOW    ( ( DDRC_BASEADDR ) + 0x0000212C )
#define DDRC_DRAMTMG11_SHADOW_DEFVAL   0x440c021c

/* access_type: rw  */
#define DDRC_DRAMTMG11_SHADOW_POST_MPSM_GAP_X32_SHIFT   24
#define DDRC_DRAMTMG11_SHADOW_POST_MPSM_GAP_X32_WIDTH   7
#define DDRC_DRAMTMG11_SHADOW_POST_MPSM_GAP_X32_MASK    0x7f000000
#define DDRC_DRAMTMG11_SHADOW_POST_MPSM_GAP_X32_DEFVAL  0x44

/* access_type: rw  */
#define DDRC_DRAMTMG11_SHADOW_T_MPX_LH_SHIFT   16
#define DDRC_DRAMTMG11_SHADOW_T_MPX_LH_WIDTH   5
#define DDRC_DRAMTMG11_SHADOW_T_MPX_LH_MASK    0x001f0000
#define DDRC_DRAMTMG11_SHADOW_T_MPX_LH_DEFVAL  0xc

/* access_type: rw  */
#define DDRC_DRAMTMG11_SHADOW_T_MPX_S_SHIFT   8
#define DDRC_DRAMTMG11_SHADOW_T_MPX_S_WIDTH   2
#define DDRC_DRAMTMG11_SHADOW_T_MPX_S_MASK    0x00000300
#define DDRC_DRAMTMG11_SHADOW_T_MPX_S_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG11_SHADOW_T_CKMPE_SHIFT   0
#define DDRC_DRAMTMG11_SHADOW_T_CKMPE_WIDTH   5
#define DDRC_DRAMTMG11_SHADOW_T_CKMPE_MASK    0x0000001f
#define DDRC_DRAMTMG11_SHADOW_T_CKMPE_DEFVAL  0x1c

/**
 * Register: DDRC_DRAMTMG12_SHADOW
 */
#define DDRC_DRAMTMG12_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002130 )
#define DDRC_DRAMTMG12_SHADOW_DEFVAL   0x20610

/* access_type: rw  */
#define DDRC_DRAMTMG12_SHADOW_T_CMDCKE_SHIFT   16
#define DDRC_DRAMTMG12_SHADOW_T_CMDCKE_WIDTH   2
#define DDRC_DRAMTMG12_SHADOW_T_CMDCKE_MASK    0x00030000
#define DDRC_DRAMTMG12_SHADOW_T_CMDCKE_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DRAMTMG12_SHADOW_T_CKEHCMD_SHIFT   8
#define DDRC_DRAMTMG12_SHADOW_T_CKEHCMD_WIDTH   4
#define DDRC_DRAMTMG12_SHADOW_T_CKEHCMD_MASK    0x00000f00
#define DDRC_DRAMTMG12_SHADOW_T_CKEHCMD_DEFVAL  0x6

/* access_type: rw  */
#define DDRC_DRAMTMG12_SHADOW_T_MRD_PDA_SHIFT   0
#define DDRC_DRAMTMG12_SHADOW_T_MRD_PDA_WIDTH   5
#define DDRC_DRAMTMG12_SHADOW_T_MRD_PDA_MASK    0x0000001f
#define DDRC_DRAMTMG12_SHADOW_T_MRD_PDA_DEFVAL  0x10

/**
 * Register: DDRC_DRAMTMG13_SHADOW
 */
#define DDRC_DRAMTMG13_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002134 )
#define DDRC_DRAMTMG13_SHADOW_DEFVAL   0x1c200004

/* access_type: rw  */
#define DDRC_DRAMTMG13_SHADOW_ODTLOFF_SHIFT   24
#define DDRC_DRAMTMG13_SHADOW_ODTLOFF_WIDTH   7
#define DDRC_DRAMTMG13_SHADOW_ODTLOFF_MASK    0x7f000000
#define DDRC_DRAMTMG13_SHADOW_ODTLOFF_DEFVAL  0x1c

/* access_type: rw  */
#define DDRC_DRAMTMG13_SHADOW_T_CCD_MW_SHIFT   16
#define DDRC_DRAMTMG13_SHADOW_T_CCD_MW_WIDTH   6
#define DDRC_DRAMTMG13_SHADOW_T_CCD_MW_MASK    0x003f0000
#define DDRC_DRAMTMG13_SHADOW_T_CCD_MW_DEFVAL  0x20

/* access_type: rw  */
#define DDRC_DRAMTMG13_SHADOW_T_PPD_SHIFT   0
#define DDRC_DRAMTMG13_SHADOW_T_PPD_WIDTH   3
#define DDRC_DRAMTMG13_SHADOW_T_PPD_MASK    0x00000007
#define DDRC_DRAMTMG13_SHADOW_T_PPD_DEFVAL  0x4

/**
 * Register: DDRC_DRAMTMG14_SHADOW
 */
#define DDRC_DRAMTMG14_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002138 )
#define DDRC_DRAMTMG14_SHADOW_DEFVAL   0xa0

/* access_type: rw  */
#define DDRC_DRAMTMG14_SHADOW_T_XSR_SHIFT   0
#define DDRC_DRAMTMG14_SHADOW_T_XSR_WIDTH   12
#define DDRC_DRAMTMG14_SHADOW_T_XSR_MASK    0x00000fff
#define DDRC_DRAMTMG14_SHADOW_T_XSR_DEFVAL  0xa0

/**
 * Register: DDRC_ZQCTL0_SHADOW
 */
#define DDRC_ZQCTL0_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002180 )
#define DDRC_ZQCTL0_SHADOW_DEFVAL   0x2000040

/* access_type: rw  */
#define DDRC_ZQCTL0_SHADOW_DIS_AUTO_ZQ_SHIFT   31
#define DDRC_ZQCTL0_SHADOW_DIS_AUTO_ZQ_WIDTH   1
#define DDRC_ZQCTL0_SHADOW_DIS_AUTO_ZQ_MASK    0x80000000
#define DDRC_ZQCTL0_SHADOW_DIS_AUTO_ZQ_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_SHADOW_DIS_SRX_ZQCL_SHIFT   30
#define DDRC_ZQCTL0_SHADOW_DIS_SRX_ZQCL_WIDTH   1
#define DDRC_ZQCTL0_SHADOW_DIS_SRX_ZQCL_MASK    0x40000000
#define DDRC_ZQCTL0_SHADOW_DIS_SRX_ZQCL_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_SHADOW_ZQ_RESISTOR_SHARED_SHIFT   29
#define DDRC_ZQCTL0_SHADOW_ZQ_RESISTOR_SHARED_WIDTH   1
#define DDRC_ZQCTL0_SHADOW_ZQ_RESISTOR_SHARED_MASK    0x20000000
#define DDRC_ZQCTL0_SHADOW_ZQ_RESISTOR_SHARED_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_SHADOW_DIS_MPSMX_ZQCL_SHIFT   28
#define DDRC_ZQCTL0_SHADOW_DIS_MPSMX_ZQCL_WIDTH   1
#define DDRC_ZQCTL0_SHADOW_DIS_MPSMX_ZQCL_MASK    0x10000000
#define DDRC_ZQCTL0_SHADOW_DIS_MPSMX_ZQCL_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ZQCTL0_SHADOW_T_ZQ_LONG_NOP_SHIFT   16
#define DDRC_ZQCTL0_SHADOW_T_ZQ_LONG_NOP_WIDTH   11
#define DDRC_ZQCTL0_SHADOW_T_ZQ_LONG_NOP_MASK    0x07ff0000
#define DDRC_ZQCTL0_SHADOW_T_ZQ_LONG_NOP_DEFVAL  0x200

/* access_type: rw  */
#define DDRC_ZQCTL0_SHADOW_T_ZQ_SHORT_NOP_SHIFT   0
#define DDRC_ZQCTL0_SHADOW_T_ZQ_SHORT_NOP_WIDTH   10
#define DDRC_ZQCTL0_SHADOW_T_ZQ_SHORT_NOP_MASK    0x000003ff
#define DDRC_ZQCTL0_SHADOW_T_ZQ_SHORT_NOP_DEFVAL  0x40

/**
 * Register: DDRC_DFITMG0_SHADOW
 */
#define DDRC_DFITMG0_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002190 )
#define DDRC_DFITMG0_SHADOW_DEFVAL   0x7020002

/* access_type: rw  */
#define DDRC_DFITMG0_SHADOW_DFI_T_CTRL_DELAY_SHIFT   24
#define DDRC_DFITMG0_SHADOW_DFI_T_CTRL_DELAY_WIDTH   5
#define DDRC_DFITMG0_SHADOW_DFI_T_CTRL_DELAY_MASK    0x1f000000
#define DDRC_DFITMG0_SHADOW_DFI_T_CTRL_DELAY_DEFVAL  0x7

/* access_type: rw  */
#define DDRC_DFITMG0_SHADOW_DFI_RDDATA_USE_SDR_SHIFT   23
#define DDRC_DFITMG0_SHADOW_DFI_RDDATA_USE_SDR_WIDTH   1
#define DDRC_DFITMG0_SHADOW_DFI_RDDATA_USE_SDR_MASK    0x00800000
#define DDRC_DFITMG0_SHADOW_DFI_RDDATA_USE_SDR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG0_SHADOW_DFI_T_RDDATA_EN_SHIFT   16
#define DDRC_DFITMG0_SHADOW_DFI_T_RDDATA_EN_WIDTH   6
#define DDRC_DFITMG0_SHADOW_DFI_T_RDDATA_EN_MASK    0x003f0000
#define DDRC_DFITMG0_SHADOW_DFI_T_RDDATA_EN_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DFITMG0_SHADOW_DFI_WRDATA_USE_SDR_SHIFT   15
#define DDRC_DFITMG0_SHADOW_DFI_WRDATA_USE_SDR_WIDTH   1
#define DDRC_DFITMG0_SHADOW_DFI_WRDATA_USE_SDR_MASK    0x00008000
#define DDRC_DFITMG0_SHADOW_DFI_WRDATA_USE_SDR_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRDATA_SHIFT   8
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRDATA_WIDTH   6
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRDATA_MASK    0x00003f00
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRDATA_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRLAT_SHIFT   0
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRLAT_WIDTH   6
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRLAT_MASK    0x0000003f
#define DDRC_DFITMG0_SHADOW_DFI_TPHY_WRLAT_DEFVAL  0x2

/**
 * Register: DDRC_DFITMG1_SHADOW
 */
#define DDRC_DFITMG1_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002194 )
#define DDRC_DFITMG1_SHADOW_DEFVAL   0x404

/* access_type: rw  */
#define DDRC_DFITMG1_SHADOW_DFI_T_CMD_LAT_SHIFT   28
#define DDRC_DFITMG1_SHADOW_DFI_T_CMD_LAT_WIDTH   4
#define DDRC_DFITMG1_SHADOW_DFI_T_CMD_LAT_MASK    0xf0000000
#define DDRC_DFITMG1_SHADOW_DFI_T_CMD_LAT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG1_SHADOW_DFI_T_PARIN_LAT_SHIFT   24
#define DDRC_DFITMG1_SHADOW_DFI_T_PARIN_LAT_WIDTH   2
#define DDRC_DFITMG1_SHADOW_DFI_T_PARIN_LAT_MASK    0x03000000
#define DDRC_DFITMG1_SHADOW_DFI_T_PARIN_LAT_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG1_SHADOW_DFI_T_WRDATA_DELAY_SHIFT   16
#define DDRC_DFITMG1_SHADOW_DFI_T_WRDATA_DELAY_WIDTH   5
#define DDRC_DFITMG1_SHADOW_DFI_T_WRDATA_DELAY_MASK    0x001f0000
#define DDRC_DFITMG1_SHADOW_DFI_T_WRDATA_DELAY_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_DISABLE_SHIFT   8
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_DISABLE_WIDTH   4
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_DISABLE_MASK    0x00000f00
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_DISABLE_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_ENABLE_SHIFT   0
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_ENABLE_WIDTH   4
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_ENABLE_MASK    0x0000000f
#define DDRC_DFITMG1_SHADOW_DFI_T_DRAM_CLK_ENABLE_DEFVAL  0x4

/**
 * Register: DDRC_DFITMG2_SHADOW
 */
#define DDRC_DFITMG2_SHADOW    ( ( DDRC_BASEADDR ) + 0x000021B4 )
#define DDRC_DFITMG2_SHADOW_DEFVAL   0x202

/* access_type: rw  */
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_RDCSLAT_SHIFT   8
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_RDCSLAT_WIDTH   6
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_RDCSLAT_MASK    0x00003f00
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_RDCSLAT_DEFVAL  0x2

/* access_type: rw  */
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_WRCSLAT_SHIFT   0
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_WRCSLAT_WIDTH   6
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_WRCSLAT_MASK    0x0000003f
#define DDRC_DFITMG2_SHADOW_DFI_TPHY_WRCSLAT_DEFVAL  0x2

/**
 * Register: DDRC_ODTCFG_SHADOW
 */
#define DDRC_ODTCFG_SHADOW    ( ( DDRC_BASEADDR ) + 0x00002240 )
#define DDRC_ODTCFG_SHADOW_DEFVAL   0x4000400

/* access_type: rw  */
#define DDRC_ODTCFG_SHADOW_WR_ODT_HOLD_SHIFT   24
#define DDRC_ODTCFG_SHADOW_WR_ODT_HOLD_WIDTH   4
#define DDRC_ODTCFG_SHADOW_WR_ODT_HOLD_MASK    0x0f000000
#define DDRC_ODTCFG_SHADOW_WR_ODT_HOLD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_ODTCFG_SHADOW_WR_ODT_DELAY_SHIFT   16
#define DDRC_ODTCFG_SHADOW_WR_ODT_DELAY_WIDTH   5
#define DDRC_ODTCFG_SHADOW_WR_ODT_DELAY_MASK    0x001f0000
#define DDRC_ODTCFG_SHADOW_WR_ODT_DELAY_DEFVAL  0x0

/* access_type: rw  */
#define DDRC_ODTCFG_SHADOW_RD_ODT_HOLD_SHIFT   8
#define DDRC_ODTCFG_SHADOW_RD_ODT_HOLD_WIDTH   4
#define DDRC_ODTCFG_SHADOW_RD_ODT_HOLD_MASK    0x00000f00
#define DDRC_ODTCFG_SHADOW_RD_ODT_HOLD_DEFVAL  0x4

/* access_type: rw  */
#define DDRC_ODTCFG_SHADOW_RD_ODT_DELAY_SHIFT   2
#define DDRC_ODTCFG_SHADOW_RD_ODT_DELAY_WIDTH   5
#define DDRC_ODTCFG_SHADOW_RD_ODT_DELAY_MASK    0x0000007c
#define DDRC_ODTCFG_SHADOW_RD_ODT_DELAY_DEFVAL  0x0


#ifdef __cplusplus
}
#endif

#endif /* __DDRC_H__ */

